#include <qwt_includes.h>

#include <smoke.h>
#include <qwt_smoke.h>

namespace __smokeqwt {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //QAbstractButton
      switch(to) {
        case 58: return (void*)(QWidget*)(QAbstractButton*)xptr;
        case 29: return (void*)(QObject*)(QAbstractButton*)xptr;
        case 30: return (void*)(QPaintDevice*)(QAbstractButton*)xptr;
        case 1: return (void*)(QAbstractButton*)xptr;
        case 65: return (void*)(QwtArrowButton*)(QAbstractButton*)xptr;
        default: return xptr;
      }
    case 2:   //QActionEvent
      switch(to) {
        case 2: return (void*)(QActionEvent*)xptr;
        default: return xptr;
      }
    case 3:   //QBool
      switch(to) {
        case 3: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 4:   //QBrush
      switch(to) {
        case 4: return (void*)(QBrush*)xptr;
        default: return xptr;
      }
    case 5:   //QChildEvent
      switch(to) {
        case 5: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 6:   //QCloseEvent
      switch(to) {
        case 6: return (void*)(QCloseEvent*)xptr;
        default: return xptr;
      }
    case 7:   //QColor
      switch(to) {
        case 7: return (void*)(QColor*)xptr;
        default: return xptr;
      }
    case 8:   //QContextMenuEvent
      switch(to) {
        case 8: return (void*)(QContextMenuEvent*)xptr;
        default: return xptr;
      }
    case 9:   //QCursor
      switch(to) {
        case 9: return (void*)(QCursor*)xptr;
        default: return xptr;
      }
    case 10:   //QDragEnterEvent
      switch(to) {
        case 10: return (void*)(QDragEnterEvent*)xptr;
        default: return xptr;
      }
    case 11:   //QDragLeaveEvent
      switch(to) {
        case 11: return (void*)(QDragLeaveEvent*)xptr;
        default: return xptr;
      }
    case 12:   //QDragMoveEvent
      switch(to) {
        case 12: return (void*)(QDragMoveEvent*)xptr;
        default: return xptr;
      }
    case 13:   //QDropEvent
      switch(to) {
        case 13: return (void*)(QDropEvent*)xptr;
        default: return xptr;
      }
    case 14:   //QEvent
      switch(to) {
        case 14: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 15:   //QFocusEvent
      switch(to) {
        case 15: return (void*)(QFocusEvent*)xptr;
        default: return xptr;
      }
    case 16:   //QFont
      switch(to) {
        case 16: return (void*)(QFont*)xptr;
        default: return xptr;
      }
    case 17:   //QFrame
      switch(to) {
        case 58: return (void*)(QWidget*)(QFrame*)xptr;
        case 29: return (void*)(QObject*)(QFrame*)xptr;
        case 30: return (void*)(QPaintDevice*)(QFrame*)xptr;
        case 17: return (void*)(QFrame*)xptr;
        case 89: return (void*)(QwtLegendItem*)(QFrame*)xptr;
        case 88: return (void*)(QwtLegend*)(QFrame*)xptr;
        case 106: return (void*)(QwtPlot*)(QFrame*)xptr;
        case 140: return (void*)(QwtTextLabel*)(QFrame*)xptr;
        case 107: return (void*)(QwtPlotCanvas*)(QFrame*)xptr;
        default: return xptr;
      }
    case 19:   //QHideEvent
      switch(to) {
        case 19: return (void*)(QHideEvent*)xptr;
        default: return xptr;
      }
    case 20:   //QImage
      switch(to) {
        case 30: return (void*)(QPaintDevice*)(QImage*)xptr;
        case 20: return (void*)(QImage*)xptr;
        default: return xptr;
      }
    case 21:   //QInputMethodEvent
      switch(to) {
        case 21: return (void*)(QInputMethodEvent*)xptr;
        default: return xptr;
      }
    case 22:   //QKeyEvent
      switch(to) {
        case 22: return (void*)(QKeyEvent*)xptr;
        default: return xptr;
      }
    case 23:   //QLayout
      switch(to) {
        case 29: return (void*)(QObject*)(QLayout*)xptr;
        case 24: return (void*)(QLayoutItem*)(QLayout*)xptr;
        case 23: return (void*)(QLayout*)xptr;
        case 82: return (void*)(QwtDynGridLayout*)(QLayout*)xptr;
        default: return xptr;
      }
    case 24:   //QLayoutItem
      switch(to) {
        case 24: return (void*)(QLayoutItem*)xptr;
        case 82: return (void*)(QwtDynGridLayout*)(QLayoutItem*)xptr;
        default: return xptr;
      }
    case 25:   //QMatrix
      switch(to) {
        case 25: return (void*)(QMatrix*)xptr;
        default: return xptr;
      }
    case 26:   //QMetaObject
      switch(to) {
        case 26: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 27:   //QMouseEvent
      switch(to) {
        case 27: return (void*)(QMouseEvent*)xptr;
        default: return xptr;
      }
    case 28:   //QMoveEvent
      switch(to) {
        case 28: return (void*)(QMoveEvent*)xptr;
        default: return xptr;
      }
    case 29:   //QObject
      switch(to) {
        case 29: return (void*)(QObject*)xptr;
        case 76: return (void*)(QwtDial*)(QObject*)xptr;
        case 87: return (void*)(QwtKnob*)(QObject*)xptr;
        case 89: return (void*)(QwtLegendItem*)(QObject*)xptr;
        case 97: return (void*)(QwtPanner*)(QObject*)xptr;
        case 63: return (void*)(QwtAnalogClock*)(QObject*)xptr;
        case 134: return (void*)(QwtSlider*)(QObject*)xptr;
        case 141: return (void*)(QwtThermo*)(QObject*)xptr;
        case 88: return (void*)(QwtLegend*)(QObject*)xptr;
        case 106: return (void*)(QwtPlot*)(QObject*)xptr;
        case 115: return (void*)(QwtPlotPanner*)(QObject*)xptr;
        case 132: return (void*)(QwtScaleWidget*)(QObject*)xptr;
        case 65: return (void*)(QwtArrowButton*)(QObject*)xptr;
        case 98: return (void*)(QwtPicker*)(QObject*)xptr;
        case 140: return (void*)(QwtTextLabel*)(QObject*)xptr;
        case 142: return (void*)(QwtWheel*)(QObject*)xptr;
        case 82: return (void*)(QwtDynGridLayout*)(QObject*)xptr;
        case 113: return (void*)(QwtPlotMagnifier*)(QObject*)xptr;
        case 121: return (void*)(QwtPlotZoomer*)(QObject*)xptr;
        case 107: return (void*)(QwtPlotCanvas*)(QObject*)xptr;
        case 116: return (void*)(QwtPlotPicker*)(QObject*)xptr;
        case 61: return (void*)(QwtAbstractSlider*)(QObject*)xptr;
        case 94: return (void*)(QwtMagnifier*)(QObject*)xptr;
        case 73: return (void*)(QwtCounter*)(QObject*)xptr;
        case 69: return (void*)(QwtCompass*)(QObject*)xptr;
        default: return xptr;
      }
    case 30:   //QPaintDevice
      switch(to) {
        case 30: return (void*)(QPaintDevice*)xptr;
        case 76: return (void*)(QwtDial*)(QPaintDevice*)xptr;
        case 87: return (void*)(QwtKnob*)(QPaintDevice*)xptr;
        case 89: return (void*)(QwtLegendItem*)(QPaintDevice*)xptr;
        case 97: return (void*)(QwtPanner*)(QPaintDevice*)xptr;
        case 63: return (void*)(QwtAnalogClock*)(QPaintDevice*)xptr;
        case 134: return (void*)(QwtSlider*)(QPaintDevice*)xptr;
        case 141: return (void*)(QwtThermo*)(QPaintDevice*)xptr;
        case 88: return (void*)(QwtLegend*)(QPaintDevice*)xptr;
        case 106: return (void*)(QwtPlot*)(QPaintDevice*)xptr;
        case 115: return (void*)(QwtPlotPanner*)(QPaintDevice*)xptr;
        case 132: return (void*)(QwtScaleWidget*)(QPaintDevice*)xptr;
        case 65: return (void*)(QwtArrowButton*)(QPaintDevice*)xptr;
        case 140: return (void*)(QwtTextLabel*)(QPaintDevice*)xptr;
        case 142: return (void*)(QwtWheel*)(QPaintDevice*)xptr;
        case 107: return (void*)(QwtPlotCanvas*)(QPaintDevice*)xptr;
        case 61: return (void*)(QwtAbstractSlider*)(QPaintDevice*)xptr;
        case 73: return (void*)(QwtCounter*)(QPaintDevice*)xptr;
        case 69: return (void*)(QwtCompass*)(QPaintDevice*)xptr;
        default: return xptr;
      }
    case 31:   //QPaintEngine
      switch(to) {
        case 31: return (void*)(QPaintEngine*)xptr;
        default: return xptr;
      }
    case 32:   //QPaintEvent
      switch(to) {
        case 32: return (void*)(QPaintEvent*)xptr;
        default: return xptr;
      }
    case 33:   //QPainter
      switch(to) {
        case 33: return (void*)(QPainter*)xptr;
        default: return xptr;
      }
    case 34:   //QPalette
      switch(to) {
        case 34: return (void*)(QPalette*)xptr;
        default: return xptr;
      }
    case 35:   //QPen
      switch(to) {
        case 35: return (void*)(QPen*)xptr;
        default: return xptr;
      }
    case 36:   //QPixmap
      switch(to) {
        case 30: return (void*)(QPaintDevice*)(QPixmap*)xptr;
        case 36: return (void*)(QPixmap*)xptr;
        default: return xptr;
      }
    case 37:   //QPoint
      switch(to) {
        case 37: return (void*)(QPoint*)xptr;
        default: return xptr;
      }
    case 38:   //QPointF
      switch(to) {
        case 38: return (void*)(QPointF*)xptr;
        default: return xptr;
      }
    case 39:   //QPolygon
      switch(to) {
        case 39: return (void*)(QPolygon*)xptr;
        default: return xptr;
      }
    case 40:   //QPolygonF
      switch(to) {
        case 40: return (void*)(QPolygonF*)xptr;
        default: return xptr;
      }
    case 41:   //QPushButton
      switch(to) {
        case 1: return (void*)(QAbstractButton*)(QPushButton*)xptr;
        case 58: return (void*)(QWidget*)(QPushButton*)xptr;
        case 29: return (void*)(QObject*)(QPushButton*)xptr;
        case 30: return (void*)(QPaintDevice*)(QPushButton*)xptr;
        case 41: return (void*)(QPushButton*)xptr;
        case 65: return (void*)(QwtArrowButton*)(QPushButton*)xptr;
        default: return xptr;
      }
    case 42:   //QRect
      switch(to) {
        case 42: return (void*)(QRect*)xptr;
        default: return xptr;
      }
    case 43:   //QRectF
      switch(to) {
        case 43: return (void*)(QRectF*)xptr;
        default: return xptr;
      }
    case 44:   //QRegExp
      switch(to) {
        case 44: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 45:   //QResizeEvent
      switch(to) {
        case 45: return (void*)(QResizeEvent*)xptr;
        default: return xptr;
      }
    case 46:   //QScrollBar
      switch(to) {
        case 46: return (void*)(QScrollBar*)xptr;
        default: return xptr;
      }
    case 47:   //QShowEvent
      switch(to) {
        case 47: return (void*)(QShowEvent*)xptr;
        default: return xptr;
      }
    case 48:   //QSize
      switch(to) {
        case 48: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 49:   //QSizeF
      switch(to) {
        case 49: return (void*)(QSizeF*)xptr;
        default: return xptr;
      }
    case 50:   //QSpacerItem
      switch(to) {
        case 24: return (void*)(QLayoutItem*)(QSpacerItem*)xptr;
        case 50: return (void*)(QSpacerItem*)xptr;
        default: return xptr;
      }
    case 51:   //QStyle
      switch(to) {
        case 51: return (void*)(QStyle*)xptr;
        default: return xptr;
      }
    case 52:   //QTabletEvent
      switch(to) {
        case 52: return (void*)(QTabletEvent*)xptr;
        default: return xptr;
      }
    case 53:   //QTextDocument
      switch(to) {
        case 53: return (void*)(QTextDocument*)xptr;
        default: return xptr;
      }
    case 54:   //QTime
      switch(to) {
        case 54: return (void*)(QTime*)xptr;
        default: return xptr;
      }
    case 55:   //QTimerEvent
      switch(to) {
        case 55: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 56:   //QVariant
      switch(to) {
        case 56: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 57:   //QWheelEvent
      switch(to) {
        case 57: return (void*)(QWheelEvent*)xptr;
        default: return xptr;
      }
    case 58:   //QWidget
      switch(to) {
        case 29: return (void*)(QObject*)(QWidget*)xptr;
        case 30: return (void*)(QPaintDevice*)(QWidget*)xptr;
        case 58: return (void*)(QWidget*)xptr;
        case 76: return (void*)(QwtDial*)(QWidget*)xptr;
        case 87: return (void*)(QwtKnob*)(QWidget*)xptr;
        case 89: return (void*)(QwtLegendItem*)(QWidget*)xptr;
        case 97: return (void*)(QwtPanner*)(QWidget*)xptr;
        case 63: return (void*)(QwtAnalogClock*)(QWidget*)xptr;
        case 134: return (void*)(QwtSlider*)(QWidget*)xptr;
        case 141: return (void*)(QwtThermo*)(QWidget*)xptr;
        case 88: return (void*)(QwtLegend*)(QWidget*)xptr;
        case 106: return (void*)(QwtPlot*)(QWidget*)xptr;
        case 115: return (void*)(QwtPlotPanner*)(QWidget*)xptr;
        case 132: return (void*)(QwtScaleWidget*)(QWidget*)xptr;
        case 65: return (void*)(QwtArrowButton*)(QWidget*)xptr;
        case 140: return (void*)(QwtTextLabel*)(QWidget*)xptr;
        case 142: return (void*)(QwtWheel*)(QWidget*)xptr;
        case 107: return (void*)(QwtPlotCanvas*)(QWidget*)xptr;
        case 61: return (void*)(QwtAbstractSlider*)(QWidget*)xptr;
        case 73: return (void*)(QwtCounter*)(QWidget*)xptr;
        case 69: return (void*)(QwtCompass*)(QWidget*)xptr;
        default: return xptr;
      }
    case 59:   //QwtAbstractScale
      switch(to) {
        case 59: return (void*)(QwtAbstractScale*)xptr;
        case 87: return (void*)(QwtKnob*)(QwtAbstractScale*)xptr;
        case 134: return (void*)(QwtSlider*)(QwtAbstractScale*)xptr;
        case 141: return (void*)(QwtThermo*)(QwtAbstractScale*)xptr;
        default: return xptr;
      }
    case 60:   //QwtAbstractScaleDraw
      switch(to) {
        case 60: return (void*)(QwtAbstractScaleDraw*)xptr;
        case 78: return (void*)(QwtDialScaleDraw*)(QwtAbstractScaleDraw*)xptr;
        case 125: return (void*)(QwtRoundScaleDraw*)(QwtAbstractScaleDraw*)xptr;
        case 128: return (void*)(QwtScaleDraw*)(QwtAbstractScaleDraw*)xptr;
        default: return xptr;
      }
    case 61:   //QwtAbstractSlider
      switch(to) {
        case 58: return (void*)(QWidget*)(QwtAbstractSlider*)xptr;
        case 29: return (void*)(QObject*)(QwtAbstractSlider*)xptr;
        case 30: return (void*)(QPaintDevice*)(QwtAbstractSlider*)xptr;
        case 81: return (void*)(QwtDoubleRange*)(QwtAbstractSlider*)xptr;
        case 61: return (void*)(QwtAbstractSlider*)xptr;
        case 76: return (void*)(QwtDial*)(QwtAbstractSlider*)xptr;
        case 87: return (void*)(QwtKnob*)(QwtAbstractSlider*)xptr;
        case 63: return (void*)(QwtAnalogClock*)(QwtAbstractSlider*)xptr;
        case 134: return (void*)(QwtSlider*)(QwtAbstractSlider*)xptr;
        case 142: return (void*)(QwtWheel*)(QwtAbstractSlider*)xptr;
        case 69: return (void*)(QwtCompass*)(QwtAbstractSlider*)xptr;
        default: return xptr;
      }
    case 62:   //QwtAlphaColorMap
      switch(to) {
        case 68: return (void*)(QwtColorMap*)(QwtAlphaColorMap*)xptr;
        case 62: return (void*)(QwtAlphaColorMap*)xptr;
        default: return xptr;
      }
    case 63:   //QwtAnalogClock
      switch(to) {
        case 76: return (void*)(QwtDial*)(QwtAnalogClock*)xptr;
        case 61: return (void*)(QwtAbstractSlider*)(QwtAnalogClock*)xptr;
        case 58: return (void*)(QWidget*)(QwtAnalogClock*)xptr;
        case 29: return (void*)(QObject*)(QwtAnalogClock*)xptr;
        case 30: return (void*)(QPaintDevice*)(QwtAnalogClock*)xptr;
        case 81: return (void*)(QwtDoubleRange*)(QwtAnalogClock*)xptr;
        case 63: return (void*)(QwtAnalogClock*)xptr;
        default: return xptr;
      }
    case 64:   //QwtArrayData
      switch(to) {
        case 75: return (void*)(QwtData*)(QwtArrayData*)xptr;
        case 64: return (void*)(QwtArrayData*)xptr;
        default: return xptr;
      }
    case 65:   //QwtArrowButton
      switch(to) {
        case 41: return (void*)(QPushButton*)(QwtArrowButton*)xptr;
        case 1: return (void*)(QAbstractButton*)(QwtArrowButton*)xptr;
        case 58: return (void*)(QWidget*)(QwtArrowButton*)xptr;
        case 29: return (void*)(QObject*)(QwtArrowButton*)xptr;
        case 30: return (void*)(QPaintDevice*)(QwtArrowButton*)xptr;
        case 65: return (void*)(QwtArrowButton*)xptr;
        default: return xptr;
      }
    case 66:   //QwtCPointerData
      switch(to) {
        case 75: return (void*)(QwtData*)(QwtCPointerData*)xptr;
        case 66: return (void*)(QwtCPointerData*)xptr;
        default: return xptr;
      }
    case 67:   //QwtClipper
      switch(to) {
        case 67: return (void*)(QwtClipper*)xptr;
        default: return xptr;
      }
    case 68:   //QwtColorMap
      switch(to) {
        case 68: return (void*)(QwtColorMap*)xptr;
        case 91: return (void*)(QwtLinearColorMap*)(QwtColorMap*)xptr;
        case 62: return (void*)(QwtAlphaColorMap*)(QwtColorMap*)xptr;
        default: return xptr;
      }
    case 69:   //QwtCompass
      switch(to) {
        case 76: return (void*)(QwtDial*)(QwtCompass*)xptr;
        case 61: return (void*)(QwtAbstractSlider*)(QwtCompass*)xptr;
        case 58: return (void*)(QWidget*)(QwtCompass*)xptr;
        case 29: return (void*)(QObject*)(QwtCompass*)xptr;
        case 30: return (void*)(QPaintDevice*)(QwtCompass*)xptr;
        case 81: return (void*)(QwtDoubleRange*)(QwtCompass*)xptr;
        case 69: return (void*)(QwtCompass*)xptr;
        default: return xptr;
      }
    case 70:   //QwtCompassMagnetNeedle
      switch(to) {
        case 77: return (void*)(QwtDialNeedle*)(QwtCompassMagnetNeedle*)xptr;
        case 70: return (void*)(QwtCompassMagnetNeedle*)xptr;
        default: return xptr;
      }
    case 71:   //QwtCompassRose
      switch(to) {
        case 71: return (void*)(QwtCompassRose*)xptr;
        case 133: return (void*)(QwtSimpleCompassRose*)(QwtCompassRose*)xptr;
        default: return xptr;
      }
    case 72:   //QwtCompassWindArrow
      switch(to) {
        case 77: return (void*)(QwtDialNeedle*)(QwtCompassWindArrow*)xptr;
        case 72: return (void*)(QwtCompassWindArrow*)xptr;
        default: return xptr;
      }
    case 73:   //QwtCounter
      switch(to) {
        case 58: return (void*)(QWidget*)(QwtCounter*)xptr;
        case 29: return (void*)(QObject*)(QwtCounter*)xptr;
        case 30: return (void*)(QPaintDevice*)(QwtCounter*)xptr;
        case 81: return (void*)(QwtDoubleRange*)(QwtCounter*)xptr;
        case 73: return (void*)(QwtCounter*)xptr;
        default: return xptr;
      }
    case 74:   //QwtCurveFitter
      switch(to) {
        case 74: return (void*)(QwtCurveFitter*)xptr;
        case 136: return (void*)(QwtSplineCurveFitter*)(QwtCurveFitter*)xptr;
        default: return xptr;
      }
    case 75:   //QwtData
      switch(to) {
        case 75: return (void*)(QwtData*)xptr;
        case 66: return (void*)(QwtCPointerData*)(QwtData*)xptr;
        case 122: return (void*)(QwtPolygonFData*)(QwtData*)xptr;
        case 64: return (void*)(QwtArrayData*)(QwtData*)xptr;
        default: return xptr;
      }
    case 76:   //QwtDial
      switch(to) {
        case 61: return (void*)(QwtAbstractSlider*)(QwtDial*)xptr;
        case 58: return (void*)(QWidget*)(QwtDial*)xptr;
        case 29: return (void*)(QObject*)(QwtDial*)xptr;
        case 30: return (void*)(QPaintDevice*)(QwtDial*)xptr;
        case 81: return (void*)(QwtDoubleRange*)(QwtDial*)xptr;
        case 76: return (void*)(QwtDial*)xptr;
        case 63: return (void*)(QwtAnalogClock*)(QwtDial*)xptr;
        case 69: return (void*)(QwtCompass*)(QwtDial*)xptr;
        default: return xptr;
      }
    case 77:   //QwtDialNeedle
      switch(to) {
        case 77: return (void*)(QwtDialNeedle*)xptr;
        case 79: return (void*)(QwtDialSimpleNeedle*)(QwtDialNeedle*)xptr;
        case 72: return (void*)(QwtCompassWindArrow*)(QwtDialNeedle*)xptr;
        case 70: return (void*)(QwtCompassMagnetNeedle*)(QwtDialNeedle*)xptr;
        default: return xptr;
      }
    case 78:   //QwtDialScaleDraw
      switch(to) {
        case 125: return (void*)(QwtRoundScaleDraw*)(QwtDialScaleDraw*)xptr;
        case 60: return (void*)(QwtAbstractScaleDraw*)(QwtDialScaleDraw*)xptr;
        case 78: return (void*)(QwtDialScaleDraw*)xptr;
        default: return xptr;
      }
    case 79:   //QwtDialSimpleNeedle
      switch(to) {
        case 77: return (void*)(QwtDialNeedle*)(QwtDialSimpleNeedle*)xptr;
        case 79: return (void*)(QwtDialSimpleNeedle*)xptr;
        default: return xptr;
      }
    case 80:   //QwtDoubleInterval
      switch(to) {
        case 80: return (void*)(QwtDoubleInterval*)xptr;
        default: return xptr;
      }
    case 81:   //QwtDoubleRange
      switch(to) {
        case 81: return (void*)(QwtDoubleRange*)xptr;
        case 76: return (void*)(QwtDial*)(QwtDoubleRange*)xptr;
        case 87: return (void*)(QwtKnob*)(QwtDoubleRange*)xptr;
        case 63: return (void*)(QwtAnalogClock*)(QwtDoubleRange*)xptr;
        case 134: return (void*)(QwtSlider*)(QwtDoubleRange*)xptr;
        case 142: return (void*)(QwtWheel*)(QwtDoubleRange*)xptr;
        case 61: return (void*)(QwtAbstractSlider*)(QwtDoubleRange*)xptr;
        case 73: return (void*)(QwtCounter*)(QwtDoubleRange*)xptr;
        case 69: return (void*)(QwtCompass*)(QwtDoubleRange*)xptr;
        default: return xptr;
      }
    case 82:   //QwtDynGridLayout
      switch(to) {
        case 23: return (void*)(QLayout*)(QwtDynGridLayout*)xptr;
        case 29: return (void*)(QObject*)(QwtDynGridLayout*)xptr;
        case 24: return (void*)(QLayoutItem*)(QwtDynGridLayout*)xptr;
        case 82: return (void*)(QwtDynGridLayout*)xptr;
        default: return xptr;
      }
    case 83:   //QwtEventPattern
      switch(to) {
        case 83: return (void*)(QwtEventPattern*)xptr;
        case 98: return (void*)(QwtPicker*)(QwtEventPattern*)xptr;
        case 121: return (void*)(QwtPlotZoomer*)(QwtEventPattern*)xptr;
        case 116: return (void*)(QwtPlotPicker*)(QwtEventPattern*)xptr;
        default: return xptr;
      }
    case 84:   //QwtEventPattern::KeyPattern
      switch(to) {
        case 84: return (void*)(QwtEventPattern::KeyPattern*)xptr;
        default: return xptr;
      }
    case 85:   //QwtEventPattern::MousePattern
      switch(to) {
        case 85: return (void*)(QwtEventPattern::MousePattern*)xptr;
        default: return xptr;
      }
    case 86:   //QwtIntervalData
      switch(to) {
        case 86: return (void*)(QwtIntervalData*)xptr;
        default: return xptr;
      }
    case 87:   //QwtKnob
      switch(to) {
        case 61: return (void*)(QwtAbstractSlider*)(QwtKnob*)xptr;
        case 58: return (void*)(QWidget*)(QwtKnob*)xptr;
        case 29: return (void*)(QObject*)(QwtKnob*)xptr;
        case 30: return (void*)(QPaintDevice*)(QwtKnob*)xptr;
        case 81: return (void*)(QwtDoubleRange*)(QwtKnob*)xptr;
        case 59: return (void*)(QwtAbstractScale*)(QwtKnob*)xptr;
        case 87: return (void*)(QwtKnob*)xptr;
        default: return xptr;
      }
    case 88:   //QwtLegend
      switch(to) {
        case 17: return (void*)(QFrame*)(QwtLegend*)xptr;
        case 58: return (void*)(QWidget*)(QwtLegend*)xptr;
        case 29: return (void*)(QObject*)(QwtLegend*)xptr;
        case 30: return (void*)(QPaintDevice*)(QwtLegend*)xptr;
        case 88: return (void*)(QwtLegend*)xptr;
        default: return xptr;
      }
    case 89:   //QwtLegendItem
      switch(to) {
        case 140: return (void*)(QwtTextLabel*)(QwtLegendItem*)xptr;
        case 17: return (void*)(QFrame*)(QwtLegendItem*)xptr;
        case 58: return (void*)(QWidget*)(QwtLegendItem*)xptr;
        case 29: return (void*)(QObject*)(QwtLegendItem*)xptr;
        case 30: return (void*)(QPaintDevice*)(QwtLegendItem*)xptr;
        case 89: return (void*)(QwtLegendItem*)xptr;
        default: return xptr;
      }
    case 90:   //QwtLegendItemManager
      switch(to) {
        case 90: return (void*)(QwtLegendItemManager*)xptr;
        case 108: return (void*)(QwtPlotCurve*)(QwtLegendItemManager*)xptr;
        case 120: return (void*)(QwtPlotSpectrogram*)(QwtLegendItemManager*)xptr;
        case 114: return (void*)(QwtPlotMarker*)(QwtLegendItemManager*)xptr;
        case 119: return (void*)(QwtPlotScaleItem*)(QwtLegendItemManager*)xptr;
        case 111: return (void*)(QwtPlotItem*)(QwtLegendItemManager*)xptr;
        case 110: return (void*)(QwtPlotGrid*)(QwtLegendItemManager*)xptr;
        case 118: return (void*)(QwtPlotRasterItem*)(QwtLegendItemManager*)xptr;
        default: return xptr;
      }
    case 91:   //QwtLinearColorMap
      switch(to) {
        case 68: return (void*)(QwtColorMap*)(QwtLinearColorMap*)xptr;
        case 91: return (void*)(QwtLinearColorMap*)xptr;
        default: return xptr;
      }
    case 92:   //QwtLinearScaleEngine
      switch(to) {
        case 129: return (void*)(QwtScaleEngine*)(QwtLinearScaleEngine*)xptr;
        case 92: return (void*)(QwtLinearScaleEngine*)xptr;
        default: return xptr;
      }
    case 93:   //QwtLog10ScaleEngine
      switch(to) {
        case 129: return (void*)(QwtScaleEngine*)(QwtLog10ScaleEngine*)xptr;
        case 93: return (void*)(QwtLog10ScaleEngine*)xptr;
        default: return xptr;
      }
    case 94:   //QwtMagnifier
      switch(to) {
        case 29: return (void*)(QObject*)(QwtMagnifier*)xptr;
        case 94: return (void*)(QwtMagnifier*)xptr;
        case 113: return (void*)(QwtPlotMagnifier*)(QwtMagnifier*)xptr;
        default: return xptr;
      }
    case 95:   //QwtMetricsMap
      switch(to) {
        case 95: return (void*)(QwtMetricsMap*)xptr;
        default: return xptr;
      }
    case 96:   //QwtPainter
      switch(to) {
        case 96: return (void*)(QwtPainter*)xptr;
        default: return xptr;
      }
    case 97:   //QwtPanner
      switch(to) {
        case 58: return (void*)(QWidget*)(QwtPanner*)xptr;
        case 29: return (void*)(QObject*)(QwtPanner*)xptr;
        case 30: return (void*)(QPaintDevice*)(QwtPanner*)xptr;
        case 97: return (void*)(QwtPanner*)xptr;
        case 115: return (void*)(QwtPlotPanner*)(QwtPanner*)xptr;
        default: return xptr;
      }
    case 98:   //QwtPicker
      switch(to) {
        case 29: return (void*)(QObject*)(QwtPicker*)xptr;
        case 83: return (void*)(QwtEventPattern*)(QwtPicker*)xptr;
        case 98: return (void*)(QwtPicker*)xptr;
        case 121: return (void*)(QwtPlotZoomer*)(QwtPicker*)xptr;
        case 116: return (void*)(QwtPlotPicker*)(QwtPicker*)xptr;
        default: return xptr;
      }
    case 99:   //QwtPickerClickPointMachine
      switch(to) {
        case 103: return (void*)(QwtPickerMachine*)(QwtPickerClickPointMachine*)xptr;
        case 99: return (void*)(QwtPickerClickPointMachine*)xptr;
        default: return xptr;
      }
    case 100:   //QwtPickerClickRectMachine
      switch(to) {
        case 103: return (void*)(QwtPickerMachine*)(QwtPickerClickRectMachine*)xptr;
        case 100: return (void*)(QwtPickerClickRectMachine*)xptr;
        default: return xptr;
      }
    case 101:   //QwtPickerDragPointMachine
      switch(to) {
        case 103: return (void*)(QwtPickerMachine*)(QwtPickerDragPointMachine*)xptr;
        case 101: return (void*)(QwtPickerDragPointMachine*)xptr;
        default: return xptr;
      }
    case 102:   //QwtPickerDragRectMachine
      switch(to) {
        case 103: return (void*)(QwtPickerMachine*)(QwtPickerDragRectMachine*)xptr;
        case 102: return (void*)(QwtPickerDragRectMachine*)xptr;
        default: return xptr;
      }
    case 103:   //QwtPickerMachine
      switch(to) {
        case 103: return (void*)(QwtPickerMachine*)xptr;
        case 101: return (void*)(QwtPickerDragPointMachine*)(QwtPickerMachine*)xptr;
        case 100: return (void*)(QwtPickerClickRectMachine*)(QwtPickerMachine*)xptr;
        case 102: return (void*)(QwtPickerDragRectMachine*)(QwtPickerMachine*)xptr;
        case 104: return (void*)(QwtPickerPolygonMachine*)(QwtPickerMachine*)xptr;
        case 99: return (void*)(QwtPickerClickPointMachine*)(QwtPickerMachine*)xptr;
        default: return xptr;
      }
    case 104:   //QwtPickerPolygonMachine
      switch(to) {
        case 103: return (void*)(QwtPickerMachine*)(QwtPickerPolygonMachine*)xptr;
        case 104: return (void*)(QwtPickerPolygonMachine*)xptr;
        default: return xptr;
      }
    case 105:   //QwtPlainTextEngine
      switch(to) {
        case 139: return (void*)(QwtTextEngine*)(QwtPlainTextEngine*)xptr;
        case 105: return (void*)(QwtPlainTextEngine*)xptr;
        default: return xptr;
      }
    case 106:   //QwtPlot
      switch(to) {
        case 17: return (void*)(QFrame*)(QwtPlot*)xptr;
        case 58: return (void*)(QWidget*)(QwtPlot*)xptr;
        case 29: return (void*)(QObject*)(QwtPlot*)xptr;
        case 30: return (void*)(QPaintDevice*)(QwtPlot*)xptr;
        case 109: return (void*)(QwtPlotDict*)(QwtPlot*)xptr;
        case 106: return (void*)(QwtPlot*)xptr;
        default: return xptr;
      }
    case 107:   //QwtPlotCanvas
      switch(to) {
        case 17: return (void*)(QFrame*)(QwtPlotCanvas*)xptr;
        case 58: return (void*)(QWidget*)(QwtPlotCanvas*)xptr;
        case 29: return (void*)(QObject*)(QwtPlotCanvas*)xptr;
        case 30: return (void*)(QPaintDevice*)(QwtPlotCanvas*)xptr;
        case 107: return (void*)(QwtPlotCanvas*)xptr;
        default: return xptr;
      }
    case 108:   //QwtPlotCurve
      switch(to) {
        case 111: return (void*)(QwtPlotItem*)(QwtPlotCurve*)xptr;
        case 90: return (void*)(QwtLegendItemManager*)(QwtPlotCurve*)xptr;
        case 108: return (void*)(QwtPlotCurve*)xptr;
        default: return xptr;
      }
    case 109:   //QwtPlotDict
      switch(to) {
        case 109: return (void*)(QwtPlotDict*)xptr;
        case 106: return (void*)(QwtPlot*)(QwtPlotDict*)xptr;
        default: return xptr;
      }
    case 110:   //QwtPlotGrid
      switch(to) {
        case 111: return (void*)(QwtPlotItem*)(QwtPlotGrid*)xptr;
        case 90: return (void*)(QwtLegendItemManager*)(QwtPlotGrid*)xptr;
        case 110: return (void*)(QwtPlotGrid*)xptr;
        default: return xptr;
      }
    case 111:   //QwtPlotItem
      switch(to) {
        case 90: return (void*)(QwtLegendItemManager*)(QwtPlotItem*)xptr;
        case 111: return (void*)(QwtPlotItem*)xptr;
        case 108: return (void*)(QwtPlotCurve*)(QwtPlotItem*)xptr;
        case 120: return (void*)(QwtPlotSpectrogram*)(QwtPlotItem*)xptr;
        case 114: return (void*)(QwtPlotMarker*)(QwtPlotItem*)xptr;
        case 119: return (void*)(QwtPlotScaleItem*)(QwtPlotItem*)xptr;
        case 110: return (void*)(QwtPlotGrid*)(QwtPlotItem*)xptr;
        case 118: return (void*)(QwtPlotRasterItem*)(QwtPlotItem*)xptr;
        default: return xptr;
      }
    case 112:   //QwtPlotLayout
      switch(to) {
        case 112: return (void*)(QwtPlotLayout*)xptr;
        default: return xptr;
      }
    case 113:   //QwtPlotMagnifier
      switch(to) {
        case 94: return (void*)(QwtMagnifier*)(QwtPlotMagnifier*)xptr;
        case 29: return (void*)(QObject*)(QwtPlotMagnifier*)xptr;
        case 113: return (void*)(QwtPlotMagnifier*)xptr;
        default: return xptr;
      }
    case 114:   //QwtPlotMarker
      switch(to) {
        case 111: return (void*)(QwtPlotItem*)(QwtPlotMarker*)xptr;
        case 90: return (void*)(QwtLegendItemManager*)(QwtPlotMarker*)xptr;
        case 114: return (void*)(QwtPlotMarker*)xptr;
        default: return xptr;
      }
    case 115:   //QwtPlotPanner
      switch(to) {
        case 97: return (void*)(QwtPanner*)(QwtPlotPanner*)xptr;
        case 58: return (void*)(QWidget*)(QwtPlotPanner*)xptr;
        case 29: return (void*)(QObject*)(QwtPlotPanner*)xptr;
        case 30: return (void*)(QPaintDevice*)(QwtPlotPanner*)xptr;
        case 115: return (void*)(QwtPlotPanner*)xptr;
        default: return xptr;
      }
    case 116:   //QwtPlotPicker
      switch(to) {
        case 98: return (void*)(QwtPicker*)(QwtPlotPicker*)xptr;
        case 29: return (void*)(QObject*)(QwtPlotPicker*)xptr;
        case 83: return (void*)(QwtEventPattern*)(QwtPlotPicker*)xptr;
        case 116: return (void*)(QwtPlotPicker*)xptr;
        case 121: return (void*)(QwtPlotZoomer*)(QwtPlotPicker*)xptr;
        default: return xptr;
      }
    case 117:   //QwtPlotPrintFilter
      switch(to) {
        case 117: return (void*)(QwtPlotPrintFilter*)xptr;
        default: return xptr;
      }
    case 118:   //QwtPlotRasterItem
      switch(to) {
        case 111: return (void*)(QwtPlotItem*)(QwtPlotRasterItem*)xptr;
        case 90: return (void*)(QwtLegendItemManager*)(QwtPlotRasterItem*)xptr;
        case 118: return (void*)(QwtPlotRasterItem*)xptr;
        case 120: return (void*)(QwtPlotSpectrogram*)(QwtPlotRasterItem*)xptr;
        default: return xptr;
      }
    case 119:   //QwtPlotScaleItem
      switch(to) {
        case 111: return (void*)(QwtPlotItem*)(QwtPlotScaleItem*)xptr;
        case 90: return (void*)(QwtLegendItemManager*)(QwtPlotScaleItem*)xptr;
        case 119: return (void*)(QwtPlotScaleItem*)xptr;
        default: return xptr;
      }
    case 120:   //QwtPlotSpectrogram
      switch(to) {
        case 118: return (void*)(QwtPlotRasterItem*)(QwtPlotSpectrogram*)xptr;
        case 111: return (void*)(QwtPlotItem*)(QwtPlotSpectrogram*)xptr;
        case 90: return (void*)(QwtLegendItemManager*)(QwtPlotSpectrogram*)xptr;
        case 120: return (void*)(QwtPlotSpectrogram*)xptr;
        default: return xptr;
      }
    case 121:   //QwtPlotZoomer
      switch(to) {
        case 116: return (void*)(QwtPlotPicker*)(QwtPlotZoomer*)xptr;
        case 98: return (void*)(QwtPicker*)(QwtPlotZoomer*)xptr;
        case 29: return (void*)(QObject*)(QwtPlotZoomer*)xptr;
        case 83: return (void*)(QwtEventPattern*)(QwtPlotZoomer*)xptr;
        case 121: return (void*)(QwtPlotZoomer*)xptr;
        default: return xptr;
      }
    case 122:   //QwtPolygonFData
      switch(to) {
        case 75: return (void*)(QwtData*)(QwtPolygonFData*)xptr;
        case 122: return (void*)(QwtPolygonFData*)xptr;
        default: return xptr;
      }
    case 123:   //QwtRasterData
      switch(to) {
        case 123: return (void*)(QwtRasterData*)xptr;
        default: return xptr;
      }
    case 124:   //QwtRichTextEngine
      switch(to) {
        case 139: return (void*)(QwtTextEngine*)(QwtRichTextEngine*)xptr;
        case 124: return (void*)(QwtRichTextEngine*)xptr;
        default: return xptr;
      }
    case 125:   //QwtRoundScaleDraw
      switch(to) {
        case 60: return (void*)(QwtAbstractScaleDraw*)(QwtRoundScaleDraw*)xptr;
        case 125: return (void*)(QwtRoundScaleDraw*)xptr;
        case 78: return (void*)(QwtDialScaleDraw*)(QwtRoundScaleDraw*)xptr;
        default: return xptr;
      }
    case 126:   //QwtScaleArithmetic
      switch(to) {
        case 126: return (void*)(QwtScaleArithmetic*)xptr;
        default: return xptr;
      }
    case 127:   //QwtScaleDiv
      switch(to) {
        case 127: return (void*)(QwtScaleDiv*)xptr;
        default: return xptr;
      }
    case 128:   //QwtScaleDraw
      switch(to) {
        case 60: return (void*)(QwtAbstractScaleDraw*)(QwtScaleDraw*)xptr;
        case 128: return (void*)(QwtScaleDraw*)xptr;
        default: return xptr;
      }
    case 129:   //QwtScaleEngine
      switch(to) {
        case 129: return (void*)(QwtScaleEngine*)xptr;
        case 93: return (void*)(QwtLog10ScaleEngine*)(QwtScaleEngine*)xptr;
        case 92: return (void*)(QwtLinearScaleEngine*)(QwtScaleEngine*)xptr;
        default: return xptr;
      }
    case 130:   //QwtScaleMap
      switch(to) {
        case 130: return (void*)(QwtScaleMap*)xptr;
        default: return xptr;
      }
    case 131:   //QwtScaleTransformation
      switch(to) {
        case 131: return (void*)(QwtScaleTransformation*)xptr;
        default: return xptr;
      }
    case 132:   //QwtScaleWidget
      switch(to) {
        case 58: return (void*)(QWidget*)(QwtScaleWidget*)xptr;
        case 29: return (void*)(QObject*)(QwtScaleWidget*)xptr;
        case 30: return (void*)(QPaintDevice*)(QwtScaleWidget*)xptr;
        case 132: return (void*)(QwtScaleWidget*)xptr;
        default: return xptr;
      }
    case 133:   //QwtSimpleCompassRose
      switch(to) {
        case 71: return (void*)(QwtCompassRose*)(QwtSimpleCompassRose*)xptr;
        case 133: return (void*)(QwtSimpleCompassRose*)xptr;
        default: return xptr;
      }
    case 134:   //QwtSlider
      switch(to) {
        case 61: return (void*)(QwtAbstractSlider*)(QwtSlider*)xptr;
        case 58: return (void*)(QWidget*)(QwtSlider*)xptr;
        case 29: return (void*)(QObject*)(QwtSlider*)xptr;
        case 30: return (void*)(QPaintDevice*)(QwtSlider*)xptr;
        case 81: return (void*)(QwtDoubleRange*)(QwtSlider*)xptr;
        case 59: return (void*)(QwtAbstractScale*)(QwtSlider*)xptr;
        case 134: return (void*)(QwtSlider*)xptr;
        default: return xptr;
      }
    case 135:   //QwtSpline
      switch(to) {
        case 135: return (void*)(QwtSpline*)xptr;
        default: return xptr;
      }
    case 136:   //QwtSplineCurveFitter
      switch(to) {
        case 74: return (void*)(QwtCurveFitter*)(QwtSplineCurveFitter*)xptr;
        case 136: return (void*)(QwtSplineCurveFitter*)xptr;
        default: return xptr;
      }
    case 137:   //QwtSymbol
      switch(to) {
        case 137: return (void*)(QwtSymbol*)xptr;
        default: return xptr;
      }
    case 138:   //QwtText
      switch(to) {
        case 138: return (void*)(QwtText*)xptr;
        default: return xptr;
      }
    case 139:   //QwtTextEngine
      switch(to) {
        case 139: return (void*)(QwtTextEngine*)xptr;
        case 124: return (void*)(QwtRichTextEngine*)(QwtTextEngine*)xptr;
        case 105: return (void*)(QwtPlainTextEngine*)(QwtTextEngine*)xptr;
        default: return xptr;
      }
    case 140:   //QwtTextLabel
      switch(to) {
        case 17: return (void*)(QFrame*)(QwtTextLabel*)xptr;
        case 58: return (void*)(QWidget*)(QwtTextLabel*)xptr;
        case 29: return (void*)(QObject*)(QwtTextLabel*)xptr;
        case 30: return (void*)(QPaintDevice*)(QwtTextLabel*)xptr;
        case 140: return (void*)(QwtTextLabel*)xptr;
        case 89: return (void*)(QwtLegendItem*)(QwtTextLabel*)xptr;
        default: return xptr;
      }
    case 141:   //QwtThermo
      switch(to) {
        case 58: return (void*)(QWidget*)(QwtThermo*)xptr;
        case 29: return (void*)(QObject*)(QwtThermo*)xptr;
        case 30: return (void*)(QPaintDevice*)(QwtThermo*)xptr;
        case 59: return (void*)(QwtAbstractScale*)(QwtThermo*)xptr;
        case 141: return (void*)(QwtThermo*)xptr;
        default: return xptr;
      }
    case 142:   //QwtWheel
      switch(to) {
        case 61: return (void*)(QwtAbstractSlider*)(QwtWheel*)xptr;
        case 58: return (void*)(QWidget*)(QwtWheel*)xptr;
        case 29: return (void*)(QObject*)(QwtWheel*)xptr;
        case 30: return (void*)(QPaintDevice*)(QwtWheel*)xptr;
        case 81: return (void*)(QwtDoubleRange*)(QwtWheel*)xptr;
        case 142: return (void*)(QwtWheel*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    58, 81, 0,	// 1: QWidget, QwtDoubleRange
    68, 0,	// 4: QwtColorMap
    76, 0,	// 6: QwtDial
    75, 0,	// 8: QwtData
    41, 0,	// 10: QPushButton
    77, 0,	// 12: QwtDialNeedle
    61, 0,	// 14: QwtAbstractSlider
    125, 0,	// 16: QwtRoundScaleDraw
    23, 0,	// 18: QLayout
    61, 59, 0,	// 20: QwtAbstractSlider, QwtAbstractScale
    17, 0,	// 23: QFrame
    140, 0,	// 25: QwtTextLabel
    129, 0,	// 27: QwtScaleEngine
    29, 0,	// 29: QObject
    58, 0,	// 31: QWidget
    29, 83, 0,	// 33: QObject, QwtEventPattern
    103, 0,	// 36: QwtPickerMachine
    139, 0,	// 38: QwtTextEngine
    17, 109, 0,	// 40: QFrame, QwtPlotDict
    111, 0,	// 43: QwtPlotItem
    90, 0,	// 45: QwtLegendItemManager
    94, 0,	// 47: QwtMagnifier
    97, 0,	// 49: QwtPanner
    98, 0,	// 51: QwtPicker
    118, 0,	// 53: QwtPlotRasterItem
    116, 0,	// 55: QwtPlotPicker
    60, 0,	// 57: QwtAbstractScaleDraw
    71, 0,	// 59: QwtCompassRose
    74, 0,	// 61: QwtCurveFitter
    58, 59, 0,	// 63: QWidget, QwtAbstractScale
};

// These are the xenum functions for manipulating enum pointers
void xenum_QwtText(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QwtScaleDiv(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QwtPicker(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QwtSplineCurveFitter(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QwtLegend(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QwtPlot(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QwtSpline(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QwtDial(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QwtPlotPrintFilter(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QwtEventPattern(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QwtSlider(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QwtScaleEngine(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QwtLinearColorMap(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QwtRasterData(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QwtPlotLayout(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QwtKnob(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QwtPlotCurve(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QwtThermo(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QwtCompassWindArrow(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QwtDialSimpleNeedle(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QwtCounter(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QwtPlotCanvas(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QwtAnalogClock(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QwtPickerMachine(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QwtScaleDraw(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QwtScaleTransformation(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QwtCompassMagnetNeedle(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QwtAbstractScaleDraw(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QwtColorMap(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QwtPlotSpectrogram(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QwtPlotItem(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QwtDoubleInterval(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QwtAbstractSlider(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QwtLegendItem(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QwtSymbol(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QwtPlotRasterItem(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QwtPlotMarker(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);
void xcall_QwtAbstractScale(Smoke::Index, void*, Smoke::Stack);
void xcall_QwtAbstractScaleDraw(Smoke::Index, void*, Smoke::Stack);
void xcall_QwtAbstractSlider(Smoke::Index, void*, Smoke::Stack);
void xcall_QwtAlphaColorMap(Smoke::Index, void*, Smoke::Stack);
void xcall_QwtAnalogClock(Smoke::Index, void*, Smoke::Stack);
void xcall_QwtArrayData(Smoke::Index, void*, Smoke::Stack);
void xcall_QwtArrowButton(Smoke::Index, void*, Smoke::Stack);
void xcall_QwtCPointerData(Smoke::Index, void*, Smoke::Stack);
void xcall_QwtClipper(Smoke::Index, void*, Smoke::Stack);
void xcall_QwtColorMap(Smoke::Index, void*, Smoke::Stack);
void xcall_QwtCompass(Smoke::Index, void*, Smoke::Stack);
void xcall_QwtCompassMagnetNeedle(Smoke::Index, void*, Smoke::Stack);
void xcall_QwtCompassRose(Smoke::Index, void*, Smoke::Stack);
void xcall_QwtCompassWindArrow(Smoke::Index, void*, Smoke::Stack);
void xcall_QwtCounter(Smoke::Index, void*, Smoke::Stack);
void xcall_QwtCurveFitter(Smoke::Index, void*, Smoke::Stack);
void xcall_QwtData(Smoke::Index, void*, Smoke::Stack);
void xcall_QwtDial(Smoke::Index, void*, Smoke::Stack);
void xcall_QwtDialNeedle(Smoke::Index, void*, Smoke::Stack);
void xcall_QwtDialScaleDraw(Smoke::Index, void*, Smoke::Stack);
void xcall_QwtDialSimpleNeedle(Smoke::Index, void*, Smoke::Stack);
void xcall_QwtDoubleInterval(Smoke::Index, void*, Smoke::Stack);
void xcall_QwtDoubleRange(Smoke::Index, void*, Smoke::Stack);
void xcall_QwtDynGridLayout(Smoke::Index, void*, Smoke::Stack);
void xcall_QwtEventPattern(Smoke::Index, void*, Smoke::Stack);
void xcall_QwtIntervalData(Smoke::Index, void*, Smoke::Stack);
void xcall_QwtKnob(Smoke::Index, void*, Smoke::Stack);
void xcall_QwtLegend(Smoke::Index, void*, Smoke::Stack);
void xcall_QwtLegendItem(Smoke::Index, void*, Smoke::Stack);
void xcall_QwtLegendItemManager(Smoke::Index, void*, Smoke::Stack);
void xcall_QwtLinearColorMap(Smoke::Index, void*, Smoke::Stack);
void xcall_QwtLinearScaleEngine(Smoke::Index, void*, Smoke::Stack);
void xcall_QwtLog10ScaleEngine(Smoke::Index, void*, Smoke::Stack);
void xcall_QwtMagnifier(Smoke::Index, void*, Smoke::Stack);
void xcall_QwtMetricsMap(Smoke::Index, void*, Smoke::Stack);
void xcall_QwtPainter(Smoke::Index, void*, Smoke::Stack);
void xcall_QwtPanner(Smoke::Index, void*, Smoke::Stack);
void xcall_QwtPicker(Smoke::Index, void*, Smoke::Stack);
void xcall_QwtPickerClickPointMachine(Smoke::Index, void*, Smoke::Stack);
void xcall_QwtPickerClickRectMachine(Smoke::Index, void*, Smoke::Stack);
void xcall_QwtPickerDragPointMachine(Smoke::Index, void*, Smoke::Stack);
void xcall_QwtPickerDragRectMachine(Smoke::Index, void*, Smoke::Stack);
void xcall_QwtPickerMachine(Smoke::Index, void*, Smoke::Stack);
void xcall_QwtPickerPolygonMachine(Smoke::Index, void*, Smoke::Stack);
void xcall_QwtPlainTextEngine(Smoke::Index, void*, Smoke::Stack);
void xcall_QwtPlot(Smoke::Index, void*, Smoke::Stack);
void xcall_QwtPlotCanvas(Smoke::Index, void*, Smoke::Stack);
void xcall_QwtPlotCurve(Smoke::Index, void*, Smoke::Stack);
void xcall_QwtPlotDict(Smoke::Index, void*, Smoke::Stack);
void xcall_QwtPlotGrid(Smoke::Index, void*, Smoke::Stack);
void xcall_QwtPlotItem(Smoke::Index, void*, Smoke::Stack);
void xcall_QwtPlotLayout(Smoke::Index, void*, Smoke::Stack);
void xcall_QwtPlotMagnifier(Smoke::Index, void*, Smoke::Stack);
void xcall_QwtPlotMarker(Smoke::Index, void*, Smoke::Stack);
void xcall_QwtPlotPanner(Smoke::Index, void*, Smoke::Stack);
void xcall_QwtPlotPicker(Smoke::Index, void*, Smoke::Stack);
void xcall_QwtPlotPrintFilter(Smoke::Index, void*, Smoke::Stack);
void xcall_QwtPlotRasterItem(Smoke::Index, void*, Smoke::Stack);
void xcall_QwtPlotScaleItem(Smoke::Index, void*, Smoke::Stack);
void xcall_QwtPlotSpectrogram(Smoke::Index, void*, Smoke::Stack);
void xcall_QwtPlotZoomer(Smoke::Index, void*, Smoke::Stack);
void xcall_QwtPolygonFData(Smoke::Index, void*, Smoke::Stack);
void xcall_QwtRasterData(Smoke::Index, void*, Smoke::Stack);
void xcall_QwtRichTextEngine(Smoke::Index, void*, Smoke::Stack);
void xcall_QwtRoundScaleDraw(Smoke::Index, void*, Smoke::Stack);
void xcall_QwtScaleArithmetic(Smoke::Index, void*, Smoke::Stack);
void xcall_QwtScaleDiv(Smoke::Index, void*, Smoke::Stack);
void xcall_QwtScaleDraw(Smoke::Index, void*, Smoke::Stack);
void xcall_QwtScaleEngine(Smoke::Index, void*, Smoke::Stack);
void xcall_QwtScaleMap(Smoke::Index, void*, Smoke::Stack);
void xcall_QwtScaleTransformation(Smoke::Index, void*, Smoke::Stack);
void xcall_QwtScaleWidget(Smoke::Index, void*, Smoke::Stack);
void xcall_QwtSimpleCompassRose(Smoke::Index, void*, Smoke::Stack);
void xcall_QwtSlider(Smoke::Index, void*, Smoke::Stack);
void xcall_QwtSpline(Smoke::Index, void*, Smoke::Stack);
void xcall_QwtSplineCurveFitter(Smoke::Index, void*, Smoke::Stack);
void xcall_QwtSymbol(Smoke::Index, void*, Smoke::Stack);
void xcall_QwtText(Smoke::Index, void*, Smoke::Stack);
void xcall_QwtTextEngine(Smoke::Index, void*, Smoke::Stack);
void xcall_QwtTextLabel(Smoke::Index, void*, Smoke::Stack);
void xcall_QwtThermo(Smoke::Index, void*, Smoke::Stack);
void xcall_QwtWheel(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "QAbstractButton", true, 0, 0, 0, 0, 0 },	//1
    { "QActionEvent", true, 0, 0, 0, 0, 0 },	//2
    { "QBool", true, 0, 0, 0, 0, 0 },	//3
    { "QBrush", true, 0, 0, 0, 0, 0 },	//4
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//5
    { "QCloseEvent", true, 0, 0, 0, 0, 0 },	//6
    { "QColor", true, 0, 0, 0, 0, 0 },	//7
    { "QContextMenuEvent", true, 0, 0, 0, 0, 0 },	//8
    { "QCursor", true, 0, 0, 0, 0, 0 },	//9
    { "QDragEnterEvent", true, 0, 0, 0, 0, 0 },	//10
    { "QDragLeaveEvent", true, 0, 0, 0, 0, 0 },	//11
    { "QDragMoveEvent", true, 0, 0, 0, 0, 0 },	//12
    { "QDropEvent", true, 0, 0, 0, 0, 0 },	//13
    { "QEvent", true, 0, 0, 0, 0, 0 },	//14
    { "QFocusEvent", true, 0, 0, 0, 0, 0 },	//15
    { "QFont", true, 0, 0, 0, 0, 0 },	//16
    { "QFrame", true, 0, 0, 0, 0, 0 },	//17
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, 0, Smoke::cf_namespace, 0 },	//18
    { "QHideEvent", true, 0, 0, 0, 0, 0 },	//19
    { "QImage", true, 0, 0, 0, 0, 0 },	//20
    { "QInputMethodEvent", true, 0, 0, 0, 0, 0 },	//21
    { "QKeyEvent", true, 0, 0, 0, 0, 0 },	//22
    { "QLayout", true, 0, 0, 0, 0, 0 },	//23
    { "QLayoutItem", true, 0, 0, 0, 0, 0 },	//24
    { "QMatrix", true, 0, 0, 0, 0, 0 },	//25
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//26
    { "QMouseEvent", true, 0, 0, 0, 0, 0 },	//27
    { "QMoveEvent", true, 0, 0, 0, 0, 0 },	//28
    { "QObject", true, 0, 0, 0, 0, 0 },	//29
    { "QPaintDevice", true, 0, 0, 0, 0, 0 },	//30
    { "QPaintEngine", true, 0, 0, 0, 0, 0 },	//31
    { "QPaintEvent", true, 0, 0, 0, 0, 0 },	//32
    { "QPainter", true, 0, 0, 0, 0, 0 },	//33
    { "QPalette", true, 0, 0, 0, 0, 0 },	//34
    { "QPen", true, 0, 0, 0, 0, 0 },	//35
    { "QPixmap", true, 0, 0, 0, 0, 0 },	//36
    { "QPoint", true, 0, 0, 0, 0, 0 },	//37
    { "QPointF", true, 0, 0, 0, 0, 0 },	//38
    { "QPolygon", true, 0, 0, 0, 0, 0 },	//39
    { "QPolygonF", true, 0, 0, 0, 0, 0 },	//40
    { "QPushButton", true, 0, 0, 0, 0, 0 },	//41
    { "QRect", true, 0, 0, 0, 0, 0 },	//42
    { "QRectF", true, 0, 0, 0, 0, 0 },	//43
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//44
    { "QResizeEvent", true, 0, 0, 0, 0, 0 },	//45
    { "QScrollBar", true, 0, 0, 0, 0, 0 },	//46
    { "QShowEvent", true, 0, 0, 0, 0, 0 },	//47
    { "QSize", true, 0, 0, 0, 0, 0 },	//48
    { "QSizeF", true, 0, 0, 0, 0, 0 },	//49
    { "QSpacerItem", true, 0, 0, 0, 0, 0 },	//50
    { "QStyle", true, 0, 0, 0, 0, 0 },	//51
    { "QTabletEvent", true, 0, 0, 0, 0, 0 },	//52
    { "QTextDocument", true, 0, 0, 0, 0, 0 },	//53
    { "QTime", true, 0, 0, 0, 0, 0 },	//54
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//55
    { "QVariant", true, 0, 0, 0, 0, 0 },	//56
    { "QWheelEvent", true, 0, 0, 0, 0, 0 },	//57
    { "QWidget", true, 0, 0, 0, 0, 0 },	//58
    { "QwtAbstractScale", false, 0, xcall_QwtAbstractScale, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QwtAbstractScale) },	//59
    { "QwtAbstractScaleDraw", false, 0, xcall_QwtAbstractScaleDraw, xenum_QwtAbstractScaleDraw, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QwtAbstractScaleDraw) },	//60
    { "QwtAbstractSlider", false, 1, xcall_QwtAbstractSlider, xenum_QwtAbstractSlider, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QwtAbstractSlider) },	//61
    { "QwtAlphaColorMap", false, 4, xcall_QwtAlphaColorMap, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QwtAlphaColorMap) },	//62
    { "QwtAnalogClock", false, 6, xcall_QwtAnalogClock, xenum_QwtAnalogClock, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QwtAnalogClock) },	//63
    { "QwtArrayData", false, 8, xcall_QwtArrayData, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QwtArrayData) },	//64
    { "QwtArrowButton", false, 10, xcall_QwtArrowButton, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QwtArrowButton) },	//65
    { "QwtCPointerData", false, 8, xcall_QwtCPointerData, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QwtCPointerData) },	//66
    { "QwtClipper", false, 0, xcall_QwtClipper, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QwtClipper) },	//67
    { "QwtColorMap", false, 0, xcall_QwtColorMap, xenum_QwtColorMap, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QwtColorMap) },	//68
    { "QwtCompass", false, 6, xcall_QwtCompass, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QwtCompass) },	//69
    { "QwtCompassMagnetNeedle", false, 12, xcall_QwtCompassMagnetNeedle, xenum_QwtCompassMagnetNeedle, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QwtCompassMagnetNeedle) },	//70
    { "QwtCompassRose", false, 0, xcall_QwtCompassRose, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QwtCompassRose) },	//71
    { "QwtCompassWindArrow", false, 12, xcall_QwtCompassWindArrow, xenum_QwtCompassWindArrow, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QwtCompassWindArrow) },	//72
    { "QwtCounter", false, 1, xcall_QwtCounter, xenum_QwtCounter, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QwtCounter) },	//73
    { "QwtCurveFitter", false, 0, xcall_QwtCurveFitter, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QwtCurveFitter) },	//74
    { "QwtData", false, 0, xcall_QwtData, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QwtData) },	//75
    { "QwtDial", false, 14, xcall_QwtDial, xenum_QwtDial, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QwtDial) },	//76
    { "QwtDialNeedle", false, 0, xcall_QwtDialNeedle, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QwtDialNeedle) },	//77
    { "QwtDialScaleDraw", false, 16, xcall_QwtDialScaleDraw, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QwtDialScaleDraw) },	//78
    { "QwtDialSimpleNeedle", false, 12, xcall_QwtDialSimpleNeedle, xenum_QwtDialSimpleNeedle, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QwtDialSimpleNeedle) },	//79
    { "QwtDoubleInterval", false, 0, xcall_QwtDoubleInterval, xenum_QwtDoubleInterval, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QwtDoubleInterval) },	//80
    { "QwtDoubleRange", false, 0, xcall_QwtDoubleRange, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QwtDoubleRange) },	//81
    { "QwtDynGridLayout", false, 18, xcall_QwtDynGridLayout, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QwtDynGridLayout) },	//82
    { "QwtEventPattern", false, 0, xcall_QwtEventPattern, xenum_QwtEventPattern, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QwtEventPattern) },	//83
    { "QwtEventPattern::KeyPattern", true, 0, 0, 0, 0, 0 },	//84
    { "QwtEventPattern::MousePattern", true, 0, 0, 0, 0, 0 },	//85
    { "QwtIntervalData", false, 0, xcall_QwtIntervalData, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QwtIntervalData) },	//86
    { "QwtKnob", false, 20, xcall_QwtKnob, xenum_QwtKnob, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QwtKnob) },	//87
    { "QwtLegend", false, 23, xcall_QwtLegend, xenum_QwtLegend, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QwtLegend) },	//88
    { "QwtLegendItem", false, 25, xcall_QwtLegendItem, xenum_QwtLegendItem, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QwtLegendItem) },	//89
    { "QwtLegendItemManager", false, 0, xcall_QwtLegendItemManager, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QwtLegendItemManager) },	//90
    { "QwtLinearColorMap", false, 4, xcall_QwtLinearColorMap, xenum_QwtLinearColorMap, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QwtLinearColorMap) },	//91
    { "QwtLinearScaleEngine", false, 27, xcall_QwtLinearScaleEngine, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QwtLinearScaleEngine) },	//92
    { "QwtLog10ScaleEngine", false, 27, xcall_QwtLog10ScaleEngine, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QwtLog10ScaleEngine) },	//93
    { "QwtMagnifier", false, 29, xcall_QwtMagnifier, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QwtMagnifier) },	//94
    { "QwtMetricsMap", false, 0, xcall_QwtMetricsMap, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QwtMetricsMap) },	//95
    { "QwtPainter", false, 0, xcall_QwtPainter, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QwtPainter) },	//96
    { "QwtPanner", false, 31, xcall_QwtPanner, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QwtPanner) },	//97
    { "QwtPicker", false, 33, xcall_QwtPicker, xenum_QwtPicker, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QwtPicker) },	//98
    { "QwtPickerClickPointMachine", false, 36, xcall_QwtPickerClickPointMachine, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QwtPickerClickPointMachine) },	//99
    { "QwtPickerClickRectMachine", false, 36, xcall_QwtPickerClickRectMachine, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QwtPickerClickRectMachine) },	//100
    { "QwtPickerDragPointMachine", false, 36, xcall_QwtPickerDragPointMachine, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QwtPickerDragPointMachine) },	//101
    { "QwtPickerDragRectMachine", false, 36, xcall_QwtPickerDragRectMachine, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QwtPickerDragRectMachine) },	//102
    { "QwtPickerMachine", false, 0, xcall_QwtPickerMachine, xenum_QwtPickerMachine, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QwtPickerMachine) },	//103
    { "QwtPickerPolygonMachine", false, 36, xcall_QwtPickerPolygonMachine, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QwtPickerPolygonMachine) },	//104
    { "QwtPlainTextEngine", false, 38, xcall_QwtPlainTextEngine, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QwtPlainTextEngine) },	//105
    { "QwtPlot", false, 40, xcall_QwtPlot, xenum_QwtPlot, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QwtPlot) },	//106
    { "QwtPlotCanvas", false, 23, xcall_QwtPlotCanvas, xenum_QwtPlotCanvas, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QwtPlotCanvas) },	//107
    { "QwtPlotCurve", false, 43, xcall_QwtPlotCurve, xenum_QwtPlotCurve, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QwtPlotCurve) },	//108
    { "QwtPlotDict", false, 0, xcall_QwtPlotDict, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QwtPlotDict) },	//109
    { "QwtPlotGrid", false, 43, xcall_QwtPlotGrid, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QwtPlotGrid) },	//110
    { "QwtPlotItem", false, 45, xcall_QwtPlotItem, xenum_QwtPlotItem, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QwtPlotItem) },	//111
    { "QwtPlotLayout", false, 0, xcall_QwtPlotLayout, xenum_QwtPlotLayout, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QwtPlotLayout) },	//112
    { "QwtPlotMagnifier", false, 47, xcall_QwtPlotMagnifier, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QwtPlotMagnifier) },	//113
    { "QwtPlotMarker", false, 43, xcall_QwtPlotMarker, xenum_QwtPlotMarker, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QwtPlotMarker) },	//114
    { "QwtPlotPanner", false, 49, xcall_QwtPlotPanner, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QwtPlotPanner) },	//115
    { "QwtPlotPicker", false, 51, xcall_QwtPlotPicker, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QwtPlotPicker) },	//116
    { "QwtPlotPrintFilter", false, 0, xcall_QwtPlotPrintFilter, xenum_QwtPlotPrintFilter, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QwtPlotPrintFilter) },	//117
    { "QwtPlotRasterItem", false, 43, xcall_QwtPlotRasterItem, xenum_QwtPlotRasterItem, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QwtPlotRasterItem) },	//118
    { "QwtPlotScaleItem", false, 43, xcall_QwtPlotScaleItem, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QwtPlotScaleItem) },	//119
    { "QwtPlotSpectrogram", false, 53, xcall_QwtPlotSpectrogram, xenum_QwtPlotSpectrogram, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QwtPlotSpectrogram) },	//120
    { "QwtPlotZoomer", false, 55, xcall_QwtPlotZoomer, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QwtPlotZoomer) },	//121
    { "QwtPolygonFData", false, 8, xcall_QwtPolygonFData, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QwtPolygonFData) },	//122
    { "QwtRasterData", false, 0, xcall_QwtRasterData, xenum_QwtRasterData, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QwtRasterData) },	//123
    { "QwtRichTextEngine", false, 38, xcall_QwtRichTextEngine, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QwtRichTextEngine) },	//124
    { "QwtRoundScaleDraw", false, 57, xcall_QwtRoundScaleDraw, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QwtRoundScaleDraw) },	//125
    { "QwtScaleArithmetic", false, 0, xcall_QwtScaleArithmetic, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QwtScaleArithmetic) },	//126
    { "QwtScaleDiv", false, 0, xcall_QwtScaleDiv, xenum_QwtScaleDiv, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QwtScaleDiv) },	//127
    { "QwtScaleDraw", false, 57, xcall_QwtScaleDraw, xenum_QwtScaleDraw, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QwtScaleDraw) },	//128
    { "QwtScaleEngine", false, 0, xcall_QwtScaleEngine, xenum_QwtScaleEngine, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QwtScaleEngine) },	//129
    { "QwtScaleMap", false, 0, xcall_QwtScaleMap, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QwtScaleMap) },	//130
    { "QwtScaleTransformation", false, 0, xcall_QwtScaleTransformation, xenum_QwtScaleTransformation, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QwtScaleTransformation) },	//131
    { "QwtScaleWidget", false, 31, xcall_QwtScaleWidget, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QwtScaleWidget) },	//132
    { "QwtSimpleCompassRose", false, 59, xcall_QwtSimpleCompassRose, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QwtSimpleCompassRose) },	//133
    { "QwtSlider", false, 20, xcall_QwtSlider, xenum_QwtSlider, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QwtSlider) },	//134
    { "QwtSpline", false, 0, xcall_QwtSpline, xenum_QwtSpline, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QwtSpline) },	//135
    { "QwtSplineCurveFitter", false, 61, xcall_QwtSplineCurveFitter, xenum_QwtSplineCurveFitter, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QwtSplineCurveFitter) },	//136
    { "QwtSymbol", false, 0, xcall_QwtSymbol, xenum_QwtSymbol, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QwtSymbol) },	//137
    { "QwtText", false, 0, xcall_QwtText, xenum_QwtText, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QwtText) },	//138
    { "QwtTextEngine", false, 0, xcall_QwtTextEngine, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QwtTextEngine) },	//139
    { "QwtTextLabel", false, 23, xcall_QwtTextLabel, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QwtTextLabel) },	//140
    { "QwtThermo", false, 63, xcall_QwtThermo, xenum_QwtThermo, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QwtThermo) },	//141
    { "QwtWheel", false, 14, xcall_QwtWheel, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QwtWheel) },	//142
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "QActionEvent*", 2, Smoke::t_class|Smoke::tf_ptr },	//1
    { "QBool", 3, Smoke::t_class|Smoke::tf_stack },	//2
    { "QBrush", 4, Smoke::t_class|Smoke::tf_stack },	//3
    { "QChildEvent*", 5, Smoke::t_class|Smoke::tf_ptr },	//4
    { "QCloseEvent*", 6, Smoke::t_class|Smoke::tf_ptr },	//5
    { "QColor", 7, Smoke::t_class|Smoke::tf_stack },	//6
    { "QContextMenuEvent*", 8, Smoke::t_class|Smoke::tf_ptr },	//7
    { "QDragEnterEvent*", 10, Smoke::t_class|Smoke::tf_ptr },	//8
    { "QDragLeaveEvent*", 11, Smoke::t_class|Smoke::tf_ptr },	//9
    { "QDragMoveEvent*", 12, Smoke::t_class|Smoke::tf_ptr },	//10
    { "QDropEvent*", 13, Smoke::t_class|Smoke::tf_ptr },	//11
    { "QEvent*", 14, Smoke::t_class|Smoke::tf_ptr },	//12
    { "QFlags<Qt::AlignmentFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//13
    { "QFlags<Qt::Orientation>", 0, Smoke::t_uint|Smoke::tf_stack },	//14
    { "QFocusEvent*", 15, Smoke::t_class|Smoke::tf_ptr },	//15
    { "QFont", 16, Smoke::t_class|Smoke::tf_stack },	//16
    { "QHideEvent*", 19, Smoke::t_class|Smoke::tf_ptr },	//17
    { "QImage", 20, Smoke::t_class|Smoke::tf_stack },	//18
    { "QInputMethodEvent*", 21, Smoke::t_class|Smoke::tf_ptr },	//19
    { "QKeyEvent*", 22, Smoke::t_class|Smoke::tf_ptr },	//20
    { "QLayout*", 23, Smoke::t_class|Smoke::tf_ptr },	//21
    { "QLayoutItem*", 24, Smoke::t_class|Smoke::tf_ptr },	//22
    { "QList<QRect>", 0, Smoke::t_voidp|Smoke::tf_stack },	//23
    { "QList<QWidget*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//24
    { "QList<QwtPickerMachine::Command>", 0, Smoke::t_voidp|Smoke::tf_stack },	//25
    { "QList<double>", 0, Smoke::t_voidp|Smoke::tf_stack },	//26
    { "QList<double>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//27
    { "QMap<double,QPolygonF>", 0, Smoke::t_voidp|Smoke::tf_stack },	//28
    { "QMap<double,QString>&", 0, Smoke::t_voidp|Smoke::tf_ref },	//29
    { "QMatrix", 25, Smoke::t_class|Smoke::tf_stack },	//30
    { "QMetaObject::Call", 26, Smoke::t_enum|Smoke::tf_stack },	//31
    { "QMouseEvent*", 27, Smoke::t_class|Smoke::tf_ptr },	//32
    { "QMoveEvent*", 28, Smoke::t_class|Smoke::tf_ptr },	//33
    { "QObject*", 29, Smoke::t_class|Smoke::tf_ptr },	//34
    { "QPaintDevice&", 30, Smoke::t_class|Smoke::tf_ref },	//35
    { "QPaintDevice::PaintDeviceMetric", 30, Smoke::t_enum|Smoke::tf_stack },	//36
    { "QPaintEngine*", 31, Smoke::t_class|Smoke::tf_ptr },	//37
    { "QPaintEvent*", 32, Smoke::t_class|Smoke::tf_ptr },	//38
    { "QPainter*", 33, Smoke::t_class|Smoke::tf_ptr },	//39
    { "QPalette", 34, Smoke::t_class|Smoke::tf_stack },	//40
    { "QPalette::ColorGroup", 34, Smoke::t_enum|Smoke::tf_stack },	//41
    { "QPen", 35, Smoke::t_class|Smoke::tf_stack },	//42
    { "QPixmap*", 36, Smoke::t_class|Smoke::tf_ptr },	//43
    { "QPoint", 37, Smoke::t_class|Smoke::tf_stack },	//44
    { "QPointF", 38, Smoke::t_class|Smoke::tf_stack },	//45
    { "QPolygon", 39, Smoke::t_class|Smoke::tf_stack },	//46
    { "QPolygon&", 39, Smoke::t_class|Smoke::tf_ref },	//47
    { "QPolygonF", 40, Smoke::t_class|Smoke::tf_stack },	//48
    { "QRect", 42, Smoke::t_class|Smoke::tf_stack },	//49
    { "QRect&", 42, Smoke::t_class|Smoke::tf_ref },	//50
    { "QRect*", 42, Smoke::t_class|Smoke::tf_ptr },	//51
    { "QRectF", 43, Smoke::t_class|Smoke::tf_stack },	//52
    { "QRegExp&", 44, Smoke::t_class|Smoke::tf_ref },	//53
    { "QResizeEvent*", 45, Smoke::t_class|Smoke::tf_ptr },	//54
    { "QScrollBar*", 46, Smoke::t_class|Smoke::tf_ptr },	//55
    { "QShowEvent*", 47, Smoke::t_class|Smoke::tf_ptr },	//56
    { "QSize", 48, Smoke::t_class|Smoke::tf_stack },	//57
    { "QSizeF", 49, Smoke::t_class|Smoke::tf_stack },	//58
    { "QSpacerItem*", 50, Smoke::t_class|Smoke::tf_ptr },	//59
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//60
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//61
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//62
    { "QStyle&", 51, Smoke::t_class|Smoke::tf_ref },	//63
    { "QTabletEvent*", 52, Smoke::t_class|Smoke::tf_ptr },	//64
    { "QTextDocument&", 53, Smoke::t_class|Smoke::tf_ref },	//65
    { "QTime", 54, Smoke::t_class|Smoke::tf_stack },	//66
    { "QTimerEvent*", 55, Smoke::t_class|Smoke::tf_ptr },	//67
    { "QVariant", 56, Smoke::t_class|Smoke::tf_stack },	//68
    { "QVector<QwtDoubleInterval>", 0, Smoke::t_voidp|Smoke::tf_stack },	//69
    { "QVector<QwtDoublePoint>", 0, Smoke::t_voidp|Smoke::tf_stack },	//70
    { "QVector<QwtEventPattern::KeyPattern>&", 0, Smoke::t_voidp|Smoke::tf_ref },	//71
    { "QVector<QwtEventPattern::MousePattern>&", 0, Smoke::t_voidp|Smoke::tf_ref },	//72
    { "QVector<double>", 0, Smoke::t_voidp|Smoke::tf_stack },	//73
    { "QVector<int>&", 0, Smoke::t_voidp|Smoke::tf_ref },	//74
    { "QVector<unsigned int>", 0, Smoke::t_voidp|Smoke::tf_stack },	//75
    { "QWheelEvent*", 57, Smoke::t_class|Smoke::tf_ptr },	//76
    { "QWidget*", 58, Smoke::t_class|Smoke::tf_ptr },	//77
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//78
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//79
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//80
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//81
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//82
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//83
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//84
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//85
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//86
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//87
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//88
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//89
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//90
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//91
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//92
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//93
    { "Qt::CursorMoveStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//94
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//95
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//96
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//97
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//98
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//99
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//100
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//101
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//102
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//103
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//104
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//105
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//106
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//107
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//108
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//109
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//110
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//111
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//112
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//113
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//114
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//115
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//116
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//117
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//118
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//119
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//120
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//121
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//122
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//123
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//124
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//125
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//126
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//127
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//128
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//129
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//130
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//131
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//132
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//133
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//134
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//135
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//136
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//137
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//138
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//139
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//140
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//141
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//142
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//143
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//144
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//145
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//146
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//147
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//148
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//149
    { "QwtAbstractScale*", 59, Smoke::t_class|Smoke::tf_ptr },	//150
    { "QwtAbstractScaleDraw&", 60, Smoke::t_class|Smoke::tf_ref },	//151
    { "QwtAbstractScaleDraw*", 60, Smoke::t_class|Smoke::tf_ptr },	//152
    { "QwtAbstractScaleDraw::ScaleComponent", 60, Smoke::t_enum|Smoke::tf_stack },	//153
    { "QwtAbstractSlider*", 61, Smoke::t_class|Smoke::tf_ptr },	//154
    { "QwtAbstractSlider::ScrollMode", 61, Smoke::t_enum|Smoke::tf_stack },	//155
    { "QwtAlphaColorMap&", 62, Smoke::t_class|Smoke::tf_ref },	//156
    { "QwtAlphaColorMap*", 62, Smoke::t_class|Smoke::tf_ptr },	//157
    { "QwtAnalogClock*", 63, Smoke::t_class|Smoke::tf_ptr },	//158
    { "QwtAnalogClock::Hand", 63, Smoke::t_enum|Smoke::tf_stack },	//159
    { "QwtArrayData&", 64, Smoke::t_class|Smoke::tf_ref },	//160
    { "QwtArrayData*", 64, Smoke::t_class|Smoke::tf_ptr },	//161
    { "QwtArrowButton*", 65, Smoke::t_class|Smoke::tf_ptr },	//162
    { "QwtCPointerData&", 66, Smoke::t_class|Smoke::tf_ref },	//163
    { "QwtCPointerData*", 66, Smoke::t_class|Smoke::tf_ptr },	//164
    { "QwtClipper*", 67, Smoke::t_class|Smoke::tf_ptr },	//165
    { "QwtColorMap*", 68, Smoke::t_class|Smoke::tf_ptr },	//166
    { "QwtColorMap::Format", 68, Smoke::t_enum|Smoke::tf_stack },	//167
    { "QwtCompass*", 69, Smoke::t_class|Smoke::tf_ptr },	//168
    { "QwtCompassMagnetNeedle*", 70, Smoke::t_class|Smoke::tf_ptr },	//169
    { "QwtCompassMagnetNeedle::Style", 70, Smoke::t_enum|Smoke::tf_stack },	//170
    { "QwtCompassRose*", 71, Smoke::t_class|Smoke::tf_ptr },	//171
    { "QwtCompassWindArrow*", 72, Smoke::t_class|Smoke::tf_ptr },	//172
    { "QwtCompassWindArrow::Style", 72, Smoke::t_enum|Smoke::tf_stack },	//173
    { "QwtCounter*", 73, Smoke::t_class|Smoke::tf_ptr },	//174
    { "QwtCounter::Button", 73, Smoke::t_enum|Smoke::tf_stack },	//175
    { "QwtCurveFitter*", 74, Smoke::t_class|Smoke::tf_ptr },	//176
    { "QwtData&", 75, Smoke::t_class|Smoke::tf_ref },	//177
    { "QwtData*", 75, Smoke::t_class|Smoke::tf_ptr },	//178
    { "QwtDial*", 76, Smoke::t_class|Smoke::tf_ptr },	//179
    { "QwtDial::Direction", 76, Smoke::t_enum|Smoke::tf_stack },	//180
    { "QwtDial::Mode", 76, Smoke::t_enum|Smoke::tf_stack },	//181
    { "QwtDial::ScaleOptions", 76, Smoke::t_enum|Smoke::tf_stack },	//182
    { "QwtDial::Shadow", 76, Smoke::t_enum|Smoke::tf_stack },	//183
    { "QwtDialNeedle*", 77, Smoke::t_class|Smoke::tf_ptr },	//184
    { "QwtDialScaleDraw*", 78, Smoke::t_class|Smoke::tf_ptr },	//185
    { "QwtDialSimpleNeedle*", 79, Smoke::t_class|Smoke::tf_ptr },	//186
    { "QwtDialSimpleNeedle::Style", 79, Smoke::t_enum|Smoke::tf_stack },	//187
    { "QwtDoubleInterval", 80, Smoke::t_class|Smoke::tf_stack },	//188
    { "QwtDoubleInterval&", 80, Smoke::t_class|Smoke::tf_ref },	//189
    { "QwtDoubleInterval*", 80, Smoke::t_class|Smoke::tf_ptr },	//190
    { "QwtDoubleInterval::BorderMode", 80, Smoke::t_enum|Smoke::tf_stack },	//191
    { "QwtDoublePoint", 38, Smoke::t_class|Smoke::tf_stack },	//192
    { "QwtDoubleRange*", 81, Smoke::t_class|Smoke::tf_ptr },	//193
    { "QwtDoubleRect", 43, Smoke::t_class|Smoke::tf_stack },	//194
    { "QwtDynGridLayout*", 82, Smoke::t_class|Smoke::tf_ptr },	//195
    { "QwtEventPattern*", 83, Smoke::t_class|Smoke::tf_ptr },	//196
    { "QwtEventPattern::KeyPattern", 84, Smoke::t_class|Smoke::tf_stack },	//197
    { "QwtEventPattern::KeyPatternCode", 83, Smoke::t_enum|Smoke::tf_stack },	//198
    { "QwtEventPattern::MousePattern", 85, Smoke::t_class|Smoke::tf_stack },	//199
    { "QwtEventPattern::MousePatternCode", 83, Smoke::t_enum|Smoke::tf_stack },	//200
    { "QwtIntervalData*", 86, Smoke::t_class|Smoke::tf_ptr },	//201
    { "QwtKnob*", 87, Smoke::t_class|Smoke::tf_ptr },	//202
    { "QwtKnob::Symbol", 87, Smoke::t_enum|Smoke::tf_stack },	//203
    { "QwtLegend*", 88, Smoke::t_class|Smoke::tf_ptr },	//204
    { "QwtLegend::LegendDisplayPolicy", 88, Smoke::t_enum|Smoke::tf_stack },	//205
    { "QwtLegend::LegendItemMode", 88, Smoke::t_enum|Smoke::tf_stack },	//206
    { "QwtLegendItem*", 89, Smoke::t_class|Smoke::tf_ptr },	//207
    { "QwtLegendItem::IdentifierMode", 89, Smoke::t_enum|Smoke::tf_stack },	//208
    { "QwtLegendItemManager*", 90, Smoke::t_class|Smoke::tf_ptr },	//209
    { "QwtLinearColorMap&", 91, Smoke::t_class|Smoke::tf_ref },	//210
    { "QwtLinearColorMap*", 91, Smoke::t_class|Smoke::tf_ptr },	//211
    { "QwtLinearColorMap::Mode", 91, Smoke::t_enum|Smoke::tf_stack },	//212
    { "QwtLinearScaleEngine*", 92, Smoke::t_class|Smoke::tf_ptr },	//213
    { "QwtLog10ScaleEngine*", 93, Smoke::t_class|Smoke::tf_ptr },	//214
    { "QwtMagnifier*", 94, Smoke::t_class|Smoke::tf_ptr },	//215
    { "QwtMetricsMap*", 95, Smoke::t_class|Smoke::tf_ptr },	//216
    { "QwtPainter*", 96, Smoke::t_class|Smoke::tf_ptr },	//217
    { "QwtPanner*", 97, Smoke::t_class|Smoke::tf_ptr },	//218
    { "QwtPicker*", 98, Smoke::t_class|Smoke::tf_ptr },	//219
    { "QwtPicker::DisplayMode", 98, Smoke::t_enum|Smoke::tf_stack },	//220
    { "QwtPicker::RectSelectionType", 98, Smoke::t_enum|Smoke::tf_stack },	//221
    { "QwtPicker::ResizeMode", 98, Smoke::t_enum|Smoke::tf_stack },	//222
    { "QwtPicker::RubberBand", 98, Smoke::t_enum|Smoke::tf_stack },	//223
    { "QwtPicker::SelectionMode", 98, Smoke::t_enum|Smoke::tf_stack },	//224
    { "QwtPicker::SelectionType", 98, Smoke::t_enum|Smoke::tf_stack },	//225
    { "QwtPickerClickPointMachine*", 99, Smoke::t_class|Smoke::tf_ptr },	//226
    { "QwtPickerClickRectMachine*", 100, Smoke::t_class|Smoke::tf_ptr },	//227
    { "QwtPickerDragPointMachine*", 101, Smoke::t_class|Smoke::tf_ptr },	//228
    { "QwtPickerDragRectMachine*", 102, Smoke::t_class|Smoke::tf_ptr },	//229
    { "QwtPickerMachine*", 103, Smoke::t_class|Smoke::tf_ptr },	//230
    { "QwtPickerMachine::Command", 103, Smoke::t_enum|Smoke::tf_stack },	//231
    { "QwtPickerPolygonMachine*", 104, Smoke::t_class|Smoke::tf_ptr },	//232
    { "QwtPlainTextEngine*", 105, Smoke::t_class|Smoke::tf_ptr },	//233
    { "QwtPlot*", 106, Smoke::t_class|Smoke::tf_ptr },	//234
    { "QwtPlot::Axis", 106, Smoke::t_enum|Smoke::tf_stack },	//235
    { "QwtPlot::LegendPosition", 106, Smoke::t_enum|Smoke::tf_stack },	//236
    { "QwtPlotCanvas*", 107, Smoke::t_class|Smoke::tf_ptr },	//237
    { "QwtPlotCanvas::FocusIndicator", 107, Smoke::t_enum|Smoke::tf_stack },	//238
    { "QwtPlotCanvas::PaintAttribute", 107, Smoke::t_enum|Smoke::tf_stack },	//239
    { "QwtPlotCurve*", 108, Smoke::t_class|Smoke::tf_ptr },	//240
    { "QwtPlotCurve::CurveAttribute", 108, Smoke::t_enum|Smoke::tf_stack },	//241
    { "QwtPlotCurve::CurveStyle", 108, Smoke::t_enum|Smoke::tf_stack },	//242
    { "QwtPlotCurve::CurveType", 108, Smoke::t_enum|Smoke::tf_stack },	//243
    { "QwtPlotCurve::PaintAttribute", 108, Smoke::t_enum|Smoke::tf_stack },	//244
    { "QwtPlotDict*", 109, Smoke::t_class|Smoke::tf_ptr },	//245
    { "QwtPlotGrid*", 110, Smoke::t_class|Smoke::tf_ptr },	//246
    { "QwtPlotItem*", 111, Smoke::t_class|Smoke::tf_ptr },	//247
    { "QwtPlotItem::ItemAttribute", 111, Smoke::t_enum|Smoke::tf_stack },	//248
    { "QwtPlotItem::RenderHint", 111, Smoke::t_enum|Smoke::tf_stack },	//249
    { "QwtPlotItem::RttiValues", 111, Smoke::t_enum|Smoke::tf_stack },	//250
    { "QwtPlotLayout*", 112, Smoke::t_class|Smoke::tf_ptr },	//251
    { "QwtPlotLayout::Options", 112, Smoke::t_enum|Smoke::tf_stack },	//252
    { "QwtPlotMagnifier*", 113, Smoke::t_class|Smoke::tf_ptr },	//253
    { "QwtPlotMarker*", 114, Smoke::t_class|Smoke::tf_ptr },	//254
    { "QwtPlotMarker::LineStyle", 114, Smoke::t_enum|Smoke::tf_stack },	//255
    { "QwtPlotPanner*", 115, Smoke::t_class|Smoke::tf_ptr },	//256
    { "QwtPlotPicker*", 116, Smoke::t_class|Smoke::tf_ptr },	//257
    { "QwtPlotPrintFilter*", 117, Smoke::t_class|Smoke::tf_ptr },	//258
    { "QwtPlotPrintFilter::Item", 117, Smoke::t_enum|Smoke::tf_stack },	//259
    { "QwtPlotPrintFilter::Options", 117, Smoke::t_enum|Smoke::tf_stack },	//260
    { "QwtPlotRasterItem*", 118, Smoke::t_class|Smoke::tf_ptr },	//261
    { "QwtPlotRasterItem::CachePolicy", 118, Smoke::t_enum|Smoke::tf_stack },	//262
    { "QwtPlotScaleItem*", 119, Smoke::t_class|Smoke::tf_ptr },	//263
    { "QwtPlotSpectrogram*", 120, Smoke::t_class|Smoke::tf_ptr },	//264
    { "QwtPlotSpectrogram::DisplayMode", 120, Smoke::t_enum|Smoke::tf_stack },	//265
    { "QwtPlotZoomer*", 121, Smoke::t_class|Smoke::tf_ptr },	//266
    { "QwtPolygon", 39, Smoke::t_class|Smoke::tf_stack },	//267
    { "QwtPolygonFData&", 122, Smoke::t_class|Smoke::tf_ref },	//268
    { "QwtPolygonFData*", 122, Smoke::t_class|Smoke::tf_ptr },	//269
    { "QwtRasterData*", 123, Smoke::t_class|Smoke::tf_ptr },	//270
    { "QwtRasterData::ConrecAttribute", 123, Smoke::t_enum|Smoke::tf_stack },	//271
    { "QwtRichTextEngine*", 124, Smoke::t_class|Smoke::tf_ptr },	//272
    { "QwtRoundScaleDraw&", 125, Smoke::t_class|Smoke::tf_ref },	//273
    { "QwtRoundScaleDraw*", 125, Smoke::t_class|Smoke::tf_ptr },	//274
    { "QwtScaleArithmetic*", 126, Smoke::t_class|Smoke::tf_ptr },	//275
    { "QwtScaleDiv", 127, Smoke::t_class|Smoke::tf_stack },	//276
    { "QwtScaleDiv*", 127, Smoke::t_class|Smoke::tf_ptr },	//277
    { "QwtScaleDiv::TickType", 127, Smoke::t_enum|Smoke::tf_stack },	//278
    { "QwtScaleDraw&", 128, Smoke::t_class|Smoke::tf_ref },	//279
    { "QwtScaleDraw*", 128, Smoke::t_class|Smoke::tf_ptr },	//280
    { "QwtScaleDraw::Alignment", 128, Smoke::t_enum|Smoke::tf_stack },	//281
    { "QwtScaleEngine*", 129, Smoke::t_class|Smoke::tf_ptr },	//282
    { "QwtScaleEngine::Attribute", 129, Smoke::t_enum|Smoke::tf_stack },	//283
    { "QwtScaleMap", 130, Smoke::t_class|Smoke::tf_stack },	//284
    { "QwtScaleMap&", 130, Smoke::t_class|Smoke::tf_ref },	//285
    { "QwtScaleMap*", 130, Smoke::t_class|Smoke::tf_ptr },	//286
    { "QwtScaleTransformation*", 131, Smoke::t_class|Smoke::tf_ptr },	//287
    { "QwtScaleTransformation::Type", 131, Smoke::t_enum|Smoke::tf_stack },	//288
    { "QwtScaleWidget*", 132, Smoke::t_class|Smoke::tf_ptr },	//289
    { "QwtSimpleCompassRose*", 133, Smoke::t_class|Smoke::tf_ptr },	//290
    { "QwtSlider*", 134, Smoke::t_class|Smoke::tf_ptr },	//291
    { "QwtSlider::BGSTYLE", 134, Smoke::t_enum|Smoke::tf_stack },	//292
    { "QwtSlider::ScalePos", 134, Smoke::t_enum|Smoke::tf_stack },	//293
    { "QwtSpline&", 135, Smoke::t_class|Smoke::tf_ref },	//294
    { "QwtSpline*", 135, Smoke::t_class|Smoke::tf_ptr },	//295
    { "QwtSpline::SplineType", 135, Smoke::t_enum|Smoke::tf_stack },	//296
    { "QwtSplineCurveFitter*", 136, Smoke::t_class|Smoke::tf_ptr },	//297
    { "QwtSplineCurveFitter::FitMode", 136, Smoke::t_enum|Smoke::tf_stack },	//298
    { "QwtSymbol*", 137, Smoke::t_class|Smoke::tf_ptr },	//299
    { "QwtSymbol::Style", 137, Smoke::t_enum|Smoke::tf_stack },	//300
    { "QwtText", 138, Smoke::t_class|Smoke::tf_stack },	//301
    { "QwtText&", 138, Smoke::t_class|Smoke::tf_ref },	//302
    { "QwtText*", 138, Smoke::t_class|Smoke::tf_ptr },	//303
    { "QwtText::LayoutAttribute", 138, Smoke::t_enum|Smoke::tf_stack },	//304
    { "QwtText::PaintAttribute", 138, Smoke::t_enum|Smoke::tf_stack },	//305
    { "QwtText::TextFormat", 138, Smoke::t_enum|Smoke::tf_stack },	//306
    { "QwtTextEngine*", 139, Smoke::t_class|Smoke::tf_ptr },	//307
    { "QwtTextLabel*", 140, Smoke::t_class|Smoke::tf_ptr },	//308
    { "QwtThermo*", 141, Smoke::t_class|Smoke::tf_ptr },	//309
    { "QwtThermo::ScalePos", 141, Smoke::t_enum|Smoke::tf_stack },	//310
    { "QwtWheel*", 142, Smoke::t_class|Smoke::tf_ptr },	//311
    { "_XEvent*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//312
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//313
    { "const QBrush&", 4, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//314
    { "const QColor&", 7, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//315
    { "const QCursor", 9, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//316
    { "const QCursor&", 9, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//317
    { "const QEvent*", 14, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//318
    { "const QFont&", 16, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//319
    { "const QKeyEvent*", 22, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//320
    { "const QList<QwtPlotItem*>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//321
    { "const QList<double>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//322
    { "const QMap<double,QPolygonF>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//323
    { "const QMap<double,QString>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//324
    { "const QMatrix&", 25, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//325
    { "const QMetaObject&", 26, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//326
    { "const QMetaObject*", 26, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//327
    { "const QMouseEvent*", 27, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//328
    { "const QPaintDevice*", 30, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//329
    { "const QPainter*", 33, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//330
    { "const QPalette&", 34, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//331
    { "const QPen&", 35, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//332
    { "const QPixmap*", 36, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//333
    { "const QPoint&", 37, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//334
    { "const QPointF&", 38, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//335
    { "const QPolygon&", 39, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//336
    { "const QPolygonF&", 40, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//337
    { "const QRect&", 42, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//338
    { "const QRectF&", 43, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//339
    { "const QRegExp&", 44, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//340
    { "const QSize&", 48, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//341
    { "const QStack<QRectF>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//342
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//343
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//344
    { "const QTime&", 54, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//345
    { "const QVector<QwtDoubleInterval>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//346
    { "const QVector<QwtDoublePoint>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//347
    { "const QVector<QwtEventPattern::KeyPattern>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//348
    { "const QVector<QwtEventPattern::MousePattern>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//349
    { "const QVector<double>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//350
    { "const QWidget*", 58, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//351
    { "const QwtAbstractScale&", 59, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//352
    { "const QwtAbstractScaleDraw&", 60, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//353
    { "const QwtAbstractScaleDraw*", 60, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//354
    { "const QwtAlphaColorMap&", 62, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//355
    { "const QwtArrayData&", 64, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//356
    { "const QwtCPointerData&", 66, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//357
    { "const QwtClipper&", 67, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//358
    { "const QwtColorMap&", 68, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//359
    { "const QwtCompassMagnetNeedle&", 70, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//360
    { "const QwtCompassRose&", 71, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//361
    { "const QwtCompassRose*", 71, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//362
    { "const QwtCompassWindArrow&", 72, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//363
    { "const QwtData&", 75, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//364
    { "const QwtDialNeedle&", 77, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//365
    { "const QwtDialNeedle*", 77, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//366
    { "const QwtDialScaleDraw&", 78, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//367
    { "const QwtDialScaleDraw*", 78, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//368
    { "const QwtDialSimpleNeedle&", 79, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//369
    { "const QwtDoubleInterval&", 80, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//370
    { "const QwtDoublePoint&", 38, Smoke::t_class|Smoke::tf_stack },	//371
    { "const QwtDoubleRange&", 81, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//372
    { "const QwtDoubleRect&", 43, Smoke::t_class|Smoke::tf_stack },	//373
    { "const QwtEventPattern&", 83, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//374
    { "const QwtEventPattern::KeyPattern&", 84, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//375
    { "const QwtEventPattern::MousePattern&", 85, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//376
    { "const QwtIntervalData&", 86, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//377
    { "const QwtLegend*", 88, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//378
    { "const QwtLegendItemManager&", 90, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//379
    { "const QwtLegendItemManager*", 90, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//380
    { "const QwtLinearColorMap&", 91, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//381
    { "const QwtLinearScaleEngine&", 92, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//382
    { "const QwtLog10ScaleEngine&", 93, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//383
    { "const QwtMetricsMap&", 95, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//384
    { "const QwtPainter&", 96, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//385
    { "const QwtPickerClickPointMachine&", 99, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//386
    { "const QwtPickerClickRectMachine&", 100, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//387
    { "const QwtPickerDragPointMachine&", 101, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//388
    { "const QwtPickerDragRectMachine&", 102, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//389
    { "const QwtPickerMachine&", 103, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//390
    { "const QwtPickerPolygonMachine&", 104, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//391
    { "const QwtPlainTextEngine&", 105, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//392
    { "const QwtPlot*", 106, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//393
    { "const QwtPlotCanvas*", 107, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//394
    { "const QwtPlotDict&", 109, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//395
    { "const QwtPlotLayout&", 112, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//396
    { "const QwtPlotLayout*", 112, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//397
    { "const QwtPlotPrintFilter&", 117, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//398
    { "const QwtPolygon&", 39, Smoke::t_class|Smoke::tf_stack },	//399
    { "const QwtPolygonFData&", 122, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//400
    { "const QwtRasterData&", 123, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//401
    { "const QwtRichTextEngine&", 124, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//402
    { "const QwtRoundScaleDraw&", 125, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//403
    { "const QwtRoundScaleDraw*", 125, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//404
    { "const QwtScaleArithmetic&", 126, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//405
    { "const QwtScaleDiv&", 127, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//406
    { "const QwtScaleDiv*", 127, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//407
    { "const QwtScaleDraw&", 128, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//408
    { "const QwtScaleDraw*", 128, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//409
    { "const QwtScaleEngine&", 129, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//410
    { "const QwtScaleEngine*", 129, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//411
    { "const QwtScaleMap&", 130, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//412
    { "const QwtScaleMap*", 130, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//413
    { "const QwtScaleTransformation&", 131, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//414
    { "const QwtScaleTransformation*", 131, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//415
    { "const QwtScaleWidget*", 132, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//416
    { "const QwtSimpleCompassRose&", 133, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//417
    { "const QwtSpline&", 135, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//418
    { "const QwtSymbol&", 137, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//419
    { "const QwtText&", 138, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//420
    { "const QwtTextEngine&", 139, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//421
    { "const QwtTextEngine*", 139, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//422
    { "const QwtTextLabel*", 140, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//423
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//424
    { "const double", 0, Smoke::t_double|Smoke::tf_stack|Smoke::tf_const },	//425
    { "const double*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//426
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//427
    { "double", 0, Smoke::t_double|Smoke::tf_stack },	//428
    { "double&", 0, Smoke::t_voidp|Smoke::tf_ref },	//429
    { "double*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//430
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//431
    { "int&", 0, Smoke::t_voidp|Smoke::tf_ref },	//432
    { "int*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//433
    { "size_t", 0, Smoke::t_ulong|Smoke::tf_stack },	//434
    { "unsigned char", 0, Smoke::t_uchar|Smoke::tf_stack },	//435
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//436
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//437
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//438
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//439
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    334, 0,	//1  const QPoint&
    20, 0,	//3  QKeyEvent*
    32, 0,	//5  QMouseEvent*
    12, 0,	//7  QEvent*
    67, 0,	//9  QTimerEvent*
    38, 0,	//11  QPaintEvent*
    425, 0,	//13  const double
    428, 0,	//15  double
    426, 431, 0,	//17  const double*, int
    334, 428, 428, 0,	//20  const QPoint&, double, double
    335, 428, 428, 0,	//24  const QPointF&, double, double
    77, 0,	//28  QWidget*
    4, 0,	//30  QChildEvent*
    431, 0,	//32  int
    34, 12, 0,	//34  QObject*, QEvent*
    424, 0,	//37  const char*
    31, 431, 438, 0,	//39  QMetaObject::Call, int, void**
    15, 0,	//43  QFocusEvent*
    313, 0,	//45  bool
    76, 0,	//47  QWheelEvent*
    33, 0,	//49  QMoveEvent*
    54, 0,	//51  QResizeEvent*
    5, 0,	//53  QCloseEvent*
    7, 0,	//55  QContextMenuEvent*
    64, 0,	//57  QTabletEvent*
    1, 0,	//59  QActionEvent*
    8, 0,	//61  QDragEnterEvent*
    10, 0,	//63  QDragMoveEvent*
    9, 0,	//65  QDragLeaveEvent*
    11, 0,	//67  QDropEvent*
    56, 0,	//69  QShowEvent*
    17, 0,	//71  QHideEvent*
    312, 0,	//73  _XEvent*
    36, 0,	//75  QPaintDevice::PaintDeviceMetric
    19, 0,	//77  QInputMethodEvent*
    112, 0,	//79  Qt::InputMethodQuery
    63, 0,	//81  QStyle&
    331, 0,	//83  const QPalette&
    319, 0,	//85  const QFont&
    428, 428, 428, 0,	//87  double, double, double
    370, 428, 0,	//91  const QwtDoubleInterval&, double
    406, 0,	//94  const QwtScaleDiv&
    282, 0,	//96  QwtScaleEngine*
    152, 0,	//98  QwtAbstractScaleDraw*
    352, 0,	//100  const QwtAbstractScale&
    428, 428, 0,	//102  double, double
    370, 0,	//105  const QwtDoubleInterval&
    353, 0,	//107  const QwtAbstractScaleDraw&
    287, 0,	//109  QwtScaleTransformation*
    153, 313, 0,	//111  QwtAbstractScaleDraw::ScaleComponent, bool
    153, 0,	//114  QwtAbstractScaleDraw::ScaleComponent
    278, 431, 0,	//116  QwtScaleDiv::TickType, int
    278, 0,	//119  QwtScaleDiv::TickType
    39, 331, 0,	//121  QPainter*, const QPalette&
    332, 319, 0,	//124  const QPen&, const QFont&
    39, 428, 431, 0,	//127  QPainter*, double, int
    39, 0,	//131  QPainter*
    39, 428, 0,	//133  QPainter*, double
    319, 428, 0,	//136  const QFont&, double
    424, 424, 0,	//139  const char*, const char*
    424, 424, 431, 0,	//142  const char*, const char*, int
    124, 77, 0,	//146  Qt::Orientation, QWidget*
    124, 0,	//149  Qt::Orientation
    334, 432, 432, 0,	//151  const QPoint&, int&, int&
    315, 0,	//155  const QColor&
    355, 0,	//157  const QwtAlphaColorMap&
    159, 184, 0,	//159  QwtAnalogClock::Hand, QwtDialNeedle*
    159, 0,	//162  QwtAnalogClock::Hand
    345, 0,	//164  const QTime&
    39, 334, 431, 428, 41, 0,	//166  QPainter*, const QPoint&, int, double, QPalette::ColorGroup
    39, 159, 334, 431, 428, 41, 0,	//172  QPainter*, QwtAnalogClock::Hand, const QPoint&, int, double, QPalette::ColorGroup
    350, 350, 0,	//179  const QVector<double>&, const QVector<double>&
    426, 426, 434, 0,	//182  const double*, const double*, size_t
    356, 0,	//186  const QwtArrayData&
    434, 0,	//188  size_t
    431, 82, 77, 0,	//190  int, Qt::ArrowType, QWidget*
    39, 338, 82, 0,	//194  QPainter*, const QRect&, Qt::ArrowType
    82, 341, 0,	//198  Qt::ArrowType, const QSize&
    431, 82, 0,	//201  int, Qt::ArrowType
    357, 0,	//204  const QwtCPointerData&
    338, 336, 0,	//206  const QRect&, const QPolygon&
    339, 337, 0,	//209  const QRectF&, const QPolygonF&
    339, 335, 428, 0,	//212  const QRectF&, const QPointF&, double
    358, 0,	//216  const QwtClipper&
    167, 0,	//218  QwtColorMap::Format
    359, 0,	//220  const QwtColorMap&
    171, 0,	//222  QwtCompassRose*
    324, 0,	//224  const QMap<double,QString>&
    39, 334, 431, 0,	//226  QPainter*, const QPoint&, int
    170, 315, 315, 0,	//230  QwtCompassMagnetNeedle::Style, const QColor&, const QColor&
    39, 331, 41, 334, 431, 428, 0,	//234  QPainter*, const QPalette&, QPalette::ColorGroup, const QPoint&, int, double
    39, 314, 431, 334, 431, 431, 428, 0,	//241  QPainter*, const QBrush&, int, const QPoint&, int, int, double
    360, 0,	//249  const QwtCompassMagnetNeedle&
    170, 0,	//251  QwtCompassMagnetNeedle::Style
    170, 315, 0,	//253  QwtCompassMagnetNeedle::Style, const QColor&
    39, 334, 431, 428, 0,	//256  QPainter*, const QPoint&, int, double
    361, 0,	//261  const QwtCompassRose&
    173, 315, 315, 0,	//263  QwtCompassWindArrow::Style, const QColor&, const QColor&
    363, 0,	//267  const QwtCompassWindArrow&
    173, 0,	//269  QwtCompassWindArrow::Style
    173, 315, 0,	//271  QwtCompassWindArrow::Style, const QColor&
    175, 431, 0,	//274  QwtCounter::Button, int
    175, 0,	//277  QwtCounter::Button
    337, 0,	//279  const QPolygonF&
    364, 0,	//281  const QwtData&
    183, 0,	//283  QwtDial::Shadow
    181, 0,	//285  QwtDial::Mode
    431, 431, 428, 0,	//287  int, int, double
    431, 431, 431, 431, 0,	//291  int, int, int, int
    180, 0,	//296  QwtDial::Direction
    184, 0,	//298  QwtDialNeedle*
    185, 0,	//300  QwtDialScaleDraw*
    39, 334, 431, 428, 428, 428, 0,	//302  QPainter*, const QPoint&, int, double, double, double
    431, 431, 0,	//309  int, int
    431, 431, 431, 0,	//312  int, int, int
    39, 334, 431, 314, 313, 0,	//316  QPainter*, const QPoint&, int, const QBrush&, bool
    365, 0,	//322  const QwtDialNeedle&
    179, 0,	//324  QwtDial*
    436, 0,	//326  unsigned int
    367, 0,	//328  const QwtDialScaleDraw&
    187, 313, 315, 315, 0,	//330  QwtDialSimpleNeedle::Style, bool, const QColor&, const QColor&
    39, 331, 41, 334, 431, 431, 428, 313, 0,	//335  QPainter*, const QPalette&, QPalette::ColorGroup, const QPoint&, int, int, double, bool
    369, 0,	//344  const QwtDialSimpleNeedle&
    187, 0,	//346  QwtDialSimpleNeedle::Style
    187, 313, 0,	//348  QwtDialSimpleNeedle::Style, bool
    187, 313, 315, 0,	//351  QwtDialSimpleNeedle::Style, bool, const QColor&
    428, 428, 431, 0,	//355  double, double, int
    428, 428, 428, 431, 0,	//359  double, double, double, int
    372, 0,	//364  const QwtDoubleRange&
    77, 431, 431, 0,	//366  QWidget*, int, int
    22, 0,	//370  QLayoutItem*
    14, 0,	//372  QFlags<Qt::Orientation>
    338, 436, 0,	//374  const QRect&, unsigned int
    338, 0,	//377  const QRect&
    436, 74, 74, 0,	//379  unsigned int, QVector<int>&, QVector<int>&
    338, 436, 74, 74, 0,	//383  const QRect&, unsigned int, QVector<int>&, QVector<int>&
    77, 431, 0,	//388  QWidget*, int
    436, 431, 431, 0,	//391  unsigned int, int, int
    349, 0,	//395  const QVector<QwtEventPattern::MousePattern>&
    348, 0,	//397  const QVector<QwtEventPattern::KeyPattern>&
    436, 328, 0,	//399  unsigned int, const QMouseEvent*
    436, 320, 0,	//402  unsigned int, const QKeyEvent*
    376, 328, 0,	//405  const QwtEventPattern::MousePattern&, const QMouseEvent*
    375, 320, 0,	//408  const QwtEventPattern::KeyPattern&, const QKeyEvent*
    374, 0,	//411  const QwtEventPattern&
    436, 431, 0,	//413  unsigned int, int
    346, 350, 0,	//416  const QVector<QwtDoubleInterval>&, const QVector<double>&
    377, 0,	//419  const QwtIntervalData&
    203, 0,	//421  QwtKnob::Symbol
    274, 0,	//423  QwtRoundScaleDraw*
    39, 338, 0,	//425  QPainter*, const QRect&
    39, 428, 315, 0,	//428  QPainter*, double, const QColor&
    205, 431, 0,	//432  QwtLegend::LegendDisplayPolicy, int
    206, 0,	//435  QwtLegend::LegendItemMode
    380, 77, 0,	//437  const QwtLegendItemManager*, QWidget*
    380, 0,	//440  const QwtLegendItemManager*
    351, 0,	//442  const QWidget*
    419, 332, 420, 77, 0,	//444  const QwtSymbol&, const QPen&, const QwtText&, QWidget*
    420, 0,	//449  const QwtText&
    419, 0,	//451  const QwtSymbol&
    332, 0,	//453  const QPen&
    419, 332, 420, 0,	//455  const QwtSymbol&, const QPen&, const QwtText&
    204, 0,	//459  QwtLegend*
    379, 0,	//461  const QwtLegendItemManager&
    315, 315, 167, 0,	//463  const QColor&, const QColor&, QwtColorMap::Format
    381, 0,	//467  const QwtLinearColorMap&
    212, 0,	//469  QwtLinearColorMap::Mode
    315, 315, 0,	//471  const QColor&, const QColor&
    428, 315, 0,	//474  double, const QColor&
    431, 429, 429, 429, 0,	//477  int, double&, double&, double&
    428, 428, 431, 431, 428, 0,	//482  double, double, int, int, double
    382, 0,	//488  const QwtLinearScaleEngine&
    428, 428, 431, 431, 0,	//490  double, double, int, int
    383, 0,	//495  const QwtLog10ScaleEngine&
    432, 432, 0,	//497  int&, int&
    329, 329, 0,	//500  const QPaintDevice*, const QPaintDevice*
    334, 330, 0,	//503  const QPoint&, const QPainter*
    341, 0,	//506  const QSize&
    338, 330, 0,	//508  const QRect&, const QPainter*
    336, 330, 0,	//511  const QPolygon&, const QPainter*
    325, 336, 0,	//514  const QMatrix&, const QPolygon&
    325, 338, 0,	//517  const QMatrix&, const QRect&
    384, 0,	//520  const QwtMetricsMap&
    336, 0,	//522  const QPolygon&
    39, 431, 431, 343, 0,	//524  QPainter*, int, int, const QString&
    39, 334, 343, 0,	//529  QPainter*, const QPoint&, const QString&
    39, 431, 431, 431, 431, 431, 343, 0,	//533  QPainter*, int, int, int, int, int, const QString&
    39, 338, 431, 343, 0,	//541  QPainter*, const QRect&, int, const QString&
    39, 338, 431, 65, 0,	//546  QPainter*, const QRect&, int, QTextDocument&
    39, 431, 431, 431, 431, 0,	//551  QPainter*, int, int, int, int
    39, 338, 314, 0,	//557  QPainter*, const QRect&, const QBrush&
    39, 338, 431, 431, 0,	//561  QPainter*, const QRect&, int, int
    39, 334, 334, 0,	//566  QPainter*, const QPoint&, const QPoint&
    39, 336, 0,	//570  QPainter*, const QPolygon&
    39, 431, 431, 0,	//573  QPainter*, int, int
    39, 338, 431, 331, 313, 0,	//577  QPainter*, const QRect&, int, const QPalette&, bool
    39, 77, 0,	//583  QPainter*, QWidget*
    39, 77, 338, 0,	//586  QPainter*, QWidget*, const QRect&
    39, 359, 370, 412, 124, 338, 0,	//590  QPainter*, const QwtColorMap&, const QwtDoubleInterval&, const QwtScaleMap&, Qt::Orientation, const QRect&
    385, 0,	//597  const QwtPainter&
    317, 0,	//599  const QCursor&
    431, 223, 220, 77, 0,	//601  int, QwtPicker::RubberBand, QwtPicker::DisplayMode, QWidget*
    223, 0,	//606  QwtPicker::RubberBand
    220, 0,	//608  QwtPicker::DisplayMode
    222, 0,	//610  QwtPicker::ResizeMode
    399, 0,	//612  const QwtPolygon&
    47, 0,	//614  QPolygon&
    318, 0,	//616  const QEvent*
    341, 341, 0,	//618  const QSize&, const QSize&
    374, 318, 0,	//621  const QwtEventPattern&, const QEvent*
    386, 0,	//624  const QwtPickerClickPointMachine&
    387, 0,	//626  const QwtPickerClickRectMachine&
    388, 0,	//628  const QwtPickerDragPointMachine&
    389, 0,	//630  const QwtPickerDragRectMachine&
    390, 0,	//632  const QwtPickerMachine&
    391, 0,	//634  const QwtPickerPolygonMachine&
    319, 431, 343, 431, 0,	//636  const QFont&, int, const QString&, int
    319, 431, 343, 0,	//641  const QFont&, int, const QString&
    343, 0,	//645  const QString&
    319, 343, 432, 432, 432, 432, 0,	//647  const QFont&, const QString&, int&, int&, int&, int&
    392, 0,	//654  const QwtPlainTextEngine&
    420, 77, 0,	//656  const QwtText&, QWidget*
    35, 398, 0,	//659  QPaintDevice&, const QwtPlotPrintFilter&
    39, 338, 398, 0,	//662  QPainter*, const QRect&, const QwtPlotPrintFilter&
    431, 428, 0,	//666  int, double
    431, 282, 0,	//669  int, QwtScaleEngine*
    431, 313, 0,	//672  int, bool
    431, 319, 0,	//675  int, const QFont&
    431, 428, 428, 428, 0,	//678  int, double, double, double
    431, 406, 0,	//683  int, const QwtScaleDiv&
    431, 280, 0,	//686  int, QwtScaleDraw*
    431, 13, 0,	//689  int, QFlags<Qt::AlignmentFlag>
    431, 343, 0,	//692  int, const QString&
    431, 420, 0,	//695  int, const QwtText&
    204, 236, 428, 0,	//698  QwtLegend*, QwtPlot::LegendPosition, double
    247, 0,	//702  QwtPlotItem*
    247, 313, 0,	//704  QwtPlotItem*, bool
    39, 338, 413, 398, 0,	//707  QPainter*, const QRect&, const QwtScaleMap*, const QwtPlotPrintFilter&
    39, 351, 338, 0,	//712  QPainter*, const QWidget*, const QRect&
    39, 431, 431, 431, 431, 338, 0,	//716  QPainter*, int, int, int, int, const QRect&
    39, 338, 338, 413, 398, 0,	//723  QPainter*, const QRect&, const QRect&, const QwtScaleMap*, const QwtPlotPrintFilter&
    35, 0,	//729  QPaintDevice&
    431, 428, 428, 0,	//731  int, double, double
    204, 236, 0,	//735  QwtLegend*, QwtPlot::LegendPosition
    234, 0,	//738  QwtPlot*
    238, 0,	//740  QwtPlotCanvas::FocusIndicator
    239, 313, 0,	//742  QwtPlotCanvas::PaintAttribute, bool
    239, 0,	//745  QwtPlotCanvas::PaintAttribute
    243, 0,	//747  QwtPlotCurve::CurveType
    244, 313, 0,	//749  QwtPlotCurve::PaintAttribute, bool
    244, 0,	//752  QwtPlotCurve::PaintAttribute
    426, 426, 431, 0,	//754  const double*, const double*, int
    334, 430, 0,	//758  const QPoint&, double*
    241, 313, 0,	//761  QwtPlotCurve::CurveAttribute, bool
    241, 0,	//764  QwtPlotCurve::CurveAttribute
    314, 0,	//766  const QBrush&
    242, 0,	//768  QwtPlotCurve::CurveStyle
    176, 0,	//770  QwtCurveFitter*
    39, 412, 412, 338, 0,	//772  QPainter*, const QwtScaleMap&, const QwtScaleMap&, const QRect&
    39, 412, 412, 431, 431, 0,	//777  QPainter*, const QwtScaleMap&, const QwtScaleMap&, int, int
    39, 431, 412, 412, 431, 431, 0,	//783  QPainter*, int, const QwtScaleMap&, const QwtScaleMap&, int, int
    39, 419, 412, 412, 431, 431, 0,	//790  QPainter*, const QwtSymbol&, const QwtScaleMap&, const QwtScaleMap&, int, int
    39, 412, 412, 47, 0,	//797  QPainter*, const QwtScaleMap&, const QwtScaleMap&, QPolygon&
    412, 412, 47, 0,	//802  const QwtScaleMap&, const QwtScaleMap&, QPolygon&
    395, 0,	//806  const QwtPlotDict&
    406, 406, 0,	//808  const QwtScaleDiv&, const QwtScaleDiv&
    248, 313, 0,	//811  QwtPlotItem::ItemAttribute, bool
    248, 0,	//814  QwtPlotItem::ItemAttribute
    249, 313, 0,	//816  QwtPlotItem::RenderHint, bool
    249, 0,	//819  QwtPlotItem::RenderHint
    412, 412, 0,	//821  const QwtScaleMap&, const QwtScaleMap&
    412, 412, 339, 0,	//824  const QwtScaleMap&, const QwtScaleMap&, const QRectF&
    412, 412, 338, 0,	//828  const QwtScaleMap&, const QwtScaleMap&, const QRect&
    236, 428, 0,	//832  QwtPlot::LegendPosition, double
    236, 0,	//835  QwtPlot::LegendPosition
    393, 0,	//837  const QwtPlot*
    393, 338, 431, 0,	//839  const QwtPlot*, const QRect&, int
    431, 338, 0,	//843  int, const QRect&
    338, 338, 0,	//846  const QRect&, const QRect&
    431, 338, 432, 433, 0,	//849  int, const QRect&, int&, int*
    431, 50, 51, 0,	//854  int, QRect&, QRect*
    396, 0,	//858  const QwtPlotLayout&
    393, 338, 0,	//860  const QwtPlot*, const QRect&
    237, 0,	//863  QwtPlotCanvas*
    335, 0,	//865  const QPointF&
    255, 0,	//867  QwtPlotMarker::LineStyle
    13, 0,	//869  QFlags<Qt::AlignmentFlag>
    39, 338, 334, 0,	//871  QPainter*, const QRect&, const QPoint&
    431, 431, 237, 0,	//875  int, int, QwtPlotCanvas*
    431, 431, 431, 223, 220, 237, 0,	//879  int, int, int, QwtPicker::RubberBand, QwtPicker::DisplayMode, QwtPlotCanvas*
    371, 0,	//886  const QwtDoublePoint&
    373, 0,	//888  const QwtDoubleRect&
    347, 0,	//890  const QVector<QwtDoublePoint>&
    339, 0,	//892  const QRectF&
    315, 259, 0,	//894  const QColor&, QwtPlotPrintFilter::Item
    319, 259, 0,	//897  const QFont&, QwtPlotPrintFilter::Item
    398, 0,	//900  const QwtPlotPrintFilter&
    262, 0,	//902  QwtPlotRasterItem::CachePolicy
    281, 425, 0,	//904  QwtScaleDraw::Alignment, const double
    280, 0,	//907  QwtScaleDraw*
    281, 0,	//909  QwtScaleDraw::Alignment
    265, 313, 0,	//911  QwtPlotSpectrogram::DisplayMode, bool
    265, 0,	//914  QwtPlotSpectrogram::DisplayMode
    401, 0,	//916  const QwtRasterData&
    271, 313, 0,	//918  QwtRasterData::ConrecAttribute, bool
    271, 0,	//921  QwtRasterData::ConrecAttribute
    322, 0,	//923  const QList<double>&
    339, 338, 0,	//925  const QRectF&, const QRect&
    339, 341, 0,	//928  const QRectF&, const QSize&
    39, 412, 412, 323, 0,	//931  QPainter*, const QwtScaleMap&, const QwtScaleMap&, const QMap<double,QPolygonF>&
    237, 313, 0,	//936  QwtPlotCanvas*, bool
    431, 431, 237, 313, 0,	//939  int, int, QwtPlotCanvas*, bool
    431, 431, 431, 220, 237, 313, 0,	//944  int, int, int, QwtPicker::DisplayMode, QwtPlotCanvas*, bool
    342, 431, 0,	//951  const QStack<QRectF>&, int
    431, 431, 431, 220, 237, 0,	//954  int, int, int, QwtPicker::DisplayMode, QwtPlotCanvas*
    342, 0,	//960  const QStack<QRectF>&
    400, 0,	//962  const QwtPolygonFData&
    339, 341, 322, 431, 0,	//964  const QRectF&, const QSize&, const QList<double>&, int
    402, 0,	//969  const QwtRichTextEngine&
    403, 0,	//971  const QwtRoundScaleDraw&
    405, 0,	//973  const QwtScaleArithmetic&
    370, 27, 0,	//975  const QwtDoubleInterval&, QList<double>*
    428, 428, 27, 0,	//978  double, double, QList<double>*
    431, 322, 0,	//982  int, const QList<double>&
    408, 0,	//985  const QwtScaleDraw&
    319, 432, 432, 0,	//987  const QFont&, int&, int&
    334, 341, 0,	//991  const QPoint&, const QSize&
    283, 313, 0,	//994  QwtScaleEngine::Attribute, bool
    283, 0,	//997  QwtScaleEngine::Attribute
    322, 370, 0,	//999  const QList<double>&, const QwtDoubleInterval&
    428, 431, 0,	//1002  double, int
    410, 0,	//1005  const QwtScaleEngine&
    412, 0,	//1007  const QwtScaleMap&
    288, 0,	//1009  QwtScaleTransformation::Type
    428, 428, 428, 428, 428, 0,	//1011  double, double, double, double, double
    414, 0,	//1017  const QwtScaleTransformation&
    281, 77, 0,	//1019  QwtScaleDraw::Alignment, QWidget*
    287, 406, 0,	//1022  QwtScaleTransformation*, const QwtScaleDiv&
    370, 359, 0,	//1025  const QwtDoubleInterval&, const QwtColorMap&
    39, 281, 338, 0,	//1028  QPainter*, QwtScaleDraw::Alignment, const QRect&
    39, 331, 334, 431, 428, 428, 431, 431, 428, 0,	//1032  QPainter*, const QPalette&, const QPoint&, int, double, double, int, int, double
    417, 0,	//1042  const QwtSimpleCompassRose&
    77, 124, 293, 292, 0,	//1044  QWidget*, Qt::Orientation, QwtSlider::ScalePos, QwtSlider::BGSTYLE
    292, 0,	//1049  QwtSlider::BGSTYLE
    293, 0,	//1051  QwtSlider::ScalePos
    39, 338, 431, 0,	//1053  QPainter*, const QRect&, int
    77, 124, 0,	//1057  QWidget*, Qt::Orientation
    77, 124, 293, 0,	//1060  QWidget*, Qt::Orientation, QwtSlider::ScalePos
    418, 0,	//1064  const QwtSpline&
    296, 0,	//1066  QwtSpline::SplineType
    298, 0,	//1068  QwtSplineCurveFitter::FitMode
    300, 314, 332, 341, 0,	//1070  QwtSymbol::Style, const QBrush&, const QPen&, const QSize&
    300, 0,	//1075  QwtSymbol::Style
    39, 334, 0,	//1077  QPainter*, const QPoint&
    343, 306, 0,	//1080  const QString&, QwtText::TextFormat
    305, 313, 0,	//1083  QwtText::PaintAttribute, bool
    305, 0,	//1086  QwtText::PaintAttribute
    304, 313, 0,	//1088  QwtText::LayoutAttribute, bool
    304, 0,	//1091  QwtText::LayoutAttribute
    306, 0,	//1093  QwtText::TextFormat
    306, 307, 0,	//1095  QwtText::TextFormat, QwtTextEngine*
    421, 0,	//1098  const QwtTextEngine&
    124, 310, 0,	//1100  Qt::Orientation, QwtThermo::ScalePos
    310, 0,	//1103  QwtThermo::ScalePos
    428, 428, 313, 0,	//1105  double, double, bool
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "ActiveOnly",	//1
    "AlignScales",	//2
    "AlwaysOff",	//3
    "AlwaysOn",	//4
    "Append",	//5
    "Arrow",	//6
    "Auto",	//7
    "AutoIdentifier",	//8
    "AutoScale",	//9
    "AutoText",	//10
    "AxisScale",	//11
    "AxisTitle",	//12
    "Backbone",	//13
    "Begin",	//14
    "BgBoth",	//15
    "BgSlot",	//16
    "BgTrough",	//17
    "BottomLegend",	//18
    "BottomScale",	//19
    "Box",	//20
    "Button1",	//21
    "Button2",	//22
    "Button3",	//23
    "ButtonCnt",	//24
    "CanvasBackground",	//25
    "CanvasFocusIndicator",	//26
    "CenterToCorner",	//27
    "CenterToRadius",	//28
    "CheckableItem",	//29
    "ClickSelection",	//30
    "ClickableItem",	//31
    "ClipPolygons",	//32
    "Clockwise",	//33
    "ContourMode",	//34
    "CornerToCorner",	//35
    "CounterClockwise",	//36
    "Cross",	//37
    "CrossRubberBand",	//38
    "Curve",	//39
    "CurveSymbol",	//40
    "DTriangle",	//41
    "Diamond",	//42
    "Dot",	//43
    "Dots",	//44
    "DragSelection",	//45
    "DrawChildren",	//46
    "DrawWindowBackground",	//47
    "Ellipse",	//48
    "EllipseRubberBand",	//49
    "End",	//50
    "ExcludeBorders",	//51
    "ExcludeMaximum",	//52
    "ExcludeMinimum",	//53
    "ExternalLegend",	//54
    "Fitted",	//55
    "FixedColors",	//56
    "FixedIdentifier",	//57
    "Floating",	//58
    "HLine",	//59
    "HLineRubberBand",	//60
    "Hexagon",	//61
    "HourHand",	//62
    "IgnoreAllVerticesOnLevel",	//63
    "IgnoreFrames",	//64
    "IgnoreLegend",	//65
    "IgnoreMargin",	//66
    "IgnoreMask",	//67
    "IgnoreOutOfRange",	//68
    "IgnoreScrollbars",	//69
    "ImageMode",	//70
    "IncludeBorders",	//71
    "IncludeReference",	//72
    "Indexed",	//73
    "Inverted",	//74
    "ItemFocusIndicator",	//75
    "KeepSize",	//76
    "KeyAbort",	//77
    "KeyDown",	//78
    "KeyHome",	//79
    "KeyLeft",	//80
    "KeyPatternCount",	//81
    "KeyRedo",	//82
    "KeyRight",	//83
    "KeySelect1",	//84
    "KeySelect2",	//85
    "KeyUndo",	//86
    "KeyUp",	//87
    "LTriangle",	//88
    "Labels",	//89
    "LeftLegend",	//90
    "LeftScale",	//91
    "Legend",	//92
    "Line",	//93
    "Linear",	//94
    "Lines",	//95
    "Log10",	//96
    "LogMax",	//97
    "LogMin",	//98
    "MajorGrid",	//99
    "MajorTick",	//100
    "Marker",	//101
    "MarkerSymbol",	//102
    "MathMLText",	//103
    "MediumTick",	//104
    "MinimumLayout",	//105
    "MinorGrid",	//106
    "MinorTick",	//107
    "MinuteHand",	//108
    "MousePatternCount",	//109
    "MouseSelect1",	//110
    "MouseSelect2",	//111
    "MouseSelect3",	//112
    "MouseSelect4",	//113
    "MouseSelect5",	//114
    "MouseSelect6",	//115
    "Move",	//116
    "NHands",	//117
    "NTickTypes",	//118
    "Natural",	//119
    "NoAttribute",	//120
    "NoCache",	//121
    "NoCurve",	//122
    "NoFocusIndicator",	//123
    "NoFrame",	//124
    "NoIdentifier",	//125
    "NoLine",	//126
    "NoRubberBand",	//127
    "NoScale",	//128
    "NoSelection",	//129
    "NoSymbol",	//130
    "NoTick",	//131
    "Other",	//132
    "OtherFormat",	//133
    "PaintBackground",	//134
    "PaintCache",	//135
    "PaintCached",	//136
    "PaintFiltered",	//137
    "PaintPacked",	//138
    "PaintUsingTextColor",	//139
    "PaintUsingTextFont",	//140
    "Panel",	//141
    "ParametricSpline",	//142
    "Periodic",	//143
    "Plain",	//144
    "PlainText",	//145
    "PointSelection",	//146
    "PolygonRubberBand",	//147
    "PolygonSelection",	//148
    "PrintAll",	//149
    "PrintBackground",	//150
    "PrintFrameWithScales",	//151
    "PrintGrid",	//152
    "PrintLegend",	//153
    "PrintMargin",	//154
    "PrintTitle",	//155
    "QwtAbstractScale",	//156
    "QwtAbstractScale#",	//157
    "QwtAbstractScaleDraw",	//158
    "QwtAbstractScaleDraw#",	//159
    "QwtAbstractSlider",	//160
    "QwtAbstractSlider$",	//161
    "QwtAbstractSlider$#",	//162
    "QwtAlphaColorMap",	//163
    "QwtAlphaColorMap#",	//164
    "QwtAnalogClock",	//165
    "QwtAnalogClock#",	//166
    "QwtArrayData",	//167
    "QwtArrayData#",	//168
    "QwtArrayData$$$",	//169
    "QwtArrayData??",	//170
    "QwtArrowButton",	//171
    "QwtArrowButton$$",	//172
    "QwtArrowButton$$#",	//173
    "QwtCPointerData",	//174
    "QwtCPointerData#",	//175
    "QwtCPointerData$$$",	//176
    "QwtClipper",	//177
    "QwtClipper#",	//178
    "QwtColorMap",	//179
    "QwtColorMap#",	//180
    "QwtColorMap$",	//181
    "QwtCompass",	//182
    "QwtCompass#",	//183
    "QwtCompassMagnetNeedle",	//184
    "QwtCompassMagnetNeedle#",	//185
    "QwtCompassMagnetNeedle$",	//186
    "QwtCompassMagnetNeedle$#",	//187
    "QwtCompassMagnetNeedle$##",	//188
    "QwtCompassRose",	//189
    "QwtCompassRose#",	//190
    "QwtCompassWindArrow",	//191
    "QwtCompassWindArrow#",	//192
    "QwtCompassWindArrow$",	//193
    "QwtCompassWindArrow$#",	//194
    "QwtCompassWindArrow$##",	//195
    "QwtCounter",	//196
    "QwtCounter#",	//197
    "QwtCurveFitter",	//198
    "QwtData",	//199
    "QwtData#",	//200
    "QwtDial",	//201
    "QwtDial#",	//202
    "QwtDialNeedle",	//203
    "QwtDialNeedle#",	//204
    "QwtDialScaleDraw",	//205
    "QwtDialScaleDraw#",	//206
    "QwtDialSimpleNeedle",	//207
    "QwtDialSimpleNeedle#",	//208
    "QwtDialSimpleNeedle$",	//209
    "QwtDialSimpleNeedle$$",	//210
    "QwtDialSimpleNeedle$$#",	//211
    "QwtDialSimpleNeedle$$##",	//212
    "QwtDoubleInterval",	//213
    "QwtDoubleInterval#",	//214
    "QwtDoubleInterval$$",	//215
    "QwtDoubleInterval$$$",	//216
    "QwtDoubleRange",	//217
    "QwtDoubleRange#",	//218
    "QwtDynGridLayout",	//219
    "QwtDynGridLayout#",	//220
    "QwtDynGridLayout#$",	//221
    "QwtDynGridLayout#$$",	//222
    "QwtDynGridLayout$",	//223
    "QwtEventPattern",	//224
    "QwtEventPattern#",	//225
    "QwtIntervalData",	//226
    "QwtIntervalData#",	//227
    "QwtIntervalData??",	//228
    "QwtKnob",	//229
    "QwtKnob#",	//230
    "QwtLegend",	//231
    "QwtLegend#",	//232
    "QwtLegendItem",	//233
    "QwtLegendItem#",	//234
    "QwtLegendItem###",	//235
    "QwtLegendItem####",	//236
    "QwtLegendItemManager",	//237
    "QwtLegendItemManager#",	//238
    "QwtLinearColorMap",	//239
    "QwtLinearColorMap#",	//240
    "QwtLinearColorMap##",	//241
    "QwtLinearColorMap##$",	//242
    "QwtLinearColorMap$",	//243
    "QwtLinearScaleEngine",	//244
    "QwtLinearScaleEngine#",	//245
    "QwtLog10ScaleEngine",	//246
    "QwtLog10ScaleEngine#",	//247
    "QwtMagnifier",	//248
    "QwtMagnifier#",	//249
    "QwtMetricsMap",	//250
    "QwtMetricsMap#",	//251
    "QwtPainter",	//252
    "QwtPainter#",	//253
    "QwtPanner",	//254
    "QwtPanner#",	//255
    "QwtPicker",	//256
    "QwtPicker#",	//257
    "QwtPicker$$$#",	//258
    "QwtPickerClickPointMachine",	//259
    "QwtPickerClickPointMachine#",	//260
    "QwtPickerClickRectMachine",	//261
    "QwtPickerClickRectMachine#",	//262
    "QwtPickerDragPointMachine",	//263
    "QwtPickerDragPointMachine#",	//264
    "QwtPickerDragRectMachine",	//265
    "QwtPickerDragRectMachine#",	//266
    "QwtPickerMachine",	//267
    "QwtPickerMachine#",	//268
    "QwtPickerPolygonMachine",	//269
    "QwtPickerPolygonMachine#",	//270
    "QwtPlainTextEngine",	//271
    "QwtPlainTextEngine#",	//272
    "QwtPlot",	//273
    "QwtPlot#",	//274
    "QwtPlot##",	//275
    "QwtPlotCanvas",	//276
    "QwtPlotCanvas#",	//277
    "QwtPlotCurve",	//278
    "QwtPlotCurve#",	//279
    "QwtPlotCurve$",	//280
    "QwtPlotDict",	//281
    "QwtPlotDict#",	//282
    "QwtPlotGrid",	//283
    "QwtPlotItem",	//284
    "QwtPlotItem#",	//285
    "QwtPlotLayout",	//286
    "QwtPlotLayout#",	//287
    "QwtPlotMagnifier",	//288
    "QwtPlotMagnifier#",	//289
    "QwtPlotMarker",	//290
    "QwtPlotPanner",	//291
    "QwtPlotPanner#",	//292
    "QwtPlotPicker",	//293
    "QwtPlotPicker#",	//294
    "QwtPlotPicker$$#",	//295
    "QwtPlotPicker$$$$$#",	//296
    "QwtPlotPrintFilter",	//297
    "QwtPlotPrintFilter#",	//298
    "QwtPlotRasterItem",	//299
    "QwtPlotRasterItem#",	//300
    "QwtPlotRasterItem$",	//301
    "QwtPlotScaleItem",	//302
    "QwtPlotScaleItem$",	//303
    "QwtPlotScaleItem$$",	//304
    "QwtPlotSpectrogram",	//305
    "QwtPlotSpectrogram$",	//306
    "QwtPlotZoomer",	//307
    "QwtPlotZoomer#",	//308
    "QwtPlotZoomer#$",	//309
    "QwtPlotZoomer$$#",	//310
    "QwtPlotZoomer$$#$",	//311
    "QwtPlotZoomer$$$$#",	//312
    "QwtPlotZoomer$$$$#$",	//313
    "QwtPolygonFData",	//314
    "QwtPolygonFData#",	//315
    "QwtRasterData",	//316
    "QwtRasterData#",	//317
    "QwtRichTextEngine",	//318
    "QwtRichTextEngine#",	//319
    "QwtRoundScaleDraw",	//320
    "QwtRoundScaleDraw#",	//321
    "QwtScaleArithmetic",	//322
    "QwtScaleArithmetic#",	//323
    "QwtScaleDiv",	//324
    "QwtScaleDiv#",	//325
    "QwtScaleDiv#?",	//326
    "QwtScaleDiv$$?",	//327
    "QwtScaleDraw",	//328
    "QwtScaleDraw#",	//329
    "QwtScaleEngine",	//330
    "QwtScaleEngine#",	//331
    "QwtScaleMap",	//332
    "QwtScaleMap#",	//333
    "QwtScaleTransformation",	//334
    "QwtScaleTransformation#",	//335
    "QwtScaleTransformation$",	//336
    "QwtScaleWidget",	//337
    "QwtScaleWidget#",	//338
    "QwtScaleWidget$",	//339
    "QwtScaleWidget$#",	//340
    "QwtSimpleCompassRose",	//341
    "QwtSimpleCompassRose#",	//342
    "QwtSimpleCompassRose$",	//343
    "QwtSimpleCompassRose$$",	//344
    "QwtSlider",	//345
    "QwtSlider#",	//346
    "QwtSlider#$",	//347
    "QwtSlider#$$",	//348
    "QwtSlider#$$$",	//349
    "QwtSpline",	//350
    "QwtSpline#",	//351
    "QwtSplineCurveFitter",	//352
    "QwtSymbol",	//353
    "QwtSymbol#",	//354
    "QwtSymbol$###",	//355
    "QwtText",	//356
    "QwtText#",	//357
    "QwtText$",	//358
    "QwtText$$",	//359
    "QwtTextEngine",	//360
    "QwtTextEngine#",	//361
    "QwtTextLabel",	//362
    "QwtTextLabel#",	//363
    "QwtTextLabel##",	//364
    "QwtThermo",	//365
    "QwtThermo#",	//366
    "QwtWheel",	//367
    "QwtWheel#",	//368
    "RGB",	//369
    "RTriangle",	//370
    "Raised",	//371
    "Ray",	//372
    "ReadOnlyItem",	//373
    "Rect",	//374
    "RectRubberBand",	//375
    "RectSelection",	//376
    "RenderAntialiased",	//377
    "RichText",	//378
    "RightLegend",	//379
    "RightScale",	//380
    "RotateNeedle",	//381
    "RotateScale",	//382
    "Rtti_PlotCurve",	//383
    "Rtti_PlotGrid",	//384
    "Rtti_PlotHistogram",	//385
    "Rtti_PlotItem",	//386
    "Rtti_PlotMarker",	//387
    "Rtti_PlotSVG",	//388
    "Rtti_PlotScale",	//389
    "Rtti_PlotSpectrogram",	//390
    "Rtti_PlotUserItem",	//391
    "ScaleBackbone",	//392
    "ScaleLabel",	//393
    "ScaleTicks",	//394
    "ScaledColors",	//395
    "ScrDirect",	//396
    "ScrMouse",	//397
    "ScrNone",	//398
    "ScrPage",	//399
    "ScrTimer",	//400
    "ScreenCache",	//401
    "SecondHand",	//402
    "SetDefaultConstraint",	//403
    "SetFixedSize",	//404
    "SetMaximumSize",	//405
    "SetMinAndMaxSize",	//406
    "SetMinimumSize",	//407
    "SetNoConstraint",	//408
    "Shadow_Mask",	//409
    "Shape_Mask",	//410
    "ShowLine",	//411
    "ShowSymbol",	//412
    "ShowText",	//413
    "Spline",	//414
    "Star1",	//415
    "Star2",	//416
    "Steps",	//417
    "Sticks",	//418
    "Stretch",	//419
    "Style1",	//420
    "Style2",	//421
    "StyleCnt",	//422
    "StyledPanel",	//423
    "Sunken",	//424
    "Symmetric",	//425
    "TeXText",	//426
    "ThinStyle",	//427
    "Ticks",	//428
    "Title",	//429
    "TopLegend",	//430
    "TopScale",	//431
    "Triangle",	//432
    "TriangleStyle",	//433
    "UTriangle",	//434
    "UserCurve",	//435
    "UserRubberBand",	//436
    "VLine",	//437
    "VLineRubberBand",	//438
    "WidgetBackground",	//439
    "WinPanel",	//440
    "XCross",	//441
    "Xfy",	//442
    "Yfx",	//443
    "abstractScaleDraw",	//444
    "accept",	//445
    "accept#",	//446
    "actionEvent",	//447
    "activate",	//448
    "activate##",	//449
    "activate##$",	//450
    "addColorStop",	//451
    "addColorStop$#",	//452
    "addItem",	//453
    "addItem#",	//454
    "alarmBrush",	//455
    "alarmColor",	//456
    "alarmEnabled",	//457
    "alarmLevel",	//458
    "align",	//459
    "align#$",	//460
    "alignCanvasToScales",	//461
    "alignLegend",	//462
    "alignLegend##",	//463
    "alignScales",	//464
    "alignScales$##",	//465
    "alignment",	//466
    "alpha",	//467
    "append",	//468
    "append#",	//469
    "appended",	//470
    "appended#",	//471
    "apply",	//472
    "apply#",	//473
    "applyProperties",	//474
    "applyProperties$",	//475
    "arrowSize",	//476
    "arrowSize$#",	//477
    "arrowType",	//478
    "attach",	//479
    "attach#",	//480
    "attributes",	//481
    "autoDelete",	//482
    "autoRefresh",	//483
    "autoReplot",	//484
    "autoScale",	//485
    "autoScale$$$$",	//486
    "axisAutoScale",	//487
    "axisAutoScale$",	//488
    "axisCnt",	//489
    "axisEnabled",	//490
    "axisEnabled$",	//491
    "axisFont",	//492
    "axisFont$",	//493
    "axisMaxMajor",	//494
    "axisMaxMajor$",	//495
    "axisMaxMinor",	//496
    "axisMaxMinor$",	//497
    "axisScaleDiv",	//498
    "axisScaleDiv$",	//499
    "axisScaleDraw",	//500
    "axisScaleDraw$",	//501
    "axisScaleEngine",	//502
    "axisScaleEngine$",	//503
    "axisStepSize",	//504
    "axisStepSize$",	//505
    "axisTitle",	//506
    "axisTitle$",	//507
    "axisValid",	//508
    "axisValid$",	//509
    "axisWidget",	//510
    "axisWidget$",	//511
    "backgroundBrush",	//512
    "backgroundPen",	//513
    "baseline",	//514
    "begin",	//515
    "bgStyle",	//516
    "borderDistance",	//517
    "borderFlags",	//518
    "borderWidth",	//519
    "boundingLabelRect",	//520
    "boundingLabelRect#$",	//521
    "boundingRect",	//522
    "brush",	//523
    "buildInterval",	//524
    "buildInterval$",	//525
    "buildNaturalSpline",	//526
    "buildNaturalSpline#",	//527
    "buildPeriodicSpline",	//528
    "buildPeriodicSpline#",	//529
    "buttonReleased",	//530
    "buttonReleased$",	//531
    "cachePolicy",	//532
    "canvas",	//533
    "canvasBackground",	//534
    "canvasLineWidth",	//535
    "canvasMap",	//536
    "canvasMap$",	//537
    "canvasMargin",	//538
    "canvasMargin$",	//539
    "canvasRect",	//540
    "ceil125",	//541
    "ceil125$",	//542
    "ceilEps",	//543
    "ceilEps$$",	//544
    "center",	//545
    "changeEvent",	//546
    "changed",	//547
    "changed#",	//548
    "checkStateSet",	//549
    "checked",	//550
    "checked$",	//551
    "childEvent",	//552
    "clear",	//553
    "clicked",	//554
    "clipCircle",	//555
    "clipCircle##$",	//556
    "clipPolygon",	//557
    "clipPolygon##",	//558
    "clipPolygonF",	//559
    "clipPolygonF##",	//560
    "clone",	//561
    "closeEvent",	//562
    "closePolyline",	//563
    "closePolyline###",	//564
    "closestPoint",	//565
    "closestPoint#",	//566
    "closestPoint#$",	//567
    "coefficientsA",	//568
    "coefficientsB",	//569
    "coefficientsC",	//570
    "color",	//571
    "color#$",	//572
    "color1",	//573
    "color2",	//574
    "colorBarInterval",	//575
    "colorBarRect",	//576
    "colorBarRect#",	//577
    "colorBarWidth",	//578
    "colorIndex",	//579
    "colorIndex#$",	//580
    "colorMap",	//581
    "colorStops",	//582
    "colorTable",	//583
    "colorTable#",	//584
    "columnsForWidth",	//585
    "columnsForWidth$",	//586
    "compareEps",	//587
    "compareEps$$$",	//588
    "connectNotify",	//589
    "contains",	//590
    "contains#$",	//591
    "contains$",	//592
    "contentsRect",	//593
    "contentsWidget",	//594
    "contextMenuEvent",	//595
    "contourLevels",	//596
    "contourLines",	//597
    "contourLines##?$",	//598
    "contourPen",	//599
    "contourPen$",	//600
    "contourRasterSize",	//601
    "contourRasterSize##",	//602
    "copy",	//603
    "count",	//604
    "cursor",	//605
    "curveFitter",	//606
    "curvePen",	//607
    "curveType",	//608
    "customEvent",	//609
    "data",	//610
    "dataSize",	//611
    "defaultContourPen",	//612
    "detach",	//613
    "detachItems",	//614
    "detachItems$",	//615
    "detachItems$$",	//616
    "devType",	//617
    "deviceClipRect",	//618
    "deviceClipping",	//619
    "deviceToLayout",	//620
    "deviceToLayout#",	//621
    "deviceToLayout##",	//622
    "deviceToLayoutX",	//623
    "deviceToLayoutX$",	//624
    "deviceToLayoutY",	//625
    "deviceToLayoutY$",	//626
    "dimForLength",	//627
    "dimForLength$#",	//628
    "direction",	//629
    "discardRaster",	//630
    "disconnectNotify",	//631
    "displayPolicy",	//632
    "divideEps",	//633
    "divideEps$$",	//634
    "divideInterval",	//635
    "divideInterval$$",	//636
    "divideScale",	//637
    "divideScale$$$$",	//638
    "divideScale$$$$$",	//639
    "dragEnterEvent",	//640
    "dragLeaveEvent",	//641
    "dragMoveEvent",	//642
    "draw",	//643
    "draw#",	//644
    "draw##",	//645
    "draw####",	//646
    "draw###$$",	//647
    "draw##$$",	//648
    "draw##$$$",	//649
    "draw#$$",	//650
    "draw$$",	//651
    "drawArrow",	//652
    "drawArrow##$",	//653
    "drawArrowNeedle",	//654
    "drawArrowNeedle##$#$$$$",	//655
    "drawAt",	//656
    "drawAt###",	//657
    "drawBackbone",	//658
    "drawBackbone#",	//659
    "drawButtonLabel",	//660
    "drawButtonLabel#",	//661
    "drawCanvas",	//662
    "drawCanvas#",	//663
    "drawColorBar",	//664
    "drawColorBar##",	//665
    "drawColorBar####$#",	//666
    "drawContents",	//667
    "drawContents#",	//668
    "drawContourLines",	//669
    "drawContourLines###?",	//670
    "drawCurve",	//671
    "drawCurve#$##$$",	//672
    "drawDots",	//673
    "drawDots###$$",	//674
    "drawEllipse",	//675
    "drawEllipse##",	//676
    "drawFocusIndicator",	//677
    "drawFocusIndicator#",	//678
    "drawFocusRect",	//679
    "drawFocusRect##",	//680
    "drawFocusRect###",	//681
    "drawFrame",	//682
    "drawFrame#",	//683
    "drawHand",	//684
    "drawHand#$#$$$",	//685
    "drawIdentifier",	//686
    "drawIdentifier##",	//687
    "drawItem",	//688
    "drawItem##",	//689
    "drawItems",	//690
    "drawItems####",	//691
    "drawKnob",	//692
    "drawKnob##",	//693
    "drawKnob##$#$",	//694
    "drawLabel",	//695
    "drawLabel#$",	//696
    "drawLine",	//697
    "drawLine###",	//698
    "drawLine#$$$$",	//699
    "drawLines",	//700
    "drawLines###$$",	//701
    "drawMarker",	//702
    "drawMarker#$#",	//703
    "drawNeedle",	//704
    "drawNeedle##$$$",	//705
    "drawPie",	//706
    "drawPie##$$",	//707
    "drawPoint",	//708
    "drawPoint#$$",	//709
    "drawPointer",	//710
    "drawPointer##$#$$$",	//711
    "drawPolygon",	//712
    "drawPolygon##",	//713
    "drawPolyline",	//714
    "drawPolyline##",	//715
    "drawRayNeedle",	//716
    "drawRayNeedle##$#$$$$",	//717
    "drawRect",	//718
    "drawRect##",	//719
    "drawRect#$$$$",	//720
    "drawRose",	//721
    "drawRose###$$$$$$",	//722
    "drawRose##$$$",	//723
    "drawRoundFrame",	//724
    "drawRoundFrame##$#$",	//725
    "drawRubberBand",	//726
    "drawRubberBand#",	//727
    "drawScale",	//728
    "drawScale##$$$$",	//729
    "drawScaleContents",	//730
    "drawScaleContents##$",	//731
    "drawSimpleRichText",	//732
    "drawSimpleRichText##$#",	//733
    "drawSlider",	//734
    "drawSlider##",	//735
    "drawSteps",	//736
    "drawSteps###$$",	//737
    "drawSticks",	//738
    "drawSticks###$$",	//739
    "drawStyle1Needle",	//740
    "drawStyle1Needle##$#$$",	//741
    "drawStyle2Needle",	//742
    "drawStyle2Needle##$#$$",	//743
    "drawSymbols",	//744
    "drawSymbols####$$",	//745
    "drawText",	//746
    "drawText##",	//747
    "drawText##$",	//748
    "drawText##$$",	//749
    "drawText#$$$",	//750
    "drawText#$$$$$$",	//751
    "drawThermo",	//752
    "drawThermo#",	//753
    "drawThinNeedle",	//754
    "drawThinNeedle##$#$$",	//755
    "drawThumb",	//756
    "drawThumb##$",	//757
    "drawTick",	//758
    "drawTick#$$",	//759
    "drawTitle",	//760
    "drawTitle#$#",	//761
    "drawTracker",	//762
    "drawTracker#",	//763
    "drawTriangleNeedle",	//764
    "drawTriangleNeedle##$#$$",	//765
    "drawWheel",	//766
    "drawWheel##",	//767
    "drawWheelBackground",	//768
    "drawWheelBackground##",	//769
    "dropEvent",	//770
    "editable",	//771
    "enableAxis",	//772
    "enableAxis$",	//773
    "enableAxis$$",	//774
    "enableComponent",	//775
    "enableComponent$",	//776
    "enableComponent$$",	//777
    "enableX",	//778
    "enableX$",	//779
    "enableXMin",	//780
    "enableXMin$",	//781
    "enableY",	//782
    "enableY$",	//783
    "enableYMin",	//784
    "enableYMin$",	//785
    "enabledChange",	//786
    "end",	//787
    "end$",	//788
    "endBorderDist",	//789
    "enterEvent",	//790
    "event",	//791
    "event#",	//792
    "eventFilter",	//793
    "eventFilter##",	//794
    "exactPrevValue",	//795
    "exactValue",	//796
    "expandLineBreaks",	//797
    "expandLineBreaks$#$$",	//798
    "expandingDirections",	//799
    "extend",	//800
    "extend$",	//801
    "extent",	//802
    "extent##",	//803
    "fillBrush",	//804
    "fillColor",	//805
    "fillCurve",	//806
    "fillCurve####",	//807
    "fillRect",	//808
    "fillRect###",	//809
    "find",	//810
    "find#",	//811
    "fitCurve",	//812
    "fitCurve#",	//813
    "fitMode",	//814
    "fitValue",	//815
    "fitValue$",	//816
    "floor125",	//817
    "floor125$",	//818
    "floorEps",	//819
    "floorEps$$",	//820
    "focusInEvent",	//821
    "focusIndicator",	//822
    "focusNextPrevChild",	//823
    "focusOutEvent",	//824
    "font",	//825
    "font#$",	//826
    "fontChange",	//827
    "fontChange#",	//828
    "format",	//829
    "frameShadow",	//830
    "geometry",	//831
    "getAbortKey",	//832
    "getAbortKey$$",	//833
    "getBorderDistHint",	//834
    "getBorderDistHint#$$",	//835
    "getBorderDistHint$$",	//836
    "getMinBorderDist",	//837
    "getMinBorderDist$$",	//838
    "getMouseButton",	//839
    "getMouseButton$$",	//840
    "getScrollMode",	//841
    "getScrollMode#$$",	//842
    "getValue",	//843
    "getValue#",	//844
    "getZoomInKey",	//845
    "getZoomInKey$$",	//846
    "getZoomOutKey",	//847
    "getZoomOutKey$$",	//848
    "grabProperties",	//849
    "hand",	//850
    "hand$",	//851
    "hasComponent",	//852
    "hasComponent$",	//853
    "hasHeightForWidth",	//854
    "hasVisibleBackground",	//855
    "heightForWidth",	//856
    "heightForWidth#$$$",	//857
    "heightForWidth$",	//858
    "heightForWidth$#",	//859
    "hide",	//860
    "hideEvent",	//861
    "hideEvent#",	//862
    "hitButton",	//863
    "horizontalScrollBar",	//864
    "identifierMode",	//865
    "identifierWidth",	//866
    "incPages",	//867
    "incPages$",	//868
    "incSteps",	//869
    "incSteps$",	//870
    "incValue",	//871
    "incValue$",	//872
    "indent",	//873
    "indexOf",	//874
    "init",	//875
    "initKeyPattern",	//876
    "initMousePattern",	//877
    "initMousePattern$",	//878
    "initRaster",	//879
    "initRaster##",	//880
    "inputMethodEvent",	//881
    "inputMethodQuery",	//882
    "insert",	//883
    "insert##",	//884
    "insertLegend",	//885
    "insertLegend#",	//886
    "insertLegend#$",	//887
    "insertLegend#$$",	//888
    "internalBorder",	//889
    "intersect",	//890
    "intersect#",	//891
    "intersects",	//892
    "intersects#",	//893
    "interval",	//894
    "interval$",	//895
    "invTransform",	//896
    "invTransform#",	//897
    "invTransform###",	//898
    "invTransform$",	//899
    "invTransform$$",	//900
    "invXForm",	//901
    "invXForm$$$$$",	//902
    "invalidate",	//903
    "invalidateCache",	//904
    "invalidatePaintCache",	//905
    "invert",	//906
    "inverted",	//907
    "isActive",	//908
    "isAxisEnabled",	//909
    "isAxisEnabled$",	//910
    "isChecked",	//911
    "isColorBarEnabled",	//912
    "isDown",	//913
    "isEmpty",	//914
    "isEnabled",	//915
    "isIdentity",	//916
    "isNull",	//917
    "isOrientationEnabled",	//918
    "isOrientationEnabled$",	//919
    "isReadOnly",	//920
    "isScaleDivFromAxis",	//921
    "isValid",	//922
    "isVisible",	//923
    "itemAt",	//924
    "itemAt$",	//925
    "itemChanged",	//926
    "itemCount",	//927
    "itemList",	//928
    "itemMode",	//929
    "keyFactor",	//930
    "keyMatch",	//931
    "keyMatch##",	//932
    "keyMatch$#",	//933
    "keyPattern",	//934
    "keyPressEvent",	//935
    "keyPressEvent#",	//936
    "keyReleaseEvent",	//937
    "keyReleaseEvent#",	//938
    "knobWidth",	//939
    "label",	//940
    "label$",	//941
    "labelAlignment",	//942
    "labelMap",	//943
    "labelMatrix",	//944
    "labelMatrix##",	//945
    "labelOrientation",	//946
    "labelPosition",	//947
    "labelPosition$",	//948
    "labelRect",	//949
    "labelRect#$",	//950
    "labelRotation",	//951
    "labelSize",	//952
    "labelSize#$",	//953
    "languageChange",	//954
    "layout",	//955
    "layoutContents",	//956
    "layoutGrid",	//957
    "layoutGrid$??",	//958
    "layoutItems",	//959
    "layoutItems#$",	//960
    "layoutLegend",	//961
    "layoutLegend$#",	//962
    "layoutScale",	//963
    "layoutScale$",	//964
    "layoutSlider",	//965
    "layoutSlider$",	//966
    "layoutThermo",	//967
    "layoutThermo$",	//968
    "layoutToDevice",	//969
    "layoutToDevice#",	//970
    "layoutToDevice##",	//971
    "layoutToDeviceX",	//972
    "layoutToDeviceX$",	//973
    "layoutToDeviceY",	//974
    "layoutToDeviceY$",	//975
    "layoutToScreen",	//976
    "layoutToScreen#",	//977
    "layoutToScreenX",	//978
    "layoutToScreenX$",	//979
    "layoutToScreenY",	//980
    "layoutToScreenY$",	//981
    "layoutWheel",	//982
    "layoutWheel$",	//983
    "leaveEvent",	//984
    "legend",	//985
    "legendChecked",	//986
    "legendChecked#$",	//987
    "legendClicked",	//988
    "legendClicked#",	//989
    "legendItem",	//990
    "legendItemChecked",	//991
    "legendItemChecked$",	//992
    "legendItemClicked",	//993
    "legendItems",	//994
    "legendPosition",	//995
    "legendRatio",	//996
    "legendRect",	//997
    "length",	//998
    "limited",	//999
    "limited$$",	//1000
    "linePen",	//1001
    "lineStyle",	//1002
    "lineWidth",	//1003
    "log10",	//1004
    "log10#",	//1005
    "lowerBound",	//1006
    "lowerMargin",	//1007
    "majPen",	//1008
    "majTickLength",	//1009
    "map",	//1010
    "margin",	//1011
    "mass",	//1012
    "maxCols",	//1013
    "maxItemWidth",	//1014
    "maxLabelHeight",	//1015
    "maxLabelHeight#",	//1016
    "maxLabelWidth",	//1017
    "maxLabelWidth#",	//1018
    "maxScaleArc",	//1019
    "maxStackDepth",	//1020
    "maxVal",	//1021
    "maxValue",	//1022
    "maxXValue",	//1023
    "maxYValue",	//1024
    "maximumSize",	//1025
    "metaObject",	//1026
    "metric",	//1027
    "metricsMap",	//1028
    "mightRender",	//1029
    "mightRender$",	//1030
    "minLabelDist",	//1031
    "minLabelDist#",	//1032
    "minLength",	//1033
    "minLength##",	//1034
    "minPen",	//1035
    "minScaleArc",	//1036
    "minVal",	//1037
    "minValue",	//1038
    "minXValue",	//1039
    "minYValue",	//1040
    "minZoomSize",	//1041
    "minimumExtent",	//1042
    "minimumHeightForWidth",	//1043
    "minimumSize",	//1044
    "minimumSizeHint",	//1045
    "minimumSizeHint#",	//1046
    "mode",	//1047
    "mouseDoubleClickEvent",	//1048
    "mouseFactor",	//1049
    "mouseMatch",	//1050
    "mouseMatch##",	//1051
    "mouseMatch$#",	//1052
    "mouseMoveEvent",	//1053
    "mouseMoveEvent#",	//1054
    "mouseOffset",	//1055
    "mousePattern",	//1056
    "mousePressEvent",	//1057
    "mousePressEvent#",	//1058
    "mouseReleaseEvent",	//1059
    "mouseReleaseEvent#",	//1060
    "move",	//1061
    "move#",	//1062
    "move$$",	//1063
    "moveBy",	//1064
    "moveBy$$",	//1065
    "moveCanvas",	//1066
    "moveCanvas$$",	//1067
    "moveCenter",	//1068
    "moveCenter#",	//1069
    "moveCenter$$",	//1070
    "moveEvent",	//1071
    "moved",	//1072
    "moved#",	//1073
    "moved$$",	//1074
    "needle",	//1075
    "nextCheckState",	//1076
    "normalized",	//1077
    "num",	//1078
    "numButtons",	//1079
    "numCols",	//1080
    "numRows",	//1081
    "numThornLevels",	//1082
    "numThorns",	//1083
    "operator!=",	//1084
    "operator!=#",	//1085
    "operator&",	//1086
    "operator&#",	//1087
    "operator&=",	//1088
    "operator&=#",	//1089
    "operator=",	//1090
    "operator=#",	//1091
    "operator==",	//1092
    "operator==#",	//1093
    "operator|",	//1094
    "operator|#",	//1095
    "operator|$",	//1096
    "operator|=",	//1097
    "operator|=#",	//1098
    "operator|=$",	//1099
    "options",	//1100
    "orientation",	//1101
    "orientations",	//1102
    "origin",	//1103
    "p1",	//1104
    "p2",	//1105
    "pDist",	//1106
    "pageSize",	//1107
    "paintCache",	//1108
    "paintEngine",	//1109
    "paintEvent",	//1110
    "paintEvent#",	//1111
    "paintRect",	//1112
    "paintRect##",	//1113
    "palette",	//1114
    "paletteChange",	//1115
    "paletteChange#",	//1116
    "panned",	//1117
    "panned$$",	//1118
    "parentWidget",	//1119
    "pen",	//1120
    "penWidth",	//1121
    "periodic",	//1122
    "pickRect",	//1123
    "pipeWidth",	//1124
    "plot",	//1125
    "plotLayout",	//1126
    "points",	//1127
    "polish",	//1128
    "pos",	//1129
    "position",	//1130
    "pow10",	//1131
    "pow10#",	//1132
    "pressed",	//1133
    "prevValue",	//1134
    "print",	//1135
    "print#",	//1136
    "print##",	//1137
    "print###",	//1138
    "printCanvas",	//1139
    "printCanvas#####",	//1140
    "printLegend",	//1141
    "printLegend##",	//1142
    "printLegendItem",	//1143
    "printLegendItem###",	//1144
    "printScale",	//1145
    "printScale#$$$$#",	//1146
    "printTitle",	//1147
    "printTitle##",	//1148
    "qt_metacall",	//1149
    "qt_metacall$$?",	//1150
    "qt_metacast",	//1151
    "qt_metacast$",	//1152
    "qwtDegree2Pos",	//1153
    "qwtDegree2Pos#$$",	//1154
    "qwtGetMax",	//1155
    "qwtGetMax$$",	//1156
    "qwtGetMin",	//1157
    "qwtGetMin$$",	//1158
    "qwtPolar2Pos",	//1159
    "qwtPolar2Pos#$$",	//1160
    "qwtRound",	//1161
    "qwtRound$",	//1162
    "qwtSign",	//1163
    "qwtSign$",	//1164
    "qwtSqr",	//1165
    "qwtSqr$",	//1166
    "radius",	//1167
    "range",	//1168
    "rangeChange",	//1169
    "rasterHint",	//1170
    "rasterHint#",	//1171
    "reference",	//1172
    "released",	//1173
    "remove",	//1174
    "remove#",	//1175
    "renderContourLines",	//1176
    "renderContourLines##",	//1177
    "renderFlags",	//1178
    "renderImage",	//1179
    "renderImage###",	//1180
    "replot",	//1181
    "rescale",	//1182
    "rescale$",	//1183
    "rescale$$",	//1184
    "rescale$$$",	//1185
    "reset",	//1186
    "reset#",	//1187
    "resetMetricsMap",	//1188
    "resizeEvent",	//1189
    "resizeEvent#",	//1190
    "resizeMode",	//1191
    "rgb",	//1192
    "rgb#$",	//1193
    "rose",	//1194
    "rtti",	//1195
    "rubberBand",	//1196
    "rubberBandPen",	//1197
    "rubberBandWidget",	//1198
    "s1",	//1199
    "s2",	//1200
    "sDist",	//1201
    "scaleChange",	//1202
    "scaleContentsRect",	//1203
    "scaleDiv",	//1204
    "scaleDivChanged",	//1205
    "scaleDraw",	//1206
    "scaleEngine",	//1207
    "scaleLabel",	//1208
    "scaleLabel$",	//1209
    "scaleMap",	//1210
    "scaleMaxMajor",	//1211
    "scaleMaxMinor",	//1212
    "scalePosition",	//1213
    "scaleRect",	//1214
    "scaleRect##",	//1215
    "scaleRect$",	//1216
    "scaledPen",	//1217
    "scaledPen#",	//1218
    "screenToLayout",	//1219
    "screenToLayout#",	//1220
    "screenToLayoutX",	//1221
    "screenToLayoutX$",	//1222
    "screenToLayoutY",	//1223
    "screenToLayoutY$",	//1224
    "scrollMode",	//1225
    "selected",	//1226
    "selected#",	//1227
    "selected?",	//1228
    "selection",	//1229
    "selectionFlags",	//1230
    "setAbortKey",	//1231
    "setAbortKey$",	//1232
    "setAbortKey$$",	//1233
    "setAbstractScaleDraw",	//1234
    "setAbstractScaleDraw#",	//1235
    "setAlarmBrush",	//1236
    "setAlarmBrush#",	//1237
    "setAlarmColor",	//1238
    "setAlarmColor#",	//1239
    "setAlarmEnabled",	//1240
    "setAlarmEnabled$",	//1241
    "setAlarmLevel",	//1242
    "setAlarmLevel$",	//1243
    "setAlignCanvasToScales",	//1244
    "setAlignCanvasToScales$",	//1245
    "setAlignment",	//1246
    "setAlignment$",	//1247
    "setAlpha",	//1248
    "setAlpha$",	//1249
    "setAngleRange",	//1250
    "setAngleRange$$",	//1251
    "setAttribute",	//1252
    "setAttribute$",	//1253
    "setAttribute$$",	//1254
    "setAttributes",	//1255
    "setAttributes$",	//1256
    "setAutoDelete",	//1257
    "setAutoDelete$",	//1258
    "setAutoReplot",	//1259
    "setAutoReplot$",	//1260
    "setAutoScale",	//1261
    "setAxis",	//1262
    "setAxis$$",	//1263
    "setAxisAutoScale",	//1264
    "setAxisAutoScale$",	//1265
    "setAxisEnabled",	//1266
    "setAxisEnabled$$",	//1267
    "setAxisFont",	//1268
    "setAxisFont$#",	//1269
    "setAxisLabelAlignment",	//1270
    "setAxisLabelAlignment$$",	//1271
    "setAxisLabelRotation",	//1272
    "setAxisLabelRotation$$",	//1273
    "setAxisMaxMajor",	//1274
    "setAxisMaxMajor$$",	//1275
    "setAxisMaxMinor",	//1276
    "setAxisMaxMinor$$",	//1277
    "setAxisScale",	//1278
    "setAxisScale$$$",	//1279
    "setAxisScale$$$$",	//1280
    "setAxisScaleDiv",	//1281
    "setAxisScaleDiv$#",	//1282
    "setAxisScaleDraw",	//1283
    "setAxisScaleDraw$#",	//1284
    "setAxisScaleEngine",	//1285
    "setAxisScaleEngine$#",	//1286
    "setAxisTitle",	//1287
    "setAxisTitle$#",	//1288
    "setAxisTitle$$",	//1289
    "setBackgroundBrush",	//1290
    "setBackgroundBrush#",	//1291
    "setBackgroundPen",	//1292
    "setBackgroundPen#",	//1293
    "setBaseline",	//1294
    "setBaseline$",	//1295
    "setBgStyle",	//1296
    "setBgStyle$",	//1297
    "setBorderDist",	//1298
    "setBorderDist$$",	//1299
    "setBorderDistance",	//1300
    "setBorderDistance$",	//1301
    "setBorderFlags",	//1302
    "setBorderFlags$",	//1303
    "setBorderWidth",	//1304
    "setBorderWidth$",	//1305
    "setBoundingRect",	//1306
    "setBoundingRect#",	//1307
    "setBrush",	//1308
    "setBrush#",	//1309
    "setCachePolicy",	//1310
    "setCachePolicy$",	//1311
    "setCanvasBackground",	//1312
    "setCanvasBackground#",	//1313
    "setCanvasLineWidth",	//1314
    "setCanvasLineWidth$",	//1315
    "setCanvasMargin",	//1316
    "setCanvasMargin$",	//1317
    "setCanvasMargin$$",	//1318
    "setChecked",	//1319
    "setChecked$",	//1320
    "setClipRect",	//1321
    "setClipRect##",	//1322
    "setColor",	//1323
    "setColor#",	//1324
    "setColorArray",	//1325
    "setColorBarEnabled",	//1326
    "setColorBarEnabled$",	//1327
    "setColorBarWidth",	//1328
    "setColorBarWidth$",	//1329
    "setColorInterval",	//1330
    "setColorInterval##",	//1331
    "setColorMap",	//1332
    "setColorMap#",	//1333
    "setColorMap##",	//1334
    "setConrecAttribute",	//1335
    "setConrecAttribute$$",	//1336
    "setContourLevels",	//1337
    "setContourLevels?",	//1338
    "setCurrentTime",	//1339
    "setCursor",	//1340
    "setCursor#",	//1341
    "setCurveAttribute",	//1342
    "setCurveAttribute$",	//1343
    "setCurveAttribute$$",	//1344
    "setCurveFitter",	//1345
    "setCurveFitter#",	//1346
    "setCurvePen",	//1347
    "setCurvePen#",	//1348
    "setCurveType",	//1349
    "setCurveType$",	//1350
    "setData",	//1351
    "setData#",	//1352
    "setData$$$",	//1353
    "setData??",	//1354
    "setDefaultContourPen",	//1355
    "setDefaultContourPen#",	//1356
    "setDeviceClipping",	//1357
    "setDeviceClipping$",	//1358
    "setDirection",	//1359
    "setDirection$",	//1360
    "setDisplayMode",	//1361
    "setDisplayMode$",	//1362
    "setDisplayMode$$",	//1363
    "setDisplayPolicy",	//1364
    "setDisplayPolicy$$",	//1365
    "setDown",	//1366
    "setDown$",	//1367
    "setEditable",	//1368
    "setEditable$",	//1369
    "setEnabled",	//1370
    "setEnabled$",	//1371
    "setExpandingDirections",	//1372
    "setExpandingDirections$",	//1373
    "setFillBrush",	//1374
    "setFillBrush#",	//1375
    "setFillColor",	//1376
    "setFillColor#",	//1377
    "setFitMode",	//1378
    "setFitMode$",	//1379
    "setFocusIndicator",	//1380
    "setFocusIndicator$",	//1381
    "setFont",	//1382
    "setFont#",	//1383
    "setFrameShadow",	//1384
    "setFrameShadow$",	//1385
    "setGeometry",	//1386
    "setGeometry#",	//1387
    "setHand",	//1388
    "setHand$#",	//1389
    "setIdentifierMode",	//1390
    "setIdentifierMode$",	//1391
    "setIdentifierWidth",	//1392
    "setIdentifierWidth$",	//1393
    "setIncSteps",	//1394
    "setIncSteps$$",	//1395
    "setIndent",	//1396
    "setIndent$",	//1397
    "setInternalBorder",	//1398
    "setInternalBorder$",	//1399
    "setInterval",	//1400
    "setInterval#",	//1401
    "setInterval$$",	//1402
    "setInterval$$$",	//1403
    "setItemAttribute",	//1404
    "setItemAttribute$",	//1405
    "setItemAttribute$$",	//1406
    "setItemMode",	//1407
    "setItemMode$",	//1408
    "setKeyFactor",	//1409
    "setKeyFactor$",	//1410
    "setKeyPattern",	//1411
    "setKeyPattern$$",	//1412
    "setKeyPattern$$$",	//1413
    "setKeyPattern?",	//1414
    "setKnobWidth",	//1415
    "setKnobWidth$",	//1416
    "setLabel",	//1417
    "setLabel#",	//1418
    "setLabelAlignment",	//1419
    "setLabelAlignment$",	//1420
    "setLabelMap",	//1421
    "setLabelMap?",	//1422
    "setLabelOrientation",	//1423
    "setLabelOrientation$",	//1424
    "setLabelRotation",	//1425
    "setLabelRotation$",	//1426
    "setLayoutAttribute",	//1427
    "setLayoutAttribute$",	//1428
    "setLayoutAttribute$$",	//1429
    "setLegendPosition",	//1430
    "setLegendPosition$",	//1431
    "setLegendPosition$$",	//1432
    "setLegendRatio",	//1433
    "setLegendRatio$",	//1434
    "setLength",	//1435
    "setLength$",	//1436
    "setLinePen",	//1437
    "setLinePen#",	//1438
    "setLineStyle",	//1439
    "setLineStyle$",	//1440
    "setLineWidth",	//1441
    "setLineWidth$",	//1442
    "setMajPen",	//1443
    "setMajPen#",	//1444
    "setMargin",	//1445
    "setMargin$",	//1446
    "setMargins",	//1447
    "setMargins$$",	//1448
    "setMass",	//1449
    "setMass$",	//1450
    "setMaxCols",	//1451
    "setMaxCols$",	//1452
    "setMaxStackDepth",	//1453
    "setMaxStackDepth$",	//1454
    "setMaxValue",	//1455
    "setMaxValue$",	//1456
    "setMetrics",	//1457
    "setMetrics##",	//1458
    "setMetricsMap",	//1459
    "setMetricsMap#",	//1460
    "setMetricsMap##",	//1461
    "setMinBorderDist",	//1462
    "setMinBorderDist$$",	//1463
    "setMinPen",	//1464
    "setMinPen#",	//1465
    "setMinValue",	//1466
    "setMinValue$",	//1467
    "setMinimumExtent",	//1468
    "setMinimumExtent$",	//1469
    "setMode",	//1470
    "setMode$",	//1471
    "setMouseButton",	//1472
    "setMouseButton$",	//1473
    "setMouseButton$$",	//1474
    "setMouseFactor",	//1475
    "setMouseFactor$",	//1476
    "setMouseOffset",	//1477
    "setMouseOffset$",	//1478
    "setMousePattern",	//1479
    "setMousePattern$$",	//1480
    "setMousePattern$$$",	//1481
    "setMousePattern?",	//1482
    "setNeedle",	//1483
    "setNeedle#",	//1484
    "setNumButtons",	//1485
    "setNumButtons$",	//1486
    "setNumThornLevels",	//1487
    "setNumThornLevels$",	//1488
    "setNumThorns",	//1489
    "setNumThorns$",	//1490
    "setOptions",	//1491
    "setOptions$",	//1492
    "setOrientation",	//1493
    "setOrientation$",	//1494
    "setOrientation$$",	//1495
    "setOrientations",	//1496
    "setOrientations$",	//1497
    "setOrigin",	//1498
    "setOrigin$",	//1499
    "setPaintAttribute",	//1500
    "setPaintAttribute$",	//1501
    "setPaintAttribute$$",	//1502
    "setPaintInterval",	//1503
    "setPaintInterval$$",	//1504
    "setPaintXInterval",	//1505
    "setPaintXInterval$$",	//1506
    "setPalette",	//1507
    "setPalette#",	//1508
    "setPen",	//1509
    "setPen#",	//1510
    "setPenWidth",	//1511
    "setPenWidth$",	//1512
    "setPeriodic",	//1513
    "setPeriodic$",	//1514
    "setPipeWidth",	//1515
    "setPipeWidth$",	//1516
    "setPoints",	//1517
    "setPoints#",	//1518
    "setPosition",	//1519
    "setPosition#",	//1520
    "setPosition$",	//1521
    "setRadius",	//1522
    "setRadius$",	//1523
    "setRange",	//1524
    "setRange$$",	//1525
    "setRange$$$",	//1526
    "setRange$$$$",	//1527
    "setRawData",	//1528
    "setRawData$$$",	//1529
    "setReadOnly",	//1530
    "setReadOnly$",	//1531
    "setReference",	//1532
    "setReference$",	//1533
    "setRenderFlags",	//1534
    "setRenderFlags$",	//1535
    "setRenderHint",	//1536
    "setRenderHint$",	//1537
    "setRenderHint$$",	//1538
    "setResizeMode",	//1539
    "setResizeMode$",	//1540
    "setRose",	//1541
    "setRose#",	//1542
    "setRubberBand",	//1543
    "setRubberBand$",	//1544
    "setRubberBandPen",	//1545
    "setRubberBandPen#",	//1546
    "setScale",	//1547
    "setScale#",	//1548
    "setScale#$",	//1549
    "setScale$$",	//1550
    "setScale$$$",	//1551
    "setScaleArc",	//1552
    "setScaleArc$$",	//1553
    "setScaleDiv",	//1554
    "setScaleDiv#",	//1555
    "setScaleDiv##",	//1556
    "setScaleDivFromAxis",	//1557
    "setScaleDivFromAxis$",	//1558
    "setScaleDraw",	//1559
    "setScaleDraw#",	//1560
    "setScaleEngine",	//1561
    "setScaleEngine#",	//1562
    "setScaleInterval",	//1563
    "setScaleInterval$$",	//1564
    "setScaleMaxMajor",	//1565
    "setScaleMaxMajor$",	//1566
    "setScaleMaxMinor",	//1567
    "setScaleMaxMinor$",	//1568
    "setScaleOptions",	//1569
    "setScaleOptions$",	//1570
    "setScalePosition",	//1571
    "setScalePosition$",	//1572
    "setScaleTicks",	//1573
    "setScaleTicks$$$",	//1574
    "setScaleTicks$$$$",	//1575
    "setSelectionFlags",	//1576
    "setSelectionFlags$",	//1577
    "setShrinkFactor",	//1578
    "setShrinkFactor$",	//1579
    "setSize",	//1580
    "setSize#",	//1581
    "setSize$",	//1582
    "setSize$$",	//1583
    "setSpacing",	//1584
    "setSpacing$",	//1585
    "setSpline",	//1586
    "setSpline#",	//1587
    "setSplineSize",	//1588
    "setSplineSize$",	//1589
    "setSplineType",	//1590
    "setSplineType$",	//1591
    "setState",	//1592
    "setState$",	//1593
    "setStep",	//1594
    "setStep$",	//1595
    "setStepButton1",	//1596
    "setStepButton1$",	//1597
    "setStepButton2",	//1598
    "setStepButton2$",	//1599
    "setStepButton3",	//1600
    "setStepButton3$",	//1601
    "setStyle",	//1602
    "setStyle$",	//1603
    "setSymbol",	//1604
    "setSymbol#",	//1605
    "setSymbol$",	//1606
    "setText",	//1607
    "setText#",	//1608
    "setText$",	//1609
    "setText$$",	//1610
    "setTextEngine",	//1611
    "setTextEngine$#",	//1612
    "setThumbLength",	//1613
    "setThumbLength$",	//1614
    "setThumbWidth",	//1615
    "setThumbWidth$",	//1616
    "setTickCnt",	//1617
    "setTickCnt$",	//1618
    "setTickLength",	//1619
    "setTickLength$$",	//1620
    "setTicks",	//1621
    "setTicks$?",	//1622
    "setTime",	//1623
    "setTime#",	//1624
    "setTitle",	//1625
    "setTitle#",	//1626
    "setTitle$",	//1627
    "setTotalAngle",	//1628
    "setTotalAngle$",	//1629
    "setTrackerFont",	//1630
    "setTrackerFont#",	//1631
    "setTrackerMode",	//1632
    "setTrackerMode$",	//1633
    "setTrackerPen",	//1634
    "setTrackerPen#",	//1635
    "setTracking",	//1636
    "setTracking$",	//1637
    "setTransformation",	//1638
    "setTransformation#",	//1639
    "setUpdateTime",	//1640
    "setUpdateTime$",	//1641
    "setValid",	//1642
    "setValid$",	//1643
    "setValue",	//1644
    "setValue#",	//1645
    "setValue$",	//1646
    "setValue$$",	//1647
    "setViewAngle",	//1648
    "setViewAngle$",	//1649
    "setVisible",	//1650
    "setVisible$",	//1651
    "setWheelButtonState",	//1652
    "setWheelButtonState$",	//1653
    "setWheelFactor",	//1654
    "setWheelFactor$",	//1655
    "setWheelWidth",	//1656
    "setWheelWidth$",	//1657
    "setWidth",	//1658
    "setWidth$",	//1659
    "setWrapping",	//1660
    "setWrapping$",	//1661
    "setXAxis",	//1662
    "setXAxis$",	//1663
    "setXDiv",	//1664
    "setXDiv#",	//1665
    "setXValue",	//1666
    "setXValue$",	//1667
    "setYAxis",	//1668
    "setYAxis$",	//1669
    "setYDiv",	//1670
    "setYDiv#",	//1671
    "setYValue",	//1672
    "setYValue$",	//1673
    "setZ",	//1674
    "setZ$",	//1675
    "setZoomBase",	//1676
    "setZoomBase#",	//1677
    "setZoomBase$",	//1678
    "setZoomInKey",	//1679
    "setZoomInKey$$",	//1680
    "setZoomOutKey",	//1681
    "setZoomOutKey$$",	//1682
    "setZoomStack",	//1683
    "setZoomStack?",	//1684
    "setZoomStack?$",	//1685
    "show",	//1686
    "showBackground",	//1687
    "showBackground$",	//1688
    "showEvent",	//1689
    "shrinkFactor",	//1690
    "size",	//1691
    "sizeHint",	//1692
    "sliderMoved",	//1693
    "sliderMoved$",	//1694
    "sliderPressed",	//1695
    "sliderReleased",	//1696
    "spacerItem",	//1697
    "spacing",	//1698
    "spline",	//1699
    "splineSize",	//1700
    "splineType",	//1701
    "startBorderDist",	//1702
    "state",	//1703
    "stateMachine",	//1704
    "stateMachine$",	//1705
    "staticMetaObject",	//1706
    "step",	//1707
    "stepButton1",	//1708
    "stepButton2",	//1709
    "stepButton3",	//1710
    "stepChange",	//1711
    "stopMoving",	//1712
    "stretchGrid",	//1713
    "stretchGrid#$??",	//1714
    "stretchSelection",	//1715
    "stretchSelection##",	//1716
    "strip",	//1717
    "strip?#",	//1718
    "style",	//1719
    "styleChange",	//1720
    "symbol",	//1721
    "symmetrize",	//1722
    "symmetrize$",	//1723
    "tabletEvent",	//1724
    "takeAt",	//1725
    "takeAt$",	//1726
    "testAttribute",	//1727
    "testAttribute$",	//1728
    "testConrecAttribute",	//1729
    "testConrecAttribute$",	//1730
    "testCurveAttribute",	//1731
    "testCurveAttribute$",	//1732
    "testDisplayMode",	//1733
    "testDisplayMode$",	//1734
    "testItemAttribute",	//1735
    "testItemAttribute$",	//1736
    "testLayoutAttribute",	//1737
    "testLayoutAttribute$",	//1738
    "testPaintAttribute",	//1739
    "testPaintAttribute$",	//1740
    "testRenderHint",	//1741
    "testRenderHint$",	//1742
    "text",	//1743
    "textEngine",	//1744
    "textEngine$",	//1745
    "textEngine$$",	//1746
    "textMargins",	//1747
    "textMargins#$$$$$",	//1748
    "textRect",	//1749
    "textSize",	//1750
    "textSize#",	//1751
    "textSize#$$",	//1752
    "thumbLength",	//1753
    "thumbWidth",	//1754
    "tickCnt",	//1755
    "tickLabel",	//1756
    "tickLabel#$",	//1757
    "tickLength",	//1758
    "tickLength$",	//1759
    "ticks",	//1760
    "ticks$",	//1761
    "timerEvent",	//1762
    "timerEvent#",	//1763
    "title",	//1764
    "titleHeightForWidth",	//1765
    "titleHeightForWidth$",	//1766
    "titleLabel",	//1767
    "titleRect",	//1768
    "totalAngle",	//1769
    "tr",	//1770
    "tr$",	//1771
    "tr$$",	//1772
    "tr$$$",	//1773
    "trUtf8",	//1774
    "trUtf8$",	//1775
    "trUtf8$$",	//1776
    "trUtf8$$$",	//1777
    "trackerFont",	//1778
    "trackerMode",	//1779
    "trackerPen",	//1780
    "trackerPosition",	//1781
    "trackerRect",	//1782
    "trackerRect#",	//1783
    "trackerText",	//1784
    "trackerText#",	//1785
    "trackerWidget",	//1786
    "transform",	//1787
    "transform#",	//1788
    "transform###",	//1789
    "transform$",	//1790
    "transform$$",	//1791
    "transformation",	//1792
    "transition",	//1793
    "transition#",	//1794
    "transition##",	//1795
    "translate",	//1796
    "translate##",	//1797
    "type",	//1798
    "unite",	//1799
    "unite#",	//1800
    "updateAxes",	//1801
    "updateDisplay",	//1802
    "updateLayout",	//1803
    "updateLegend",	//1804
    "updateLegend#",	//1805
    "updateMask",	//1806
    "updateScale",	//1807
    "updateScaleDiv",	//1808
    "updateScaleDiv##",	//1809
    "updateTabOrder",	//1810
    "upperBound",	//1811
    "upperMargin",	//1812
    "usedColor",	//1813
    "usedColor#",	//1814
    "usedFont",	//1815
    "usedFont#",	//1816
    "value",	//1817
    "value$",	//1818
    "value$$",	//1819
    "valueChange",	//1820
    "valueChanged",	//1821
    "valueChanged$",	//1822
    "verticalScrollBar",	//1823
    "viewAngle",	//1824
    "wheelButtonState",	//1825
    "wheelEvent",	//1826
    "wheelEvent#",	//1827
    "wheelFactor",	//1828
    "widget",	//1829
    "widgetKeyPressEvent",	//1830
    "widgetKeyPressEvent#",	//1831
    "widgetKeyReleaseEvent",	//1832
    "widgetKeyReleaseEvent#",	//1833
    "widgetLeaveEvent",	//1834
    "widgetLeaveEvent#",	//1835
    "widgetMouseDoubleClickEvent",	//1836
    "widgetMouseDoubleClickEvent#",	//1837
    "widgetMouseMoveEvent",	//1838
    "widgetMouseMoveEvent#",	//1839
    "widgetMousePressEvent",	//1840
    "widgetMousePressEvent#",	//1841
    "widgetMouseReleaseEvent",	//1842
    "widgetMouseReleaseEvent#",	//1843
    "widgetWheelEvent",	//1844
    "widgetWheelEvent#",	//1845
    "width",	//1846
    "windowActivationChange",	//1847
    "wrapping",	//1848
    "x",	//1849
    "x$",	//1850
    "x11Event",	//1851
    "xAxis",	//1852
    "xBottom",	//1853
    "xData",	//1854
    "xEnabled",	//1855
    "xForm",	//1856
    "xForm$$$$$",	//1857
    "xMinEnabled",	//1858
    "xScaleDiv",	//1859
    "xTop",	//1860
    "xTransform",	//1861
    "xTransform$",	//1862
    "xValue",	//1863
    "xyPosition",	//1864
    "xyPosition$",	//1865
    "y",	//1866
    "y$",	//1867
    "yAxis",	//1868
    "yData",	//1869
    "yEnabled",	//1870
    "yLeft",	//1871
    "yMinEnabled",	//1872
    "yRight",	//1873
    "yScaleDiv",	//1874
    "yValue",	//1875
    "z",	//1876
    "zoom",	//1877
    "zoom#",	//1878
    "zoom$",	//1879
    "zoomBase",	//1880
    "zoomRect",	//1881
    "zoomRectIndex",	//1882
    "zoomStack",	//1883
    "zoomed",	//1884
    "zoomed#",	//1885
    "~QwtAbstractScale",	//1886
    "~QwtAbstractScaleDraw",	//1887
    "~QwtAbstractSlider",	//1888
    "~QwtAlphaColorMap",	//1889
    "~QwtAnalogClock",	//1890
    "~QwtArrayData",	//1891
    "~QwtArrowButton",	//1892
    "~QwtCPointerData",	//1893
    "~QwtClipper",	//1894
    "~QwtColorMap",	//1895
    "~QwtCompass",	//1896
    "~QwtCompassMagnetNeedle",	//1897
    "~QwtCompassRose",	//1898
    "~QwtCompassWindArrow",	//1899
    "~QwtCounter",	//1900
    "~QwtCurveFitter",	//1901
    "~QwtData",	//1902
    "~QwtDial",	//1903
    "~QwtDialNeedle",	//1904
    "~QwtDialScaleDraw",	//1905
    "~QwtDialSimpleNeedle",	//1906
    "~QwtDoubleInterval",	//1907
    "~QwtDoubleRange",	//1908
    "~QwtDynGridLayout",	//1909
    "~QwtEventPattern",	//1910
    "~QwtIntervalData",	//1911
    "~QwtKnob",	//1912
    "~QwtLegend",	//1913
    "~QwtLegendItem",	//1914
    "~QwtLegendItemManager",	//1915
    "~QwtLinearColorMap",	//1916
    "~QwtLinearScaleEngine",	//1917
    "~QwtLog10ScaleEngine",	//1918
    "~QwtMagnifier",	//1919
    "~QwtMetricsMap",	//1920
    "~QwtPainter",	//1921
    "~QwtPanner",	//1922
    "~QwtPicker",	//1923
    "~QwtPickerClickPointMachine",	//1924
    "~QwtPickerClickRectMachine",	//1925
    "~QwtPickerDragPointMachine",	//1926
    "~QwtPickerDragRectMachine",	//1927
    "~QwtPickerMachine",	//1928
    "~QwtPickerPolygonMachine",	//1929
    "~QwtPlainTextEngine",	//1930
    "~QwtPlot",	//1931
    "~QwtPlotCanvas",	//1932
    "~QwtPlotCurve",	//1933
    "~QwtPlotDict",	//1934
    "~QwtPlotGrid",	//1935
    "~QwtPlotItem",	//1936
    "~QwtPlotLayout",	//1937
    "~QwtPlotMagnifier",	//1938
    "~QwtPlotMarker",	//1939
    "~QwtPlotPanner",	//1940
    "~QwtPlotPicker",	//1941
    "~QwtPlotPrintFilter",	//1942
    "~QwtPlotRasterItem",	//1943
    "~QwtPlotScaleItem",	//1944
    "~QwtPlotSpectrogram",	//1945
    "~QwtPlotZoomer",	//1946
    "~QwtPolygonFData",	//1947
    "~QwtRasterData",	//1948
    "~QwtRichTextEngine",	//1949
    "~QwtRoundScaleDraw",	//1950
    "~QwtScaleArithmetic",	//1951
    "~QwtScaleDiv",	//1952
    "~QwtScaleDraw",	//1953
    "~QwtScaleEngine",	//1954
    "~QwtScaleMap",	//1955
    "~QwtScaleTransformation",	//1956
    "~QwtScaleWidget",	//1957
    "~QwtSimpleCompassRose",	//1958
    "~QwtSlider",	//1959
    "~QwtSpline",	//1960
    "~QwtSplineCurveFitter",	//1961
    "~QwtSymbol",	//1962
    "~QwtText",	//1963
    "~QwtTextEngine",	//1964
    "~QwtTextLabel",	//1965
    "~QwtThermo",	//1966
    "~QwtWheel",	//1967
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {1, 863, 1, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 313, 0},	//1 QAbstractButton::hitButton(const QPoint&) const
    {1, 549, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2 QAbstractButton::checkStateSet()
    {1, 1076, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3 QAbstractButton::nextCheckState()
    {1, 937, 3, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//4 QAbstractButton::keyReleaseEvent(QKeyEvent*)
    {1, 1057, 5, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//5 QAbstractButton::mousePressEvent(QMouseEvent*)
    {1, 1059, 5, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//6 QAbstractButton::mouseReleaseEvent(QMouseEvent*)
    {1, 1053, 5, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//7 QAbstractButton::mouseMoveEvent(QMouseEvent*)
    {1, 546, 7, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//8 QAbstractButton::changeEvent(QEvent*)
    {1, 1762, 9, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//9 QAbstractButton::timerEvent(QTimerEvent*)
    {17, 1692, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 57, 0},	//10 QFrame::sizeHint() const
    {17, 791, 7, 1, Smoke::mf_protected|Smoke::mf_virtual, 313, 0},	//11 QFrame::event(QEvent*)
    {17, 1110, 11, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//12 QFrame::paintEvent(QPaintEvent*)
    {17, 546, 7, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//13 QFrame::changeEvent(QEvent*)
    {18, 1165, 13, 1, Smoke::mf_static, 428, 1},	//14 QGlobalSpace::qwtSqr(const double)
    {18, 1163, 15, 1, Smoke::mf_static, 431, 2},	//15 QGlobalSpace::qwtSign(double)
    {18, 1155, 17, 2, Smoke::mf_static, 428, 3},	//16 QGlobalSpace::qwtGetMax(const double*, int)
    {18, 1161, 15, 1, Smoke::mf_static, 428, 4},	//17 QGlobalSpace::qwtRound(double)
    {18, 1153, 20, 3, Smoke::mf_static, 44, 5},	//18 QGlobalSpace::qwtDegree2Pos(const QPoint&, double, double)
    {18, 1153, 24, 3, Smoke::mf_static, 45, 6},	//19 QGlobalSpace::qwtDegree2Pos(const QPointF&, double, double)
    {18, 1159, 24, 3, Smoke::mf_static, 45, 7},	//20 QGlobalSpace::qwtPolar2Pos(const QPointF&, double, double)
    {18, 1159, 20, 3, Smoke::mf_static, 44, 8},	//21 QGlobalSpace::qwtPolar2Pos(const QPoint&, double, double)
    {18, 1157, 17, 2, Smoke::mf_static, 428, 9},	//22 QGlobalSpace::qwtGetMin(const double*, int)
    {23, 831, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 49, 0},	//23 QLayout::geometry() const
    {23, 1044, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 57, 0},	//24 QLayout::minimumSize() const
    {23, 1025, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 57, 0},	//25 QLayout::maximumSize() const
    {23, 874, 28, 1, Smoke::mf_const|Smoke::mf_virtual, 431, 0},	//26 QLayout::indexOf(QWidget*) const
    {23, 955, 0, 0, Smoke::mf_virtual, 21, 0},	//27 QLayout::layout()
    {23, 552, 30, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//28 QLayout::childEvent(QChildEvent*)
    {24, 1043, 32, 1, Smoke::mf_const|Smoke::mf_virtual, 431, 0},	//29 QLayoutItem::minimumHeightForWidth(int) const
    {24, 1829, 0, 0, Smoke::mf_virtual, 77, 0},	//30 QLayoutItem::widget()
    {24, 1697, 0, 0, Smoke::mf_virtual, 59, 0},	//31 QLayoutItem::spacerItem()
    {29, 791, 7, 1, Smoke::mf_virtual, 313, 0},	//32 QObject::event(QEvent*)
    {29, 793, 34, 2, Smoke::mf_virtual, 313, 0},	//33 QObject::eventFilter(QObject*, QEvent*)
    {29, 1762, 9, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//34 QObject::timerEvent(QTimerEvent*)
    {29, 552, 30, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//35 QObject::childEvent(QChildEvent*)
    {29, 609, 7, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//36 QObject::customEvent(QEvent*)
    {29, 589, 37, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//37 QObject::connectNotify(const char*)
    {29, 631, 37, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//38 QObject::disconnectNotify(const char*)
    {41, 1026, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 327, 0},	//39 QPushButton::metaObject() const
    {41, 1151, 37, 1, Smoke::mf_virtual, 437, 0},	//40 QPushButton::qt_metacast(const char*)
    {41, 1149, 39, 3, Smoke::mf_virtual, 431, 0},	//41 QPushButton::qt_metacall(QMetaObject::Call, int, void**)
    {41, 791, 7, 1, Smoke::mf_protected|Smoke::mf_virtual, 313, 0},	//42 QPushButton::event(QEvent*)
    {41, 821, 43, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//43 QPushButton::focusInEvent(QFocusEvent*)
    {41, 824, 43, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//44 QPushButton::focusOutEvent(QFocusEvent*)
    {58, 617, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 431, 0},	//45 QWidget::devType() const
    {58, 1650, 45, 1, Smoke::mf_property|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//46 QWidget::setVisible(bool)
    {58, 1692, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 57, 0},	//47 QWidget::sizeHint() const
    {58, 1045, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 57, 0},	//48 QWidget::minimumSizeHint() const
    {58, 856, 32, 1, Smoke::mf_const|Smoke::mf_virtual, 431, 0},	//49 QWidget::heightForWidth(int) const
    {58, 1109, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 37, 0},	//50 QWidget::paintEngine() const
    {58, 791, 7, 1, Smoke::mf_protected|Smoke::mf_virtual, 313, 0},	//51 QWidget::event(QEvent*)
    {58, 1057, 5, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//52 QWidget::mousePressEvent(QMouseEvent*)
    {58, 1059, 5, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//53 QWidget::mouseReleaseEvent(QMouseEvent*)
    {58, 1048, 5, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//54 QWidget::mouseDoubleClickEvent(QMouseEvent*)
    {58, 1053, 5, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//55 QWidget::mouseMoveEvent(QMouseEvent*)
    {58, 1826, 47, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//56 QWidget::wheelEvent(QWheelEvent*)
    {58, 935, 3, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//57 QWidget::keyPressEvent(QKeyEvent*)
    {58, 937, 3, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//58 QWidget::keyReleaseEvent(QKeyEvent*)
    {58, 821, 43, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//59 QWidget::focusInEvent(QFocusEvent*)
    {58, 824, 43, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//60 QWidget::focusOutEvent(QFocusEvent*)
    {58, 790, 7, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//61 QWidget::enterEvent(QEvent*)
    {58, 984, 7, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//62 QWidget::leaveEvent(QEvent*)
    {58, 1110, 11, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//63 QWidget::paintEvent(QPaintEvent*)
    {58, 1071, 49, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//64 QWidget::moveEvent(QMoveEvent*)
    {58, 1189, 51, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//65 QWidget::resizeEvent(QResizeEvent*)
    {58, 562, 53, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//66 QWidget::closeEvent(QCloseEvent*)
    {58, 595, 55, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//67 QWidget::contextMenuEvent(QContextMenuEvent*)
    {58, 1724, 57, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//68 QWidget::tabletEvent(QTabletEvent*)
    {58, 447, 59, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//69 QWidget::actionEvent(QActionEvent*)
    {58, 640, 61, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//70 QWidget::dragEnterEvent(QDragEnterEvent*)
    {58, 642, 63, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//71 QWidget::dragMoveEvent(QDragMoveEvent*)
    {58, 641, 65, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//72 QWidget::dragLeaveEvent(QDragLeaveEvent*)
    {58, 770, 67, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//73 QWidget::dropEvent(QDropEvent*)
    {58, 1689, 69, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//74 QWidget::showEvent(QShowEvent*)
    {58, 861, 71, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//75 QWidget::hideEvent(QHideEvent*)
    {58, 1851, 73, 1, Smoke::mf_protected|Smoke::mf_virtual, 313, 0},	//76 QWidget::x11Event(_XEvent*)
    {58, 546, 7, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//77 QWidget::changeEvent(QEvent*)
    {58, 1027, 75, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 431, 0},	//78 QWidget::metric(QPaintDevice::PaintDeviceMetric) const
    {58, 881, 77, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//79 QWidget::inputMethodEvent(QInputMethodEvent*)
    {58, 882, 79, 1, Smoke::mf_const|Smoke::mf_virtual, 68, 0},	//80 QWidget::inputMethodQuery(Qt::InputMethodQuery) const
    {58, 823, 45, 1, Smoke::mf_protected|Smoke::mf_virtual, 313, 0},	//81 QWidget::focusNextPrevChild(bool)
    {58, 1720, 81, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//82 QWidget::styleChange(QStyle&)
    {58, 786, 45, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//83 QWidget::enabledChange(bool)
    {58, 1115, 83, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//84 QWidget::paletteChange(const QPalette&)
    {58, 827, 85, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//85 QWidget::fontChange(const QFont&)
    {58, 1847, 45, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//86 QWidget::windowActivationChange(bool)
    {58, 954, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//87 QWidget::languageChange()
    {59, 156, 0, 0, Smoke::mf_ctor, 150, 1},	//88 QwtAbstractScale::QwtAbstractScale()
    {59, 1547, 87, 3, 0, 0, 2},	//89 QwtAbstractScale::setScale(double, double, double)
    {59, 1547, 91, 2, 0, 0, 3},	//90 QwtAbstractScale::setScale(const QwtDoubleInterval&, double)
    {59, 1547, 94, 1, 0, 0, 4},	//91 QwtAbstractScale::setScale(const QwtScaleDiv&)
    {59, 1261, 0, 0, 0, 0, 5},	//92 QwtAbstractScale::setAutoScale()
    {59, 485, 0, 0, Smoke::mf_const, 313, 6},	//93 QwtAbstractScale::autoScale() const
    {59, 1565, 32, 1, 0, 0, 7},	//94 QwtAbstractScale::setScaleMaxMajor(int)
    {59, 1212, 0, 0, Smoke::mf_const, 431, 8},	//95 QwtAbstractScale::scaleMaxMinor() const
    {59, 1567, 32, 1, 0, 0, 9},	//96 QwtAbstractScale::setScaleMaxMinor(int)
    {59, 1211, 0, 0, Smoke::mf_const, 431, 10},	//97 QwtAbstractScale::scaleMaxMajor() const
    {59, 1561, 96, 1, 0, 0, 11},	//98 QwtAbstractScale::setScaleEngine(QwtScaleEngine*)
    {59, 1207, 0, 0, Smoke::mf_const, 411, 12},	//99 QwtAbstractScale::scaleEngine() const
    {59, 1207, 0, 0, 0, 282, 13},	//100 QwtAbstractScale::scaleEngine()
    {59, 1210, 0, 0, Smoke::mf_const, 412, 14},	//101 QwtAbstractScale::scaleMap() const
    {59, 1182, 87, 3, Smoke::mf_protected, 0, 15},	//102 QwtAbstractScale::rescale(double, double, double)
    {59, 1234, 98, 1, Smoke::mf_protected, 0, 16},	//103 QwtAbstractScale::setAbstractScaleDraw(QwtAbstractScaleDraw*)
    {59, 444, 0, 0, Smoke::mf_const|Smoke::mf_protected, 354, 17},	//104 QwtAbstractScale::abstractScaleDraw() const
    {59, 444, 0, 0, Smoke::mf_protected, 152, 18},	//105 QwtAbstractScale::abstractScaleDraw()
    {59, 1202, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 19},	//106 QwtAbstractScale::scaleChange()
    {59, 156, 100, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 150, 20},	//107 QwtAbstractScale::QwtAbstractScale(const QwtAbstractScale&)
    {59, 1547, 102, 2, 0, 0, 21},	//108 QwtAbstractScale::setScale(double, double)
    {59, 1547, 105, 1, 0, 0, 22},	//109 QwtAbstractScale::setScale(const QwtDoubleInterval&)
    {59, 1182, 102, 2, Smoke::mf_protected, 0, 23},	//110 QwtAbstractScale::rescale(double, double)
    {59, 1886, 0, 0, Smoke::mf_dtor, 0, 24 },	//111 QwtAbstractScale::~QwtAbstractScale()
    {60, 158, 0, 0, Smoke::mf_ctor, 152, 1},	//112 QwtAbstractScaleDraw::QwtAbstractScaleDraw()
    {60, 158, 107, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 152, 2},	//113 QwtAbstractScaleDraw::QwtAbstractScaleDraw(const QwtAbstractScaleDraw&)
    {60, 1090, 107, 1, 0, 151, 3},	//114 QwtAbstractScaleDraw::operator=(const QwtAbstractScaleDraw&)
    {60, 1554, 94, 1, 0, 0, 4},	//115 QwtAbstractScaleDraw::setScaleDiv(const QwtScaleDiv&)
    {60, 1204, 0, 0, Smoke::mf_const, 406, 5},	//116 QwtAbstractScaleDraw::scaleDiv() const
    {60, 1638, 109, 1, 0, 0, 6},	//117 QwtAbstractScaleDraw::setTransformation(QwtScaleTransformation*)
    {60, 1010, 0, 0, Smoke::mf_const, 412, 7},	//118 QwtAbstractScaleDraw::map() const
    {60, 775, 111, 2, 0, 0, 8},	//119 QwtAbstractScaleDraw::enableComponent(QwtAbstractScaleDraw::ScaleComponent, bool)
    {60, 852, 114, 1, Smoke::mf_const, 313, 9},	//120 QwtAbstractScaleDraw::hasComponent(QwtAbstractScaleDraw::ScaleComponent) const
    {60, 1619, 116, 2, 0, 0, 10},	//121 QwtAbstractScaleDraw::setTickLength(QwtScaleDiv::TickType, int)
    {60, 1758, 119, 1, Smoke::mf_const, 431, 11},	//122 QwtAbstractScaleDraw::tickLength(QwtScaleDiv::TickType) const
    {60, 1009, 0, 0, Smoke::mf_const, 431, 12},	//123 QwtAbstractScaleDraw::majTickLength() const
    {60, 1584, 32, 1, 0, 0, 13},	//124 QwtAbstractScaleDraw::setSpacing(int)
    {60, 1698, 0, 0, Smoke::mf_const, 431, 14},	//125 QwtAbstractScaleDraw::spacing() const
    {60, 643, 121, 2, Smoke::mf_const|Smoke::mf_virtual, 0, 15},	//126 QwtAbstractScaleDraw::draw(QPainter*, const QPalette&) const
    {60, 940, 15, 1, Smoke::mf_const|Smoke::mf_virtual, 301, 16},	//127 QwtAbstractScaleDraw::label(double) const
    {60, 802, 124, 2, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 431, 17},	//128 QwtAbstractScaleDraw::extent(const QPen&, const QFont&) const [pure virtual]
    {60, 1468, 32, 1, 0, 0, 18},	//129 QwtAbstractScaleDraw::setMinimumExtent(int)
    {60, 1042, 0, 0, Smoke::mf_const, 431, 19},	//130 QwtAbstractScaleDraw::minimumExtent() const
    {60, 1210, 0, 0, 0, 285, 20},	//131 QwtAbstractScaleDraw::scaleMap()
    {60, 758, 127, 3, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 21},	//132 QwtAbstractScaleDraw::drawTick(QPainter*, double, int) const [pure virtual]
    {60, 658, 131, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 22},	//133 QwtAbstractScaleDraw::drawBackbone(QPainter*) const [pure virtual]
    {60, 695, 133, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 23},	//134 QwtAbstractScaleDraw::drawLabel(QPainter*, double) const [pure virtual]
    {60, 904, 0, 0, Smoke::mf_protected, 0, 24},	//135 QwtAbstractScaleDraw::invalidateCache()
    {60, 1756, 136, 2, Smoke::mf_const|Smoke::mf_protected, 420, 25},	//136 QwtAbstractScaleDraw::tickLabel(const QFont&, double) const
    {60, 775, 114, 1, 0, 0, 26},	//137 QwtAbstractScaleDraw::enableComponent(QwtAbstractScaleDraw::ScaleComponent)
    {60, 13, 0, 0, Smoke::mf_static|Smoke::mf_enum, 153, 27},	//138 QwtAbstractScaleDraw::Backbone (enum)
    {60, 428, 0, 0, Smoke::mf_static|Smoke::mf_enum, 153, 28},	//139 QwtAbstractScaleDraw::Ticks (enum)
    {60, 89, 0, 0, Smoke::mf_static|Smoke::mf_enum, 153, 29},	//140 QwtAbstractScaleDraw::Labels (enum)
    {60, 1887, 0, 0, Smoke::mf_dtor, 0, 30 },	//141 QwtAbstractScaleDraw::~QwtAbstractScaleDraw()
    {61, 1026, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 327, 1},	//142 QwtAbstractSlider::metaObject() const
    {61, 1151, 37, 1, Smoke::mf_virtual, 437, 2},	//143 QwtAbstractSlider::qt_metacast(const char*)
    {61, 1770, 139, 2, Smoke::mf_static, 60, 3},	//144 QwtAbstractSlider::tr(const char*, const char*)
    {61, 1774, 139, 2, Smoke::mf_static, 60, 4},	//145 QwtAbstractSlider::trUtf8(const char*, const char*)
    {61, 1770, 142, 3, Smoke::mf_static, 60, 5},	//146 QwtAbstractSlider::tr(const char*, const char*, int)
    {61, 1774, 142, 3, Smoke::mf_static, 60, 6},	//147 QwtAbstractSlider::trUtf8(const char*, const char*, int)
    {61, 1149, 39, 3, Smoke::mf_virtual, 431, 7},	//148 QwtAbstractSlider::qt_metacall(QMetaObject::Call, int, void**)
    {61, 160, 146, 2, Smoke::mf_ctor, 154, 8},	//149 QwtAbstractSlider::QwtAbstractSlider(Qt::Orientation, QWidget*)
    {61, 1640, 32, 1, 0, 0, 9},	//150 QwtAbstractSlider::setUpdateTime(int)
    {61, 1712, 0, 0, 0, 0, 10},	//151 QwtAbstractSlider::stopMoving()
    {61, 1636, 45, 1, 0, 0, 11},	//152 QwtAbstractSlider::setTracking(bool)
    {61, 1449, 15, 1, Smoke::mf_property|Smoke::mf_virtual, 0, 12},	//153 QwtAbstractSlider::setMass(double)
    {61, 1012, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 428, 13},	//154 QwtAbstractSlider::mass() const
    {61, 1493, 149, 1, Smoke::mf_virtual, 0, 14},	//155 QwtAbstractSlider::setOrientation(Qt::Orientation)
    {61, 1101, 0, 0, Smoke::mf_const, 124, 15},	//156 QwtAbstractSlider::orientation() const
    {61, 920, 0, 0, Smoke::mf_const|Smoke::mf_property, 313, 16},	//157 QwtAbstractSlider::isReadOnly() const
    {61, 922, 0, 0, Smoke::mf_const|Smoke::mf_property, 313, 17},	//158 QwtAbstractSlider::isValid() const
    {61, 1642, 45, 1, Smoke::mf_property, 0, 18},	//159 QwtAbstractSlider::setValid(bool)
    {61, 1644, 15, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 19},	//160 QwtAbstractSlider::setValue(double)
    {61, 815, 15, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 20},	//161 QwtAbstractSlider::fitValue(double)
    {61, 871, 32, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 21},	//162 QwtAbstractSlider::incValue(int)
    {61, 1530, 45, 1, Smoke::mf_property|Smoke::mf_virtual|Smoke::mf_slot, 0, 22},	//163 QwtAbstractSlider::setReadOnly(bool)
    {61, 1821, 15, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 23},	//164 QwtAbstractSlider::valueChanged(double)
    {61, 1695, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 24},	//165 QwtAbstractSlider::sliderPressed()
    {61, 1696, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 25},	//166 QwtAbstractSlider::sliderReleased()
    {61, 1693, 15, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 26},	//167 QwtAbstractSlider::sliderMoved(double)
    {61, 1519, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 27},	//168 QwtAbstractSlider::setPosition(const QPoint&)
    {61, 1820, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 28},	//169 QwtAbstractSlider::valueChange()
    {61, 1762, 9, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 29},	//170 QwtAbstractSlider::timerEvent(QTimerEvent*)
    {61, 1057, 5, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 30},	//171 QwtAbstractSlider::mousePressEvent(QMouseEvent*)
    {61, 1059, 5, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 31},	//172 QwtAbstractSlider::mouseReleaseEvent(QMouseEvent*)
    {61, 1053, 5, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 32},	//173 QwtAbstractSlider::mouseMoveEvent(QMouseEvent*)
    {61, 935, 3, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 33},	//174 QwtAbstractSlider::keyPressEvent(QKeyEvent*)
    {61, 1826, 47, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 34},	//175 QwtAbstractSlider::wheelEvent(QWheelEvent*)
    {61, 843, 1, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 428, 35},	//176 QwtAbstractSlider::getValue(const QPoint&) [pure virtual]
    {61, 841, 151, 3, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 36},	//177 QwtAbstractSlider::getScrollMode(const QPoint&, int&, int&) [pure virtual]
    {61, 1477, 15, 1, Smoke::mf_protected, 0, 37},	//178 QwtAbstractSlider::setMouseOffset(double)
    {61, 1055, 0, 0, Smoke::mf_const|Smoke::mf_protected, 428, 38},	//179 QwtAbstractSlider::mouseOffset() const
    {61, 1225, 0, 0, Smoke::mf_const|Smoke::mf_protected, 431, 39},	//180 QwtAbstractSlider::scrollMode() const
    {61, 1770, 37, 1, Smoke::mf_static, 60, 40},	//181 QwtAbstractSlider::tr(const char*)
    {61, 1774, 37, 1, Smoke::mf_static, 60, 41},	//182 QwtAbstractSlider::trUtf8(const char*)
    {61, 160, 149, 1, Smoke::mf_ctor, 154, 42},	//183 QwtAbstractSlider::QwtAbstractSlider(Qt::Orientation)
    {61, 1706, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 326, 43},	//184 QwtAbstractSlider::staticMetaObject() const
    {61, 398, 0, 0, Smoke::mf_static|Smoke::mf_enum, 155, 44},	//185 QwtAbstractSlider::ScrNone (enum)
    {61, 397, 0, 0, Smoke::mf_static|Smoke::mf_enum, 155, 45},	//186 QwtAbstractSlider::ScrMouse (enum)
    {61, 400, 0, 0, Smoke::mf_static|Smoke::mf_enum, 155, 46},	//187 QwtAbstractSlider::ScrTimer (enum)
    {61, 396, 0, 0, Smoke::mf_static|Smoke::mf_enum, 155, 47},	//188 QwtAbstractSlider::ScrDirect (enum)
    {61, 399, 0, 0, Smoke::mf_static|Smoke::mf_enum, 155, 48},	//189 QwtAbstractSlider::ScrPage (enum)
    {61, 1888, 0, 0, Smoke::mf_dtor, 0, 49 },	//190 QwtAbstractSlider::~QwtAbstractSlider()
    {62, 163, 155, 1, Smoke::mf_ctor, 157, 1},	//191 QwtAlphaColorMap::QwtAlphaColorMap(const QColor&)
    {62, 163, 157, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 157, 2},	//192 QwtAlphaColorMap::QwtAlphaColorMap(const QwtAlphaColorMap&)
    {62, 1090, 157, 1, 0, 156, 3},	//193 QwtAlphaColorMap::operator=(const QwtAlphaColorMap&)
    {62, 603, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 166, 4},	//194 QwtAlphaColorMap::copy() const
    {62, 1323, 155, 1, 0, 0, 5},	//195 QwtAlphaColorMap::setColor(const QColor&)
    {62, 571, 0, 0, Smoke::mf_const, 6, 6},	//196 QwtAlphaColorMap::color() const
    {62, 1192, 91, 2, Smoke::mf_const|Smoke::mf_virtual, 436, 7},	//197 QwtAlphaColorMap::rgb(const QwtDoubleInterval&, double) const
    {62, 163, 0, 0, Smoke::mf_ctor, 157, 8},	//198 QwtAlphaColorMap::QwtAlphaColorMap()
    {62, 1889, 0, 0, Smoke::mf_dtor, 0, 9 },	//199 QwtAlphaColorMap::~QwtAlphaColorMap()
    {63, 1026, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 327, 1},	//200 QwtAnalogClock::metaObject() const
    {63, 1151, 37, 1, Smoke::mf_virtual, 437, 2},	//201 QwtAnalogClock::qt_metacast(const char*)
    {63, 1770, 139, 2, Smoke::mf_static, 60, 3},	//202 QwtAnalogClock::tr(const char*, const char*)
    {63, 1774, 139, 2, Smoke::mf_static, 60, 4},	//203 QwtAnalogClock::trUtf8(const char*, const char*)
    {63, 1770, 142, 3, Smoke::mf_static, 60, 5},	//204 QwtAnalogClock::tr(const char*, const char*, int)
    {63, 1774, 142, 3, Smoke::mf_static, 60, 6},	//205 QwtAnalogClock::trUtf8(const char*, const char*, int)
    {63, 1149, 39, 3, Smoke::mf_virtual, 431, 7},	//206 QwtAnalogClock::qt_metacall(QMetaObject::Call, int, void**)
    {63, 165, 28, 1, Smoke::mf_ctor, 158, 8},	//207 QwtAnalogClock::QwtAnalogClock(QWidget*)
    {63, 1388, 159, 2, Smoke::mf_virtual, 0, 9},	//208 QwtAnalogClock::setHand(QwtAnalogClock::Hand, QwtDialNeedle*)
    {63, 850, 162, 1, Smoke::mf_const, 366, 10},	//209 QwtAnalogClock::hand(QwtAnalogClock::Hand) const
    {63, 850, 162, 1, 0, 184, 11},	//210 QwtAnalogClock::hand(QwtAnalogClock::Hand)
    {63, 1339, 0, 0, Smoke::mf_slot, 0, 12},	//211 QwtAnalogClock::setCurrentTime()
    {63, 1623, 164, 1, Smoke::mf_slot, 0, 13},	//212 QwtAnalogClock::setTime(const QTime&)
    {63, 1208, 15, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 301, 14},	//213 QwtAnalogClock::scaleLabel(double) const
    {63, 704, 166, 5, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 0, 15},	//214 QwtAnalogClock::drawNeedle(QPainter*, const QPoint&, int, double, QPalette::ColorGroup) const
    {63, 684, 172, 6, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 0, 16},	//215 QwtAnalogClock::drawHand(QPainter*, QwtAnalogClock::Hand, const QPoint&, int, double, QPalette::ColorGroup) const
    {63, 1770, 37, 1, Smoke::mf_static, 60, 17},	//216 QwtAnalogClock::tr(const char*)
    {63, 1774, 37, 1, Smoke::mf_static, 60, 18},	//217 QwtAnalogClock::trUtf8(const char*)
    {63, 165, 0, 0, Smoke::mf_ctor, 158, 19},	//218 QwtAnalogClock::QwtAnalogClock()
    {63, 1623, 0, 0, Smoke::mf_slot, 0, 20},	//219 QwtAnalogClock::setTime()
    {63, 1706, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 326, 21},	//220 QwtAnalogClock::staticMetaObject() const
    {63, 402, 0, 0, Smoke::mf_static|Smoke::mf_enum, 159, 22},	//221 QwtAnalogClock::SecondHand (enum)
    {63, 108, 0, 0, Smoke::mf_static|Smoke::mf_enum, 159, 23},	//222 QwtAnalogClock::MinuteHand (enum)
    {63, 62, 0, 0, Smoke::mf_static|Smoke::mf_enum, 159, 24},	//223 QwtAnalogClock::HourHand (enum)
    {63, 117, 0, 0, Smoke::mf_static|Smoke::mf_enum, 159, 25},	//224 QwtAnalogClock::NHands (enum)
    {63, 1890, 0, 0, Smoke::mf_dtor, 0, 26 },	//225 QwtAnalogClock::~QwtAnalogClock()
    {64, 167, 179, 2, Smoke::mf_ctor, 161, 1},	//226 QwtArrayData::QwtArrayData(const QVector<double>&, const QVector<double>&)
    {64, 167, 182, 3, Smoke::mf_ctor, 161, 2},	//227 QwtArrayData::QwtArrayData(const double*, const double*, size_t)
    {64, 1090, 186, 1, 0, 160, 3},	//228 QwtArrayData::operator=(const QwtArrayData&)
    {64, 603, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 178, 4},	//229 QwtArrayData::copy() const
    {64, 1691, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 434, 5},	//230 QwtArrayData::size() const
    {64, 1849, 188, 1, Smoke::mf_const|Smoke::mf_virtual, 428, 6},	//231 QwtArrayData::x(size_t) const
    {64, 1866, 188, 1, Smoke::mf_const|Smoke::mf_virtual, 428, 7},	//232 QwtArrayData::y(size_t) const
    {64, 1854, 0, 0, Smoke::mf_const, 350, 8},	//233 QwtArrayData::xData() const
    {64, 1869, 0, 0, Smoke::mf_const, 350, 9},	//234 QwtArrayData::yData() const
    {64, 522, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 52, 10},	//235 QwtArrayData::boundingRect() const
    {64, 167, 186, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 161, 11},	//236 QwtArrayData::QwtArrayData(const QwtArrayData&)
    {64, 1891, 0, 0, Smoke::mf_dtor, 0, 12 },	//237 QwtArrayData::~QwtArrayData()
    {65, 171, 190, 3, Smoke::mf_ctor, 162, 1},	//238 QwtArrowButton::QwtArrowButton(int, Qt::ArrowType, QWidget*)
    {65, 478, 0, 0, Smoke::mf_const, 82, 2},	//239 QwtArrowButton::arrowType() const
    {65, 1078, 0, 0, Smoke::mf_const, 431, 3},	//240 QwtArrowButton::num() const
    {65, 1692, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 57, 4},	//241 QwtArrowButton::sizeHint() const
    {65, 1045, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 57, 5},	//242 QwtArrowButton::minimumSizeHint() const
    {65, 1110, 11, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 6},	//243 QwtArrowButton::paintEvent(QPaintEvent*)
    {65, 660, 131, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 7},	//244 QwtArrowButton::drawButtonLabel(QPainter*)
    {65, 652, 194, 3, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 0, 8},	//245 QwtArrowButton::drawArrow(QPainter*, const QRect&, Qt::ArrowType) const
    {65, 949, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 49, 9},	//246 QwtArrowButton::labelRect() const
    {65, 476, 198, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 57, 10},	//247 QwtArrowButton::arrowSize(Qt::ArrowType, const QSize&) const
    {65, 935, 3, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 11},	//248 QwtArrowButton::keyPressEvent(QKeyEvent*)
    {65, 171, 201, 2, Smoke::mf_ctor, 162, 12},	//249 QwtArrowButton::QwtArrowButton(int, Qt::ArrowType)
    {65, 1892, 0, 0, Smoke::mf_dtor, 0, 13 },	//250 QwtArrowButton::~QwtArrowButton()
    {66, 174, 182, 3, Smoke::mf_ctor, 164, 1},	//251 QwtCPointerData::QwtCPointerData(const double*, const double*, size_t)
    {66, 1090, 204, 1, 0, 163, 2},	//252 QwtCPointerData::operator=(const QwtCPointerData&)
    {66, 603, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 178, 3},	//253 QwtCPointerData::copy() const
    {66, 1691, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 434, 4},	//254 QwtCPointerData::size() const
    {66, 1849, 188, 1, Smoke::mf_const|Smoke::mf_virtual, 428, 5},	//255 QwtCPointerData::x(size_t) const
    {66, 1866, 188, 1, Smoke::mf_const|Smoke::mf_virtual, 428, 6},	//256 QwtCPointerData::y(size_t) const
    {66, 1854, 0, 0, Smoke::mf_const, 426, 7},	//257 QwtCPointerData::xData() const
    {66, 1869, 0, 0, Smoke::mf_const, 426, 8},	//258 QwtCPointerData::yData() const
    {66, 522, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 52, 9},	//259 QwtCPointerData::boundingRect() const
    {66, 174, 204, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 164, 10},	//260 QwtCPointerData::QwtCPointerData(const QwtCPointerData&)
    {66, 1893, 0, 0, Smoke::mf_dtor, 0, 11 },	//261 QwtCPointerData::~QwtCPointerData()
    {67, 557, 206, 2, Smoke::mf_static, 46, 1},	//262 QwtClipper::clipPolygon(const QRect&, const QPolygon&)
    {67, 559, 209, 2, Smoke::mf_static, 48, 2},	//263 QwtClipper::clipPolygonF(const QRectF&, const QPolygonF&)
    {67, 555, 212, 3, Smoke::mf_static, 69, 3},	//264 QwtClipper::clipCircle(const QRectF&, const QPointF&, double)
    {67, 177, 0, 0, Smoke::mf_ctor, 165, 4},	//265 QwtClipper::QwtClipper()
    {67, 177, 216, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 165, 5},	//266 QwtClipper::QwtClipper(const QwtClipper&)
    {67, 1894, 0, 0, Smoke::mf_dtor, 0, 6 },	//267 QwtClipper::~QwtClipper()
    {68, 179, 218, 1, Smoke::mf_ctor, 166, 1},	//268 QwtColorMap::QwtColorMap(QwtColorMap::Format)
    {68, 829, 0, 0, Smoke::mf_const, 167, 2},	//269 QwtColorMap::format() const
    {68, 603, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 166, 3},	//270 QwtColorMap::copy() const [pure virtual]
    {68, 1192, 91, 2, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 436, 4},	//271 QwtColorMap::rgb(const QwtDoubleInterval&, double) const [pure virtual]
    {68, 579, 91, 2, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 435, 5},	//272 QwtColorMap::colorIndex(const QwtDoubleInterval&, double) const [pure virtual]
    {68, 571, 91, 2, Smoke::mf_const, 6, 6},	//273 QwtColorMap::color(const QwtDoubleInterval&, double) const
    {68, 583, 105, 1, Smoke::mf_const|Smoke::mf_virtual, 75, 7},	//274 QwtColorMap::colorTable(const QwtDoubleInterval&) const
    {68, 179, 220, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 166, 8},	//275 QwtColorMap::QwtColorMap(const QwtColorMap&)
    {68, 179, 0, 0, Smoke::mf_ctor, 166, 9},	//276 QwtColorMap::QwtColorMap()
    {68, 369, 0, 0, Smoke::mf_static|Smoke::mf_enum, 167, 10},	//277 QwtColorMap::RGB (enum)
    {68, 73, 0, 0, Smoke::mf_static|Smoke::mf_enum, 167, 11},	//278 QwtColorMap::Indexed (enum)
    {68, 1895, 0, 0, Smoke::mf_dtor, 0, 12 },	//279 QwtColorMap::~QwtColorMap()
    {69, 1026, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 327, 1},	//280 QwtCompass::metaObject() const
    {69, 1151, 37, 1, Smoke::mf_virtual, 437, 2},	//281 QwtCompass::qt_metacast(const char*)
    {69, 1770, 139, 2, Smoke::mf_static, 60, 3},	//282 QwtCompass::tr(const char*, const char*)
    {69, 1774, 139, 2, Smoke::mf_static, 60, 4},	//283 QwtCompass::trUtf8(const char*, const char*)
    {69, 1770, 142, 3, Smoke::mf_static, 60, 5},	//284 QwtCompass::tr(const char*, const char*, int)
    {69, 1774, 142, 3, Smoke::mf_static, 60, 6},	//285 QwtCompass::trUtf8(const char*, const char*, int)
    {69, 1149, 39, 3, Smoke::mf_virtual, 431, 7},	//286 QwtCompass::qt_metacall(QMetaObject::Call, int, void**)
    {69, 182, 28, 1, Smoke::mf_ctor, 168, 8},	//287 QwtCompass::QwtCompass(QWidget*)
    {69, 1541, 222, 1, 0, 0, 9},	//288 QwtCompass::setRose(QwtCompassRose*)
    {69, 1194, 0, 0, Smoke::mf_const, 362, 10},	//289 QwtCompass::rose() const
    {69, 1194, 0, 0, 0, 171, 11},	//290 QwtCompass::rose()
    {69, 943, 0, 0, Smoke::mf_const, 324, 12},	//291 QwtCompass::labelMap() const
    {69, 943, 0, 0, 0, 29, 13},	//292 QwtCompass::labelMap()
    {69, 1421, 224, 1, 0, 0, 14},	//293 QwtCompass::setLabelMap(const QMap<double,QString>&)
    {69, 1208, 15, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 301, 15},	//294 QwtCompass::scaleLabel(double) const
    {69, 721, 166, 5, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 0, 16},	//295 QwtCompass::drawRose(QPainter*, const QPoint&, int, double, QPalette::ColorGroup) const
    {69, 730, 226, 3, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 0, 17},	//296 QwtCompass::drawScaleContents(QPainter*, const QPoint&, int) const
    {69, 935, 3, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 18},	//297 QwtCompass::keyPressEvent(QKeyEvent*)
    {69, 1770, 37, 1, Smoke::mf_static, 60, 19},	//298 QwtCompass::tr(const char*)
    {69, 1774, 37, 1, Smoke::mf_static, 60, 20},	//299 QwtCompass::trUtf8(const char*)
    {69, 182, 0, 0, Smoke::mf_ctor, 168, 21},	//300 QwtCompass::QwtCompass()
    {69, 1706, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 326, 22},	//301 QwtCompass::staticMetaObject() const
    {69, 1896, 0, 0, Smoke::mf_dtor, 0, 23 },	//302 QwtCompass::~QwtCompass()
    {70, 184, 230, 3, Smoke::mf_ctor, 169, 1},	//303 QwtCompassMagnetNeedle::QwtCompassMagnetNeedle(QwtCompassMagnetNeedle::Style, const QColor&, const QColor&)
    {70, 643, 166, 5, Smoke::mf_const|Smoke::mf_virtual, 0, 2},	//304 QwtCompassMagnetNeedle::draw(QPainter*, const QPoint&, int, double, QPalette::ColorGroup) const
    {70, 764, 234, 6, Smoke::mf_static, 0, 3},	//305 QwtCompassMagnetNeedle::drawTriangleNeedle(QPainter*, const QPalette&, QPalette::ColorGroup, const QPoint&, int, double)
    {70, 754, 234, 6, Smoke::mf_static, 0, 4},	//306 QwtCompassMagnetNeedle::drawThinNeedle(QPainter*, const QPalette&, QPalette::ColorGroup, const QPoint&, int, double)
    {70, 710, 241, 7, Smoke::mf_static|Smoke::mf_protected, 0, 5},	//307 QwtCompassMagnetNeedle::drawPointer(QPainter*, const QBrush&, int, const QPoint&, int, int, double)
    {70, 184, 249, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 169, 6},	//308 QwtCompassMagnetNeedle::QwtCompassMagnetNeedle(const QwtCompassMagnetNeedle&)
    {70, 184, 0, 0, Smoke::mf_ctor, 169, 7},	//309 QwtCompassMagnetNeedle::QwtCompassMagnetNeedle()
    {70, 184, 251, 1, Smoke::mf_ctor, 169, 8},	//310 QwtCompassMagnetNeedle::QwtCompassMagnetNeedle(QwtCompassMagnetNeedle::Style)
    {70, 184, 253, 2, Smoke::mf_ctor, 169, 9},	//311 QwtCompassMagnetNeedle::QwtCompassMagnetNeedle(QwtCompassMagnetNeedle::Style, const QColor&)
    {70, 643, 256, 4, Smoke::mf_const, 0, 10},	//312 QwtCompassMagnetNeedle::draw(QPainter*, const QPoint&, int, double) const
    {70, 433, 0, 0, Smoke::mf_static|Smoke::mf_enum, 170, 11},	//313 QwtCompassMagnetNeedle::TriangleStyle (enum)
    {70, 427, 0, 0, Smoke::mf_static|Smoke::mf_enum, 170, 12},	//314 QwtCompassMagnetNeedle::ThinStyle (enum)
    {70, 1897, 0, 0, Smoke::mf_dtor, 0, 13 },	//315 QwtCompassMagnetNeedle::~QwtCompassMagnetNeedle()
    {71, 1507, 83, 1, Smoke::mf_virtual, 0, 1},	//316 QwtCompassRose::setPalette(const QPalette&)
    {71, 1114, 0, 0, Smoke::mf_const, 331, 2},	//317 QwtCompassRose::palette() const
    {71, 643, 166, 5, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 3},	//318 QwtCompassRose::draw(QPainter*, const QPoint&, int, double, QPalette::ColorGroup) const [pure virtual]
    {71, 189, 0, 0, Smoke::mf_ctor, 171, 4},	//319 QwtCompassRose::QwtCompassRose()
    {71, 189, 261, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 171, 5},	//320 QwtCompassRose::QwtCompassRose(const QwtCompassRose&)
    {71, 643, 256, 4, Smoke::mf_const, 0, 6},	//321 QwtCompassRose::draw(QPainter*, const QPoint&, int, double) const
    {71, 1898, 0, 0, Smoke::mf_dtor, 0, 7 },	//322 QwtCompassRose::~QwtCompassRose()
    {72, 191, 263, 3, Smoke::mf_ctor, 172, 1},	//323 QwtCompassWindArrow::QwtCompassWindArrow(QwtCompassWindArrow::Style, const QColor&, const QColor&)
    {72, 643, 166, 5, Smoke::mf_const|Smoke::mf_virtual, 0, 2},	//324 QwtCompassWindArrow::draw(QPainter*, const QPoint&, int, double, QPalette::ColorGroup) const
    {72, 740, 234, 6, Smoke::mf_static, 0, 3},	//325 QwtCompassWindArrow::drawStyle1Needle(QPainter*, const QPalette&, QPalette::ColorGroup, const QPoint&, int, double)
    {72, 742, 234, 6, Smoke::mf_static, 0, 4},	//326 QwtCompassWindArrow::drawStyle2Needle(QPainter*, const QPalette&, QPalette::ColorGroup, const QPoint&, int, double)
    {72, 191, 267, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 172, 5},	//327 QwtCompassWindArrow::QwtCompassWindArrow(const QwtCompassWindArrow&)
    {72, 191, 269, 1, Smoke::mf_ctor, 172, 6},	//328 QwtCompassWindArrow::QwtCompassWindArrow(QwtCompassWindArrow::Style)
    {72, 191, 271, 2, Smoke::mf_ctor, 172, 7},	//329 QwtCompassWindArrow::QwtCompassWindArrow(QwtCompassWindArrow::Style, const QColor&)
    {72, 643, 256, 4, Smoke::mf_const, 0, 8},	//330 QwtCompassWindArrow::draw(QPainter*, const QPoint&, int, double) const
    {72, 420, 0, 0, Smoke::mf_static|Smoke::mf_enum, 173, 9},	//331 QwtCompassWindArrow::Style1 (enum)
    {72, 421, 0, 0, Smoke::mf_static|Smoke::mf_enum, 173, 10},	//332 QwtCompassWindArrow::Style2 (enum)
    {72, 1899, 0, 0, Smoke::mf_dtor, 0, 11 },	//333 QwtCompassWindArrow::~QwtCompassWindArrow()
    {73, 1026, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 327, 1},	//334 QwtCounter::metaObject() const
    {73, 1151, 37, 1, Smoke::mf_virtual, 437, 2},	//335 QwtCounter::qt_metacast(const char*)
    {73, 1770, 139, 2, Smoke::mf_static, 60, 3},	//336 QwtCounter::tr(const char*, const char*)
    {73, 1774, 139, 2, Smoke::mf_static, 60, 4},	//337 QwtCounter::trUtf8(const char*, const char*)
    {73, 1770, 142, 3, Smoke::mf_static, 60, 5},	//338 QwtCounter::tr(const char*, const char*, int)
    {73, 1774, 142, 3, Smoke::mf_static, 60, 6},	//339 QwtCounter::trUtf8(const char*, const char*, int)
    {73, 1149, 39, 3, Smoke::mf_virtual, 431, 7},	//340 QwtCounter::qt_metacall(QMetaObject::Call, int, void**)
    {73, 196, 28, 1, Smoke::mf_ctor, 174, 8},	//341 QwtCounter::QwtCounter(QWidget*)
    {73, 771, 0, 0, Smoke::mf_const|Smoke::mf_property, 313, 9},	//342 QwtCounter::editable() const
    {73, 1368, 45, 1, Smoke::mf_property, 0, 10},	//343 QwtCounter::setEditable(bool)
    {73, 1485, 32, 1, Smoke::mf_property, 0, 11},	//344 QwtCounter::setNumButtons(int)
    {73, 1079, 0, 0, Smoke::mf_const|Smoke::mf_property, 431, 12},	//345 QwtCounter::numButtons() const
    {73, 1394, 274, 2, 0, 0, 13},	//346 QwtCounter::setIncSteps(QwtCounter::Button, int)
    {73, 869, 277, 1, Smoke::mf_const, 431, 14},	//347 QwtCounter::incSteps(QwtCounter::Button) const
    {73, 1644, 15, 1, Smoke::mf_property|Smoke::mf_virtual, 0, 15},	//348 QwtCounter::setValue(double)
    {73, 1692, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 57, 16},	//349 QwtCounter::sizeHint() const
    {73, 1128, 0, 0, Smoke::mf_virtual, 0, 17},	//350 QwtCounter::polish()
    {73, 1707, 0, 0, Smoke::mf_const|Smoke::mf_property, 428, 18},	//351 QwtCounter::step() const
    {73, 1594, 15, 1, Smoke::mf_property, 0, 19},	//352 QwtCounter::setStep(double)
    {73, 1037, 0, 0, Smoke::mf_const|Smoke::mf_property, 428, 20},	//353 QwtCounter::minVal() const
    {73, 1466, 15, 1, Smoke::mf_property, 0, 21},	//354 QwtCounter::setMinValue(double)
    {73, 1021, 0, 0, Smoke::mf_const|Smoke::mf_property, 428, 22},	//355 QwtCounter::maxVal() const
    {73, 1455, 15, 1, Smoke::mf_property, 0, 23},	//356 QwtCounter::setMaxValue(double)
    {73, 1596, 32, 1, Smoke::mf_property, 0, 24},	//357 QwtCounter::setStepButton1(int)
    {73, 1708, 0, 0, Smoke::mf_const|Smoke::mf_property, 431, 25},	//358 QwtCounter::stepButton1() const
    {73, 1598, 32, 1, Smoke::mf_property, 0, 26},	//359 QwtCounter::setStepButton2(int)
    {73, 1709, 0, 0, Smoke::mf_const|Smoke::mf_property, 431, 27},	//360 QwtCounter::stepButton2() const
    {73, 1600, 32, 1, Smoke::mf_property, 0, 28},	//361 QwtCounter::setStepButton3(int)
    {73, 1710, 0, 0, Smoke::mf_const|Smoke::mf_property, 431, 29},	//362 QwtCounter::stepButton3() const
    {73, 1817, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 428, 30},	//363 QwtCounter::value() const
    {73, 530, 15, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 31},	//364 QwtCounter::buttonReleased(double)
    {73, 1821, 15, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 32},	//365 QwtCounter::valueChanged(double)
    {73, 791, 7, 1, Smoke::mf_protected|Smoke::mf_virtual, 313, 33},	//366 QwtCounter::event(QEvent*)
    {73, 1826, 47, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 34},	//367 QwtCounter::wheelEvent(QWheelEvent*)
    {73, 935, 3, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 35},	//368 QwtCounter::keyPressEvent(QKeyEvent*)
    {73, 1169, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 36},	//369 QwtCounter::rangeChange()
    {73, 1770, 37, 1, Smoke::mf_static, 60, 37},	//370 QwtCounter::tr(const char*)
    {73, 1774, 37, 1, Smoke::mf_static, 60, 38},	//371 QwtCounter::trUtf8(const char*)
    {73, 196, 0, 0, Smoke::mf_ctor, 174, 39},	//372 QwtCounter::QwtCounter()
    {73, 1706, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 326, 40},	//373 QwtCounter::staticMetaObject() const
    {73, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 175, 41},	//374 QwtCounter::Button1 (enum)
    {73, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 175, 42},	//375 QwtCounter::Button2 (enum)
    {73, 23, 0, 0, Smoke::mf_static|Smoke::mf_enum, 175, 43},	//376 QwtCounter::Button3 (enum)
    {73, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 175, 44},	//377 QwtCounter::ButtonCnt (enum)
    {73, 1900, 0, 0, Smoke::mf_dtor, 0, 45 },	//378 QwtCounter::~QwtCounter()
    {74, 812, 279, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 48, 1},	//379 QwtCurveFitter::fitCurve(const QPolygonF&) const [pure virtual]
    {74, 198, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 176, 2},	//380 QwtCurveFitter::QwtCurveFitter()
    {74, 1901, 0, 0, Smoke::mf_dtor, 0, 3 },	//381 QwtCurveFitter::~QwtCurveFitter()
    {75, 199, 0, 0, Smoke::mf_ctor, 178, 1},	//382 QwtData::QwtData()
    {75, 603, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 178, 2},	//383 QwtData::copy() const [pure virtual]
    {75, 1691, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 434, 3},	//384 QwtData::size() const [pure virtual]
    {75, 1849, 188, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 428, 4},	//385 QwtData::x(size_t) const [pure virtual]
    {75, 1866, 188, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 428, 5},	//386 QwtData::y(size_t) const [pure virtual]
    {75, 522, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 52, 6},	//387 QwtData::boundingRect() const
    {75, 199, 281, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 178, 7},	//388 QwtData::QwtData(const QwtData&)
    {75, 1902, 0, 0, Smoke::mf_dtor, 0, 8 },	//389 QwtData::~QwtData()
    {76, 1026, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 327, 1},	//390 QwtDial::metaObject() const
    {76, 1151, 37, 1, Smoke::mf_virtual, 437, 2},	//391 QwtDial::qt_metacast(const char*)
    {76, 1770, 139, 2, Smoke::mf_static, 60, 3},	//392 QwtDial::tr(const char*, const char*)
    {76, 1774, 139, 2, Smoke::mf_static, 60, 4},	//393 QwtDial::trUtf8(const char*, const char*)
    {76, 1770, 142, 3, Smoke::mf_static, 60, 5},	//394 QwtDial::tr(const char*, const char*, int)
    {76, 1774, 142, 3, Smoke::mf_static, 60, 6},	//395 QwtDial::trUtf8(const char*, const char*, int)
    {76, 1149, 39, 3, Smoke::mf_virtual, 431, 7},	//396 QwtDial::qt_metacall(QMetaObject::Call, int, void**)
    {76, 201, 28, 1, Smoke::mf_ctor, 179, 8},	//397 QwtDial::QwtDial(QWidget*)
    {76, 1384, 283, 1, Smoke::mf_property, 0, 9},	//398 QwtDial::setFrameShadow(QwtDial::Shadow)
    {76, 830, 0, 0, Smoke::mf_const|Smoke::mf_property, 183, 10},	//399 QwtDial::frameShadow() const
    {76, 855, 0, 0, Smoke::mf_const|Smoke::mf_property, 313, 11},	//400 QwtDial::hasVisibleBackground() const
    {76, 1687, 45, 1, Smoke::mf_property, 0, 12},	//401 QwtDial::showBackground(bool)
    {76, 1441, 32, 1, Smoke::mf_property, 0, 13},	//402 QwtDial::setLineWidth(int)
    {76, 1003, 0, 0, Smoke::mf_const|Smoke::mf_property, 431, 14},	//403 QwtDial::lineWidth() const
    {76, 1470, 285, 1, Smoke::mf_property, 0, 15},	//404 QwtDial::setMode(QwtDial::Mode)
    {76, 1047, 0, 0, Smoke::mf_const|Smoke::mf_property, 181, 16},	//405 QwtDial::mode() const
    {76, 1660, 45, 1, Smoke::mf_property|Smoke::mf_virtual, 0, 17},	//406 QwtDial::setWrapping(bool)
    {76, 1848, 0, 0, Smoke::mf_const|Smoke::mf_property, 313, 18},	//407 QwtDial::wrapping() const
    {76, 1547, 287, 3, Smoke::mf_virtual, 0, 19},	//408 QwtDial::setScale(int, int, double)
    {76, 1552, 102, 2, 0, 0, 20},	//409 QwtDial::setScaleArc(double, double)
    {76, 1569, 32, 1, 0, 0, 21},	//410 QwtDial::setScaleOptions(int)
    {76, 1573, 291, 4, 0, 0, 22},	//411 QwtDial::setScaleTicks(int, int, int, int)
    {76, 1036, 0, 0, Smoke::mf_const, 428, 23},	//412 QwtDial::minScaleArc() const
    {76, 1019, 0, 0, Smoke::mf_const, 428, 24},	//413 QwtDial::maxScaleArc() const
    {76, 1498, 15, 1, Smoke::mf_property|Smoke::mf_virtual, 0, 25},	//414 QwtDial::setOrigin(double)
    {76, 1103, 0, 0, Smoke::mf_const|Smoke::mf_property, 428, 26},	//415 QwtDial::origin() const
    {76, 1359, 296, 1, Smoke::mf_property, 0, 27},	//416 QwtDial::setDirection(QwtDial::Direction)
    {76, 629, 0, 0, Smoke::mf_const|Smoke::mf_property, 180, 28},	//417 QwtDial::direction() const
    {76, 1483, 298, 1, Smoke::mf_virtual, 0, 29},	//418 QwtDial::setNeedle(QwtDialNeedle*)
    {76, 1075, 0, 0, Smoke::mf_const, 366, 30},	//419 QwtDial::needle() const
    {76, 1075, 0, 0, 0, 184, 31},	//420 QwtDial::needle()
    {76, 522, 0, 0, Smoke::mf_const, 49, 32},	//421 QwtDial::boundingRect() const
    {76, 593, 0, 0, Smoke::mf_const, 49, 33},	//422 QwtDial::contentsRect() const
    {76, 1203, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 49, 34},	//423 QwtDial::scaleContentsRect() const
    {76, 1692, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 57, 35},	//424 QwtDial::sizeHint() const
    {76, 1045, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 57, 36},	//425 QwtDial::minimumSizeHint() const
    {76, 1559, 300, 1, Smoke::mf_virtual, 0, 37},	//426 QwtDial::setScaleDraw(QwtDialScaleDraw*)
    {76, 1206, 0, 0, 0, 185, 38},	//427 QwtDial::scaleDraw()
    {76, 1206, 0, 0, Smoke::mf_const, 368, 39},	//428 QwtDial::scaleDraw() const
    {76, 1110, 11, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 40},	//429 QwtDial::paintEvent(QPaintEvent*)
    {76, 1189, 51, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 41},	//430 QwtDial::resizeEvent(QResizeEvent*)
    {76, 935, 3, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 42},	//431 QwtDial::keyPressEvent(QKeyEvent*)
    {76, 1806, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 43},	//432 QwtDial::updateMask()
    {76, 682, 131, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 44},	//433 QwtDial::drawFrame(QPainter*)
    {76, 667, 131, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 0, 45},	//434 QwtDial::drawContents(QPainter*) const
    {76, 677, 131, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 0, 46},	//435 QwtDial::drawFocusIndicator(QPainter*) const
    {76, 728, 302, 6, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 0, 47},	//436 QwtDial::drawScale(QPainter*, const QPoint&, int, double, double, double) const
    {76, 730, 226, 3, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 0, 48},	//437 QwtDial::drawScaleContents(QPainter*, const QPoint&, int) const
    {76, 704, 166, 5, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 0, 49},	//438 QwtDial::drawNeedle(QPainter*, const QPoint&, int, double, QPalette::ColorGroup) const
    {76, 1208, 15, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 301, 50},	//439 QwtDial::scaleLabel(double) const
    {76, 1807, 0, 0, Smoke::mf_protected, 0, 51},	//440 QwtDial::updateScale()
    {76, 1169, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 52},	//441 QwtDial::rangeChange()
    {76, 1820, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 53},	//442 QwtDial::valueChange()
    {76, 843, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 428, 54},	//443 QwtDial::getValue(const QPoint&)
    {76, 841, 151, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 55},	//444 QwtDial::getScrollMode(const QPoint&, int&, int&)
    {76, 1770, 37, 1, Smoke::mf_static, 60, 56},	//445 QwtDial::tr(const char*)
    {76, 1774, 37, 1, Smoke::mf_static, 60, 57},	//446 QwtDial::trUtf8(const char*)
    {76, 201, 0, 0, Smoke::mf_ctor, 179, 58},	//447 QwtDial::QwtDial()
    {76, 1547, 309, 2, 0, 0, 59},	//448 QwtDial::setScale(int, int)
    {76, 1573, 312, 3, 0, 0, 60},	//449 QwtDial::setScaleTicks(int, int, int)
    {76, 1706, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 326, 61},	//450 QwtDial::staticMetaObject() const
    {76, 144, 0, 0, Smoke::mf_static|Smoke::mf_enum, 183, 62},	//451 QwtDial::Plain (enum)
    {76, 371, 0, 0, Smoke::mf_static|Smoke::mf_enum, 183, 63},	//452 QwtDial::Raised (enum)
    {76, 424, 0, 0, Smoke::mf_static|Smoke::mf_enum, 183, 64},	//453 QwtDial::Sunken (enum)
    {76, 392, 0, 0, Smoke::mf_static|Smoke::mf_enum, 182, 65},	//454 QwtDial::ScaleBackbone (enum)
    {76, 394, 0, 0, Smoke::mf_static|Smoke::mf_enum, 182, 66},	//455 QwtDial::ScaleTicks (enum)
    {76, 393, 0, 0, Smoke::mf_static|Smoke::mf_enum, 182, 67},	//456 QwtDial::ScaleLabel (enum)
    {76, 381, 0, 0, Smoke::mf_static|Smoke::mf_enum, 181, 68},	//457 QwtDial::RotateNeedle (enum)
    {76, 382, 0, 0, Smoke::mf_static|Smoke::mf_enum, 181, 69},	//458 QwtDial::RotateScale (enum)
    {76, 33, 0, 0, Smoke::mf_static|Smoke::mf_enum, 180, 70},	//459 QwtDial::Clockwise (enum)
    {76, 36, 0, 0, Smoke::mf_static|Smoke::mf_enum, 180, 71},	//460 QwtDial::CounterClockwise (enum)
    {76, 1903, 0, 0, Smoke::mf_dtor, 0, 72 },	//461 QwtDial::~QwtDial()
    {77, 203, 0, 0, Smoke::mf_ctor, 184, 1},	//462 QwtDialNeedle::QwtDialNeedle()
    {77, 643, 166, 5, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 2},	//463 QwtDialNeedle::draw(QPainter*, const QPoint&, int, double, QPalette::ColorGroup) const [pure virtual]
    {77, 1507, 83, 1, Smoke::mf_virtual, 0, 3},	//464 QwtDialNeedle::setPalette(const QPalette&)
    {77, 1114, 0, 0, Smoke::mf_const, 331, 4},	//465 QwtDialNeedle::palette() const
    {77, 692, 316, 5, Smoke::mf_static|Smoke::mf_protected, 0, 5},	//466 QwtDialNeedle::drawKnob(QPainter*, const QPoint&, int, const QBrush&, bool)
    {77, 203, 322, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 184, 6},	//467 QwtDialNeedle::QwtDialNeedle(const QwtDialNeedle&)
    {77, 643, 256, 4, Smoke::mf_const, 0, 7},	//468 QwtDialNeedle::draw(QPainter*, const QPoint&, int, double) const
    {77, 1904, 0, 0, Smoke::mf_dtor, 0, 8 },	//469 QwtDialNeedle::~QwtDialNeedle()
    {78, 205, 324, 1, Smoke::mf_ctor, 185, 1},	//470 QwtDialScaleDraw::QwtDialScaleDraw(QwtDial*)
    {78, 940, 15, 1, Smoke::mf_const|Smoke::mf_virtual, 301, 2},	//471 QwtDialScaleDraw::label(double) const
    {78, 1511, 326, 1, 0, 0, 3},	//472 QwtDialScaleDraw::setPenWidth(unsigned int)
    {78, 1121, 0, 0, Smoke::mf_const, 436, 4},	//473 QwtDialScaleDraw::penWidth() const
    {78, 205, 328, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 185, 5},	//474 QwtDialScaleDraw::QwtDialScaleDraw(const QwtDialScaleDraw&)
    {78, 1905, 0, 0, Smoke::mf_dtor, 0, 6 },	//475 QwtDialScaleDraw::~QwtDialScaleDraw()
    {79, 207, 330, 4, Smoke::mf_ctor, 186, 1},	//476 QwtDialSimpleNeedle::QwtDialSimpleNeedle(QwtDialSimpleNeedle::Style, bool, const QColor&, const QColor&)
    {79, 643, 166, 5, Smoke::mf_const|Smoke::mf_virtual, 0, 2},	//477 QwtDialSimpleNeedle::draw(QPainter*, const QPoint&, int, double, QPalette::ColorGroup) const
    {79, 654, 335, 8, Smoke::mf_static, 0, 3},	//478 QwtDialSimpleNeedle::drawArrowNeedle(QPainter*, const QPalette&, QPalette::ColorGroup, const QPoint&, int, int, double, bool)
    {79, 716, 335, 8, Smoke::mf_static, 0, 4},	//479 QwtDialSimpleNeedle::drawRayNeedle(QPainter*, const QPalette&, QPalette::ColorGroup, const QPoint&, int, int, double, bool)
    {79, 1658, 32, 1, 0, 0, 5},	//480 QwtDialSimpleNeedle::setWidth(int)
    {79, 1846, 0, 0, Smoke::mf_const, 431, 6},	//481 QwtDialSimpleNeedle::width() const
    {79, 207, 344, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 186, 7},	//482 QwtDialSimpleNeedle::QwtDialSimpleNeedle(const QwtDialSimpleNeedle&)
    {79, 207, 346, 1, Smoke::mf_ctor, 186, 8},	//483 QwtDialSimpleNeedle::QwtDialSimpleNeedle(QwtDialSimpleNeedle::Style)
    {79, 207, 348, 2, Smoke::mf_ctor, 186, 9},	//484 QwtDialSimpleNeedle::QwtDialSimpleNeedle(QwtDialSimpleNeedle::Style, bool)
    {79, 207, 351, 3, Smoke::mf_ctor, 186, 10},	//485 QwtDialSimpleNeedle::QwtDialSimpleNeedle(QwtDialSimpleNeedle::Style, bool, const QColor&)
    {79, 643, 256, 4, Smoke::mf_const, 0, 11},	//486 QwtDialSimpleNeedle::draw(QPainter*, const QPoint&, int, double) const
    {79, 6, 0, 0, Smoke::mf_static|Smoke::mf_enum, 187, 12},	//487 QwtDialSimpleNeedle::Arrow (enum)
    {79, 372, 0, 0, Smoke::mf_static|Smoke::mf_enum, 187, 13},	//488 QwtDialSimpleNeedle::Ray (enum)
    {79, 1906, 0, 0, Smoke::mf_dtor, 0, 14 },	//489 QwtDialSimpleNeedle::~QwtDialSimpleNeedle()
    {80, 213, 0, 0, Smoke::mf_ctor, 190, 1},	//490 QwtDoubleInterval::QwtDoubleInterval()
    {80, 213, 355, 3, Smoke::mf_ctor, 190, 2},	//491 QwtDoubleInterval::QwtDoubleInterval(double, double, int)
    {80, 1400, 355, 3, 0, 0, 3},	//492 QwtDoubleInterval::setInterval(double, double, int)
    {80, 1077, 0, 0, Smoke::mf_const, 188, 4},	//493 QwtDoubleInterval::normalized() const
    {80, 907, 0, 0, Smoke::mf_const, 188, 5},	//494 QwtDoubleInterval::inverted() const
    {80, 999, 102, 2, Smoke::mf_const, 188, 6},	//495 QwtDoubleInterval::limited(double, double) const
    {80, 1092, 105, 1, Smoke::mf_const, 431, 7},	//496 QwtDoubleInterval::operator==(const QwtDoubleInterval&) const
    {80, 1084, 105, 1, Smoke::mf_const, 431, 8},	//497 QwtDoubleInterval::operator!=(const QwtDoubleInterval&) const
    {80, 1302, 32, 1, 0, 0, 9},	//498 QwtDoubleInterval::setBorderFlags(int)
    {80, 518, 0, 0, Smoke::mf_const, 431, 10},	//499 QwtDoubleInterval::borderFlags() const
    {80, 1038, 0, 0, Smoke::mf_const, 428, 11},	//500 QwtDoubleInterval::minValue() const
    {80, 1022, 0, 0, Smoke::mf_const, 428, 12},	//501 QwtDoubleInterval::maxValue() const
    {80, 1846, 0, 0, Smoke::mf_const, 428, 13},	//502 QwtDoubleInterval::width() const
    {80, 1466, 15, 1, 0, 0, 14},	//503 QwtDoubleInterval::setMinValue(double)
    {80, 1455, 15, 1, 0, 0, 15},	//504 QwtDoubleInterval::setMaxValue(double)
    {80, 590, 15, 1, Smoke::mf_const, 313, 16},	//505 QwtDoubleInterval::contains(double) const
    {80, 892, 105, 1, Smoke::mf_const, 313, 17},	//506 QwtDoubleInterval::intersects(const QwtDoubleInterval&) const
    {80, 890, 105, 1, Smoke::mf_const, 188, 18},	//507 QwtDoubleInterval::intersect(const QwtDoubleInterval&) const
    {80, 1799, 105, 1, Smoke::mf_const, 188, 19},	//508 QwtDoubleInterval::unite(const QwtDoubleInterval&) const
    {80, 1094, 105, 1, Smoke::mf_const, 188, 20},	//509 QwtDoubleInterval::operator|(const QwtDoubleInterval&) const
    {80, 1086, 105, 1, Smoke::mf_const, 188, 21},	//510 QwtDoubleInterval::operator&(const QwtDoubleInterval&) const
    {80, 1097, 105, 1, 0, 189, 22},	//511 QwtDoubleInterval::operator|=(const QwtDoubleInterval&)
    {80, 1088, 105, 1, 0, 189, 23},	//512 QwtDoubleInterval::operator&=(const QwtDoubleInterval&)
    {80, 800, 15, 1, Smoke::mf_const, 188, 24},	//513 QwtDoubleInterval::extend(double) const
    {80, 1094, 15, 1, Smoke::mf_const, 188, 25},	//514 QwtDoubleInterval::operator|(double) const
    {80, 1097, 15, 1, 0, 189, 26},	//515 QwtDoubleInterval::operator|=(double)
    {80, 922, 0, 0, Smoke::mf_const, 313, 27},	//516 QwtDoubleInterval::isValid() const
    {80, 917, 0, 0, Smoke::mf_const, 313, 28},	//517 QwtDoubleInterval::isNull() const
    {80, 903, 0, 0, 0, 0, 29},	//518 QwtDoubleInterval::invalidate()
    {80, 1722, 15, 1, Smoke::mf_const, 188, 30},	//519 QwtDoubleInterval::symmetrize(double) const
    {80, 213, 105, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 190, 31},	//520 QwtDoubleInterval::QwtDoubleInterval(const QwtDoubleInterval&)
    {80, 213, 102, 2, Smoke::mf_ctor, 190, 32},	//521 QwtDoubleInterval::QwtDoubleInterval(double, double)
    {80, 1400, 102, 2, 0, 0, 33},	//522 QwtDoubleInterval::setInterval(double, double)
    {80, 71, 0, 0, Smoke::mf_static|Smoke::mf_enum, 191, 34},	//523 QwtDoubleInterval::IncludeBorders (enum)
    {80, 53, 0, 0, Smoke::mf_static|Smoke::mf_enum, 191, 35},	//524 QwtDoubleInterval::ExcludeMinimum (enum)
    {80, 52, 0, 0, Smoke::mf_static|Smoke::mf_enum, 191, 36},	//525 QwtDoubleInterval::ExcludeMaximum (enum)
    {80, 51, 0, 0, Smoke::mf_static|Smoke::mf_enum, 191, 37},	//526 QwtDoubleInterval::ExcludeBorders (enum)
    {80, 1907, 0, 0, Smoke::mf_dtor, 0, 38 },	//527 QwtDoubleInterval::~QwtDoubleInterval()
    {81, 217, 0, 0, Smoke::mf_ctor, 193, 1},	//528 QwtDoubleRange::QwtDoubleRange()
    {81, 1524, 359, 4, 0, 0, 2},	//529 QwtDoubleRange::setRange(double, double, double, int)
    {81, 1642, 45, 1, 0, 0, 3},	//530 QwtDoubleRange::setValid(bool)
    {81, 922, 0, 0, Smoke::mf_const, 313, 4},	//531 QwtDoubleRange::isValid() const
    {81, 1644, 15, 1, Smoke::mf_virtual, 0, 5},	//532 QwtDoubleRange::setValue(double)
    {81, 1817, 0, 0, Smoke::mf_const, 428, 6},	//533 QwtDoubleRange::value() const
    {81, 1513, 45, 1, 0, 0, 7},	//534 QwtDoubleRange::setPeriodic(bool)
    {81, 1122, 0, 0, Smoke::mf_const, 313, 8},	//535 QwtDoubleRange::periodic() const
    {81, 1594, 15, 1, 0, 0, 9},	//536 QwtDoubleRange::setStep(double)
    {81, 1707, 0, 0, Smoke::mf_const, 428, 10},	//537 QwtDoubleRange::step() const
    {81, 1022, 0, 0, Smoke::mf_const, 428, 11},	//538 QwtDoubleRange::maxValue() const
    {81, 1038, 0, 0, Smoke::mf_const, 428, 12},	//539 QwtDoubleRange::minValue() const
    {81, 1107, 0, 0, Smoke::mf_const, 431, 13},	//540 QwtDoubleRange::pageSize() const
    {81, 871, 32, 1, Smoke::mf_virtual, 0, 14},	//541 QwtDoubleRange::incValue(int)
    {81, 867, 32, 1, Smoke::mf_virtual, 0, 15},	//542 QwtDoubleRange::incPages(int)
    {81, 815, 15, 1, Smoke::mf_virtual, 0, 16},	//543 QwtDoubleRange::fitValue(double)
    {81, 796, 0, 0, Smoke::mf_const|Smoke::mf_protected, 428, 17},	//544 QwtDoubleRange::exactValue() const
    {81, 795, 0, 0, Smoke::mf_const|Smoke::mf_protected, 428, 18},	//545 QwtDoubleRange::exactPrevValue() const
    {81, 1134, 0, 0, Smoke::mf_const|Smoke::mf_protected, 428, 19},	//546 QwtDoubleRange::prevValue() const
    {81, 1820, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 20},	//547 QwtDoubleRange::valueChange()
    {81, 1711, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 21},	//548 QwtDoubleRange::stepChange()
    {81, 1169, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 22},	//549 QwtDoubleRange::rangeChange()
    {81, 217, 364, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 193, 23},	//550 QwtDoubleRange::QwtDoubleRange(const QwtDoubleRange&)
    {81, 1524, 102, 2, 0, 0, 24},	//551 QwtDoubleRange::setRange(double, double)
    {81, 1524, 87, 3, 0, 0, 25},	//552 QwtDoubleRange::setRange(double, double, double)
    {81, 1908, 0, 0, Smoke::mf_dtor, 0, 26 },	//553 QwtDoubleRange::~QwtDoubleRange()
    {82, 1026, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 327, 1},	//554 QwtDynGridLayout::metaObject() const
    {82, 1151, 37, 1, Smoke::mf_virtual, 437, 2},	//555 QwtDynGridLayout::qt_metacast(const char*)
    {82, 1770, 139, 2, Smoke::mf_static, 60, 3},	//556 QwtDynGridLayout::tr(const char*, const char*)
    {82, 1774, 139, 2, Smoke::mf_static, 60, 4},	//557 QwtDynGridLayout::trUtf8(const char*, const char*)
    {82, 1770, 142, 3, Smoke::mf_static, 60, 5},	//558 QwtDynGridLayout::tr(const char*, const char*, int)
    {82, 1774, 142, 3, Smoke::mf_static, 60, 6},	//559 QwtDynGridLayout::trUtf8(const char*, const char*, int)
    {82, 1149, 39, 3, Smoke::mf_virtual, 431, 7},	//560 QwtDynGridLayout::qt_metacall(QMetaObject::Call, int, void**)
    {82, 219, 366, 3, Smoke::mf_ctor, 195, 8},	//561 QwtDynGridLayout::QwtDynGridLayout(QWidget*, int, int)
    {82, 219, 32, 1, Smoke::mf_ctor, 195, 9},	//562 QwtDynGridLayout::QwtDynGridLayout(int)
    {82, 903, 0, 0, Smoke::mf_virtual, 0, 10},	//563 QwtDynGridLayout::invalidate()
    {82, 1451, 326, 1, 0, 0, 11},	//564 QwtDynGridLayout::setMaxCols(unsigned int)
    {82, 1013, 0, 0, Smoke::mf_const, 436, 12},	//565 QwtDynGridLayout::maxCols() const
    {82, 1081, 0, 0, Smoke::mf_const, 436, 13},	//566 QwtDynGridLayout::numRows() const
    {82, 1080, 0, 0, Smoke::mf_const, 436, 14},	//567 QwtDynGridLayout::numCols() const
    {82, 453, 370, 1, Smoke::mf_virtual, 0, 15},	//568 QwtDynGridLayout::addItem(QLayoutItem*)
    {82, 924, 32, 1, Smoke::mf_const|Smoke::mf_virtual, 22, 16},	//569 QwtDynGridLayout::itemAt(int) const
    {82, 1725, 32, 1, Smoke::mf_virtual, 22, 17},	//570 QwtDynGridLayout::takeAt(int)
    {82, 604, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 431, 18},	//571 QwtDynGridLayout::count() const
    {82, 1372, 372, 1, 0, 0, 19},	//572 QwtDynGridLayout::setExpandingDirections(QFlags<Qt::Orientation>)
    {82, 799, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 14, 20},	//573 QwtDynGridLayout::expandingDirections() const
    {82, 959, 374, 2, Smoke::mf_const, 23, 21},	//574 QwtDynGridLayout::layoutItems(const QRect&, unsigned int) const
    {82, 1014, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 431, 22},	//575 QwtDynGridLayout::maxItemWidth() const
    {82, 1386, 377, 1, Smoke::mf_virtual, 0, 23},	//576 QwtDynGridLayout::setGeometry(const QRect&)
    {82, 854, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 313, 24},	//577 QwtDynGridLayout::hasHeightForWidth() const
    {82, 856, 32, 1, Smoke::mf_const|Smoke::mf_virtual, 431, 25},	//578 QwtDynGridLayout::heightForWidth(int) const
    {82, 1692, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 57, 26},	//579 QwtDynGridLayout::sizeHint() const
    {82, 914, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 313, 27},	//580 QwtDynGridLayout::isEmpty() const
    {82, 927, 0, 0, Smoke::mf_const, 436, 28},	//581 QwtDynGridLayout::itemCount() const
    {82, 585, 32, 1, Smoke::mf_const|Smoke::mf_virtual, 436, 29},	//582 QwtDynGridLayout::columnsForWidth(int) const
    {82, 957, 379, 3, Smoke::mf_const|Smoke::mf_protected, 0, 30},	//583 QwtDynGridLayout::layoutGrid(unsigned int, QVector<int>&, QVector<int>&) const
    {82, 1713, 383, 4, Smoke::mf_const|Smoke::mf_protected, 0, 31},	//584 QwtDynGridLayout::stretchGrid(const QRect&, unsigned int, QVector<int>&, QVector<int>&) const
    {82, 1770, 37, 1, Smoke::mf_static, 60, 32},	//585 QwtDynGridLayout::tr(const char*)
    {82, 1774, 37, 1, Smoke::mf_static, 60, 33},	//586 QwtDynGridLayout::trUtf8(const char*)
    {82, 219, 28, 1, Smoke::mf_ctor, 195, 34},	//587 QwtDynGridLayout::QwtDynGridLayout(QWidget*)
    {82, 219, 388, 2, Smoke::mf_ctor, 195, 35},	//588 QwtDynGridLayout::QwtDynGridLayout(QWidget*, int)
    {82, 219, 0, 0, Smoke::mf_ctor, 195, 36},	//589 QwtDynGridLayout::QwtDynGridLayout()
    {82, 1706, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 326, 37},	//590 QwtDynGridLayout::staticMetaObject() const
    {82, 1909, 0, 0, Smoke::mf_dtor, 0, 38 },	//591 QwtDynGridLayout::~QwtDynGridLayout()
    {83, 224, 0, 0, Smoke::mf_ctor, 196, 1},	//592 QwtEventPattern::QwtEventPattern()
    {83, 877, 32, 1, 0, 0, 2},	//593 QwtEventPattern::initMousePattern(int)
    {83, 876, 0, 0, 0, 0, 3},	//594 QwtEventPattern::initKeyPattern()
    {83, 1479, 391, 3, 0, 0, 4},	//595 QwtEventPattern::setMousePattern(unsigned int, int, int)
    {83, 1411, 391, 3, 0, 0, 5},	//596 QwtEventPattern::setKeyPattern(unsigned int, int, int)
    {83, 1479, 395, 1, 0, 0, 6},	//597 QwtEventPattern::setMousePattern(const QVector<QwtEventPattern::MousePattern>&)
    {83, 1411, 397, 1, 0, 0, 7},	//598 QwtEventPattern::setKeyPattern(const QVector<QwtEventPattern::KeyPattern>&)
    {83, 1056, 0, 0, Smoke::mf_const, 349, 8},	//599 QwtEventPattern::mousePattern() const
    {83, 934, 0, 0, Smoke::mf_const, 348, 9},	//600 QwtEventPattern::keyPattern() const
    {83, 1056, 0, 0, 0, 72, 10},	//601 QwtEventPattern::mousePattern()
    {83, 934, 0, 0, 0, 71, 11},	//602 QwtEventPattern::keyPattern()
    {83, 1050, 399, 2, Smoke::mf_const, 313, 12},	//603 QwtEventPattern::mouseMatch(unsigned int, const QMouseEvent*) const
    {83, 931, 402, 2, Smoke::mf_const, 313, 13},	//604 QwtEventPattern::keyMatch(unsigned int, const QKeyEvent*) const
    {83, 1050, 405, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 313, 14},	//605 QwtEventPattern::mouseMatch(const QwtEventPattern::MousePattern&, const QMouseEvent*) const
    {83, 931, 408, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 313, 15},	//606 QwtEventPattern::keyMatch(const QwtEventPattern::KeyPattern&, const QKeyEvent*) const
    {83, 224, 411, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 196, 16},	//607 QwtEventPattern::QwtEventPattern(const QwtEventPattern&)
    {83, 1479, 413, 2, 0, 0, 17},	//608 QwtEventPattern::setMousePattern(unsigned int, int)
    {83, 1411, 413, 2, 0, 0, 18},	//609 QwtEventPattern::setKeyPattern(unsigned int, int)
    {83, 110, 0, 0, Smoke::mf_static|Smoke::mf_enum, 200, 19},	//610 QwtEventPattern::MouseSelect1 (enum)
    {83, 111, 0, 0, Smoke::mf_static|Smoke::mf_enum, 200, 20},	//611 QwtEventPattern::MouseSelect2 (enum)
    {83, 112, 0, 0, Smoke::mf_static|Smoke::mf_enum, 200, 21},	//612 QwtEventPattern::MouseSelect3 (enum)
    {83, 113, 0, 0, Smoke::mf_static|Smoke::mf_enum, 200, 22},	//613 QwtEventPattern::MouseSelect4 (enum)
    {83, 114, 0, 0, Smoke::mf_static|Smoke::mf_enum, 200, 23},	//614 QwtEventPattern::MouseSelect5 (enum)
    {83, 115, 0, 0, Smoke::mf_static|Smoke::mf_enum, 200, 24},	//615 QwtEventPattern::MouseSelect6 (enum)
    {83, 109, 0, 0, Smoke::mf_static|Smoke::mf_enum, 200, 25},	//616 QwtEventPattern::MousePatternCount (enum)
    {83, 84, 0, 0, Smoke::mf_static|Smoke::mf_enum, 198, 26},	//617 QwtEventPattern::KeySelect1 (enum)
    {83, 85, 0, 0, Smoke::mf_static|Smoke::mf_enum, 198, 27},	//618 QwtEventPattern::KeySelect2 (enum)
    {83, 77, 0, 0, Smoke::mf_static|Smoke::mf_enum, 198, 28},	//619 QwtEventPattern::KeyAbort (enum)
    {83, 80, 0, 0, Smoke::mf_static|Smoke::mf_enum, 198, 29},	//620 QwtEventPattern::KeyLeft (enum)
    {83, 83, 0, 0, Smoke::mf_static|Smoke::mf_enum, 198, 30},	//621 QwtEventPattern::KeyRight (enum)
    {83, 87, 0, 0, Smoke::mf_static|Smoke::mf_enum, 198, 31},	//622 QwtEventPattern::KeyUp (enum)
    {83, 78, 0, 0, Smoke::mf_static|Smoke::mf_enum, 198, 32},	//623 QwtEventPattern::KeyDown (enum)
    {83, 82, 0, 0, Smoke::mf_static|Smoke::mf_enum, 198, 33},	//624 QwtEventPattern::KeyRedo (enum)
    {83, 86, 0, 0, Smoke::mf_static|Smoke::mf_enum, 198, 34},	//625 QwtEventPattern::KeyUndo (enum)
    {83, 79, 0, 0, Smoke::mf_static|Smoke::mf_enum, 198, 35},	//626 QwtEventPattern::KeyHome (enum)
    {83, 81, 0, 0, Smoke::mf_static|Smoke::mf_enum, 198, 36},	//627 QwtEventPattern::KeyPatternCount (enum)
    {83, 1910, 0, 0, Smoke::mf_dtor, 0, 37 },	//628 QwtEventPattern::~QwtEventPattern()
    {86, 226, 0, 0, Smoke::mf_ctor, 201, 1},	//629 QwtIntervalData::QwtIntervalData()
    {86, 226, 416, 2, Smoke::mf_ctor, 201, 2},	//630 QwtIntervalData::QwtIntervalData(const QVector<QwtDoubleInterval>&, const QVector<double>&)
    {86, 1351, 416, 2, 0, 0, 3},	//631 QwtIntervalData::setData(const QVector<QwtDoubleInterval>&, const QVector<double>&)
    {86, 1691, 0, 0, Smoke::mf_const, 434, 4},	//632 QwtIntervalData::size() const
    {86, 894, 188, 1, Smoke::mf_const, 370, 5},	//633 QwtIntervalData::interval(size_t) const
    {86, 1817, 188, 1, Smoke::mf_const, 428, 6},	//634 QwtIntervalData::value(size_t) const
    {86, 522, 0, 0, Smoke::mf_const, 52, 7},	//635 QwtIntervalData::boundingRect() const
    {86, 226, 419, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 201, 8},	//636 QwtIntervalData::QwtIntervalData(const QwtIntervalData&)
    {86, 1911, 0, 0, Smoke::mf_dtor, 0, 9 },	//637 QwtIntervalData::~QwtIntervalData()
    {87, 1026, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 327, 1},	//638 QwtKnob::metaObject() const
    {87, 1151, 37, 1, Smoke::mf_virtual, 437, 2},	//639 QwtKnob::qt_metacast(const char*)
    {87, 1770, 139, 2, Smoke::mf_static, 60, 3},	//640 QwtKnob::tr(const char*, const char*)
    {87, 1774, 139, 2, Smoke::mf_static, 60, 4},	//641 QwtKnob::trUtf8(const char*, const char*)
    {87, 1770, 142, 3, Smoke::mf_static, 60, 5},	//642 QwtKnob::tr(const char*, const char*, int)
    {87, 1774, 142, 3, Smoke::mf_static, 60, 6},	//643 QwtKnob::trUtf8(const char*, const char*, int)
    {87, 1149, 39, 3, Smoke::mf_virtual, 431, 7},	//644 QwtKnob::qt_metacall(QMetaObject::Call, int, void**)
    {87, 229, 28, 1, Smoke::mf_ctor, 202, 8},	//645 QwtKnob::QwtKnob(QWidget*)
    {87, 1415, 32, 1, Smoke::mf_property, 0, 9},	//646 QwtKnob::setKnobWidth(int)
    {87, 939, 0, 0, Smoke::mf_const|Smoke::mf_property, 431, 10},	//647 QwtKnob::knobWidth() const
    {87, 1628, 15, 1, Smoke::mf_property, 0, 11},	//648 QwtKnob::setTotalAngle(double)
    {87, 1769, 0, 0, Smoke::mf_const|Smoke::mf_property, 428, 12},	//649 QwtKnob::totalAngle() const
    {87, 1304, 32, 1, Smoke::mf_property, 0, 13},	//650 QwtKnob::setBorderWidth(int)
    {87, 519, 0, 0, Smoke::mf_const|Smoke::mf_property, 431, 14},	//651 QwtKnob::borderWidth() const
    {87, 1604, 421, 1, Smoke::mf_property, 0, 15},	//652 QwtKnob::setSymbol(QwtKnob::Symbol)
    {87, 1721, 0, 0, Smoke::mf_const|Smoke::mf_property, 203, 16},	//653 QwtKnob::symbol() const
    {87, 1692, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 57, 17},	//654 QwtKnob::sizeHint() const
    {87, 1045, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 57, 18},	//655 QwtKnob::minimumSizeHint() const
    {87, 1559, 423, 1, 0, 0, 19},	//656 QwtKnob::setScaleDraw(QwtRoundScaleDraw*)
    {87, 1206, 0, 0, Smoke::mf_const, 404, 20},	//657 QwtKnob::scaleDraw() const
    {87, 1206, 0, 0, 0, 274, 21},	//658 QwtKnob::scaleDraw()
    {87, 1110, 11, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 22},	//659 QwtKnob::paintEvent(QPaintEvent*)
    {87, 1189, 51, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 23},	//660 QwtKnob::resizeEvent(QResizeEvent*)
    {87, 643, 425, 2, Smoke::mf_protected, 0, 24},	//661 QwtKnob::draw(QPainter*, const QRect&)
    {87, 692, 425, 2, Smoke::mf_protected, 0, 25},	//662 QwtKnob::drawKnob(QPainter*, const QRect&)
    {87, 702, 428, 3, Smoke::mf_protected, 0, 26},	//663 QwtKnob::drawMarker(QPainter*, double, const QColor&)
    {87, 1770, 37, 1, Smoke::mf_static, 60, 27},	//664 QwtKnob::tr(const char*)
    {87, 1774, 37, 1, Smoke::mf_static, 60, 28},	//665 QwtKnob::trUtf8(const char*)
    {87, 229, 0, 0, Smoke::mf_ctor, 202, 29},	//666 QwtKnob::QwtKnob()
    {87, 1706, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 326, 30},	//667 QwtKnob::staticMetaObject() const
    {87, 93, 0, 0, Smoke::mf_static|Smoke::mf_enum, 203, 31},	//668 QwtKnob::Line (enum)
    {87, 43, 0, 0, Smoke::mf_static|Smoke::mf_enum, 203, 32},	//669 QwtKnob::Dot (enum)
    {87, 1912, 0, 0, Smoke::mf_dtor, 0, 33 },	//670 QwtKnob::~QwtKnob()
    {88, 1026, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 327, 1},	//671 QwtLegend::metaObject() const
    {88, 1151, 37, 1, Smoke::mf_virtual, 437, 2},	//672 QwtLegend::qt_metacast(const char*)
    {88, 1770, 139, 2, Smoke::mf_static, 60, 3},	//673 QwtLegend::tr(const char*, const char*)
    {88, 1774, 139, 2, Smoke::mf_static, 60, 4},	//674 QwtLegend::trUtf8(const char*, const char*)
    {88, 1770, 142, 3, Smoke::mf_static, 60, 5},	//675 QwtLegend::tr(const char*, const char*, int)
    {88, 1774, 142, 3, Smoke::mf_static, 60, 6},	//676 QwtLegend::trUtf8(const char*, const char*, int)
    {88, 1149, 39, 3, Smoke::mf_virtual, 431, 7},	//677 QwtLegend::qt_metacall(QMetaObject::Call, int, void**)
    {88, 231, 28, 1, Smoke::mf_ctor, 204, 8},	//678 QwtLegend::QwtLegend(QWidget*)
    {88, 1364, 432, 2, 0, 0, 9},	//679 QwtLegend::setDisplayPolicy(QwtLegend::LegendDisplayPolicy, int)
    {88, 632, 0, 0, Smoke::mf_const, 205, 10},	//680 QwtLegend::displayPolicy() const
    {88, 1407, 435, 1, 0, 0, 11},	//681 QwtLegend::setItemMode(QwtLegend::LegendItemMode)
    {88, 929, 0, 0, Smoke::mf_const, 206, 12},	//682 QwtLegend::itemMode() const
    {88, 865, 0, 0, Smoke::mf_const, 431, 13},	//683 QwtLegend::identifierMode() const
    {88, 594, 0, 0, 0, 77, 14},	//684 QwtLegend::contentsWidget()
    {88, 594, 0, 0, Smoke::mf_const, 351, 15},	//685 QwtLegend::contentsWidget() const
    {88, 883, 437, 2, 0, 0, 16},	//686 QwtLegend::insert(const QwtLegendItemManager*, QWidget*)
    {88, 1174, 440, 1, 0, 0, 17},	//687 QwtLegend::remove(const QwtLegendItemManager*)
    {88, 810, 440, 1, Smoke::mf_const, 77, 18},	//688 QwtLegend::find(const QwtLegendItemManager*) const
    {88, 810, 442, 1, Smoke::mf_const, 209, 19},	//689 QwtLegend::find(const QWidget*) const
    {88, 994, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 24, 20},	//690 QwtLegend::legendItems() const
    {88, 553, 0, 0, 0, 0, 21},	//691 QwtLegend::clear()
    {88, 914, 0, 0, Smoke::mf_const, 313, 22},	//692 QwtLegend::isEmpty() const
    {88, 927, 0, 0, Smoke::mf_const, 436, 23},	//693 QwtLegend::itemCount() const
    {88, 793, 34, 2, Smoke::mf_virtual, 313, 24},	//694 QwtLegend::eventFilter(QObject*, QEvent*)
    {88, 1692, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 57, 25},	//695 QwtLegend::sizeHint() const
    {88, 856, 32, 1, Smoke::mf_const|Smoke::mf_virtual, 431, 26},	//696 QwtLegend::heightForWidth(int) const
    {88, 864, 0, 0, Smoke::mf_const, 55, 27},	//697 QwtLegend::horizontalScrollBar() const
    {88, 1823, 0, 0, Smoke::mf_const, 55, 28},	//698 QwtLegend::verticalScrollBar() const
    {88, 1189, 51, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 29},	//699 QwtLegend::resizeEvent(QResizeEvent*)
    {88, 956, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 30},	//700 QwtLegend::layoutContents()
    {88, 1770, 37, 1, Smoke::mf_static, 60, 31},	//701 QwtLegend::tr(const char*)
    {88, 1774, 37, 1, Smoke::mf_static, 60, 32},	//702 QwtLegend::trUtf8(const char*)
    {88, 231, 0, 0, Smoke::mf_ctor, 204, 33},	//703 QwtLegend::QwtLegend()
    {88, 1706, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 326, 34},	//704 QwtLegend::staticMetaObject() const
    {88, 125, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 35},	//705 QwtLegend::NoIdentifier (enum)
    {88, 57, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 36},	//706 QwtLegend::FixedIdentifier (enum)
    {88, 8, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 37},	//707 QwtLegend::AutoIdentifier (enum)
    {88, 373, 0, 0, Smoke::mf_static|Smoke::mf_enum, 206, 38},	//708 QwtLegend::ReadOnlyItem (enum)
    {88, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 206, 39},	//709 QwtLegend::ClickableItem (enum)
    {88, 29, 0, 0, Smoke::mf_static|Smoke::mf_enum, 206, 40},	//710 QwtLegend::CheckableItem (enum)
    {88, 1913, 0, 0, Smoke::mf_dtor, 0, 41 },	//711 QwtLegend::~QwtLegend()
    {89, 1026, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 327, 1},	//712 QwtLegendItem::metaObject() const
    {89, 1151, 37, 1, Smoke::mf_virtual, 437, 2},	//713 QwtLegendItem::qt_metacast(const char*)
    {89, 1770, 139, 2, Smoke::mf_static, 60, 3},	//714 QwtLegendItem::tr(const char*, const char*)
    {89, 1774, 139, 2, Smoke::mf_static, 60, 4},	//715 QwtLegendItem::trUtf8(const char*, const char*)
    {89, 1770, 142, 3, Smoke::mf_static, 60, 5},	//716 QwtLegendItem::tr(const char*, const char*, int)
    {89, 1774, 142, 3, Smoke::mf_static, 60, 6},	//717 QwtLegendItem::trUtf8(const char*, const char*, int)
    {89, 1149, 39, 3, Smoke::mf_virtual, 431, 7},	//718 QwtLegendItem::qt_metacall(QMetaObject::Call, int, void**)
    {89, 233, 28, 1, Smoke::mf_ctor, 207, 8},	//719 QwtLegendItem::QwtLegendItem(QWidget*)
    {89, 233, 444, 4, Smoke::mf_ctor, 207, 9},	//720 QwtLegendItem::QwtLegendItem(const QwtSymbol&, const QPen&, const QwtText&, QWidget*)
    {89, 1607, 449, 1, Smoke::mf_virtual, 0, 10},	//721 QwtLegendItem::setText(const QwtText&)
    {89, 1407, 435, 1, 0, 0, 11},	//722 QwtLegendItem::setItemMode(QwtLegend::LegendItemMode)
    {89, 929, 0, 0, Smoke::mf_const, 206, 12},	//723 QwtLegendItem::itemMode() const
    {89, 1390, 32, 1, 0, 0, 13},	//724 QwtLegendItem::setIdentifierMode(int)
    {89, 865, 0, 0, Smoke::mf_const, 431, 14},	//725 QwtLegendItem::identifierMode() const
    {89, 1392, 32, 1, 0, 0, 15},	//726 QwtLegendItem::setIdentifierWidth(int)
    {89, 866, 0, 0, Smoke::mf_const, 431, 16},	//727 QwtLegendItem::identifierWidth() const
    {89, 1584, 32, 1, 0, 0, 17},	//728 QwtLegendItem::setSpacing(int)
    {89, 1698, 0, 0, Smoke::mf_const, 431, 18},	//729 QwtLegendItem::spacing() const
    {89, 1604, 451, 1, 0, 0, 19},	//730 QwtLegendItem::setSymbol(const QwtSymbol&)
    {89, 1721, 0, 0, Smoke::mf_const, 419, 20},	//731 QwtLegendItem::symbol() const
    {89, 1347, 453, 1, 0, 0, 21},	//732 QwtLegendItem::setCurvePen(const QPen&)
    {89, 607, 0, 0, Smoke::mf_const, 332, 22},	//733 QwtLegendItem::curvePen() const
    {89, 686, 425, 2, Smoke::mf_const|Smoke::mf_virtual, 0, 23},	//734 QwtLegendItem::drawIdentifier(QPainter*, const QRect&) const
    {89, 688, 425, 2, Smoke::mf_const|Smoke::mf_virtual, 0, 24},	//735 QwtLegendItem::drawItem(QPainter*, const QRect&) const
    {89, 1692, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 57, 25},	//736 QwtLegendItem::sizeHint() const
    {89, 911, 0, 0, Smoke::mf_const, 313, 26},	//737 QwtLegendItem::isChecked() const
    {89, 1319, 45, 1, Smoke::mf_slot, 0, 27},	//738 QwtLegendItem::setChecked(bool)
    {89, 554, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 28},	//739 QwtLegendItem::clicked()
    {89, 1133, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 29},	//740 QwtLegendItem::pressed()
    {89, 1173, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 30},	//741 QwtLegendItem::released()
    {89, 550, 45, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 31},	//742 QwtLegendItem::checked(bool)
    {89, 1366, 45, 1, Smoke::mf_protected, 0, 32},	//743 QwtLegendItem::setDown(bool)
    {89, 913, 0, 0, Smoke::mf_const|Smoke::mf_protected, 313, 33},	//744 QwtLegendItem::isDown() const
    {89, 1110, 11, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 34},	//745 QwtLegendItem::paintEvent(QPaintEvent*)
    {89, 1057, 5, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 35},	//746 QwtLegendItem::mousePressEvent(QMouseEvent*)
    {89, 1059, 5, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 36},	//747 QwtLegendItem::mouseReleaseEvent(QMouseEvent*)
    {89, 935, 3, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 37},	//748 QwtLegendItem::keyPressEvent(QKeyEvent*)
    {89, 937, 3, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 38},	//749 QwtLegendItem::keyReleaseEvent(QKeyEvent*)
    {89, 746, 425, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 39},	//750 QwtLegendItem::drawText(QPainter*, const QRect&)
    {89, 1770, 37, 1, Smoke::mf_static, 60, 40},	//751 QwtLegendItem::tr(const char*)
    {89, 1774, 37, 1, Smoke::mf_static, 60, 41},	//752 QwtLegendItem::trUtf8(const char*)
    {89, 233, 0, 0, Smoke::mf_ctor, 207, 42},	//753 QwtLegendItem::QwtLegendItem()
    {89, 233, 455, 3, Smoke::mf_ctor, 207, 43},	//754 QwtLegendItem::QwtLegendItem(const QwtSymbol&, const QPen&, const QwtText&)
    {89, 1706, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 326, 44},	//755 QwtLegendItem::staticMetaObject() const
    {89, 125, 0, 0, Smoke::mf_static|Smoke::mf_enum, 208, 45},	//756 QwtLegendItem::NoIdentifier (enum)
    {89, 411, 0, 0, Smoke::mf_static|Smoke::mf_enum, 208, 46},	//757 QwtLegendItem::ShowLine (enum)
    {89, 412, 0, 0, Smoke::mf_static|Smoke::mf_enum, 208, 47},	//758 QwtLegendItem::ShowSymbol (enum)
    {89, 413, 0, 0, Smoke::mf_static|Smoke::mf_enum, 208, 48},	//759 QwtLegendItem::ShowText (enum)
    {89, 1914, 0, 0, Smoke::mf_dtor, 0, 49 },	//760 QwtLegendItem::~QwtLegendItem()
    {90, 237, 0, 0, Smoke::mf_ctor, 209, 1},	//761 QwtLegendItemManager::QwtLegendItemManager()
    {90, 1804, 459, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 2},	//762 QwtLegendItemManager::updateLegend(QwtLegend*) const [pure virtual]
    {90, 990, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 77, 3},	//763 QwtLegendItemManager::legendItem() const [pure virtual]
    {90, 237, 461, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 209, 4},	//764 QwtLegendItemManager::QwtLegendItemManager(const QwtLegendItemManager&)
    {90, 1915, 0, 0, Smoke::mf_dtor, 0, 5 },	//765 QwtLegendItemManager::~QwtLegendItemManager()
    {91, 239, 218, 1, Smoke::mf_ctor, 211, 1},	//766 QwtLinearColorMap::QwtLinearColorMap(QwtColorMap::Format)
    {91, 239, 463, 3, Smoke::mf_ctor, 211, 2},	//767 QwtLinearColorMap::QwtLinearColorMap(const QColor&, const QColor&, QwtColorMap::Format)
    {91, 239, 467, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 211, 3},	//768 QwtLinearColorMap::QwtLinearColorMap(const QwtLinearColorMap&)
    {91, 1090, 467, 1, 0, 210, 4},	//769 QwtLinearColorMap::operator=(const QwtLinearColorMap&)
    {91, 603, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 166, 5},	//770 QwtLinearColorMap::copy() const
    {91, 1470, 469, 1, 0, 0, 6},	//771 QwtLinearColorMap::setMode(QwtLinearColorMap::Mode)
    {91, 1047, 0, 0, Smoke::mf_const, 212, 7},	//772 QwtLinearColorMap::mode() const
    {91, 1330, 471, 2, 0, 0, 8},	//773 QwtLinearColorMap::setColorInterval(const QColor&, const QColor&)
    {91, 451, 474, 2, 0, 0, 9},	//774 QwtLinearColorMap::addColorStop(double, const QColor&)
    {91, 582, 0, 0, Smoke::mf_const, 73, 10},	//775 QwtLinearColorMap::colorStops() const
    {91, 573, 0, 0, Smoke::mf_const, 6, 11},	//776 QwtLinearColorMap::color1() const
    {91, 574, 0, 0, Smoke::mf_const, 6, 12},	//777 QwtLinearColorMap::color2() const
    {91, 1192, 91, 2, Smoke::mf_const|Smoke::mf_virtual, 436, 13},	//778 QwtLinearColorMap::rgb(const QwtDoubleInterval&, double) const
    {91, 579, 91, 2, Smoke::mf_const|Smoke::mf_virtual, 435, 14},	//779 QwtLinearColorMap::colorIndex(const QwtDoubleInterval&, double) const
    {91, 239, 0, 0, Smoke::mf_ctor, 211, 15},	//780 QwtLinearColorMap::QwtLinearColorMap()
    {91, 239, 471, 2, Smoke::mf_ctor, 211, 16},	//781 QwtLinearColorMap::QwtLinearColorMap(const QColor&, const QColor&)
    {91, 56, 0, 0, Smoke::mf_static|Smoke::mf_enum, 212, 17},	//782 QwtLinearColorMap::FixedColors (enum)
    {91, 395, 0, 0, Smoke::mf_static|Smoke::mf_enum, 212, 18},	//783 QwtLinearColorMap::ScaledColors (enum)
    {91, 1916, 0, 0, Smoke::mf_dtor, 0, 19 },	//784 QwtLinearColorMap::~QwtLinearColorMap()
    {92, 485, 477, 4, Smoke::mf_const|Smoke::mf_virtual, 0, 1},	//785 QwtLinearScaleEngine::autoScale(int, double&, double&, double&) const
    {92, 637, 482, 5, Smoke::mf_const|Smoke::mf_virtual, 276, 2},	//786 QwtLinearScaleEngine::divideScale(double, double, int, int, double) const
    {92, 1792, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 287, 3},	//787 QwtLinearScaleEngine::transformation() const
    {92, 459, 91, 2, Smoke::mf_const|Smoke::mf_protected, 188, 4},	//788 QwtLinearScaleEngine::align(const QwtDoubleInterval&, double) const
    {92, 244, 0, 0, Smoke::mf_ctor, 213, 5},	//789 QwtLinearScaleEngine::QwtLinearScaleEngine()
    {92, 244, 488, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 213, 6},	//790 QwtLinearScaleEngine::QwtLinearScaleEngine(const QwtLinearScaleEngine&)
    {92, 637, 490, 4, Smoke::mf_const, 276, 7},	//791 QwtLinearScaleEngine::divideScale(double, double, int, int) const
    {92, 1917, 0, 0, Smoke::mf_dtor, 0, 8 },	//792 QwtLinearScaleEngine::~QwtLinearScaleEngine()
    {93, 485, 477, 4, Smoke::mf_const|Smoke::mf_virtual, 0, 1},	//793 QwtLog10ScaleEngine::autoScale(int, double&, double&, double&) const
    {93, 637, 482, 5, Smoke::mf_const|Smoke::mf_virtual, 276, 2},	//794 QwtLog10ScaleEngine::divideScale(double, double, int, int, double) const
    {93, 1792, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 287, 3},	//795 QwtLog10ScaleEngine::transformation() const
    {93, 1004, 105, 1, Smoke::mf_const|Smoke::mf_protected, 188, 4},	//796 QwtLog10ScaleEngine::log10(const QwtDoubleInterval&) const
    {93, 1131, 105, 1, Smoke::mf_const|Smoke::mf_protected, 188, 5},	//797 QwtLog10ScaleEngine::pow10(const QwtDoubleInterval&) const
    {93, 246, 0, 0, Smoke::mf_ctor, 214, 6},	//798 QwtLog10ScaleEngine::QwtLog10ScaleEngine()
    {93, 246, 495, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 214, 7},	//799 QwtLog10ScaleEngine::QwtLog10ScaleEngine(const QwtLog10ScaleEngine&)
    {93, 637, 490, 4, Smoke::mf_const, 276, 8},	//800 QwtLog10ScaleEngine::divideScale(double, double, int, int) const
    {93, 1918, 0, 0, Smoke::mf_dtor, 0, 9 },	//801 QwtLog10ScaleEngine::~QwtLog10ScaleEngine()
    {94, 1026, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 327, 1},	//802 QwtMagnifier::metaObject() const
    {94, 1151, 37, 1, Smoke::mf_virtual, 437, 2},	//803 QwtMagnifier::qt_metacast(const char*)
    {94, 1770, 139, 2, Smoke::mf_static, 60, 3},	//804 QwtMagnifier::tr(const char*, const char*)
    {94, 1774, 139, 2, Smoke::mf_static, 60, 4},	//805 QwtMagnifier::trUtf8(const char*, const char*)
    {94, 1770, 142, 3, Smoke::mf_static, 60, 5},	//806 QwtMagnifier::tr(const char*, const char*, int)
    {94, 1774, 142, 3, Smoke::mf_static, 60, 6},	//807 QwtMagnifier::trUtf8(const char*, const char*, int)
    {94, 1149, 39, 3, Smoke::mf_virtual, 431, 7},	//808 QwtMagnifier::qt_metacall(QMetaObject::Call, int, void**)
    {94, 248, 28, 1, Smoke::mf_ctor, 215, 8},	//809 QwtMagnifier::QwtMagnifier(QWidget*)
    {94, 1119, 0, 0, 0, 77, 9},	//810 QwtMagnifier::parentWidget()
    {94, 1119, 0, 0, Smoke::mf_const, 351, 10},	//811 QwtMagnifier::parentWidget() const
    {94, 1370, 45, 1, 0, 0, 11},	//812 QwtMagnifier::setEnabled(bool)
    {94, 915, 0, 0, Smoke::mf_const, 313, 12},	//813 QwtMagnifier::isEnabled() const
    {94, 1475, 15, 1, 0, 0, 13},	//814 QwtMagnifier::setMouseFactor(double)
    {94, 1049, 0, 0, Smoke::mf_const, 428, 14},	//815 QwtMagnifier::mouseFactor() const
    {94, 1472, 309, 2, 0, 0, 15},	//816 QwtMagnifier::setMouseButton(int, int)
    {94, 839, 497, 2, Smoke::mf_const, 0, 16},	//817 QwtMagnifier::getMouseButton(int&, int&) const
    {94, 1654, 15, 1, 0, 0, 17},	//818 QwtMagnifier::setWheelFactor(double)
    {94, 1828, 0, 0, Smoke::mf_const, 428, 18},	//819 QwtMagnifier::wheelFactor() const
    {94, 1652, 32, 1, 0, 0, 19},	//820 QwtMagnifier::setWheelButtonState(int)
    {94, 1825, 0, 0, Smoke::mf_const, 431, 20},	//821 QwtMagnifier::wheelButtonState() const
    {94, 1409, 15, 1, 0, 0, 21},	//822 QwtMagnifier::setKeyFactor(double)
    {94, 930, 0, 0, Smoke::mf_const, 428, 22},	//823 QwtMagnifier::keyFactor() const
    {94, 1679, 309, 2, 0, 0, 23},	//824 QwtMagnifier::setZoomInKey(int, int)
    {94, 845, 497, 2, Smoke::mf_const, 0, 24},	//825 QwtMagnifier::getZoomInKey(int&, int&) const
    {94, 1681, 309, 2, 0, 0, 25},	//826 QwtMagnifier::setZoomOutKey(int, int)
    {94, 847, 497, 2, Smoke::mf_const, 0, 26},	//827 QwtMagnifier::getZoomOutKey(int&, int&) const
    {94, 793, 34, 2, Smoke::mf_virtual, 313, 27},	//828 QwtMagnifier::eventFilter(QObject*, QEvent*)
    {94, 1182, 15, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 28},	//829 QwtMagnifier::rescale(double) [pure virtual]
    {94, 1840, 5, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 29},	//830 QwtMagnifier::widgetMousePressEvent(QMouseEvent*)
    {94, 1842, 5, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 30},	//831 QwtMagnifier::widgetMouseReleaseEvent(QMouseEvent*)
    {94, 1838, 5, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 31},	//832 QwtMagnifier::widgetMouseMoveEvent(QMouseEvent*)
    {94, 1844, 47, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 32},	//833 QwtMagnifier::widgetWheelEvent(QWheelEvent*)
    {94, 1830, 3, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 33},	//834 QwtMagnifier::widgetKeyPressEvent(QKeyEvent*)
    {94, 1832, 3, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 34},	//835 QwtMagnifier::widgetKeyReleaseEvent(QKeyEvent*)
    {94, 1770, 37, 1, Smoke::mf_static, 60, 35},	//836 QwtMagnifier::tr(const char*)
    {94, 1774, 37, 1, Smoke::mf_static, 60, 36},	//837 QwtMagnifier::trUtf8(const char*)
    {94, 1472, 32, 1, 0, 0, 37},	//838 QwtMagnifier::setMouseButton(int)
    {94, 1706, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 326, 38},	//839 QwtMagnifier::staticMetaObject() const
    {94, 1919, 0, 0, Smoke::mf_dtor, 0, 39 },	//840 QwtMagnifier::~QwtMagnifier()
    {95, 250, 0, 0, Smoke::mf_ctor, 216, 1},	//841 QwtMetricsMap::QwtMetricsMap()
    {95, 916, 0, 0, Smoke::mf_const, 313, 2},	//842 QwtMetricsMap::isIdentity() const
    {95, 1457, 500, 2, 0, 0, 3},	//843 QwtMetricsMap::setMetrics(const QPaintDevice*, const QPaintDevice*)
    {95, 972, 32, 1, Smoke::mf_const, 431, 4},	//844 QwtMetricsMap::layoutToDeviceX(int) const
    {95, 623, 32, 1, Smoke::mf_const, 431, 5},	//845 QwtMetricsMap::deviceToLayoutX(int) const
    {95, 1221, 32, 1, Smoke::mf_const, 431, 6},	//846 QwtMetricsMap::screenToLayoutX(int) const
    {95, 978, 32, 1, Smoke::mf_const, 431, 7},	//847 QwtMetricsMap::layoutToScreenX(int) const
    {95, 974, 32, 1, Smoke::mf_const, 431, 8},	//848 QwtMetricsMap::layoutToDeviceY(int) const
    {95, 625, 32, 1, Smoke::mf_const, 431, 9},	//849 QwtMetricsMap::deviceToLayoutY(int) const
    {95, 1223, 32, 1, Smoke::mf_const, 431, 10},	//850 QwtMetricsMap::screenToLayoutY(int) const
    {95, 980, 32, 1, Smoke::mf_const, 431, 11},	//851 QwtMetricsMap::layoutToScreenY(int) const
    {95, 969, 503, 2, Smoke::mf_const, 44, 12},	//852 QwtMetricsMap::layoutToDevice(const QPoint&, const QPainter*) const
    {95, 620, 503, 2, Smoke::mf_const, 44, 13},	//853 QwtMetricsMap::deviceToLayout(const QPoint&, const QPainter*) const
    {95, 1219, 1, 1, Smoke::mf_const, 44, 14},	//854 QwtMetricsMap::screenToLayout(const QPoint&) const
    {95, 976, 1, 1, Smoke::mf_const, 44, 15},	//855 QwtMetricsMap::layoutToScreen(const QPoint&) const
    {95, 969, 506, 1, Smoke::mf_const, 57, 16},	//856 QwtMetricsMap::layoutToDevice(const QSize&) const
    {95, 620, 506, 1, Smoke::mf_const, 57, 17},	//857 QwtMetricsMap::deviceToLayout(const QSize&) const
    {95, 1219, 506, 1, Smoke::mf_const, 57, 18},	//858 QwtMetricsMap::screenToLayout(const QSize&) const
    {95, 976, 506, 1, Smoke::mf_const, 57, 19},	//859 QwtMetricsMap::layoutToScreen(const QSize&) const
    {95, 969, 508, 2, Smoke::mf_const, 49, 20},	//860 QwtMetricsMap::layoutToDevice(const QRect&, const QPainter*) const
    {95, 620, 508, 2, Smoke::mf_const, 49, 21},	//861 QwtMetricsMap::deviceToLayout(const QRect&, const QPainter*) const
    {95, 1219, 377, 1, Smoke::mf_const, 49, 22},	//862 QwtMetricsMap::screenToLayout(const QRect&) const
    {95, 976, 377, 1, Smoke::mf_const, 49, 23},	//863 QwtMetricsMap::layoutToScreen(const QRect&) const
    {95, 969, 511, 2, Smoke::mf_const, 46, 24},	//864 QwtMetricsMap::layoutToDevice(const QPolygon&, const QPainter*) const
    {95, 620, 511, 2, Smoke::mf_const, 46, 25},	//865 QwtMetricsMap::deviceToLayout(const QPolygon&, const QPainter*) const
    {95, 1796, 514, 2, Smoke::mf_static, 46, 26},	//866 QwtMetricsMap::translate(const QMatrix&, const QPolygon&)
    {95, 1796, 517, 2, Smoke::mf_static, 49, 27},	//867 QwtMetricsMap::translate(const QMatrix&, const QRect&)
    {95, 250, 520, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 216, 28},	//868 QwtMetricsMap::QwtMetricsMap(const QwtMetricsMap&)
    {95, 969, 1, 1, Smoke::mf_const, 44, 29},	//869 QwtMetricsMap::layoutToDevice(const QPoint&) const
    {95, 620, 1, 1, Smoke::mf_const, 44, 30},	//870 QwtMetricsMap::deviceToLayout(const QPoint&) const
    {95, 969, 377, 1, Smoke::mf_const, 49, 31},	//871 QwtMetricsMap::layoutToDevice(const QRect&) const
    {95, 620, 377, 1, Smoke::mf_const, 49, 32},	//872 QwtMetricsMap::deviceToLayout(const QRect&) const
    {95, 969, 522, 1, Smoke::mf_const, 46, 33},	//873 QwtMetricsMap::layoutToDevice(const QPolygon&) const
    {95, 620, 522, 1, Smoke::mf_const, 46, 34},	//874 QwtMetricsMap::deviceToLayout(const QPolygon&) const
    {95, 1920, 0, 0, Smoke::mf_dtor, 0, 35 },	//875 QwtMetricsMap::~QwtMetricsMap()
    {96, 1459, 500, 2, Smoke::mf_static, 0, 1},	//876 QwtPainter::setMetricsMap(const QPaintDevice*, const QPaintDevice*)
    {96, 1459, 520, 1, Smoke::mf_static, 0, 2},	//877 QwtPainter::setMetricsMap(const QwtMetricsMap&)
    {96, 1188, 0, 0, Smoke::mf_static, 0, 3},	//878 QwtPainter::resetMetricsMap()
    {96, 1028, 0, 0, Smoke::mf_static, 384, 4},	//879 QwtPainter::metricsMap()
    {96, 1357, 45, 1, Smoke::mf_static, 0, 5},	//880 QwtPainter::setDeviceClipping(bool)
    {96, 619, 0, 0, Smoke::mf_static, 313, 6},	//881 QwtPainter::deviceClipping()
    {96, 618, 0, 0, Smoke::mf_static, 338, 7},	//882 QwtPainter::deviceClipRect()
    {96, 1321, 425, 2, Smoke::mf_static, 0, 8},	//883 QwtPainter::setClipRect(QPainter*, const QRect&)
    {96, 746, 524, 4, Smoke::mf_static, 0, 9},	//884 QwtPainter::drawText(QPainter*, int, int, const QString&)
    {96, 746, 529, 3, Smoke::mf_static, 0, 10},	//885 QwtPainter::drawText(QPainter*, const QPoint&, const QString&)
    {96, 746, 533, 7, Smoke::mf_static, 0, 11},	//886 QwtPainter::drawText(QPainter*, int, int, int, int, int, const QString&)
    {96, 746, 541, 4, Smoke::mf_static, 0, 12},	//887 QwtPainter::drawText(QPainter*, const QRect&, int, const QString&)
    {96, 732, 546, 4, Smoke::mf_static, 0, 13},	//888 QwtPainter::drawSimpleRichText(QPainter*, const QRect&, int, QTextDocument&)
    {96, 718, 551, 5, Smoke::mf_static, 0, 14},	//889 QwtPainter::drawRect(QPainter*, int, int, int, int)
    {96, 718, 425, 2, Smoke::mf_static, 0, 15},	//890 QwtPainter::drawRect(QPainter*, const QRect&)
    {96, 808, 557, 3, Smoke::mf_static, 0, 16},	//891 QwtPainter::fillRect(QPainter*, const QRect&, const QBrush&)
    {96, 675, 425, 2, Smoke::mf_static, 0, 17},	//892 QwtPainter::drawEllipse(QPainter*, const QRect&)
    {96, 706, 561, 4, Smoke::mf_static, 0, 18},	//893 QwtPainter::drawPie(QPainter*, const QRect&, int, int)
    {96, 697, 551, 5, Smoke::mf_static, 0, 19},	//894 QwtPainter::drawLine(QPainter*, int, int, int, int)
    {96, 697, 566, 3, Smoke::mf_static, 0, 20},	//895 QwtPainter::drawLine(QPainter*, const QPoint&, const QPoint&)
    {96, 712, 570, 2, Smoke::mf_static, 0, 21},	//896 QwtPainter::drawPolygon(QPainter*, const QPolygon&)
    {96, 714, 570, 2, Smoke::mf_static, 0, 22},	//897 QwtPainter::drawPolyline(QPainter*, const QPolygon&)
    {96, 708, 573, 3, Smoke::mf_static, 0, 23},	//898 QwtPainter::drawPoint(QPainter*, int, int)
    {96, 724, 577, 5, Smoke::mf_static, 0, 24},	//899 QwtPainter::drawRoundFrame(QPainter*, const QRect&, int, const QPalette&, bool)
    {96, 679, 583, 2, Smoke::mf_static, 0, 25},	//900 QwtPainter::drawFocusRect(QPainter*, QWidget*)
    {96, 679, 586, 3, Smoke::mf_static, 0, 26},	//901 QwtPainter::drawFocusRect(QPainter*, QWidget*, const QRect&)
    {96, 664, 590, 6, Smoke::mf_static, 0, 27},	//902 QwtPainter::drawColorBar(QPainter*, const QwtColorMap&, const QwtDoubleInterval&, const QwtScaleMap&, Qt::Orientation, const QRect&)
    {96, 1217, 453, 1, Smoke::mf_static, 42, 28},	//903 QwtPainter::scaledPen(const QPen&)
    {96, 252, 0, 0, Smoke::mf_ctor, 217, 29},	//904 QwtPainter::QwtPainter()
    {96, 252, 597, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 217, 30},	//905 QwtPainter::QwtPainter(const QwtPainter&)
    {96, 1921, 0, 0, Smoke::mf_dtor, 0, 31 },	//906 QwtPainter::~QwtPainter()
    {97, 1026, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 327, 1},	//907 QwtPanner::metaObject() const
    {97, 1151, 37, 1, Smoke::mf_virtual, 437, 2},	//908 QwtPanner::qt_metacast(const char*)
    {97, 1770, 139, 2, Smoke::mf_static, 60, 3},	//909 QwtPanner::tr(const char*, const char*)
    {97, 1774, 139, 2, Smoke::mf_static, 60, 4},	//910 QwtPanner::trUtf8(const char*, const char*)
    {97, 1770, 142, 3, Smoke::mf_static, 60, 5},	//911 QwtPanner::tr(const char*, const char*, int)
    {97, 1774, 142, 3, Smoke::mf_static, 60, 6},	//912 QwtPanner::trUtf8(const char*, const char*, int)
    {97, 1149, 39, 3, Smoke::mf_virtual, 431, 7},	//913 QwtPanner::qt_metacall(QMetaObject::Call, int, void**)
    {97, 254, 28, 1, Smoke::mf_ctor, 218, 8},	//914 QwtPanner::QwtPanner(QWidget*)
    {97, 1370, 45, 1, 0, 0, 9},	//915 QwtPanner::setEnabled(bool)
    {97, 915, 0, 0, Smoke::mf_const, 313, 10},	//916 QwtPanner::isEnabled() const
    {97, 1472, 309, 2, 0, 0, 11},	//917 QwtPanner::setMouseButton(int, int)
    {97, 839, 497, 2, Smoke::mf_const, 0, 12},	//918 QwtPanner::getMouseButton(int&, int&) const
    {97, 1231, 309, 2, 0, 0, 13},	//919 QwtPanner::setAbortKey(int, int)
    {97, 832, 497, 2, Smoke::mf_const, 0, 14},	//920 QwtPanner::getAbortKey(int&, int&) const
    {97, 1340, 599, 1, 0, 0, 15},	//921 QwtPanner::setCursor(const QCursor&)
    {97, 605, 0, 0, Smoke::mf_const, 316, 16},	//922 QwtPanner::cursor() const
    {97, 1496, 372, 1, 0, 0, 17},	//923 QwtPanner::setOrientations(QFlags<Qt::Orientation>)
    {97, 1102, 0, 0, Smoke::mf_const, 14, 18},	//924 QwtPanner::orientations() const
    {97, 918, 149, 1, Smoke::mf_const, 313, 19},	//925 QwtPanner::isOrientationEnabled(Qt::Orientation) const
    {97, 793, 34, 2, Smoke::mf_virtual, 313, 20},	//926 QwtPanner::eventFilter(QObject*, QEvent*)
    {97, 1117, 309, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 21},	//927 QwtPanner::panned(int, int)
    {97, 1072, 309, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 22},	//928 QwtPanner::moved(int, int)
    {97, 1840, 5, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 23},	//929 QwtPanner::widgetMousePressEvent(QMouseEvent*)
    {97, 1842, 5, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 24},	//930 QwtPanner::widgetMouseReleaseEvent(QMouseEvent*)
    {97, 1838, 5, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 25},	//931 QwtPanner::widgetMouseMoveEvent(QMouseEvent*)
    {97, 1830, 3, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 26},	//932 QwtPanner::widgetKeyPressEvent(QKeyEvent*)
    {97, 1832, 3, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 27},	//933 QwtPanner::widgetKeyReleaseEvent(QKeyEvent*)
    {97, 1110, 11, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 28},	//934 QwtPanner::paintEvent(QPaintEvent*)
    {97, 1770, 37, 1, Smoke::mf_static, 60, 29},	//935 QwtPanner::tr(const char*)
    {97, 1774, 37, 1, Smoke::mf_static, 60, 30},	//936 QwtPanner::trUtf8(const char*)
    {97, 1472, 32, 1, 0, 0, 31},	//937 QwtPanner::setMouseButton(int)
    {97, 1231, 32, 1, 0, 0, 32},	//938 QwtPanner::setAbortKey(int)
    {97, 1706, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 326, 33},	//939 QwtPanner::staticMetaObject() const
    {97, 1922, 0, 0, Smoke::mf_dtor, 0, 34 },	//940 QwtPanner::~QwtPanner()
    {98, 1026, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 327, 1},	//941 QwtPicker::metaObject() const
    {98, 1151, 37, 1, Smoke::mf_virtual, 437, 2},	//942 QwtPicker::qt_metacast(const char*)
    {98, 1770, 139, 2, Smoke::mf_static, 60, 3},	//943 QwtPicker::tr(const char*, const char*)
    {98, 1774, 139, 2, Smoke::mf_static, 60, 4},	//944 QwtPicker::trUtf8(const char*, const char*)
    {98, 1770, 142, 3, Smoke::mf_static, 60, 5},	//945 QwtPicker::tr(const char*, const char*, int)
    {98, 1774, 142, 3, Smoke::mf_static, 60, 6},	//946 QwtPicker::trUtf8(const char*, const char*, int)
    {98, 1149, 39, 3, Smoke::mf_virtual, 431, 7},	//947 QwtPicker::qt_metacall(QMetaObject::Call, int, void**)
    {98, 256, 28, 1, Smoke::mf_ctor, 219, 8},	//948 QwtPicker::QwtPicker(QWidget*)
    {98, 256, 601, 4, Smoke::mf_ctor, 219, 9},	//949 QwtPicker::QwtPicker(int, QwtPicker::RubberBand, QwtPicker::DisplayMode, QWidget*)
    {98, 1576, 32, 1, Smoke::mf_property|Smoke::mf_virtual, 0, 10},	//950 QwtPicker::setSelectionFlags(int)
    {98, 1230, 0, 0, Smoke::mf_const|Smoke::mf_property, 431, 11},	//951 QwtPicker::selectionFlags() const
    {98, 1543, 606, 1, Smoke::mf_property|Smoke::mf_virtual, 0, 12},	//952 QwtPicker::setRubberBand(QwtPicker::RubberBand)
    {98, 1196, 0, 0, Smoke::mf_const|Smoke::mf_property, 223, 13},	//953 QwtPicker::rubberBand() const
    {98, 1632, 608, 1, Smoke::mf_property|Smoke::mf_virtual, 0, 14},	//954 QwtPicker::setTrackerMode(QwtPicker::DisplayMode)
    {98, 1779, 0, 0, Smoke::mf_const|Smoke::mf_property, 220, 15},	//955 QwtPicker::trackerMode() const
    {98, 1539, 610, 1, Smoke::mf_property|Smoke::mf_virtual, 0, 16},	//956 QwtPicker::setResizeMode(QwtPicker::ResizeMode)
    {98, 1191, 0, 0, Smoke::mf_const|Smoke::mf_property, 222, 17},	//957 QwtPicker::resizeMode() const
    {98, 1545, 453, 1, Smoke::mf_property|Smoke::mf_virtual, 0, 18},	//958 QwtPicker::setRubberBandPen(const QPen&)
    {98, 1197, 0, 0, Smoke::mf_const|Smoke::mf_property, 42, 19},	//959 QwtPicker::rubberBandPen() const
    {98, 1634, 453, 1, Smoke::mf_property|Smoke::mf_virtual, 0, 20},	//960 QwtPicker::setTrackerPen(const QPen&)
    {98, 1780, 0, 0, Smoke::mf_const|Smoke::mf_property, 42, 21},	//961 QwtPicker::trackerPen() const
    {98, 1630, 85, 1, Smoke::mf_property|Smoke::mf_virtual, 0, 22},	//962 QwtPicker::setTrackerFont(const QFont&)
    {98, 1778, 0, 0, Smoke::mf_const|Smoke::mf_property, 16, 23},	//963 QwtPicker::trackerFont() const
    {98, 915, 0, 0, Smoke::mf_const|Smoke::mf_property, 313, 24},	//964 QwtPicker::isEnabled() const
    {98, 1370, 45, 1, Smoke::mf_property|Smoke::mf_virtual, 0, 25},	//965 QwtPicker::setEnabled(bool)
    {98, 908, 0, 0, Smoke::mf_const, 313, 26},	//966 QwtPicker::isActive() const
    {98, 793, 34, 2, Smoke::mf_virtual, 313, 27},	//967 QwtPicker::eventFilter(QObject*, QEvent*)
    {98, 1119, 0, 0, 0, 77, 28},	//968 QwtPicker::parentWidget()
    {98, 1119, 0, 0, Smoke::mf_const, 351, 29},	//969 QwtPicker::parentWidget() const
    {98, 1123, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 49, 30},	//970 QwtPicker::pickRect() const
    {98, 1229, 0, 0, Smoke::mf_const, 336, 31},	//971 QwtPicker::selection() const
    {98, 726, 131, 1, Smoke::mf_const|Smoke::mf_virtual, 0, 32},	//972 QwtPicker::drawRubberBand(QPainter*) const
    {98, 762, 131, 1, Smoke::mf_const|Smoke::mf_virtual, 0, 33},	//973 QwtPicker::drawTracker(QPainter*) const
    {98, 1784, 1, 1, Smoke::mf_const|Smoke::mf_virtual, 301, 34},	//974 QwtPicker::trackerText(const QPoint&) const
    {98, 1781, 0, 0, Smoke::mf_const, 44, 35},	//975 QwtPicker::trackerPosition() const
    {98, 1782, 85, 1, Smoke::mf_const, 49, 36},	//976 QwtPicker::trackerRect(const QFont&) const
    {98, 1226, 612, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 37},	//977 QwtPicker::selected(const QwtPolygon&)
    {98, 470, 1, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 38},	//978 QwtPicker::appended(const QPoint&)
    {98, 1072, 1, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 39},	//979 QwtPicker::moved(const QPoint&)
    {98, 547, 612, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 40},	//980 QwtPicker::changed(const QwtPolygon&)
    {98, 445, 614, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 313, 41},	//981 QwtPicker::accept(QPolygon&) const
    {98, 1793, 616, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 42},	//982 QwtPicker::transition(const QEvent*)
    {98, 515, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 43},	//983 QwtPicker::begin()
    {98, 468, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 44},	//984 QwtPicker::append(const QPoint&)
    {98, 1061, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 45},	//985 QwtPicker::move(const QPoint&)
    {98, 787, 45, 1, Smoke::mf_protected|Smoke::mf_virtual, 313, 46},	//986 QwtPicker::end(bool)
    {98, 1186, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 47},	//987 QwtPicker::reset()
    {98, 1840, 5, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 48},	//988 QwtPicker::widgetMousePressEvent(QMouseEvent*)
    {98, 1842, 5, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 49},	//989 QwtPicker::widgetMouseReleaseEvent(QMouseEvent*)
    {98, 1836, 5, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 50},	//990 QwtPicker::widgetMouseDoubleClickEvent(QMouseEvent*)
    {98, 1838, 5, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 51},	//991 QwtPicker::widgetMouseMoveEvent(QMouseEvent*)
    {98, 1844, 47, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 52},	//992 QwtPicker::widgetWheelEvent(QWheelEvent*)
    {98, 1830, 3, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 53},	//993 QwtPicker::widgetKeyPressEvent(QKeyEvent*)
    {98, 1832, 3, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 54},	//994 QwtPicker::widgetKeyReleaseEvent(QKeyEvent*)
    {98, 1834, 7, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 55},	//995 QwtPicker::widgetLeaveEvent(QEvent*)
    {98, 1715, 618, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 56},	//996 QwtPicker::stretchSelection(const QSize&, const QSize&)
    {98, 1704, 32, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 230, 57},	//997 QwtPicker::stateMachine(int) const
    {98, 1802, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 58},	//998 QwtPicker::updateDisplay()
    {98, 1198, 0, 0, Smoke::mf_const|Smoke::mf_protected, 351, 59},	//999 QwtPicker::rubberBandWidget() const
    {98, 1786, 0, 0, Smoke::mf_const|Smoke::mf_protected, 351, 60},	//1000 QwtPicker::trackerWidget() const
    {98, 1770, 37, 1, Smoke::mf_static, 60, 61},	//1001 QwtPicker::tr(const char*)
    {98, 1774, 37, 1, Smoke::mf_static, 60, 62},	//1002 QwtPicker::trUtf8(const char*)
    {98, 787, 0, 0, Smoke::mf_protected, 313, 63},	//1003 QwtPicker::end()
    {98, 1706, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 326, 64},	//1004 QwtPicker::staticMetaObject() const
    {98, 129, 0, 0, Smoke::mf_static|Smoke::mf_enum, 225, 65},	//1005 QwtPicker::NoSelection (enum)
    {98, 146, 0, 0, Smoke::mf_static|Smoke::mf_enum, 225, 66},	//1006 QwtPicker::PointSelection (enum)
    {98, 376, 0, 0, Smoke::mf_static|Smoke::mf_enum, 225, 67},	//1007 QwtPicker::RectSelection (enum)
    {98, 148, 0, 0, Smoke::mf_static|Smoke::mf_enum, 225, 68},	//1008 QwtPicker::PolygonSelection (enum)
    {98, 35, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 69},	//1009 QwtPicker::CornerToCorner (enum)
    {98, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 70},	//1010 QwtPicker::CenterToCorner (enum)
    {98, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 221, 71},	//1011 QwtPicker::CenterToRadius (enum)
    {98, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 72},	//1012 QwtPicker::ClickSelection (enum)
    {98, 45, 0, 0, Smoke::mf_static|Smoke::mf_enum, 224, 73},	//1013 QwtPicker::DragSelection (enum)
    {98, 127, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 74},	//1014 QwtPicker::NoRubberBand (enum)
    {98, 60, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 75},	//1015 QwtPicker::HLineRubberBand (enum)
    {98, 438, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 76},	//1016 QwtPicker::VLineRubberBand (enum)
    {98, 38, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 77},	//1017 QwtPicker::CrossRubberBand (enum)
    {98, 375, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 78},	//1018 QwtPicker::RectRubberBand (enum)
    {98, 49, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 79},	//1019 QwtPicker::EllipseRubberBand (enum)
    {98, 147, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 80},	//1020 QwtPicker::PolygonRubberBand (enum)
    {98, 436, 0, 0, Smoke::mf_static|Smoke::mf_enum, 223, 81},	//1021 QwtPicker::UserRubberBand (enum)
    {98, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 82},	//1022 QwtPicker::AlwaysOff (enum)
    {98, 4, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 83},	//1023 QwtPicker::AlwaysOn (enum)
    {98, 1, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 84},	//1024 QwtPicker::ActiveOnly (enum)
    {98, 419, 0, 0, Smoke::mf_static|Smoke::mf_enum, 222, 85},	//1025 QwtPicker::Stretch (enum)
    {98, 76, 0, 0, Smoke::mf_static|Smoke::mf_enum, 222, 86},	//1026 QwtPicker::KeepSize (enum)
    {98, 1923, 0, 0, Smoke::mf_dtor, 0, 87 },	//1027 QwtPicker::~QwtPicker()
    {99, 1793, 621, 2, Smoke::mf_virtual, 25, 1},	//1028 QwtPickerClickPointMachine::transition(const QwtEventPattern&, const QEvent*)
    {99, 259, 0, 0, Smoke::mf_ctor, 226, 2},	//1029 QwtPickerClickPointMachine::QwtPickerClickPointMachine()
    {99, 259, 624, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 226, 3},	//1030 QwtPickerClickPointMachine::QwtPickerClickPointMachine(const QwtPickerClickPointMachine&)
    {99, 1924, 0, 0, Smoke::mf_dtor, 0, 4 },	//1031 QwtPickerClickPointMachine::~QwtPickerClickPointMachine()
    {100, 1793, 621, 2, Smoke::mf_virtual, 25, 1},	//1032 QwtPickerClickRectMachine::transition(const QwtEventPattern&, const QEvent*)
    {100, 261, 0, 0, Smoke::mf_ctor, 227, 2},	//1033 QwtPickerClickRectMachine::QwtPickerClickRectMachine()
    {100, 261, 626, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 227, 3},	//1034 QwtPickerClickRectMachine::QwtPickerClickRectMachine(const QwtPickerClickRectMachine&)
    {100, 1925, 0, 0, Smoke::mf_dtor, 0, 4 },	//1035 QwtPickerClickRectMachine::~QwtPickerClickRectMachine()
    {101, 1793, 621, 2, Smoke::mf_virtual, 25, 1},	//1036 QwtPickerDragPointMachine::transition(const QwtEventPattern&, const QEvent*)
    {101, 263, 0, 0, Smoke::mf_ctor, 228, 2},	//1037 QwtPickerDragPointMachine::QwtPickerDragPointMachine()
    {101, 263, 628, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 228, 3},	//1038 QwtPickerDragPointMachine::QwtPickerDragPointMachine(const QwtPickerDragPointMachine&)
    {101, 1926, 0, 0, Smoke::mf_dtor, 0, 4 },	//1039 QwtPickerDragPointMachine::~QwtPickerDragPointMachine()
    {102, 1793, 621, 2, Smoke::mf_virtual, 25, 1},	//1040 QwtPickerDragRectMachine::transition(const QwtEventPattern&, const QEvent*)
    {102, 265, 0, 0, Smoke::mf_ctor, 229, 2},	//1041 QwtPickerDragRectMachine::QwtPickerDragRectMachine()
    {102, 265, 630, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 229, 3},	//1042 QwtPickerDragRectMachine::QwtPickerDragRectMachine(const QwtPickerDragRectMachine&)
    {102, 1927, 0, 0, Smoke::mf_dtor, 0, 4 },	//1043 QwtPickerDragRectMachine::~QwtPickerDragRectMachine()
    {103, 1793, 621, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 25, 1},	//1044 QwtPickerMachine::transition(const QwtEventPattern&, const QEvent*) [pure virtual]
    {103, 1186, 0, 0, 0, 0, 2},	//1045 QwtPickerMachine::reset()
    {103, 1703, 0, 0, Smoke::mf_const, 431, 3},	//1046 QwtPickerMachine::state() const
    {103, 1592, 32, 1, 0, 0, 4},	//1047 QwtPickerMachine::setState(int)
    {103, 267, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 230, 5},	//1048 QwtPickerMachine::QwtPickerMachine()
    {103, 267, 632, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 230, 6},	//1049 QwtPickerMachine::QwtPickerMachine(const QwtPickerMachine&)
    {103, 14, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 7},	//1050 QwtPickerMachine::Begin (enum)
    {103, 5, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 8},	//1051 QwtPickerMachine::Append (enum)
    {103, 116, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 9},	//1052 QwtPickerMachine::Move (enum)
    {103, 50, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 10},	//1053 QwtPickerMachine::End (enum)
    {103, 1928, 0, 0, Smoke::mf_dtor, 0, 11 },	//1054 QwtPickerMachine::~QwtPickerMachine()
    {104, 1793, 621, 2, Smoke::mf_virtual, 25, 1},	//1055 QwtPickerPolygonMachine::transition(const QwtEventPattern&, const QEvent*)
    {104, 269, 0, 0, Smoke::mf_ctor, 232, 2},	//1056 QwtPickerPolygonMachine::QwtPickerPolygonMachine()
    {104, 269, 634, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 232, 3},	//1057 QwtPickerPolygonMachine::QwtPickerPolygonMachine(const QwtPickerPolygonMachine&)
    {104, 1929, 0, 0, Smoke::mf_dtor, 0, 4 },	//1058 QwtPickerPolygonMachine::~QwtPickerPolygonMachine()
    {105, 271, 0, 0, Smoke::mf_ctor, 233, 1},	//1059 QwtPlainTextEngine::QwtPlainTextEngine()
    {105, 856, 636, 4, Smoke::mf_const|Smoke::mf_virtual, 431, 2},	//1060 QwtPlainTextEngine::heightForWidth(const QFont&, int, const QString&, int) const
    {105, 1750, 641, 3, Smoke::mf_const|Smoke::mf_virtual, 57, 3},	//1061 QwtPlainTextEngine::textSize(const QFont&, int, const QString&) const
    {105, 643, 541, 4, Smoke::mf_const|Smoke::mf_virtual, 0, 4},	//1062 QwtPlainTextEngine::draw(QPainter*, const QRect&, int, const QString&) const
    {105, 1029, 645, 1, Smoke::mf_const|Smoke::mf_virtual, 313, 5},	//1063 QwtPlainTextEngine::mightRender(const QString&) const
    {105, 1747, 647, 6, Smoke::mf_const|Smoke::mf_virtual, 0, 6},	//1064 QwtPlainTextEngine::textMargins(const QFont&, const QString&, int&, int&, int&, int&) const
    {105, 271, 654, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 233, 7},	//1065 QwtPlainTextEngine::QwtPlainTextEngine(const QwtPlainTextEngine&)
    {105, 1930, 0, 0, Smoke::mf_dtor, 0, 8 },	//1066 QwtPlainTextEngine::~QwtPlainTextEngine()
    {106, 1026, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 327, 1},	//1067 QwtPlot::metaObject() const
    {106, 1151, 37, 1, Smoke::mf_virtual, 437, 2},	//1068 QwtPlot::qt_metacast(const char*)
    {106, 1770, 139, 2, Smoke::mf_static, 60, 3},	//1069 QwtPlot::tr(const char*, const char*)
    {106, 1774, 139, 2, Smoke::mf_static, 60, 4},	//1070 QwtPlot::trUtf8(const char*, const char*)
    {106, 1770, 142, 3, Smoke::mf_static, 60, 5},	//1071 QwtPlot::tr(const char*, const char*, int)
    {106, 1774, 142, 3, Smoke::mf_static, 60, 6},	//1072 QwtPlot::trUtf8(const char*, const char*, int)
    {106, 1149, 39, 3, Smoke::mf_virtual, 431, 7},	//1073 QwtPlot::qt_metacall(QMetaObject::Call, int, void**)
    {106, 273, 28, 1, Smoke::mf_ctor, 234, 8},	//1074 QwtPlot::QwtPlot(QWidget*)
    {106, 273, 656, 2, Smoke::mf_ctor, 234, 9},	//1075 QwtPlot::QwtPlot(const QwtText&, QWidget*)
    {106, 474, 645, 1, 0, 0, 10},	//1076 QwtPlot::applyProperties(const QString&)
    {106, 849, 0, 0, Smoke::mf_const, 60, 11},	//1077 QwtPlot::grabProperties() const
    {106, 1259, 45, 1, 0, 0, 12},	//1078 QwtPlot::setAutoReplot(bool)
    {106, 484, 0, 0, Smoke::mf_const, 313, 13},	//1079 QwtPlot::autoReplot() const
    {106, 1135, 659, 2, Smoke::mf_const, 0, 14},	//1080 QwtPlot::print(QPaintDevice&, const QwtPlotPrintFilter&) const
    {106, 1135, 662, 3, Smoke::mf_const|Smoke::mf_virtual, 0, 15},	//1081 QwtPlot::print(QPainter*, const QRect&, const QwtPlotPrintFilter&) const
    {106, 1126, 0, 0, 0, 251, 16},	//1082 QwtPlot::plotLayout()
    {106, 1126, 0, 0, Smoke::mf_const, 397, 17},	//1083 QwtPlot::plotLayout() const
    {106, 1445, 32, 1, 0, 0, 18},	//1084 QwtPlot::setMargin(int)
    {106, 1011, 0, 0, Smoke::mf_const, 431, 19},	//1085 QwtPlot::margin() const
    {106, 1625, 645, 1, 0, 0, 20},	//1086 QwtPlot::setTitle(const QString&)
    {106, 1625, 449, 1, 0, 0, 21},	//1087 QwtPlot::setTitle(const QwtText&)
    {106, 1764, 0, 0, Smoke::mf_const, 301, 22},	//1088 QwtPlot::title() const
    {106, 1767, 0, 0, 0, 308, 23},	//1089 QwtPlot::titleLabel()
    {106, 1767, 0, 0, Smoke::mf_const, 423, 24},	//1090 QwtPlot::titleLabel() const
    {106, 533, 0, 0, 0, 237, 25},	//1091 QwtPlot::canvas()
    {106, 533, 0, 0, Smoke::mf_const, 394, 26},	//1092 QwtPlot::canvas() const
    {106, 1312, 155, 1, 0, 0, 27},	//1093 QwtPlot::setCanvasBackground(const QColor&)
    {106, 534, 0, 0, Smoke::mf_const, 315, 28},	//1094 QwtPlot::canvasBackground() const
    {106, 1314, 32, 1, 0, 0, 29},	//1095 QwtPlot::setCanvasLineWidth(int)
    {106, 535, 0, 0, Smoke::mf_const, 431, 30},	//1096 QwtPlot::canvasLineWidth() const
    {106, 536, 32, 1, Smoke::mf_const|Smoke::mf_virtual, 284, 31},	//1097 QwtPlot::canvasMap(int) const
    {106, 896, 309, 2, Smoke::mf_const, 428, 32},	//1098 QwtPlot::invTransform(int, int) const
    {106, 1787, 666, 2, Smoke::mf_const, 431, 33},	//1099 QwtPlot::transform(int, double) const
    {106, 502, 32, 1, 0, 282, 34},	//1100 QwtPlot::axisScaleEngine(int)
    {106, 502, 32, 1, Smoke::mf_const, 411, 35},	//1101 QwtPlot::axisScaleEngine(int) const
    {106, 1285, 669, 2, 0, 0, 36},	//1102 QwtPlot::setAxisScaleEngine(int, QwtScaleEngine*)
    {106, 1264, 32, 1, 0, 0, 37},	//1103 QwtPlot::setAxisAutoScale(int)
    {106, 487, 32, 1, Smoke::mf_const, 313, 38},	//1104 QwtPlot::axisAutoScale(int) const
    {106, 772, 672, 2, 0, 0, 39},	//1105 QwtPlot::enableAxis(int, bool)
    {106, 490, 32, 1, Smoke::mf_const, 313, 40},	//1106 QwtPlot::axisEnabled(int) const
    {106, 1268, 675, 2, 0, 0, 41},	//1107 QwtPlot::setAxisFont(int, const QFont&)
    {106, 492, 32, 1, Smoke::mf_const, 16, 42},	//1108 QwtPlot::axisFont(int) const
    {106, 1278, 678, 4, 0, 0, 43},	//1109 QwtPlot::setAxisScale(int, double, double, double)
    {106, 1281, 683, 2, 0, 0, 44},	//1110 QwtPlot::setAxisScaleDiv(int, const QwtScaleDiv&)
    {106, 1283, 686, 2, 0, 0, 45},	//1111 QwtPlot::setAxisScaleDraw(int, QwtScaleDraw*)
    {106, 504, 32, 1, Smoke::mf_const, 428, 46},	//1112 QwtPlot::axisStepSize(int) const
    {106, 498, 32, 1, Smoke::mf_const, 407, 47},	//1113 QwtPlot::axisScaleDiv(int) const
    {106, 498, 32, 1, 0, 277, 48},	//1114 QwtPlot::axisScaleDiv(int)
    {106, 500, 32, 1, Smoke::mf_const, 409, 49},	//1115 QwtPlot::axisScaleDraw(int) const
    {106, 500, 32, 1, 0, 280, 50},	//1116 QwtPlot::axisScaleDraw(int)
    {106, 510, 32, 1, Smoke::mf_const, 416, 51},	//1117 QwtPlot::axisWidget(int) const
    {106, 510, 32, 1, 0, 289, 52},	//1118 QwtPlot::axisWidget(int)
    {106, 1270, 689, 2, 0, 0, 53},	//1119 QwtPlot::setAxisLabelAlignment(int, QFlags<Qt::AlignmentFlag>)
    {106, 1272, 666, 2, 0, 0, 54},	//1120 QwtPlot::setAxisLabelRotation(int, double)
    {106, 1287, 692, 2, 0, 0, 55},	//1121 QwtPlot::setAxisTitle(int, const QString&)
    {106, 1287, 695, 2, 0, 0, 56},	//1122 QwtPlot::setAxisTitle(int, const QwtText&)
    {106, 506, 32, 1, Smoke::mf_const, 301, 57},	//1123 QwtPlot::axisTitle(int) const
    {106, 1276, 309, 2, 0, 0, 58},	//1124 QwtPlot::setAxisMaxMinor(int, int)
    {106, 494, 32, 1, Smoke::mf_const, 431, 59},	//1125 QwtPlot::axisMaxMajor(int) const
    {106, 1274, 309, 2, 0, 0, 60},	//1126 QwtPlot::setAxisMaxMajor(int, int)
    {106, 496, 32, 1, Smoke::mf_const, 431, 61},	//1127 QwtPlot::axisMaxMinor(int) const
    {106, 885, 698, 3, 0, 0, 62},	//1128 QwtPlot::insertLegend(QwtLegend*, QwtPlot::LegendPosition, double)
    {106, 985, 0, 0, 0, 204, 63},	//1129 QwtPlot::legend()
    {106, 985, 0, 0, Smoke::mf_const, 378, 64},	//1130 QwtPlot::legend() const
    {106, 1128, 0, 0, Smoke::mf_virtual, 0, 65},	//1131 QwtPlot::polish()
    {106, 1692, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 57, 66},	//1132 QwtPlot::sizeHint() const
    {106, 1045, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 57, 67},	//1133 QwtPlot::minimumSizeHint() const
    {106, 1803, 0, 0, Smoke::mf_virtual, 0, 68},	//1134 QwtPlot::updateLayout()
    {106, 662, 131, 1, Smoke::mf_virtual, 0, 69},	//1135 QwtPlot::drawCanvas(QPainter*)
    {106, 1801, 0, 0, 0, 0, 70},	//1136 QwtPlot::updateAxes()
    {106, 791, 7, 1, Smoke::mf_virtual, 313, 71},	//1137 QwtPlot::event(QEvent*)
    {106, 988, 702, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 72},	//1138 QwtPlot::legendClicked(QwtPlotItem*)
    {106, 986, 704, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 73},	//1139 QwtPlot::legendChecked(QwtPlotItem*, bool)
    {106, 553, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 74},	//1140 QwtPlot::clear()
    {106, 1181, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 75},	//1141 QwtPlot::replot()
    {106, 483, 0, 0, Smoke::mf_slot, 0, 76},	//1142 QwtPlot::autoRefresh()
    {106, 993, 0, 0, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 77},	//1143 QwtPlot::legendItemClicked()
    {106, 991, 45, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 78},	//1144 QwtPlot::legendItemChecked(bool)
    {106, 508, 32, 1, Smoke::mf_static|Smoke::mf_protected, 313, 79},	//1145 QwtPlot::axisValid(int)
    {106, 690, 707, 4, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 0, 80},	//1146 QwtPlot::drawItems(QPainter*, const QRect&, const QwtScaleMap*, const QwtPlotPrintFilter&) const
    {106, 1810, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 81},	//1147 QwtPlot::updateTabOrder()
    {106, 1189, 51, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 82},	//1148 QwtPlot::resizeEvent(QResizeEvent*)
    {106, 1143, 712, 3, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 0, 83},	//1149 QwtPlot::printLegendItem(QPainter*, const QWidget*, const QRect&) const
    {106, 1147, 425, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 0, 84},	//1150 QwtPlot::printTitle(QPainter*, const QRect&) const
    {106, 1145, 716, 6, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 0, 85},	//1151 QwtPlot::printScale(QPainter*, int, int, int, int, const QRect&) const
    {106, 1139, 723, 5, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 0, 86},	//1152 QwtPlot::printCanvas(QPainter*, const QRect&, const QRect&, const QwtScaleMap*, const QwtPlotPrintFilter&) const
    {106, 1141, 425, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 0, 87},	//1153 QwtPlot::printLegend(QPainter*, const QRect&) const
    {106, 1770, 37, 1, Smoke::mf_static, 60, 88},	//1154 QwtPlot::tr(const char*)
    {106, 1774, 37, 1, Smoke::mf_static, 60, 89},	//1155 QwtPlot::trUtf8(const char*)
    {106, 273, 0, 0, Smoke::mf_ctor, 234, 90},	//1156 QwtPlot::QwtPlot()
    {106, 273, 449, 1, Smoke::mf_ctor, 234, 91},	//1157 QwtPlot::QwtPlot(const QwtText&)
    {106, 1259, 0, 0, 0, 0, 92},	//1158 QwtPlot::setAutoReplot()
    {106, 1135, 729, 1, Smoke::mf_const, 0, 93},	//1159 QwtPlot::print(QPaintDevice&) const
    {106, 1135, 425, 2, Smoke::mf_const, 0, 94},	//1160 QwtPlot::print(QPainter*, const QRect&) const
    {106, 772, 32, 1, 0, 0, 95},	//1161 QwtPlot::enableAxis(int)
    {106, 1278, 731, 3, 0, 0, 96},	//1162 QwtPlot::setAxisScale(int, double, double)
    {106, 885, 459, 1, 0, 0, 97},	//1163 QwtPlot::insertLegend(QwtLegend*)
    {106, 885, 735, 2, 0, 0, 98},	//1164 QwtPlot::insertLegend(QwtLegend*, QwtPlot::LegendPosition)
    {106, 1706, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 326, 99},	//1165 QwtPlot::staticMetaObject() const
    {106, 1871, 0, 0, Smoke::mf_static|Smoke::mf_enum, 235, 100},	//1166 QwtPlot::yLeft (enum)
    {106, 1873, 0, 0, Smoke::mf_static|Smoke::mf_enum, 235, 101},	//1167 QwtPlot::yRight (enum)
    {106, 1853, 0, 0, Smoke::mf_static|Smoke::mf_enum, 235, 102},	//1168 QwtPlot::xBottom (enum)
    {106, 1860, 0, 0, Smoke::mf_static|Smoke::mf_enum, 235, 103},	//1169 QwtPlot::xTop (enum)
    {106, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 235, 104},	//1170 QwtPlot::axisCnt (enum)
    {106, 90, 0, 0, Smoke::mf_static|Smoke::mf_enum, 236, 105},	//1171 QwtPlot::LeftLegend (enum)
    {106, 379, 0, 0, Smoke::mf_static|Smoke::mf_enum, 236, 106},	//1172 QwtPlot::RightLegend (enum)
    {106, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 236, 107},	//1173 QwtPlot::BottomLegend (enum)
    {106, 430, 0, 0, Smoke::mf_static|Smoke::mf_enum, 236, 108},	//1174 QwtPlot::TopLegend (enum)
    {106, 54, 0, 0, Smoke::mf_static|Smoke::mf_enum, 236, 109},	//1175 QwtPlot::ExternalLegend (enum)
    {106, 1931, 0, 0, Smoke::mf_dtor, 0, 110 },	//1176 QwtPlot::~QwtPlot()
    {107, 1026, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 327, 1},	//1177 QwtPlotCanvas::metaObject() const
    {107, 1151, 37, 1, Smoke::mf_virtual, 437, 2},	//1178 QwtPlotCanvas::qt_metacast(const char*)
    {107, 1770, 139, 2, Smoke::mf_static, 60, 3},	//1179 QwtPlotCanvas::tr(const char*, const char*)
    {107, 1774, 139, 2, Smoke::mf_static, 60, 4},	//1180 QwtPlotCanvas::trUtf8(const char*, const char*)
    {107, 1770, 142, 3, Smoke::mf_static, 60, 5},	//1181 QwtPlotCanvas::tr(const char*, const char*, int)
    {107, 1774, 142, 3, Smoke::mf_static, 60, 6},	//1182 QwtPlotCanvas::trUtf8(const char*, const char*, int)
    {107, 1149, 39, 3, Smoke::mf_virtual, 431, 7},	//1183 QwtPlotCanvas::qt_metacall(QMetaObject::Call, int, void**)
    {107, 276, 738, 1, Smoke::mf_ctor, 237, 8},	//1184 QwtPlotCanvas::QwtPlotCanvas(QwtPlot*)
    {107, 1125, 0, 0, 0, 234, 9},	//1185 QwtPlotCanvas::plot()
    {107, 1125, 0, 0, Smoke::mf_const, 393, 10},	//1186 QwtPlotCanvas::plot() const
    {107, 1380, 740, 1, 0, 0, 11},	//1187 QwtPlotCanvas::setFocusIndicator(QwtPlotCanvas::FocusIndicator)
    {107, 822, 0, 0, Smoke::mf_const, 238, 12},	//1188 QwtPlotCanvas::focusIndicator() const
    {107, 1500, 742, 2, 0, 0, 13},	//1189 QwtPlotCanvas::setPaintAttribute(QwtPlotCanvas::PaintAttribute, bool)
    {107, 1739, 745, 1, Smoke::mf_const, 313, 14},	//1190 QwtPlotCanvas::testPaintAttribute(QwtPlotCanvas::PaintAttribute) const
    {107, 1108, 0, 0, 0, 43, 15},	//1191 QwtPlotCanvas::paintCache()
    {107, 1108, 0, 0, Smoke::mf_const, 333, 16},	//1192 QwtPlotCanvas::paintCache() const
    {107, 905, 0, 0, 0, 0, 17},	//1193 QwtPlotCanvas::invalidatePaintCache()
    {107, 1181, 0, 0, 0, 0, 18},	//1194 QwtPlotCanvas::replot()
    {107, 861, 71, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 19},	//1195 QwtPlotCanvas::hideEvent(QHideEvent*)
    {107, 1110, 11, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 20},	//1196 QwtPlotCanvas::paintEvent(QPaintEvent*)
    {107, 667, 131, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 21},	//1197 QwtPlotCanvas::drawContents(QPainter*)
    {107, 677, 131, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 22},	//1198 QwtPlotCanvas::drawFocusIndicator(QPainter*)
    {107, 662, 131, 1, Smoke::mf_protected, 0, 23},	//1199 QwtPlotCanvas::drawCanvas(QPainter*)
    {107, 1770, 37, 1, Smoke::mf_static, 60, 24},	//1200 QwtPlotCanvas::tr(const char*)
    {107, 1774, 37, 1, Smoke::mf_static, 60, 25},	//1201 QwtPlotCanvas::trUtf8(const char*)
    {107, 1500, 745, 1, 0, 0, 26},	//1202 QwtPlotCanvas::setPaintAttribute(QwtPlotCanvas::PaintAttribute)
    {107, 662, 0, 0, Smoke::mf_protected, 0, 27},	//1203 QwtPlotCanvas::drawCanvas()
    {107, 1706, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 326, 28},	//1204 QwtPlotCanvas::staticMetaObject() const
    {107, 136, 0, 0, Smoke::mf_static|Smoke::mf_enum, 239, 29},	//1205 QwtPlotCanvas::PaintCached (enum)
    {107, 138, 0, 0, Smoke::mf_static|Smoke::mf_enum, 239, 30},	//1206 QwtPlotCanvas::PaintPacked (enum)
    {107, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 31},	//1207 QwtPlotCanvas::NoFocusIndicator (enum)
    {107, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 32},	//1208 QwtPlotCanvas::CanvasFocusIndicator (enum)
    {107, 75, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 33},	//1209 QwtPlotCanvas::ItemFocusIndicator (enum)
    {107, 1932, 0, 0, Smoke::mf_dtor, 0, 34 },	//1210 QwtPlotCanvas::~QwtPlotCanvas()
    {108, 278, 0, 0, Smoke::mf_ctor, 240, 1},	//1211 QwtPlotCurve::QwtPlotCurve()
    {108, 278, 449, 1, Smoke::mf_ctor, 240, 2},	//1212 QwtPlotCurve::QwtPlotCurve(const QwtText&)
    {108, 278, 645, 1, Smoke::mf_ctor, 240, 3},	//1213 QwtPlotCurve::QwtPlotCurve(const QString&)
    {108, 1195, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 431, 4},	//1214 QwtPlotCurve::rtti() const
    {108, 1349, 747, 1, 0, 0, 5},	//1215 QwtPlotCurve::setCurveType(QwtPlotCurve::CurveType)
    {108, 608, 0, 0, Smoke::mf_const, 243, 6},	//1216 QwtPlotCurve::curveType() const
    {108, 1500, 749, 2, 0, 0, 7},	//1217 QwtPlotCurve::setPaintAttribute(QwtPlotCurve::PaintAttribute, bool)
    {108, 1739, 752, 1, Smoke::mf_const, 313, 8},	//1218 QwtPlotCurve::testPaintAttribute(QwtPlotCurve::PaintAttribute) const
    {108, 1528, 754, 3, 0, 0, 9},	//1219 QwtPlotCurve::setRawData(const double*, const double*, int)
    {108, 1351, 754, 3, 0, 0, 10},	//1220 QwtPlotCurve::setData(const double*, const double*, int)
    {108, 1351, 179, 2, 0, 0, 11},	//1221 QwtPlotCurve::setData(const QVector<double>&, const QVector<double>&)
    {108, 1351, 279, 1, 0, 0, 12},	//1222 QwtPlotCurve::setData(const QPolygonF&)
    {108, 1351, 281, 1, 0, 0, 13},	//1223 QwtPlotCurve::setData(const QwtData&)
    {108, 565, 758, 2, Smoke::mf_const, 431, 14},	//1224 QwtPlotCurve::closestPoint(const QPoint&, double*) const
    {108, 610, 0, 0, 0, 177, 15},	//1225 QwtPlotCurve::data()
    {108, 610, 0, 0, Smoke::mf_const, 364, 16},	//1226 QwtPlotCurve::data() const
    {108, 611, 0, 0, Smoke::mf_const, 431, 17},	//1227 QwtPlotCurve::dataSize() const
    {108, 1849, 32, 1, Smoke::mf_const, 428, 18},	//1228 QwtPlotCurve::x(int) const
    {108, 1866, 32, 1, Smoke::mf_const, 428, 19},	//1229 QwtPlotCurve::y(int) const
    {108, 522, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 52, 20},	//1230 QwtPlotCurve::boundingRect() const
    {108, 1039, 0, 0, Smoke::mf_const, 428, 21},	//1231 QwtPlotCurve::minXValue() const
    {108, 1023, 0, 0, Smoke::mf_const, 428, 22},	//1232 QwtPlotCurve::maxXValue() const
    {108, 1040, 0, 0, Smoke::mf_const, 428, 23},	//1233 QwtPlotCurve::minYValue() const
    {108, 1024, 0, 0, Smoke::mf_const, 428, 24},	//1234 QwtPlotCurve::maxYValue() const
    {108, 1342, 761, 2, 0, 0, 25},	//1235 QwtPlotCurve::setCurveAttribute(QwtPlotCurve::CurveAttribute, bool)
    {108, 1731, 764, 1, Smoke::mf_const, 313, 26},	//1236 QwtPlotCurve::testCurveAttribute(QwtPlotCurve::CurveAttribute) const
    {108, 1509, 453, 1, 0, 0, 27},	//1237 QwtPlotCurve::setPen(const QPen&)
    {108, 1120, 0, 0, Smoke::mf_const, 332, 28},	//1238 QwtPlotCurve::pen() const
    {108, 1308, 766, 1, 0, 0, 29},	//1239 QwtPlotCurve::setBrush(const QBrush&)
    {108, 523, 0, 0, Smoke::mf_const, 314, 30},	//1240 QwtPlotCurve::brush() const
    {108, 1294, 15, 1, 0, 0, 31},	//1241 QwtPlotCurve::setBaseline(double)
    {108, 514, 0, 0, Smoke::mf_const, 428, 32},	//1242 QwtPlotCurve::baseline() const
    {108, 1602, 768, 1, 0, 0, 33},	//1243 QwtPlotCurve::setStyle(QwtPlotCurve::CurveStyle)
    {108, 1719, 0, 0, Smoke::mf_const, 242, 34},	//1244 QwtPlotCurve::style() const
    {108, 1604, 451, 1, 0, 0, 35},	//1245 QwtPlotCurve::setSymbol(const QwtSymbol&)
    {108, 1721, 0, 0, Smoke::mf_const, 419, 36},	//1246 QwtPlotCurve::symbol() const
    {108, 1345, 770, 1, 0, 0, 37},	//1247 QwtPlotCurve::setCurveFitter(QwtCurveFitter*)
    {108, 606, 0, 0, Smoke::mf_const, 176, 38},	//1248 QwtPlotCurve::curveFitter() const
    {108, 643, 772, 4, Smoke::mf_const|Smoke::mf_virtual, 0, 39},	//1249 QwtPlotCurve::draw(QPainter*, const QwtScaleMap&, const QwtScaleMap&, const QRect&) const
    {108, 643, 777, 5, Smoke::mf_const|Smoke::mf_virtual, 0, 40},	//1250 QwtPlotCurve::draw(QPainter*, const QwtScaleMap&, const QwtScaleMap&, int, int) const
    {108, 643, 309, 2, Smoke::mf_const, 0, 41},	//1251 QwtPlotCurve::draw(int, int) const
    {108, 1804, 459, 1, Smoke::mf_const|Smoke::mf_virtual, 0, 42},	//1252 QwtPlotCurve::updateLegend(QwtLegend*) const
    {108, 875, 0, 0, Smoke::mf_protected, 0, 43},	//1253 QwtPlotCurve::init()
    {108, 671, 783, 6, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 0, 44},	//1254 QwtPlotCurve::drawCurve(QPainter*, int, const QwtScaleMap&, const QwtScaleMap&, int, int) const
    {108, 744, 790, 6, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 0, 45},	//1255 QwtPlotCurve::drawSymbols(QPainter*, const QwtSymbol&, const QwtScaleMap&, const QwtScaleMap&, int, int) const
    {108, 700, 777, 5, Smoke::mf_const|Smoke::mf_protected, 0, 46},	//1256 QwtPlotCurve::drawLines(QPainter*, const QwtScaleMap&, const QwtScaleMap&, int, int) const
    {108, 738, 777, 5, Smoke::mf_const|Smoke::mf_protected, 0, 47},	//1257 QwtPlotCurve::drawSticks(QPainter*, const QwtScaleMap&, const QwtScaleMap&, int, int) const
    {108, 673, 777, 5, Smoke::mf_const|Smoke::mf_protected, 0, 48},	//1258 QwtPlotCurve::drawDots(QPainter*, const QwtScaleMap&, const QwtScaleMap&, int, int) const
    {108, 736, 777, 5, Smoke::mf_const|Smoke::mf_protected, 0, 49},	//1259 QwtPlotCurve::drawSteps(QPainter*, const QwtScaleMap&, const QwtScaleMap&, int, int) const
    {108, 806, 797, 4, Smoke::mf_const|Smoke::mf_protected, 0, 50},	//1260 QwtPlotCurve::fillCurve(QPainter*, const QwtScaleMap&, const QwtScaleMap&, QPolygon&) const
    {108, 563, 802, 3, Smoke::mf_const|Smoke::mf_protected, 0, 51},	//1261 QwtPlotCurve::closePolyline(const QwtScaleMap&, const QwtScaleMap&, QPolygon&) const
    {108, 1500, 752, 1, 0, 0, 52},	//1262 QwtPlotCurve::setPaintAttribute(QwtPlotCurve::PaintAttribute)
    {108, 565, 1, 1, Smoke::mf_const, 431, 53},	//1263 QwtPlotCurve::closestPoint(const QPoint&) const
    {108, 1342, 764, 1, 0, 0, 54},	//1264 QwtPlotCurve::setCurveAttribute(QwtPlotCurve::CurveAttribute)
    {108, 443, 0, 0, Smoke::mf_static|Smoke::mf_enum, 243, 55},	//1265 QwtPlotCurve::Yfx (enum)
    {108, 442, 0, 0, Smoke::mf_static|Smoke::mf_enum, 243, 56},	//1266 QwtPlotCurve::Xfy (enum)
    {108, 122, 0, 0, Smoke::mf_static|Smoke::mf_enum, 242, 57},	//1267 QwtPlotCurve::NoCurve (enum)
    {108, 95, 0, 0, Smoke::mf_static|Smoke::mf_enum, 242, 58},	//1268 QwtPlotCurve::Lines (enum)
    {108, 418, 0, 0, Smoke::mf_static|Smoke::mf_enum, 242, 59},	//1269 QwtPlotCurve::Sticks (enum)
    {108, 417, 0, 0, Smoke::mf_static|Smoke::mf_enum, 242, 60},	//1270 QwtPlotCurve::Steps (enum)
    {108, 44, 0, 0, Smoke::mf_static|Smoke::mf_enum, 242, 61},	//1271 QwtPlotCurve::Dots (enum)
    {108, 435, 0, 0, Smoke::mf_static|Smoke::mf_enum, 242, 62},	//1272 QwtPlotCurve::UserCurve (enum)
    {108, 74, 0, 0, Smoke::mf_static|Smoke::mf_enum, 241, 63},	//1273 QwtPlotCurve::Inverted (enum)
    {108, 55, 0, 0, Smoke::mf_static|Smoke::mf_enum, 241, 64},	//1274 QwtPlotCurve::Fitted (enum)
    {108, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 244, 65},	//1275 QwtPlotCurve::PaintFiltered (enum)
    {108, 32, 0, 0, Smoke::mf_static|Smoke::mf_enum, 244, 66},	//1276 QwtPlotCurve::ClipPolygons (enum)
    {108, 1933, 0, 0, Smoke::mf_dtor, 0, 67 },	//1277 QwtPlotCurve::~QwtPlotCurve()
    {109, 281, 0, 0, Smoke::mf_ctor, 245, 1},	//1278 QwtPlotDict::QwtPlotDict()
    {109, 1257, 45, 1, 0, 0, 2},	//1279 QwtPlotDict::setAutoDelete(bool)
    {109, 482, 0, 0, Smoke::mf_const, 313, 3},	//1280 QwtPlotDict::autoDelete() const
    {109, 928, 0, 0, Smoke::mf_const, 321, 4},	//1281 QwtPlotDict::itemList() const
    {109, 614, 672, 2, 0, 0, 5},	//1282 QwtPlotDict::detachItems(int, bool)
    {109, 281, 806, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 245, 6},	//1283 QwtPlotDict::QwtPlotDict(const QwtPlotDict&)
    {109, 614, 0, 0, 0, 0, 7},	//1284 QwtPlotDict::detachItems()
    {109, 614, 32, 1, 0, 0, 8},	//1285 QwtPlotDict::detachItems(int)
    {109, 1934, 0, 0, Smoke::mf_dtor, 0, 9 },	//1286 QwtPlotDict::~QwtPlotDict()
    {110, 283, 0, 0, Smoke::mf_ctor, 246, 1},	//1287 QwtPlotGrid::QwtPlotGrid()
    {110, 1195, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 431, 2},	//1288 QwtPlotGrid::rtti() const
    {110, 778, 45, 1, 0, 0, 3},	//1289 QwtPlotGrid::enableX(bool)
    {110, 1855, 0, 0, Smoke::mf_const, 313, 4},	//1290 QwtPlotGrid::xEnabled() const
    {110, 782, 45, 1, 0, 0, 5},	//1291 QwtPlotGrid::enableY(bool)
    {110, 1870, 0, 0, Smoke::mf_const, 313, 6},	//1292 QwtPlotGrid::yEnabled() const
    {110, 780, 45, 1, 0, 0, 7},	//1293 QwtPlotGrid::enableXMin(bool)
    {110, 1858, 0, 0, Smoke::mf_const, 313, 8},	//1294 QwtPlotGrid::xMinEnabled() const
    {110, 784, 45, 1, 0, 0, 9},	//1295 QwtPlotGrid::enableYMin(bool)
    {110, 1872, 0, 0, Smoke::mf_const, 313, 10},	//1296 QwtPlotGrid::yMinEnabled() const
    {110, 1664, 94, 1, 0, 0, 11},	//1297 QwtPlotGrid::setXDiv(const QwtScaleDiv&)
    {110, 1859, 0, 0, Smoke::mf_const, 406, 12},	//1298 QwtPlotGrid::xScaleDiv() const
    {110, 1670, 94, 1, 0, 0, 13},	//1299 QwtPlotGrid::setYDiv(const QwtScaleDiv&)
    {110, 1874, 0, 0, Smoke::mf_const, 406, 14},	//1300 QwtPlotGrid::yScaleDiv() const
    {110, 1509, 453, 1, 0, 0, 15},	//1301 QwtPlotGrid::setPen(const QPen&)
    {110, 1443, 453, 1, 0, 0, 16},	//1302 QwtPlotGrid::setMajPen(const QPen&)
    {110, 1008, 0, 0, Smoke::mf_const, 332, 17},	//1303 QwtPlotGrid::majPen() const
    {110, 1464, 453, 1, 0, 0, 18},	//1304 QwtPlotGrid::setMinPen(const QPen&)
    {110, 1035, 0, 0, Smoke::mf_const, 332, 19},	//1305 QwtPlotGrid::minPen() const
    {110, 643, 772, 4, Smoke::mf_const|Smoke::mf_virtual, 0, 20},	//1306 QwtPlotGrid::draw(QPainter*, const QwtScaleMap&, const QwtScaleMap&, const QRect&) const
    {110, 1808, 808, 2, Smoke::mf_virtual, 0, 21},	//1307 QwtPlotGrid::updateScaleDiv(const QwtScaleDiv&, const QwtScaleDiv&)
    {110, 1935, 0, 0, Smoke::mf_dtor, 0, 22 },	//1308 QwtPlotGrid::~QwtPlotGrid()
    {111, 284, 449, 1, Smoke::mf_ctor, 247, 1},	//1309 QwtPlotItem::QwtPlotItem(const QwtText&)
    {111, 479, 738, 1, 0, 0, 2},	//1310 QwtPlotItem::attach(QwtPlot*)
    {111, 613, 0, 0, 0, 0, 3},	//1311 QwtPlotItem::detach()
    {111, 1125, 0, 0, Smoke::mf_const, 234, 4},	//1312 QwtPlotItem::plot() const
    {111, 1625, 645, 1, 0, 0, 5},	//1313 QwtPlotItem::setTitle(const QString&)
    {111, 1625, 449, 1, 0, 0, 6},	//1314 QwtPlotItem::setTitle(const QwtText&)
    {111, 1764, 0, 0, Smoke::mf_const, 420, 7},	//1315 QwtPlotItem::title() const
    {111, 1195, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 431, 8},	//1316 QwtPlotItem::rtti() const
    {111, 1404, 811, 2, 0, 0, 9},	//1317 QwtPlotItem::setItemAttribute(QwtPlotItem::ItemAttribute, bool)
    {111, 1735, 814, 1, Smoke::mf_const, 313, 10},	//1318 QwtPlotItem::testItemAttribute(QwtPlotItem::ItemAttribute) const
    {111, 1536, 816, 2, 0, 0, 11},	//1319 QwtPlotItem::setRenderHint(QwtPlotItem::RenderHint, bool)
    {111, 1741, 819, 1, Smoke::mf_const, 313, 12},	//1320 QwtPlotItem::testRenderHint(QwtPlotItem::RenderHint) const
    {111, 1876, 0, 0, Smoke::mf_const, 428, 13},	//1321 QwtPlotItem::z() const
    {111, 1674, 15, 1, 0, 0, 14},	//1322 QwtPlotItem::setZ(double)
    {111, 1686, 0, 0, 0, 0, 15},	//1323 QwtPlotItem::show()
    {111, 860, 0, 0, 0, 0, 16},	//1324 QwtPlotItem::hide()
    {111, 1650, 45, 1, Smoke::mf_virtual, 0, 17},	//1325 QwtPlotItem::setVisible(bool)
    {111, 923, 0, 0, Smoke::mf_const, 313, 18},	//1326 QwtPlotItem::isVisible() const
    {111, 1262, 309, 2, 0, 0, 19},	//1327 QwtPlotItem::setAxis(int, int)
    {111, 1662, 32, 1, 0, 0, 20},	//1328 QwtPlotItem::setXAxis(int)
    {111, 1852, 0, 0, Smoke::mf_const, 431, 21},	//1329 QwtPlotItem::xAxis() const
    {111, 1668, 32, 1, 0, 0, 22},	//1330 QwtPlotItem::setYAxis(int)
    {111, 1868, 0, 0, Smoke::mf_const, 431, 23},	//1331 QwtPlotItem::yAxis() const
    {111, 926, 0, 0, Smoke::mf_virtual, 0, 24},	//1332 QwtPlotItem::itemChanged()
    {111, 643, 772, 4, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 25},	//1333 QwtPlotItem::draw(QPainter*, const QwtScaleMap&, const QwtScaleMap&, const QRect&) const [pure virtual]
    {111, 522, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 52, 26},	//1334 QwtPlotItem::boundingRect() const
    {111, 1804, 459, 1, Smoke::mf_const|Smoke::mf_virtual, 0, 27},	//1335 QwtPlotItem::updateLegend(QwtLegend*) const
    {111, 1808, 808, 2, Smoke::mf_virtual, 0, 28},	//1336 QwtPlotItem::updateScaleDiv(const QwtScaleDiv&, const QwtScaleDiv&)
    {111, 990, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 77, 29},	//1337 QwtPlotItem::legendItem() const
    {111, 1214, 821, 2, Smoke::mf_const, 52, 30},	//1338 QwtPlotItem::scaleRect(const QwtScaleMap&, const QwtScaleMap&) const
    {111, 1112, 821, 2, Smoke::mf_const, 49, 31},	//1339 QwtPlotItem::paintRect(const QwtScaleMap&, const QwtScaleMap&) const
    {111, 1787, 824, 3, Smoke::mf_const, 49, 32},	//1340 QwtPlotItem::transform(const QwtScaleMap&, const QwtScaleMap&, const QRectF&) const
    {111, 896, 828, 3, Smoke::mf_const, 52, 33},	//1341 QwtPlotItem::invTransform(const QwtScaleMap&, const QwtScaleMap&, const QRect&) const
    {111, 284, 0, 0, Smoke::mf_ctor, 247, 34},	//1342 QwtPlotItem::QwtPlotItem()
    {111, 1404, 814, 1, 0, 0, 35},	//1343 QwtPlotItem::setItemAttribute(QwtPlotItem::ItemAttribute)
    {111, 1536, 819, 1, 0, 0, 36},	//1344 QwtPlotItem::setRenderHint(QwtPlotItem::RenderHint)
    {111, 386, 0, 0, Smoke::mf_static|Smoke::mf_enum, 250, 37},	//1345 QwtPlotItem::Rtti_PlotItem (enum)
    {111, 384, 0, 0, Smoke::mf_static|Smoke::mf_enum, 250, 38},	//1346 QwtPlotItem::Rtti_PlotGrid (enum)
    {111, 389, 0, 0, Smoke::mf_static|Smoke::mf_enum, 250, 39},	//1347 QwtPlotItem::Rtti_PlotScale (enum)
    {111, 387, 0, 0, Smoke::mf_static|Smoke::mf_enum, 250, 40},	//1348 QwtPlotItem::Rtti_PlotMarker (enum)
    {111, 383, 0, 0, Smoke::mf_static|Smoke::mf_enum, 250, 41},	//1349 QwtPlotItem::Rtti_PlotCurve (enum)
    {111, 385, 0, 0, Smoke::mf_static|Smoke::mf_enum, 250, 42},	//1350 QwtPlotItem::Rtti_PlotHistogram (enum)
    {111, 390, 0, 0, Smoke::mf_static|Smoke::mf_enum, 250, 43},	//1351 QwtPlotItem::Rtti_PlotSpectrogram (enum)
    {111, 388, 0, 0, Smoke::mf_static|Smoke::mf_enum, 250, 44},	//1352 QwtPlotItem::Rtti_PlotSVG (enum)
    {111, 391, 0, 0, Smoke::mf_static|Smoke::mf_enum, 250, 45},	//1353 QwtPlotItem::Rtti_PlotUserItem (enum)
    {111, 92, 0, 0, Smoke::mf_static|Smoke::mf_enum, 248, 46},	//1354 QwtPlotItem::Legend (enum)
    {111, 9, 0, 0, Smoke::mf_static|Smoke::mf_enum, 248, 47},	//1355 QwtPlotItem::AutoScale (enum)
    {111, 377, 0, 0, Smoke::mf_static|Smoke::mf_enum, 249, 48},	//1356 QwtPlotItem::RenderAntialiased (enum)
    {111, 1936, 0, 0, Smoke::mf_dtor, 0, 49 },	//1357 QwtPlotItem::~QwtPlotItem()
    {112, 286, 0, 0, Smoke::mf_ctor, 251, 1},	//1358 QwtPlotLayout::QwtPlotLayout()
    {112, 1445, 32, 1, 0, 0, 2},	//1359 QwtPlotLayout::setMargin(int)
    {112, 1011, 0, 0, Smoke::mf_const, 431, 3},	//1360 QwtPlotLayout::margin() const
    {112, 1316, 309, 2, 0, 0, 4},	//1361 QwtPlotLayout::setCanvasMargin(int, int)
    {112, 538, 32, 1, Smoke::mf_const, 431, 5},	//1362 QwtPlotLayout::canvasMargin(int) const
    {112, 1244, 45, 1, 0, 0, 6},	//1363 QwtPlotLayout::setAlignCanvasToScales(bool)
    {112, 461, 0, 0, Smoke::mf_const, 313, 7},	//1364 QwtPlotLayout::alignCanvasToScales() const
    {112, 1584, 32, 1, 0, 0, 8},	//1365 QwtPlotLayout::setSpacing(int)
    {112, 1698, 0, 0, Smoke::mf_const, 431, 9},	//1366 QwtPlotLayout::spacing() const
    {112, 1430, 832, 2, 0, 0, 10},	//1367 QwtPlotLayout::setLegendPosition(QwtPlot::LegendPosition, double)
    {112, 1430, 835, 1, 0, 0, 11},	//1368 QwtPlotLayout::setLegendPosition(QwtPlot::LegendPosition)
    {112, 995, 0, 0, Smoke::mf_const, 236, 12},	//1369 QwtPlotLayout::legendPosition() const
    {112, 1433, 15, 1, 0, 0, 13},	//1370 QwtPlotLayout::setLegendRatio(double)
    {112, 996, 0, 0, Smoke::mf_const, 428, 14},	//1371 QwtPlotLayout::legendRatio() const
    {112, 1045, 837, 1, Smoke::mf_const|Smoke::mf_virtual, 57, 15},	//1372 QwtPlotLayout::minimumSizeHint(const QwtPlot*) const
    {112, 448, 839, 3, Smoke::mf_virtual, 0, 16},	//1373 QwtPlotLayout::activate(const QwtPlot*, const QRect&, int)
    {112, 903, 0, 0, Smoke::mf_virtual, 0, 17},	//1374 QwtPlotLayout::invalidate()
    {112, 1768, 0, 0, Smoke::mf_const, 338, 18},	//1375 QwtPlotLayout::titleRect() const
    {112, 997, 0, 0, Smoke::mf_const, 338, 19},	//1376 QwtPlotLayout::legendRect() const
    {112, 1214, 32, 1, Smoke::mf_const, 338, 20},	//1377 QwtPlotLayout::scaleRect(int) const
    {112, 540, 0, 0, Smoke::mf_const, 338, 21},	//1378 QwtPlotLayout::canvasRect() const
    {112, 961, 843, 2, Smoke::mf_const|Smoke::mf_protected, 49, 22},	//1379 QwtPlotLayout::layoutLegend(int, const QRect&) const
    {112, 462, 846, 2, Smoke::mf_const|Smoke::mf_protected, 49, 23},	//1380 QwtPlotLayout::alignLegend(const QRect&, const QRect&) const
    {112, 797, 849, 4, Smoke::mf_const|Smoke::mf_protected, 0, 24},	//1381 QwtPlotLayout::expandLineBreaks(int, const QRect&, int&, int*) const
    {112, 464, 854, 3, Smoke::mf_const|Smoke::mf_protected, 0, 25},	//1382 QwtPlotLayout::alignScales(int, QRect&, QRect*) const
    {112, 286, 858, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 251, 26},	//1383 QwtPlotLayout::QwtPlotLayout(const QwtPlotLayout&)
    {112, 1316, 32, 1, 0, 0, 27},	//1384 QwtPlotLayout::setCanvasMargin(int)
    {112, 448, 860, 2, 0, 0, 28},	//1385 QwtPlotLayout::activate(const QwtPlot*, const QRect&)
    {112, 2, 0, 0, Smoke::mf_static|Smoke::mf_enum, 252, 29},	//1386 QwtPlotLayout::AlignScales (enum)
    {112, 69, 0, 0, Smoke::mf_static|Smoke::mf_enum, 252, 30},	//1387 QwtPlotLayout::IgnoreScrollbars (enum)
    {112, 64, 0, 0, Smoke::mf_static|Smoke::mf_enum, 252, 31},	//1388 QwtPlotLayout::IgnoreFrames (enum)
    {112, 66, 0, 0, Smoke::mf_static|Smoke::mf_enum, 252, 32},	//1389 QwtPlotLayout::IgnoreMargin (enum)
    {112, 65, 0, 0, Smoke::mf_static|Smoke::mf_enum, 252, 33},	//1390 QwtPlotLayout::IgnoreLegend (enum)
    {112, 1937, 0, 0, Smoke::mf_dtor, 0, 34 },	//1391 QwtPlotLayout::~QwtPlotLayout()
    {113, 1026, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 327, 1},	//1392 QwtPlotMagnifier::metaObject() const
    {113, 1151, 37, 1, Smoke::mf_virtual, 437, 2},	//1393 QwtPlotMagnifier::qt_metacast(const char*)
    {113, 1770, 139, 2, Smoke::mf_static, 60, 3},	//1394 QwtPlotMagnifier::tr(const char*, const char*)
    {113, 1774, 139, 2, Smoke::mf_static, 60, 4},	//1395 QwtPlotMagnifier::trUtf8(const char*, const char*)
    {113, 1770, 142, 3, Smoke::mf_static, 60, 5},	//1396 QwtPlotMagnifier::tr(const char*, const char*, int)
    {113, 1774, 142, 3, Smoke::mf_static, 60, 6},	//1397 QwtPlotMagnifier::trUtf8(const char*, const char*, int)
    {113, 1149, 39, 3, Smoke::mf_virtual, 431, 7},	//1398 QwtPlotMagnifier::qt_metacall(QMetaObject::Call, int, void**)
    {113, 288, 863, 1, Smoke::mf_ctor, 253, 8},	//1399 QwtPlotMagnifier::QwtPlotMagnifier(QwtPlotCanvas*)
    {113, 1266, 672, 2, 0, 0, 9},	//1400 QwtPlotMagnifier::setAxisEnabled(int, bool)
    {113, 909, 32, 1, Smoke::mf_const, 313, 10},	//1401 QwtPlotMagnifier::isAxisEnabled(int) const
    {113, 533, 0, 0, 0, 237, 11},	//1402 QwtPlotMagnifier::canvas()
    {113, 533, 0, 0, Smoke::mf_const, 394, 12},	//1403 QwtPlotMagnifier::canvas() const
    {113, 1125, 0, 0, 0, 234, 13},	//1404 QwtPlotMagnifier::plot()
    {113, 1125, 0, 0, Smoke::mf_const, 393, 14},	//1405 QwtPlotMagnifier::plot() const
    {113, 1182, 15, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 15},	//1406 QwtPlotMagnifier::rescale(double)
    {113, 1770, 37, 1, Smoke::mf_static, 60, 16},	//1407 QwtPlotMagnifier::tr(const char*)
    {113, 1774, 37, 1, Smoke::mf_static, 60, 17},	//1408 QwtPlotMagnifier::trUtf8(const char*)
    {113, 1706, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 326, 18},	//1409 QwtPlotMagnifier::staticMetaObject() const
    {113, 1938, 0, 0, Smoke::mf_dtor, 0, 19 },	//1410 QwtPlotMagnifier::~QwtPlotMagnifier()
    {114, 290, 0, 0, Smoke::mf_ctor, 254, 1},	//1411 QwtPlotMarker::QwtPlotMarker()
    {114, 1195, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 431, 2},	//1412 QwtPlotMarker::rtti() const
    {114, 1863, 0, 0, Smoke::mf_const, 428, 3},	//1413 QwtPlotMarker::xValue() const
    {114, 1875, 0, 0, Smoke::mf_const, 428, 4},	//1414 QwtPlotMarker::yValue() const
    {114, 1817, 0, 0, Smoke::mf_const, 45, 5},	//1415 QwtPlotMarker::value() const
    {114, 1666, 15, 1, 0, 0, 6},	//1416 QwtPlotMarker::setXValue(double)
    {114, 1672, 15, 1, 0, 0, 7},	//1417 QwtPlotMarker::setYValue(double)
    {114, 1644, 102, 2, 0, 0, 8},	//1418 QwtPlotMarker::setValue(double, double)
    {114, 1644, 865, 1, 0, 0, 9},	//1419 QwtPlotMarker::setValue(const QPointF&)
    {114, 1439, 867, 1, 0, 0, 10},	//1420 QwtPlotMarker::setLineStyle(QwtPlotMarker::LineStyle)
    {114, 1002, 0, 0, Smoke::mf_const, 255, 11},	//1421 QwtPlotMarker::lineStyle() const
    {114, 1437, 453, 1, 0, 0, 12},	//1422 QwtPlotMarker::setLinePen(const QPen&)
    {114, 1001, 0, 0, Smoke::mf_const, 332, 13},	//1423 QwtPlotMarker::linePen() const
    {114, 1604, 451, 1, 0, 0, 14},	//1424 QwtPlotMarker::setSymbol(const QwtSymbol&)
    {114, 1721, 0, 0, Smoke::mf_const, 419, 15},	//1425 QwtPlotMarker::symbol() const
    {114, 1417, 449, 1, 0, 0, 16},	//1426 QwtPlotMarker::setLabel(const QwtText&)
    {114, 940, 0, 0, Smoke::mf_const, 301, 17},	//1427 QwtPlotMarker::label() const
    {114, 1419, 869, 1, 0, 0, 18},	//1428 QwtPlotMarker::setLabelAlignment(QFlags<Qt::AlignmentFlag>)
    {114, 942, 0, 0, Smoke::mf_const, 13, 19},	//1429 QwtPlotMarker::labelAlignment() const
    {114, 1423, 149, 1, 0, 0, 20},	//1430 QwtPlotMarker::setLabelOrientation(Qt::Orientation)
    {114, 946, 0, 0, Smoke::mf_const, 124, 21},	//1431 QwtPlotMarker::labelOrientation() const
    {114, 1584, 32, 1, 0, 0, 22},	//1432 QwtPlotMarker::setSpacing(int)
    {114, 1698, 0, 0, Smoke::mf_const, 431, 23},	//1433 QwtPlotMarker::spacing() const
    {114, 643, 772, 4, Smoke::mf_const|Smoke::mf_virtual, 0, 24},	//1434 QwtPlotMarker::draw(QPainter*, const QwtScaleMap&, const QwtScaleMap&, const QRect&) const
    {114, 522, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 52, 25},	//1435 QwtPlotMarker::boundingRect() const
    {114, 656, 871, 3, Smoke::mf_const|Smoke::mf_protected, 0, 26},	//1436 QwtPlotMarker::drawAt(QPainter*, const QRect&, const QPoint&) const
    {114, 126, 0, 0, Smoke::mf_static|Smoke::mf_enum, 255, 27},	//1437 QwtPlotMarker::NoLine (enum)
    {114, 59, 0, 0, Smoke::mf_static|Smoke::mf_enum, 255, 28},	//1438 QwtPlotMarker::HLine (enum)
    {114, 437, 0, 0, Smoke::mf_static|Smoke::mf_enum, 255, 29},	//1439 QwtPlotMarker::VLine (enum)
    {114, 37, 0, 0, Smoke::mf_static|Smoke::mf_enum, 255, 30},	//1440 QwtPlotMarker::Cross (enum)
    {114, 1939, 0, 0, Smoke::mf_dtor, 0, 31 },	//1441 QwtPlotMarker::~QwtPlotMarker()
    {115, 1026, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 327, 1},	//1442 QwtPlotPanner::metaObject() const
    {115, 1151, 37, 1, Smoke::mf_virtual, 437, 2},	//1443 QwtPlotPanner::qt_metacast(const char*)
    {115, 1770, 139, 2, Smoke::mf_static, 60, 3},	//1444 QwtPlotPanner::tr(const char*, const char*)
    {115, 1774, 139, 2, Smoke::mf_static, 60, 4},	//1445 QwtPlotPanner::trUtf8(const char*, const char*)
    {115, 1770, 142, 3, Smoke::mf_static, 60, 5},	//1446 QwtPlotPanner::tr(const char*, const char*, int)
    {115, 1774, 142, 3, Smoke::mf_static, 60, 6},	//1447 QwtPlotPanner::trUtf8(const char*, const char*, int)
    {115, 1149, 39, 3, Smoke::mf_virtual, 431, 7},	//1448 QwtPlotPanner::qt_metacall(QMetaObject::Call, int, void**)
    {115, 291, 863, 1, Smoke::mf_ctor, 256, 8},	//1449 QwtPlotPanner::QwtPlotPanner(QwtPlotCanvas*)
    {115, 533, 0, 0, 0, 237, 9},	//1450 QwtPlotPanner::canvas()
    {115, 533, 0, 0, Smoke::mf_const, 394, 10},	//1451 QwtPlotPanner::canvas() const
    {115, 1125, 0, 0, 0, 234, 11},	//1452 QwtPlotPanner::plot()
    {115, 1125, 0, 0, Smoke::mf_const, 393, 12},	//1453 QwtPlotPanner::plot() const
    {115, 1266, 672, 2, 0, 0, 13},	//1454 QwtPlotPanner::setAxisEnabled(int, bool)
    {115, 909, 32, 1, Smoke::mf_const, 313, 14},	//1455 QwtPlotPanner::isAxisEnabled(int) const
    {115, 1066, 309, 2, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 15},	//1456 QwtPlotPanner::moveCanvas(int, int)
    {115, 1770, 37, 1, Smoke::mf_static, 60, 16},	//1457 QwtPlotPanner::tr(const char*)
    {115, 1774, 37, 1, Smoke::mf_static, 60, 17},	//1458 QwtPlotPanner::trUtf8(const char*)
    {115, 1706, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 326, 18},	//1459 QwtPlotPanner::staticMetaObject() const
    {115, 1940, 0, 0, Smoke::mf_dtor, 0, 19 },	//1460 QwtPlotPanner::~QwtPlotPanner()
    {116, 1026, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 327, 1},	//1461 QwtPlotPicker::metaObject() const
    {116, 1151, 37, 1, Smoke::mf_virtual, 437, 2},	//1462 QwtPlotPicker::qt_metacast(const char*)
    {116, 1770, 139, 2, Smoke::mf_static, 60, 3},	//1463 QwtPlotPicker::tr(const char*, const char*)
    {116, 1774, 139, 2, Smoke::mf_static, 60, 4},	//1464 QwtPlotPicker::trUtf8(const char*, const char*)
    {116, 1770, 142, 3, Smoke::mf_static, 60, 5},	//1465 QwtPlotPicker::tr(const char*, const char*, int)
    {116, 1774, 142, 3, Smoke::mf_static, 60, 6},	//1466 QwtPlotPicker::trUtf8(const char*, const char*, int)
    {116, 1149, 39, 3, Smoke::mf_virtual, 431, 7},	//1467 QwtPlotPicker::qt_metacall(QMetaObject::Call, int, void**)
    {116, 293, 863, 1, Smoke::mf_ctor, 257, 8},	//1468 QwtPlotPicker::QwtPlotPicker(QwtPlotCanvas*)
    {116, 293, 875, 3, Smoke::mf_ctor, 257, 9},	//1469 QwtPlotPicker::QwtPlotPicker(int, int, QwtPlotCanvas*)
    {116, 293, 879, 6, Smoke::mf_ctor, 257, 10},	//1470 QwtPlotPicker::QwtPlotPicker(int, int, int, QwtPicker::RubberBand, QwtPicker::DisplayMode, QwtPlotCanvas*)
    {116, 1262, 309, 2, Smoke::mf_virtual, 0, 11},	//1471 QwtPlotPicker::setAxis(int, int)
    {116, 1852, 0, 0, Smoke::mf_const, 431, 12},	//1472 QwtPlotPicker::xAxis() const
    {116, 1868, 0, 0, Smoke::mf_const, 431, 13},	//1473 QwtPlotPicker::yAxis() const
    {116, 1125, 0, 0, 0, 234, 14},	//1474 QwtPlotPicker::plot()
    {116, 1125, 0, 0, Smoke::mf_const, 393, 15},	//1475 QwtPlotPicker::plot() const
    {116, 533, 0, 0, 0, 237, 16},	//1476 QwtPlotPicker::canvas()
    {116, 533, 0, 0, Smoke::mf_const, 394, 17},	//1477 QwtPlotPicker::canvas() const
    {116, 1226, 886, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 18},	//1478 QwtPlotPicker::selected(const QwtDoublePoint&)
    {116, 1226, 888, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 19},	//1479 QwtPlotPicker::selected(const QwtDoubleRect&)
    {116, 1226, 890, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 20},	//1480 QwtPlotPicker::selected(const QVector<QwtDoublePoint>&)
    {116, 470, 886, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 21},	//1481 QwtPlotPicker::appended(const QwtDoublePoint&)
    {116, 1072, 886, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 22},	//1482 QwtPlotPicker::moved(const QwtDoublePoint&)
    {116, 1214, 0, 0, Smoke::mf_const|Smoke::mf_protected, 52, 23},	//1483 QwtPlotPicker::scaleRect() const
    {116, 896, 377, 1, Smoke::mf_const|Smoke::mf_protected, 52, 24},	//1484 QwtPlotPicker::invTransform(const QRect&) const
    {116, 1787, 892, 1, Smoke::mf_const|Smoke::mf_protected, 49, 25},	//1485 QwtPlotPicker::transform(const QRectF&) const
    {116, 896, 1, 1, Smoke::mf_const|Smoke::mf_protected, 45, 26},	//1486 QwtPlotPicker::invTransform(const QPoint&) const
    {116, 1787, 865, 1, Smoke::mf_const|Smoke::mf_protected, 44, 27},	//1487 QwtPlotPicker::transform(const QPointF&) const
    {116, 1784, 1, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 301, 28},	//1488 QwtPlotPicker::trackerText(const QPoint&) const
    {116, 1784, 865, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 301, 29},	//1489 QwtPlotPicker::trackerText(const QPointF&) const
    {116, 1061, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 30},	//1490 QwtPlotPicker::move(const QPoint&)
    {116, 468, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 31},	//1491 QwtPlotPicker::append(const QPoint&)
    {116, 787, 45, 1, Smoke::mf_protected|Smoke::mf_virtual, 313, 32},	//1492 QwtPlotPicker::end(bool)
    {116, 1770, 37, 1, Smoke::mf_static, 60, 33},	//1493 QwtPlotPicker::tr(const char*)
    {116, 1774, 37, 1, Smoke::mf_static, 60, 34},	//1494 QwtPlotPicker::trUtf8(const char*)
    {116, 787, 0, 0, Smoke::mf_protected, 313, 35},	//1495 QwtPlotPicker::end()
    {116, 1706, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 326, 36},	//1496 QwtPlotPicker::staticMetaObject() const
    {116, 1941, 0, 0, Smoke::mf_dtor, 0, 37 },	//1497 QwtPlotPicker::~QwtPlotPicker()
    {117, 297, 0, 0, Smoke::mf_ctor, 258, 1},	//1498 QwtPlotPrintFilter::QwtPlotPrintFilter()
    {117, 571, 894, 2, Smoke::mf_const|Smoke::mf_virtual, 6, 2},	//1499 QwtPlotPrintFilter::color(const QColor&, QwtPlotPrintFilter::Item) const
    {117, 825, 897, 2, Smoke::mf_const|Smoke::mf_virtual, 16, 3},	//1500 QwtPlotPrintFilter::font(const QFont&, QwtPlotPrintFilter::Item) const
    {117, 1491, 32, 1, 0, 0, 4},	//1501 QwtPlotPrintFilter::setOptions(int)
    {117, 1100, 0, 0, Smoke::mf_const, 431, 5},	//1502 QwtPlotPrintFilter::options() const
    {117, 472, 738, 1, Smoke::mf_const|Smoke::mf_virtual, 0, 6},	//1503 QwtPlotPrintFilter::apply(QwtPlot*) const
    {117, 1186, 738, 1, Smoke::mf_const|Smoke::mf_virtual, 0, 7},	//1504 QwtPlotPrintFilter::reset(QwtPlot*) const
    {117, 472, 702, 1, Smoke::mf_const|Smoke::mf_virtual, 0, 8},	//1505 QwtPlotPrintFilter::apply(QwtPlotItem*) const
    {117, 1186, 702, 1, Smoke::mf_const|Smoke::mf_virtual, 0, 9},	//1506 QwtPlotPrintFilter::reset(QwtPlotItem*) const
    {117, 297, 900, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 258, 10},	//1507 QwtPlotPrintFilter::QwtPlotPrintFilter(const QwtPlotPrintFilter&)
    {117, 154, 0, 0, Smoke::mf_static|Smoke::mf_enum, 260, 11},	//1508 QwtPlotPrintFilter::PrintMargin (enum)
    {117, 155, 0, 0, Smoke::mf_static|Smoke::mf_enum, 260, 12},	//1509 QwtPlotPrintFilter::PrintTitle (enum)
    {117, 153, 0, 0, Smoke::mf_static|Smoke::mf_enum, 260, 13},	//1510 QwtPlotPrintFilter::PrintLegend (enum)
    {117, 152, 0, 0, Smoke::mf_static|Smoke::mf_enum, 260, 14},	//1511 QwtPlotPrintFilter::PrintGrid (enum)
    {117, 150, 0, 0, Smoke::mf_static|Smoke::mf_enum, 260, 15},	//1512 QwtPlotPrintFilter::PrintBackground (enum)
    {117, 151, 0, 0, Smoke::mf_static|Smoke::mf_enum, 260, 16},	//1513 QwtPlotPrintFilter::PrintFrameWithScales (enum)
    {117, 149, 0, 0, Smoke::mf_static|Smoke::mf_enum, 260, 17},	//1514 QwtPlotPrintFilter::PrintAll (enum)
    {117, 429, 0, 0, Smoke::mf_static|Smoke::mf_enum, 259, 18},	//1515 QwtPlotPrintFilter::Title (enum)
    {117, 92, 0, 0, Smoke::mf_static|Smoke::mf_enum, 259, 19},	//1516 QwtPlotPrintFilter::Legend (enum)
    {117, 39, 0, 0, Smoke::mf_static|Smoke::mf_enum, 259, 20},	//1517 QwtPlotPrintFilter::Curve (enum)
    {117, 40, 0, 0, Smoke::mf_static|Smoke::mf_enum, 259, 21},	//1518 QwtPlotPrintFilter::CurveSymbol (enum)
    {117, 101, 0, 0, Smoke::mf_static|Smoke::mf_enum, 259, 22},	//1519 QwtPlotPrintFilter::Marker (enum)
    {117, 102, 0, 0, Smoke::mf_static|Smoke::mf_enum, 259, 23},	//1520 QwtPlotPrintFilter::MarkerSymbol (enum)
    {117, 99, 0, 0, Smoke::mf_static|Smoke::mf_enum, 259, 24},	//1521 QwtPlotPrintFilter::MajorGrid (enum)
    {117, 106, 0, 0, Smoke::mf_static|Smoke::mf_enum, 259, 25},	//1522 QwtPlotPrintFilter::MinorGrid (enum)
    {117, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 259, 26},	//1523 QwtPlotPrintFilter::CanvasBackground (enum)
    {117, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 259, 27},	//1524 QwtPlotPrintFilter::AxisScale (enum)
    {117, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 259, 28},	//1525 QwtPlotPrintFilter::AxisTitle (enum)
    {117, 439, 0, 0, Smoke::mf_static|Smoke::mf_enum, 259, 29},	//1526 QwtPlotPrintFilter::WidgetBackground (enum)
    {117, 1942, 0, 0, Smoke::mf_dtor, 0, 30 },	//1527 QwtPlotPrintFilter::~QwtPlotPrintFilter()
    {118, 299, 645, 1, Smoke::mf_ctor, 261, 1},	//1528 QwtPlotRasterItem::QwtPlotRasterItem(const QString&)
    {118, 299, 449, 1, Smoke::mf_ctor, 261, 2},	//1529 QwtPlotRasterItem::QwtPlotRasterItem(const QwtText&)
    {118, 1248, 32, 1, 0, 0, 3},	//1530 QwtPlotRasterItem::setAlpha(int)
    {118, 467, 0, 0, Smoke::mf_const, 431, 4},	//1531 QwtPlotRasterItem::alpha() const
    {118, 1310, 902, 1, 0, 0, 5},	//1532 QwtPlotRasterItem::setCachePolicy(QwtPlotRasterItem::CachePolicy)
    {118, 532, 0, 0, Smoke::mf_const, 262, 6},	//1533 QwtPlotRasterItem::cachePolicy() const
    {118, 904, 0, 0, 0, 0, 7},	//1534 QwtPlotRasterItem::invalidateCache()
    {118, 643, 772, 4, Smoke::mf_const|Smoke::mf_virtual, 0, 8},	//1535 QwtPlotRasterItem::draw(QPainter*, const QwtScaleMap&, const QwtScaleMap&, const QRect&) const
    {118, 1170, 892, 1, Smoke::mf_const|Smoke::mf_virtual, 57, 9},	//1536 QwtPlotRasterItem::rasterHint(const QRectF&) const
    {118, 1179, 824, 3, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 18, 10},	//1537 QwtPlotRasterItem::renderImage(const QwtScaleMap&, const QwtScaleMap&, const QRectF&) const [pure virtual]
    {118, 299, 0, 0, Smoke::mf_ctor, 261, 11},	//1538 QwtPlotRasterItem::QwtPlotRasterItem()
    {118, 121, 0, 0, Smoke::mf_static|Smoke::mf_enum, 262, 12},	//1539 QwtPlotRasterItem::NoCache (enum)
    {118, 135, 0, 0, Smoke::mf_static|Smoke::mf_enum, 262, 13},	//1540 QwtPlotRasterItem::PaintCache (enum)
    {118, 401, 0, 0, Smoke::mf_static|Smoke::mf_enum, 262, 14},	//1541 QwtPlotRasterItem::ScreenCache (enum)
    {118, 1943, 0, 0, Smoke::mf_dtor, 0, 15 },	//1542 QwtPlotRasterItem::~QwtPlotRasterItem()
    {119, 302, 904, 2, Smoke::mf_ctor, 263, 1},	//1543 QwtPlotScaleItem::QwtPlotScaleItem(QwtScaleDraw::Alignment, const double)
    {119, 1195, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 431, 2},	//1544 QwtPlotScaleItem::rtti() const
    {119, 1554, 94, 1, 0, 0, 3},	//1545 QwtPlotScaleItem::setScaleDiv(const QwtScaleDiv&)
    {119, 1204, 0, 0, Smoke::mf_const, 406, 4},	//1546 QwtPlotScaleItem::scaleDiv() const
    {119, 1557, 45, 1, 0, 0, 5},	//1547 QwtPlotScaleItem::setScaleDivFromAxis(bool)
    {119, 921, 0, 0, Smoke::mf_const, 313, 6},	//1548 QwtPlotScaleItem::isScaleDivFromAxis() const
    {119, 1507, 83, 1, 0, 0, 7},	//1549 QwtPlotScaleItem::setPalette(const QPalette&)
    {119, 1114, 0, 0, Smoke::mf_const, 40, 8},	//1550 QwtPlotScaleItem::palette() const
    {119, 1382, 85, 1, 0, 0, 9},	//1551 QwtPlotScaleItem::setFont(const QFont&)
    {119, 825, 0, 0, Smoke::mf_const, 16, 10},	//1552 QwtPlotScaleItem::font() const
    {119, 1559, 907, 1, 0, 0, 11},	//1553 QwtPlotScaleItem::setScaleDraw(QwtScaleDraw*)
    {119, 1206, 0, 0, Smoke::mf_const, 409, 12},	//1554 QwtPlotScaleItem::scaleDraw() const
    {119, 1206, 0, 0, 0, 280, 13},	//1555 QwtPlotScaleItem::scaleDraw()
    {119, 1519, 15, 1, 0, 0, 14},	//1556 QwtPlotScaleItem::setPosition(double)
    {119, 1130, 0, 0, Smoke::mf_const, 428, 15},	//1557 QwtPlotScaleItem::position() const
    {119, 1300, 32, 1, 0, 0, 16},	//1558 QwtPlotScaleItem::setBorderDistance(int)
    {119, 517, 0, 0, Smoke::mf_const, 431, 17},	//1559 QwtPlotScaleItem::borderDistance() const
    {119, 1246, 909, 1, 0, 0, 18},	//1560 QwtPlotScaleItem::setAlignment(QwtScaleDraw::Alignment)
    {119, 643, 772, 4, Smoke::mf_const|Smoke::mf_virtual, 0, 19},	//1561 QwtPlotScaleItem::draw(QPainter*, const QwtScaleMap&, const QwtScaleMap&, const QRect&) const
    {119, 1808, 808, 2, Smoke::mf_virtual, 0, 20},	//1562 QwtPlotScaleItem::updateScaleDiv(const QwtScaleDiv&, const QwtScaleDiv&)
    {119, 302, 0, 0, Smoke::mf_ctor, 263, 21},	//1563 QwtPlotScaleItem::QwtPlotScaleItem()
    {119, 302, 909, 1, Smoke::mf_ctor, 263, 22},	//1564 QwtPlotScaleItem::QwtPlotScaleItem(QwtScaleDraw::Alignment)
    {119, 1944, 0, 0, Smoke::mf_dtor, 0, 23 },	//1565 QwtPlotScaleItem::~QwtPlotScaleItem()
    {120, 305, 645, 1, Smoke::mf_ctor, 264, 1},	//1566 QwtPlotSpectrogram::QwtPlotSpectrogram(const QString&)
    {120, 1361, 911, 2, 0, 0, 2},	//1567 QwtPlotSpectrogram::setDisplayMode(QwtPlotSpectrogram::DisplayMode, bool)
    {120, 1733, 914, 1, Smoke::mf_const, 313, 3},	//1568 QwtPlotSpectrogram::testDisplayMode(QwtPlotSpectrogram::DisplayMode) const
    {120, 1351, 916, 1, 0, 0, 4},	//1569 QwtPlotSpectrogram::setData(const QwtRasterData&)
    {120, 610, 0, 0, Smoke::mf_const, 401, 5},	//1570 QwtPlotSpectrogram::data() const
    {120, 1332, 220, 1, 0, 0, 6},	//1571 QwtPlotSpectrogram::setColorMap(const QwtColorMap&)
    {120, 581, 0, 0, Smoke::mf_const, 359, 7},	//1572 QwtPlotSpectrogram::colorMap() const
    {120, 522, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 52, 8},	//1573 QwtPlotSpectrogram::boundingRect() const
    {120, 1170, 892, 1, Smoke::mf_const|Smoke::mf_virtual, 57, 9},	//1574 QwtPlotSpectrogram::rasterHint(const QRectF&) const
    {120, 1355, 453, 1, 0, 0, 10},	//1575 QwtPlotSpectrogram::setDefaultContourPen(const QPen&)
    {120, 612, 0, 0, Smoke::mf_const, 42, 11},	//1576 QwtPlotSpectrogram::defaultContourPen() const
    {120, 599, 15, 1, Smoke::mf_const|Smoke::mf_virtual, 42, 12},	//1577 QwtPlotSpectrogram::contourPen(double) const
    {120, 1335, 918, 2, 0, 0, 13},	//1578 QwtPlotSpectrogram::setConrecAttribute(QwtRasterData::ConrecAttribute, bool)
    {120, 1729, 921, 1, Smoke::mf_const, 313, 14},	//1579 QwtPlotSpectrogram::testConrecAttribute(QwtRasterData::ConrecAttribute) const
    {120, 1337, 923, 1, 0, 0, 15},	//1580 QwtPlotSpectrogram::setContourLevels(const QList<double>&)
    {120, 596, 0, 0, Smoke::mf_const, 26, 16},	//1581 QwtPlotSpectrogram::contourLevels() const
    {120, 1195, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 431, 17},	//1582 QwtPlotSpectrogram::rtti() const
    {120, 643, 772, 4, Smoke::mf_const|Smoke::mf_virtual, 0, 18},	//1583 QwtPlotSpectrogram::draw(QPainter*, const QwtScaleMap&, const QwtScaleMap&, const QRect&) const
    {120, 1179, 824, 3, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 18, 19},	//1584 QwtPlotSpectrogram::renderImage(const QwtScaleMap&, const QwtScaleMap&, const QRectF&) const
    {120, 601, 925, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 57, 20},	//1585 QwtPlotSpectrogram::contourRasterSize(const QRectF&, const QRect&) const
    {120, 1176, 928, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 28, 21},	//1586 QwtPlotSpectrogram::renderContourLines(const QRectF&, const QSize&) const
    {120, 669, 931, 4, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 0, 22},	//1587 QwtPlotSpectrogram::drawContourLines(QPainter*, const QwtScaleMap&, const QwtScaleMap&, const QMap<double,QPolygonF>&) const
    {120, 305, 0, 0, Smoke::mf_ctor, 264, 23},	//1588 QwtPlotSpectrogram::QwtPlotSpectrogram()
    {120, 1361, 914, 1, 0, 0, 24},	//1589 QwtPlotSpectrogram::setDisplayMode(QwtPlotSpectrogram::DisplayMode)
    {120, 70, 0, 0, Smoke::mf_static|Smoke::mf_enum, 265, 25},	//1590 QwtPlotSpectrogram::ImageMode (enum)
    {120, 34, 0, 0, Smoke::mf_static|Smoke::mf_enum, 265, 26},	//1591 QwtPlotSpectrogram::ContourMode (enum)
    {120, 1945, 0, 0, Smoke::mf_dtor, 0, 27 },	//1592 QwtPlotSpectrogram::~QwtPlotSpectrogram()
    {121, 1026, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 327, 1},	//1593 QwtPlotZoomer::metaObject() const
    {121, 1151, 37, 1, Smoke::mf_virtual, 437, 2},	//1594 QwtPlotZoomer::qt_metacast(const char*)
    {121, 1770, 139, 2, Smoke::mf_static, 60, 3},	//1595 QwtPlotZoomer::tr(const char*, const char*)
    {121, 1774, 139, 2, Smoke::mf_static, 60, 4},	//1596 QwtPlotZoomer::trUtf8(const char*, const char*)
    {121, 1770, 142, 3, Smoke::mf_static, 60, 5},	//1597 QwtPlotZoomer::tr(const char*, const char*, int)
    {121, 1774, 142, 3, Smoke::mf_static, 60, 6},	//1598 QwtPlotZoomer::trUtf8(const char*, const char*, int)
    {121, 1149, 39, 3, Smoke::mf_virtual, 431, 7},	//1599 QwtPlotZoomer::qt_metacall(QMetaObject::Call, int, void**)
    {121, 307, 936, 2, Smoke::mf_ctor, 266, 8},	//1600 QwtPlotZoomer::QwtPlotZoomer(QwtPlotCanvas*, bool)
    {121, 307, 939, 4, Smoke::mf_ctor, 266, 9},	//1601 QwtPlotZoomer::QwtPlotZoomer(int, int, QwtPlotCanvas*, bool)
    {121, 307, 944, 6, Smoke::mf_ctor, 266, 10},	//1602 QwtPlotZoomer::QwtPlotZoomer(int, int, int, QwtPicker::DisplayMode, QwtPlotCanvas*, bool)
    {121, 1676, 45, 1, Smoke::mf_virtual, 0, 11},	//1603 QwtPlotZoomer::setZoomBase(bool)
    {121, 1676, 892, 1, Smoke::mf_virtual, 0, 12},	//1604 QwtPlotZoomer::setZoomBase(const QRectF&)
    {121, 1880, 0, 0, Smoke::mf_const, 52, 13},	//1605 QwtPlotZoomer::zoomBase() const
    {121, 1881, 0, 0, Smoke::mf_const, 52, 14},	//1606 QwtPlotZoomer::zoomRect() const
    {121, 1262, 309, 2, Smoke::mf_virtual, 0, 15},	//1607 QwtPlotZoomer::setAxis(int, int)
    {121, 1453, 32, 1, 0, 0, 16},	//1608 QwtPlotZoomer::setMaxStackDepth(int)
    {121, 1020, 0, 0, Smoke::mf_const, 431, 17},	//1609 QwtPlotZoomer::maxStackDepth() const
    {121, 1883, 0, 0, Smoke::mf_const, 342, 18},	//1610 QwtPlotZoomer::zoomStack() const
    {121, 1683, 951, 2, 0, 0, 19},	//1611 QwtPlotZoomer::setZoomStack(const QStack<QRectF>&, int)
    {121, 1882, 0, 0, Smoke::mf_const, 436, 20},	//1612 QwtPlotZoomer::zoomRectIndex() const
    {121, 1576, 32, 1, Smoke::mf_virtual, 0, 21},	//1613 QwtPlotZoomer::setSelectionFlags(int)
    {121, 1064, 102, 2, Smoke::mf_slot, 0, 22},	//1614 QwtPlotZoomer::moveBy(double, double)
    {121, 1061, 102, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 23},	//1615 QwtPlotZoomer::move(double, double)
    {121, 1877, 888, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 24},	//1616 QwtPlotZoomer::zoom(const QwtDoubleRect&)
    {121, 1877, 32, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 25},	//1617 QwtPlotZoomer::zoom(int)
    {121, 1884, 888, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 26},	//1618 QwtPlotZoomer::zoomed(const QwtDoubleRect&)
    {121, 1182, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 27},	//1619 QwtPlotZoomer::rescale()
    {121, 1041, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 58, 28},	//1620 QwtPlotZoomer::minZoomSize() const
    {121, 1842, 5, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 29},	//1621 QwtPlotZoomer::widgetMouseReleaseEvent(QMouseEvent*)
    {121, 1830, 3, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 30},	//1622 QwtPlotZoomer::widgetKeyPressEvent(QKeyEvent*)
    {121, 515, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 31},	//1623 QwtPlotZoomer::begin()
    {121, 787, 45, 1, Smoke::mf_protected|Smoke::mf_virtual, 313, 32},	//1624 QwtPlotZoomer::end(bool)
    {121, 445, 614, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 313, 33},	//1625 QwtPlotZoomer::accept(QPolygon&) const
    {121, 1770, 37, 1, Smoke::mf_static, 60, 34},	//1626 QwtPlotZoomer::tr(const char*)
    {121, 1774, 37, 1, Smoke::mf_static, 60, 35},	//1627 QwtPlotZoomer::trUtf8(const char*)
    {121, 307, 863, 1, Smoke::mf_ctor, 266, 36},	//1628 QwtPlotZoomer::QwtPlotZoomer(QwtPlotCanvas*)
    {121, 307, 875, 3, Smoke::mf_ctor, 266, 37},	//1629 QwtPlotZoomer::QwtPlotZoomer(int, int, QwtPlotCanvas*)
    {121, 307, 954, 5, Smoke::mf_ctor, 266, 38},	//1630 QwtPlotZoomer::QwtPlotZoomer(int, int, int, QwtPicker::DisplayMode, QwtPlotCanvas*)
    {121, 1676, 0, 0, 0, 0, 39},	//1631 QwtPlotZoomer::setZoomBase()
    {121, 1683, 960, 1, 0, 0, 40},	//1632 QwtPlotZoomer::setZoomStack(const QStack<QRectF>&)
    {121, 787, 0, 0, Smoke::mf_protected, 313, 41},	//1633 QwtPlotZoomer::end()
    {121, 1706, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 326, 42},	//1634 QwtPlotZoomer::staticMetaObject() const
    {121, 1946, 0, 0, Smoke::mf_dtor, 0, 43 },	//1635 QwtPlotZoomer::~QwtPlotZoomer()
    {122, 314, 279, 1, Smoke::mf_ctor, 269, 1},	//1636 QwtPolygonFData::QwtPolygonFData(const QPolygonF&)
    {122, 1090, 962, 1, 0, 268, 2},	//1637 QwtPolygonFData::operator=(const QwtPolygonFData&)
    {122, 603, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 178, 3},	//1638 QwtPolygonFData::copy() const
    {122, 1691, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 434, 4},	//1639 QwtPolygonFData::size() const
    {122, 1849, 188, 1, Smoke::mf_const|Smoke::mf_virtual, 428, 5},	//1640 QwtPolygonFData::x(size_t) const
    {122, 1866, 188, 1, Smoke::mf_const|Smoke::mf_virtual, 428, 6},	//1641 QwtPolygonFData::y(size_t) const
    {122, 610, 0, 0, Smoke::mf_const, 337, 7},	//1642 QwtPolygonFData::data() const
    {122, 314, 962, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 269, 8},	//1643 QwtPolygonFData::QwtPolygonFData(const QwtPolygonFData&)
    {122, 1947, 0, 0, Smoke::mf_dtor, 0, 9 },	//1644 QwtPolygonFData::~QwtPolygonFData()
    {123, 316, 0, 0, Smoke::mf_ctor, 270, 1},	//1645 QwtRasterData::QwtRasterData()
    {123, 316, 892, 1, Smoke::mf_ctor, 270, 2},	//1646 QwtRasterData::QwtRasterData(const QRectF&)
    {123, 603, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 270, 3},	//1647 QwtRasterData::copy() const [pure virtual]
    {123, 1306, 892, 1, Smoke::mf_virtual, 0, 4},	//1648 QwtRasterData::setBoundingRect(const QRectF&)
    {123, 522, 0, 0, Smoke::mf_const, 52, 5},	//1649 QwtRasterData::boundingRect() const
    {123, 1170, 892, 1, Smoke::mf_const|Smoke::mf_virtual, 57, 6},	//1650 QwtRasterData::rasterHint(const QRectF&) const
    {123, 879, 928, 2, Smoke::mf_virtual, 0, 7},	//1651 QwtRasterData::initRaster(const QRectF&, const QSize&)
    {123, 630, 0, 0, Smoke::mf_virtual, 0, 8},	//1652 QwtRasterData::discardRaster()
    {123, 1817, 102, 2, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 428, 9},	//1653 QwtRasterData::value(double, double) const [pure virtual]
    {123, 1168, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 188, 10},	//1654 QwtRasterData::range() const [pure virtual]
    {123, 597, 964, 4, Smoke::mf_const|Smoke::mf_virtual, 28, 11},	//1655 QwtRasterData::contourLines(const QRectF&, const QSize&, const QList<double>&, int) const
    {123, 316, 916, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 270, 12},	//1656 QwtRasterData::QwtRasterData(const QwtRasterData&)
    {123, 63, 0, 0, Smoke::mf_static|Smoke::mf_enum, 271, 13},	//1657 QwtRasterData::IgnoreAllVerticesOnLevel (enum)
    {123, 68, 0, 0, Smoke::mf_static|Smoke::mf_enum, 271, 14},	//1658 QwtRasterData::IgnoreOutOfRange (enum)
    {123, 1948, 0, 0, Smoke::mf_dtor, 0, 15 },	//1659 QwtRasterData::~QwtRasterData()
    {124, 318, 0, 0, Smoke::mf_ctor, 272, 1},	//1660 QwtRichTextEngine::QwtRichTextEngine()
    {124, 856, 636, 4, Smoke::mf_const|Smoke::mf_virtual, 431, 2},	//1661 QwtRichTextEngine::heightForWidth(const QFont&, int, const QString&, int) const
    {124, 1750, 641, 3, Smoke::mf_const|Smoke::mf_virtual, 57, 3},	//1662 QwtRichTextEngine::textSize(const QFont&, int, const QString&) const
    {124, 643, 541, 4, Smoke::mf_const|Smoke::mf_virtual, 0, 4},	//1663 QwtRichTextEngine::draw(QPainter*, const QRect&, int, const QString&) const
    {124, 1029, 645, 1, Smoke::mf_const|Smoke::mf_virtual, 313, 5},	//1664 QwtRichTextEngine::mightRender(const QString&) const
    {124, 1747, 647, 6, Smoke::mf_const|Smoke::mf_virtual, 0, 6},	//1665 QwtRichTextEngine::textMargins(const QFont&, const QString&, int&, int&, int&, int&) const
    {124, 318, 969, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 272, 7},	//1666 QwtRichTextEngine::QwtRichTextEngine(const QwtRichTextEngine&)
    {124, 1949, 0, 0, Smoke::mf_dtor, 0, 8 },	//1667 QwtRichTextEngine::~QwtRichTextEngine()
    {125, 320, 0, 0, Smoke::mf_ctor, 274, 1},	//1668 QwtRoundScaleDraw::QwtRoundScaleDraw()
    {125, 320, 971, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 274, 2},	//1669 QwtRoundScaleDraw::QwtRoundScaleDraw(const QwtRoundScaleDraw&)
    {125, 1090, 971, 1, 0, 273, 3},	//1670 QwtRoundScaleDraw::operator=(const QwtRoundScaleDraw&)
    {125, 1522, 32, 1, 0, 0, 4},	//1671 QwtRoundScaleDraw::setRadius(int)
    {125, 1167, 0, 0, Smoke::mf_const, 431, 5},	//1672 QwtRoundScaleDraw::radius() const
    {125, 1068, 309, 2, 0, 0, 6},	//1673 QwtRoundScaleDraw::moveCenter(int, int)
    {125, 1068, 1, 1, 0, 0, 7},	//1674 QwtRoundScaleDraw::moveCenter(const QPoint&)
    {125, 545, 0, 0, Smoke::mf_const, 44, 8},	//1675 QwtRoundScaleDraw::center() const
    {125, 1250, 102, 2, 0, 0, 9},	//1676 QwtRoundScaleDraw::setAngleRange(double, double)
    {125, 802, 124, 2, Smoke::mf_const|Smoke::mf_virtual, 431, 10},	//1677 QwtRoundScaleDraw::extent(const QPen&, const QFont&) const
    {125, 758, 127, 3, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 0, 11},	//1678 QwtRoundScaleDraw::drawTick(QPainter*, double, int) const
    {125, 658, 131, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 0, 12},	//1679 QwtRoundScaleDraw::drawBackbone(QPainter*) const
    {125, 695, 133, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 0, 13},	//1680 QwtRoundScaleDraw::drawLabel(QPainter*, double) const
    {125, 1950, 0, 0, Smoke::mf_dtor, 0, 14 },	//1681 QwtRoundScaleDraw::~QwtRoundScaleDraw()
    {126, 587, 87, 3, Smoke::mf_static, 431, 1},	//1682 QwtScaleArithmetic::compareEps(double, double, double)
    {126, 543, 102, 2, Smoke::mf_static, 428, 2},	//1683 QwtScaleArithmetic::ceilEps(double, double)
    {126, 819, 102, 2, Smoke::mf_static, 428, 3},	//1684 QwtScaleArithmetic::floorEps(double, double)
    {126, 633, 102, 2, Smoke::mf_static, 428, 4},	//1685 QwtScaleArithmetic::divideEps(double, double)
    {126, 541, 15, 1, Smoke::mf_static, 428, 5},	//1686 QwtScaleArithmetic::ceil125(double)
    {126, 817, 15, 1, Smoke::mf_static, 428, 6},	//1687 QwtScaleArithmetic::floor125(double)
    {126, 322, 0, 0, Smoke::mf_ctor, 275, 7},	//1688 QwtScaleArithmetic::QwtScaleArithmetic()
    {126, 322, 973, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 275, 8},	//1689 QwtScaleArithmetic::QwtScaleArithmetic(const QwtScaleArithmetic&)
    {126, 1951, 0, 0, Smoke::mf_dtor, 0, 9 },	//1690 QwtScaleArithmetic::~QwtScaleArithmetic()
    {127, 324, 0, 0, Smoke::mf_ctor, 277, 1},	//1691 QwtScaleDiv::QwtScaleDiv()
    {127, 324, 975, 2, Smoke::mf_ctor, 277, 2},	//1692 QwtScaleDiv::QwtScaleDiv(const QwtDoubleInterval&, QList<double>*)
    {127, 324, 978, 3, Smoke::mf_ctor, 277, 3},	//1693 QwtScaleDiv::QwtScaleDiv(double, double, QList<double>*)
    {127, 1092, 94, 1, Smoke::mf_const, 431, 4},	//1694 QwtScaleDiv::operator==(const QwtScaleDiv&) const
    {127, 1084, 94, 1, Smoke::mf_const, 431, 5},	//1695 QwtScaleDiv::operator!=(const QwtScaleDiv&) const
    {127, 1400, 102, 2, 0, 0, 6},	//1696 QwtScaleDiv::setInterval(double, double)
    {127, 1400, 105, 1, 0, 0, 7},	//1697 QwtScaleDiv::setInterval(const QwtDoubleInterval&)
    {127, 894, 0, 0, Smoke::mf_const, 188, 8},	//1698 QwtScaleDiv::interval() const
    {127, 1006, 0, 0, Smoke::mf_const, 428, 9},	//1699 QwtScaleDiv::lowerBound() const
    {127, 1811, 0, 0, Smoke::mf_const, 428, 10},	//1700 QwtScaleDiv::upperBound() const
    {127, 1168, 0, 0, Smoke::mf_const, 428, 11},	//1701 QwtScaleDiv::range() const
    {127, 590, 15, 1, Smoke::mf_const, 313, 12},	//1702 QwtScaleDiv::contains(double) const
    {127, 1621, 982, 2, 0, 0, 13},	//1703 QwtScaleDiv::setTicks(int, const QList<double>&)
    {127, 1760, 32, 1, Smoke::mf_const, 322, 14},	//1704 QwtScaleDiv::ticks(int) const
    {127, 903, 0, 0, 0, 0, 15},	//1705 QwtScaleDiv::invalidate()
    {127, 922, 0, 0, Smoke::mf_const, 313, 16},	//1706 QwtScaleDiv::isValid() const
    {127, 906, 0, 0, 0, 0, 17},	//1707 QwtScaleDiv::invert()
    {127, 324, 94, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 277, 18},	//1708 QwtScaleDiv::QwtScaleDiv(const QwtScaleDiv&)
    {127, 131, 0, 0, Smoke::mf_static|Smoke::mf_enum, 278, 19},	//1709 QwtScaleDiv::NoTick (enum)
    {127, 107, 0, 0, Smoke::mf_static|Smoke::mf_enum, 278, 20},	//1710 QwtScaleDiv::MinorTick (enum)
    {127, 104, 0, 0, Smoke::mf_static|Smoke::mf_enum, 278, 21},	//1711 QwtScaleDiv::MediumTick (enum)
    {127, 100, 0, 0, Smoke::mf_static|Smoke::mf_enum, 278, 22},	//1712 QwtScaleDiv::MajorTick (enum)
    {127, 118, 0, 0, Smoke::mf_static|Smoke::mf_enum, 278, 23},	//1713 QwtScaleDiv::NTickTypes (enum)
    {127, 1952, 0, 0, Smoke::mf_dtor, 0, 24 },	//1714 QwtScaleDiv::~QwtScaleDiv()
    {128, 328, 0, 0, Smoke::mf_ctor, 280, 1},	//1715 QwtScaleDraw::QwtScaleDraw()
    {128, 328, 985, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 280, 2},	//1716 QwtScaleDraw::QwtScaleDraw(const QwtScaleDraw&)
    {128, 1090, 985, 1, 0, 279, 3},	//1717 QwtScaleDraw::operator=(const QwtScaleDraw&)
    {128, 834, 987, 3, Smoke::mf_const, 0, 4},	//1718 QwtScaleDraw::getBorderDistHint(const QFont&, int&, int&) const
    {128, 1031, 85, 1, Smoke::mf_const, 431, 5},	//1719 QwtScaleDraw::minLabelDist(const QFont&) const
    {128, 1033, 124, 2, Smoke::mf_const, 431, 6},	//1720 QwtScaleDraw::minLength(const QPen&, const QFont&) const
    {128, 802, 124, 2, Smoke::mf_const|Smoke::mf_virtual, 431, 7},	//1721 QwtScaleDraw::extent(const QPen&, const QFont&) const
    {128, 1061, 309, 2, 0, 0, 8},	//1722 QwtScaleDraw::move(int, int)
    {128, 1061, 1, 1, 0, 0, 9},	//1723 QwtScaleDraw::move(const QPoint&)
    {128, 1435, 32, 1, 0, 0, 10},	//1724 QwtScaleDraw::setLength(int)
    {128, 466, 0, 0, Smoke::mf_const, 281, 11},	//1725 QwtScaleDraw::alignment() const
    {128, 1246, 909, 1, 0, 0, 12},	//1726 QwtScaleDraw::setAlignment(QwtScaleDraw::Alignment)
    {128, 1101, 0, 0, Smoke::mf_const, 124, 13},	//1727 QwtScaleDraw::orientation() const
    {128, 1129, 0, 0, Smoke::mf_const, 44, 14},	//1728 QwtScaleDraw::pos() const
    {128, 998, 0, 0, Smoke::mf_const, 431, 15},	//1729 QwtScaleDraw::length() const
    {128, 1419, 869, 1, 0, 0, 16},	//1730 QwtScaleDraw::setLabelAlignment(QFlags<Qt::AlignmentFlag>)
    {128, 942, 0, 0, Smoke::mf_const, 13, 17},	//1731 QwtScaleDraw::labelAlignment() const
    {128, 1425, 15, 1, 0, 0, 18},	//1732 QwtScaleDraw::setLabelRotation(double)
    {128, 951, 0, 0, Smoke::mf_const, 428, 19},	//1733 QwtScaleDraw::labelRotation() const
    {128, 1015, 85, 1, Smoke::mf_const, 431, 20},	//1734 QwtScaleDraw::maxLabelHeight(const QFont&) const
    {128, 1017, 85, 1, Smoke::mf_const, 431, 21},	//1735 QwtScaleDraw::maxLabelWidth(const QFont&) const
    {128, 947, 15, 1, Smoke::mf_const, 44, 22},	//1736 QwtScaleDraw::labelPosition(double) const
    {128, 949, 136, 2, Smoke::mf_const, 49, 23},	//1737 QwtScaleDraw::labelRect(const QFont&, double) const
    {128, 952, 136, 2, Smoke::mf_const, 57, 24},	//1738 QwtScaleDraw::labelSize(const QFont&, double) const
    {128, 520, 136, 2, Smoke::mf_const, 49, 25},	//1739 QwtScaleDraw::boundingLabelRect(const QFont&, double) const
    {128, 944, 991, 2, Smoke::mf_const|Smoke::mf_protected, 30, 26},	//1740 QwtScaleDraw::labelMatrix(const QPoint&, const QSize&) const
    {128, 758, 127, 3, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 0, 27},	//1741 QwtScaleDraw::drawTick(QPainter*, double, int) const
    {128, 658, 131, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 0, 28},	//1742 QwtScaleDraw::drawBackbone(QPainter*) const
    {128, 695, 133, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 0, 29},	//1743 QwtScaleDraw::drawLabel(QPainter*, double) const
    {128, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 281, 30},	//1744 QwtScaleDraw::BottomScale (enum)
    {128, 431, 0, 0, Smoke::mf_static|Smoke::mf_enum, 281, 31},	//1745 QwtScaleDraw::TopScale (enum)
    {128, 91, 0, 0, Smoke::mf_static|Smoke::mf_enum, 281, 32},	//1746 QwtScaleDraw::LeftScale (enum)
    {128, 380, 0, 0, Smoke::mf_static|Smoke::mf_enum, 281, 33},	//1747 QwtScaleDraw::RightScale (enum)
    {128, 1953, 0, 0, Smoke::mf_dtor, 0, 34 },	//1748 QwtScaleDraw::~QwtScaleDraw()
    {129, 330, 0, 0, Smoke::mf_ctor, 282, 1},	//1749 QwtScaleEngine::QwtScaleEngine()
    {129, 1252, 994, 2, 0, 0, 2},	//1750 QwtScaleEngine::setAttribute(QwtScaleEngine::Attribute, bool)
    {129, 1727, 997, 1, Smoke::mf_const, 313, 3},	//1751 QwtScaleEngine::testAttribute(QwtScaleEngine::Attribute) const
    {129, 1255, 32, 1, 0, 0, 4},	//1752 QwtScaleEngine::setAttributes(int)
    {129, 481, 0, 0, Smoke::mf_const, 431, 5},	//1753 QwtScaleEngine::attributes() const
    {129, 1532, 15, 1, 0, 0, 6},	//1754 QwtScaleEngine::setReference(double)
    {129, 1172, 0, 0, Smoke::mf_const, 428, 7},	//1755 QwtScaleEngine::reference() const
    {129, 1447, 102, 2, 0, 0, 8},	//1756 QwtScaleEngine::setMargins(double, double)
    {129, 1007, 0, 0, Smoke::mf_const, 428, 9},	//1757 QwtScaleEngine::lowerMargin() const
    {129, 1812, 0, 0, Smoke::mf_const, 428, 10},	//1758 QwtScaleEngine::upperMargin() const
    {129, 485, 477, 4, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 11},	//1759 QwtScaleEngine::autoScale(int, double&, double&, double&) const [pure virtual]
    {129, 637, 482, 5, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 276, 12},	//1760 QwtScaleEngine::divideScale(double, double, int, int, double) const [pure virtual]
    {129, 1792, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 287, 13},	//1761 QwtScaleEngine::transformation() const [pure virtual]
    {129, 590, 91, 2, Smoke::mf_const|Smoke::mf_protected, 313, 14},	//1762 QwtScaleEngine::contains(const QwtDoubleInterval&, double) const
    {129, 1717, 999, 2, Smoke::mf_const|Smoke::mf_protected, 26, 15},	//1763 QwtScaleEngine::strip(const QList<double>&, const QwtDoubleInterval&) const
    {129, 635, 1002, 2, Smoke::mf_const|Smoke::mf_protected, 428, 16},	//1764 QwtScaleEngine::divideInterval(double, int) const
    {129, 524, 15, 1, Smoke::mf_const|Smoke::mf_protected, 188, 17},	//1765 QwtScaleEngine::buildInterval(double) const
    {129, 330, 1005, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 282, 18},	//1766 QwtScaleEngine::QwtScaleEngine(const QwtScaleEngine&)
    {129, 1252, 997, 1, 0, 0, 19},	//1767 QwtScaleEngine::setAttribute(QwtScaleEngine::Attribute)
    {129, 637, 490, 4, Smoke::mf_const, 276, 20},	//1768 QwtScaleEngine::divideScale(double, double, int, int) const
    {129, 120, 0, 0, Smoke::mf_static|Smoke::mf_enum, 283, 21},	//1769 QwtScaleEngine::NoAttribute (enum)
    {129, 72, 0, 0, Smoke::mf_static|Smoke::mf_enum, 283, 22},	//1770 QwtScaleEngine::IncludeReference (enum)
    {129, 425, 0, 0, Smoke::mf_static|Smoke::mf_enum, 283, 23},	//1771 QwtScaleEngine::Symmetric (enum)
    {129, 58, 0, 0, Smoke::mf_static|Smoke::mf_enum, 283, 24},	//1772 QwtScaleEngine::Floating (enum)
    {129, 74, 0, 0, Smoke::mf_static|Smoke::mf_enum, 283, 25},	//1773 QwtScaleEngine::Inverted (enum)
    {129, 1954, 0, 0, Smoke::mf_dtor, 0, 26 },	//1774 QwtScaleEngine::~QwtScaleEngine()
    {130, 332, 0, 0, Smoke::mf_ctor, 286, 1},	//1775 QwtScaleMap::QwtScaleMap()
    {130, 332, 1007, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 286, 2},	//1776 QwtScaleMap::QwtScaleMap(const QwtScaleMap&)
    {130, 1090, 1007, 1, 0, 285, 3},	//1777 QwtScaleMap::operator=(const QwtScaleMap&)
    {130, 1638, 109, 1, 0, 0, 4},	//1778 QwtScaleMap::setTransformation(QwtScaleTransformation*)
    {130, 1792, 0, 0, Smoke::mf_const, 415, 5},	//1779 QwtScaleMap::transformation() const
    {130, 1503, 309, 2, 0, 0, 6},	//1780 QwtScaleMap::setPaintInterval(int, int)
    {130, 1505, 102, 2, 0, 0, 7},	//1781 QwtScaleMap::setPaintXInterval(double, double)
    {130, 1563, 102, 2, 0, 0, 8},	//1782 QwtScaleMap::setScaleInterval(double, double)
    {130, 1787, 15, 1, Smoke::mf_const, 431, 9},	//1783 QwtScaleMap::transform(double) const
    {130, 896, 15, 1, Smoke::mf_const, 428, 10},	//1784 QwtScaleMap::invTransform(double) const
    {130, 1861, 15, 1, Smoke::mf_const, 428, 11},	//1785 QwtScaleMap::xTransform(double) const
    {130, 1104, 0, 0, Smoke::mf_const, 428, 12},	//1786 QwtScaleMap::p1() const
    {130, 1105, 0, 0, Smoke::mf_const, 428, 13},	//1787 QwtScaleMap::p2() const
    {130, 1199, 0, 0, Smoke::mf_const, 428, 14},	//1788 QwtScaleMap::s1() const
    {130, 1200, 0, 0, Smoke::mf_const, 428, 15},	//1789 QwtScaleMap::s2() const
    {130, 1106, 0, 0, Smoke::mf_const, 428, 16},	//1790 QwtScaleMap::pDist() const
    {130, 1201, 0, 0, Smoke::mf_const, 428, 17},	//1791 QwtScaleMap::sDist() const
    {130, 98, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 425, 18},	//1792 QwtScaleMap::LogMin() const
    {130, 97, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 425, 19},	//1793 QwtScaleMap::LogMax() const
    {130, 1955, 0, 0, Smoke::mf_dtor, 0, 20 },	//1794 QwtScaleMap::~QwtScaleMap()
    {131, 334, 1009, 1, Smoke::mf_ctor, 287, 1},	//1795 QwtScaleTransformation::QwtScaleTransformation(QwtScaleTransformation::Type)
    {131, 1856, 1011, 5, Smoke::mf_const|Smoke::mf_virtual, 428, 2},	//1796 QwtScaleTransformation::xForm(double, double, double, double, double) const
    {131, 901, 1011, 5, Smoke::mf_const|Smoke::mf_virtual, 428, 3},	//1797 QwtScaleTransformation::invXForm(double, double, double, double, double) const
    {131, 1798, 0, 0, Smoke::mf_const, 288, 4},	//1798 QwtScaleTransformation::type() const
    {131, 603, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 287, 5},	//1799 QwtScaleTransformation::copy() const
    {131, 334, 1017, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 287, 6},	//1800 QwtScaleTransformation::QwtScaleTransformation(const QwtScaleTransformation&)
    {131, 94, 0, 0, Smoke::mf_static|Smoke::mf_enum, 288, 7},	//1801 QwtScaleTransformation::Linear (enum)
    {131, 96, 0, 0, Smoke::mf_static|Smoke::mf_enum, 288, 8},	//1802 QwtScaleTransformation::Log10 (enum)
    {131, 132, 0, 0, Smoke::mf_static|Smoke::mf_enum, 288, 9},	//1803 QwtScaleTransformation::Other (enum)
    {131, 1956, 0, 0, Smoke::mf_dtor, 0, 10 },	//1804 QwtScaleTransformation::~QwtScaleTransformation()
    {132, 1026, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 327, 1},	//1805 QwtScaleWidget::metaObject() const
    {132, 1151, 37, 1, Smoke::mf_virtual, 437, 2},	//1806 QwtScaleWidget::qt_metacast(const char*)
    {132, 1770, 139, 2, Smoke::mf_static, 60, 3},	//1807 QwtScaleWidget::tr(const char*, const char*)
    {132, 1774, 139, 2, Smoke::mf_static, 60, 4},	//1808 QwtScaleWidget::trUtf8(const char*, const char*)
    {132, 1770, 142, 3, Smoke::mf_static, 60, 5},	//1809 QwtScaleWidget::tr(const char*, const char*, int)
    {132, 1774, 142, 3, Smoke::mf_static, 60, 6},	//1810 QwtScaleWidget::trUtf8(const char*, const char*, int)
    {132, 1149, 39, 3, Smoke::mf_virtual, 431, 7},	//1811 QwtScaleWidget::qt_metacall(QMetaObject::Call, int, void**)
    {132, 337, 28, 1, Smoke::mf_ctor, 289, 8},	//1812 QwtScaleWidget::QwtScaleWidget(QWidget*)
    {132, 337, 1019, 2, Smoke::mf_ctor, 289, 9},	//1813 QwtScaleWidget::QwtScaleWidget(QwtScaleDraw::Alignment, QWidget*)
    {132, 1205, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 10},	//1814 QwtScaleWidget::scaleDivChanged()
    {132, 1625, 645, 1, 0, 0, 11},	//1815 QwtScaleWidget::setTitle(const QString&)
    {132, 1625, 449, 1, 0, 0, 12},	//1816 QwtScaleWidget::setTitle(const QwtText&)
    {132, 1764, 0, 0, Smoke::mf_const, 301, 13},	//1817 QwtScaleWidget::title() const
    {132, 1298, 309, 2, 0, 0, 14},	//1818 QwtScaleWidget::setBorderDist(int, int)
    {132, 1702, 0, 0, Smoke::mf_const, 431, 15},	//1819 QwtScaleWidget::startBorderDist() const
    {132, 789, 0, 0, Smoke::mf_const, 431, 16},	//1820 QwtScaleWidget::endBorderDist() const
    {132, 834, 497, 2, Smoke::mf_const, 0, 17},	//1821 QwtScaleWidget::getBorderDistHint(int&, int&) const
    {132, 837, 497, 2, Smoke::mf_const, 0, 18},	//1822 QwtScaleWidget::getMinBorderDist(int&, int&) const
    {132, 1462, 309, 2, 0, 0, 19},	//1823 QwtScaleWidget::setMinBorderDist(int, int)
    {132, 1445, 32, 1, 0, 0, 20},	//1824 QwtScaleWidget::setMargin(int)
    {132, 1011, 0, 0, Smoke::mf_const, 431, 21},	//1825 QwtScaleWidget::margin() const
    {132, 1584, 32, 1, 0, 0, 22},	//1826 QwtScaleWidget::setSpacing(int)
    {132, 1698, 0, 0, Smoke::mf_const, 431, 23},	//1827 QwtScaleWidget::spacing() const
    {132, 1511, 32, 1, 0, 0, 24},	//1828 QwtScaleWidget::setPenWidth(int)
    {132, 1121, 0, 0, Smoke::mf_const, 431, 25},	//1829 QwtScaleWidget::penWidth() const
    {132, 1554, 1022, 2, 0, 0, 26},	//1830 QwtScaleWidget::setScaleDiv(QwtScaleTransformation*, const QwtScaleDiv&)
    {132, 1559, 907, 1, 0, 0, 27},	//1831 QwtScaleWidget::setScaleDraw(QwtScaleDraw*)
    {132, 1206, 0, 0, Smoke::mf_const, 409, 28},	//1832 QwtScaleWidget::scaleDraw() const
    {132, 1206, 0, 0, 0, 280, 29},	//1833 QwtScaleWidget::scaleDraw()
    {132, 1419, 869, 1, 0, 0, 30},	//1834 QwtScaleWidget::setLabelAlignment(QFlags<Qt::AlignmentFlag>)
    {132, 1425, 15, 1, 0, 0, 31},	//1835 QwtScaleWidget::setLabelRotation(double)
    {132, 1326, 45, 1, 0, 0, 32},	//1836 QwtScaleWidget::setColorBarEnabled(bool)
    {132, 912, 0, 0, Smoke::mf_const, 313, 33},	//1837 QwtScaleWidget::isColorBarEnabled() const
    {132, 1328, 32, 1, 0, 0, 34},	//1838 QwtScaleWidget::setColorBarWidth(int)
    {132, 578, 0, 0, Smoke::mf_const, 431, 35},	//1839 QwtScaleWidget::colorBarWidth() const
    {132, 1332, 1025, 2, 0, 0, 36},	//1840 QwtScaleWidget::setColorMap(const QwtDoubleInterval&, const QwtColorMap&)
    {132, 575, 0, 0, Smoke::mf_const, 188, 37},	//1841 QwtScaleWidget::colorBarInterval() const
    {132, 581, 0, 0, Smoke::mf_const, 359, 38},	//1842 QwtScaleWidget::colorMap() const
    {132, 1692, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 57, 39},	//1843 QwtScaleWidget::sizeHint() const
    {132, 1045, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 57, 40},	//1844 QwtScaleWidget::minimumSizeHint() const
    {132, 1765, 32, 1, Smoke::mf_const, 431, 41},	//1845 QwtScaleWidget::titleHeightForWidth(int) const
    {132, 627, 675, 2, Smoke::mf_const, 431, 42},	//1846 QwtScaleWidget::dimForLength(int, const QFont&) const
    {132, 664, 425, 2, Smoke::mf_const, 0, 43},	//1847 QwtScaleWidget::drawColorBar(QPainter*, const QRect&) const
    {132, 760, 1028, 3, Smoke::mf_const, 0, 44},	//1848 QwtScaleWidget::drawTitle(QPainter*, QwtScaleDraw::Alignment, const QRect&) const
    {132, 1246, 909, 1, 0, 0, 45},	//1849 QwtScaleWidget::setAlignment(QwtScaleDraw::Alignment)
    {132, 466, 0, 0, Smoke::mf_const, 281, 46},	//1850 QwtScaleWidget::alignment() const
    {132, 576, 377, 1, Smoke::mf_const, 49, 47},	//1851 QwtScaleWidget::colorBarRect(const QRect&) const
    {132, 1110, 11, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 48},	//1852 QwtScaleWidget::paintEvent(QPaintEvent*)
    {132, 1189, 51, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 49},	//1853 QwtScaleWidget::resizeEvent(QResizeEvent*)
    {132, 643, 131, 1, Smoke::mf_const|Smoke::mf_protected, 0, 50},	//1854 QwtScaleWidget::draw(QPainter*) const
    {132, 1202, 0, 0, Smoke::mf_protected, 0, 51},	//1855 QwtScaleWidget::scaleChange()
    {132, 963, 45, 1, Smoke::mf_protected, 0, 52},	//1856 QwtScaleWidget::layoutScale(bool)
    {132, 1770, 37, 1, Smoke::mf_static, 60, 53},	//1857 QwtScaleWidget::tr(const char*)
    {132, 1774, 37, 1, Smoke::mf_static, 60, 54},	//1858 QwtScaleWidget::trUtf8(const char*)
    {132, 337, 0, 0, Smoke::mf_ctor, 289, 55},	//1859 QwtScaleWidget::QwtScaleWidget()
    {132, 337, 909, 1, Smoke::mf_ctor, 289, 56},	//1860 QwtScaleWidget::QwtScaleWidget(QwtScaleDraw::Alignment)
    {132, 963, 0, 0, Smoke::mf_protected, 0, 57},	//1861 QwtScaleWidget::layoutScale()
    {132, 1706, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 326, 58},	//1862 QwtScaleWidget::staticMetaObject() const
    {132, 1957, 0, 0, Smoke::mf_dtor, 0, 59 },	//1863 QwtScaleWidget::~QwtScaleWidget()
    {133, 341, 309, 2, Smoke::mf_ctor, 290, 1},	//1864 QwtSimpleCompassRose::QwtSimpleCompassRose(int, int)
    {133, 1658, 15, 1, 0, 0, 2},	//1865 QwtSimpleCompassRose::setWidth(double)
    {133, 1846, 0, 0, Smoke::mf_const, 428, 3},	//1866 QwtSimpleCompassRose::width() const
    {133, 1489, 32, 1, 0, 0, 4},	//1867 QwtSimpleCompassRose::setNumThorns(int)
    {133, 1083, 0, 0, Smoke::mf_const, 431, 5},	//1868 QwtSimpleCompassRose::numThorns() const
    {133, 1487, 32, 1, 0, 0, 6},	//1869 QwtSimpleCompassRose::setNumThornLevels(int)
    {133, 1082, 0, 0, Smoke::mf_const, 431, 7},	//1870 QwtSimpleCompassRose::numThornLevels() const
    {133, 1578, 15, 1, 0, 0, 8},	//1871 QwtSimpleCompassRose::setShrinkFactor(double)
    {133, 1690, 0, 0, Smoke::mf_const, 428, 9},	//1872 QwtSimpleCompassRose::shrinkFactor() const
    {133, 643, 166, 5, Smoke::mf_const|Smoke::mf_virtual, 0, 10},	//1873 QwtSimpleCompassRose::draw(QPainter*, const QPoint&, int, double, QPalette::ColorGroup) const
    {133, 721, 1032, 9, Smoke::mf_static, 0, 11},	//1874 QwtSimpleCompassRose::drawRose(QPainter*, const QPalette&, const QPoint&, int, double, double, int, int, double)
    {133, 341, 1042, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 290, 12},	//1875 QwtSimpleCompassRose::QwtSimpleCompassRose(const QwtSimpleCompassRose&)
    {133, 341, 0, 0, Smoke::mf_ctor, 290, 13},	//1876 QwtSimpleCompassRose::QwtSimpleCompassRose()
    {133, 341, 32, 1, Smoke::mf_ctor, 290, 14},	//1877 QwtSimpleCompassRose::QwtSimpleCompassRose(int)
    {133, 643, 256, 4, Smoke::mf_const, 0, 15},	//1878 QwtSimpleCompassRose::draw(QPainter*, const QPoint&, int, double) const
    {133, 1958, 0, 0, Smoke::mf_dtor, 0, 16 },	//1879 QwtSimpleCompassRose::~QwtSimpleCompassRose()
    {134, 1026, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 327, 1},	//1880 QwtSlider::metaObject() const
    {134, 1151, 37, 1, Smoke::mf_virtual, 437, 2},	//1881 QwtSlider::qt_metacast(const char*)
    {134, 1770, 139, 2, Smoke::mf_static, 60, 3},	//1882 QwtSlider::tr(const char*, const char*)
    {134, 1774, 139, 2, Smoke::mf_static, 60, 4},	//1883 QwtSlider::trUtf8(const char*, const char*)
    {134, 1770, 142, 3, Smoke::mf_static, 60, 5},	//1884 QwtSlider::tr(const char*, const char*, int)
    {134, 1774, 142, 3, Smoke::mf_static, 60, 6},	//1885 QwtSlider::trUtf8(const char*, const char*, int)
    {134, 1149, 39, 3, Smoke::mf_virtual, 431, 7},	//1886 QwtSlider::qt_metacall(QMetaObject::Call, int, void**)
    {134, 345, 1044, 4, Smoke::mf_ctor, 291, 8},	//1887 QwtSlider::QwtSlider(QWidget*, Qt::Orientation, QwtSlider::ScalePos, QwtSlider::BGSTYLE)
    {134, 1493, 149, 1, Smoke::mf_virtual, 0, 9},	//1888 QwtSlider::setOrientation(Qt::Orientation)
    {134, 1296, 1049, 1, Smoke::mf_property, 0, 10},	//1889 QwtSlider::setBgStyle(QwtSlider::BGSTYLE)
    {134, 516, 0, 0, Smoke::mf_const|Smoke::mf_property, 292, 11},	//1890 QwtSlider::bgStyle() const
    {134, 1571, 1051, 1, 0, 0, 12},	//1891 QwtSlider::setScalePosition(QwtSlider::ScalePos)
    {134, 1213, 0, 0, Smoke::mf_const|Smoke::mf_property, 293, 13},	//1892 QwtSlider::scalePosition() const
    {134, 1753, 0, 0, Smoke::mf_const|Smoke::mf_property, 431, 14},	//1893 QwtSlider::thumbLength() const
    {134, 1754, 0, 0, Smoke::mf_const|Smoke::mf_property, 431, 15},	//1894 QwtSlider::thumbWidth() const
    {134, 519, 0, 0, Smoke::mf_const|Smoke::mf_property, 431, 16},	//1895 QwtSlider::borderWidth() const
    {134, 1613, 32, 1, Smoke::mf_property, 0, 17},	//1896 QwtSlider::setThumbLength(int)
    {134, 1615, 32, 1, Smoke::mf_property, 0, 18},	//1897 QwtSlider::setThumbWidth(int)
    {134, 1304, 32, 1, Smoke::mf_property, 0, 19},	//1898 QwtSlider::setBorderWidth(int)
    {134, 1447, 309, 2, 0, 0, 20},	//1899 QwtSlider::setMargins(int, int)
    {134, 1692, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 57, 21},	//1900 QwtSlider::sizeHint() const
    {134, 1045, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 57, 22},	//1901 QwtSlider::minimumSizeHint() const
    {134, 1559, 907, 1, 0, 0, 23},	//1902 QwtSlider::setScaleDraw(QwtScaleDraw*)
    {134, 1206, 0, 0, Smoke::mf_const, 409, 24},	//1903 QwtSlider::scaleDraw() const
    {134, 843, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 428, 25},	//1904 QwtSlider::getValue(const QPoint&)
    {134, 841, 151, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 26},	//1905 QwtSlider::getScrollMode(const QPoint&, int&, int&)
    {134, 643, 425, 2, Smoke::mf_protected, 0, 27},	//1906 QwtSlider::draw(QPainter*, const QRect&)
    {134, 734, 425, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 28},	//1907 QwtSlider::drawSlider(QPainter*, const QRect&)
    {134, 756, 1053, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 29},	//1908 QwtSlider::drawThumb(QPainter*, const QRect&, int)
    {134, 1189, 51, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 30},	//1909 QwtSlider::resizeEvent(QResizeEvent*)
    {134, 1110, 11, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 31},	//1910 QwtSlider::paintEvent(QPaintEvent*)
    {134, 1820, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 32},	//1911 QwtSlider::valueChange()
    {134, 1169, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 33},	//1912 QwtSlider::rangeChange()
    {134, 1202, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 34},	//1913 QwtSlider::scaleChange()
    {134, 827, 85, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 35},	//1914 QwtSlider::fontChange(const QFont&)
    {134, 965, 45, 1, Smoke::mf_protected, 0, 36},	//1915 QwtSlider::layoutSlider(bool)
    {134, 1864, 15, 1, Smoke::mf_const|Smoke::mf_protected, 431, 37},	//1916 QwtSlider::xyPosition(double) const
    {134, 1206, 0, 0, Smoke::mf_protected, 280, 38},	//1917 QwtSlider::scaleDraw()
    {134, 1770, 37, 1, Smoke::mf_static, 60, 39},	//1918 QwtSlider::tr(const char*)
    {134, 1774, 37, 1, Smoke::mf_static, 60, 40},	//1919 QwtSlider::trUtf8(const char*)
    {134, 345, 28, 1, Smoke::mf_ctor, 291, 41},	//1920 QwtSlider::QwtSlider(QWidget*)
    {134, 345, 1057, 2, Smoke::mf_ctor, 291, 42},	//1921 QwtSlider::QwtSlider(QWidget*, Qt::Orientation)
    {134, 345, 1060, 3, Smoke::mf_ctor, 291, 43},	//1922 QwtSlider::QwtSlider(QWidget*, Qt::Orientation, QwtSlider::ScalePos)
    {134, 965, 0, 0, Smoke::mf_protected, 0, 44},	//1923 QwtSlider::layoutSlider()
    {134, 1706, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 326, 45},	//1924 QwtSlider::staticMetaObject() const
    {134, 128, 0, 0, Smoke::mf_static|Smoke::mf_enum, 293, 46},	//1925 QwtSlider::NoScale (enum)
    {134, 91, 0, 0, Smoke::mf_static|Smoke::mf_enum, 293, 47},	//1926 QwtSlider::LeftScale (enum)
    {134, 380, 0, 0, Smoke::mf_static|Smoke::mf_enum, 293, 48},	//1927 QwtSlider::RightScale (enum)
    {134, 431, 0, 0, Smoke::mf_static|Smoke::mf_enum, 293, 49},	//1928 QwtSlider::TopScale (enum)
    {134, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 293, 50},	//1929 QwtSlider::BottomScale (enum)
    {134, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 292, 51},	//1930 QwtSlider::BgTrough (enum)
    {134, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 292, 52},	//1931 QwtSlider::BgSlot (enum)
    {134, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 292, 53},	//1932 QwtSlider::BgBoth (enum)
    {134, 1959, 0, 0, Smoke::mf_dtor, 0, 54 },	//1933 QwtSlider::~QwtSlider()
    {135, 350, 0, 0, Smoke::mf_ctor, 295, 1},	//1934 QwtSpline::QwtSpline()
    {135, 350, 1064, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 295, 2},	//1935 QwtSpline::QwtSpline(const QwtSpline&)
    {135, 1090, 1064, 1, 0, 294, 3},	//1936 QwtSpline::operator=(const QwtSpline&)
    {135, 1590, 1066, 1, 0, 0, 4},	//1937 QwtSpline::setSplineType(QwtSpline::SplineType)
    {135, 1701, 0, 0, Smoke::mf_const, 296, 5},	//1938 QwtSpline::splineType() const
    {135, 1517, 279, 1, 0, 313, 6},	//1939 QwtSpline::setPoints(const QPolygonF&)
    {135, 1127, 0, 0, Smoke::mf_const, 48, 7},	//1940 QwtSpline::points() const
    {135, 1186, 0, 0, 0, 0, 8},	//1941 QwtSpline::reset()
    {135, 922, 0, 0, Smoke::mf_const, 313, 9},	//1942 QwtSpline::isValid() const
    {135, 1817, 15, 1, Smoke::mf_const, 428, 10},	//1943 QwtSpline::value(double) const
    {135, 568, 0, 0, Smoke::mf_const, 350, 11},	//1944 QwtSpline::coefficientsA() const
    {135, 569, 0, 0, Smoke::mf_const, 350, 12},	//1945 QwtSpline::coefficientsB() const
    {135, 570, 0, 0, Smoke::mf_const, 350, 13},	//1946 QwtSpline::coefficientsC() const
    {135, 526, 279, 1, Smoke::mf_protected, 313, 14},	//1947 QwtSpline::buildNaturalSpline(const QPolygonF&)
    {135, 528, 279, 1, Smoke::mf_protected, 313, 15},	//1948 QwtSpline::buildPeriodicSpline(const QPolygonF&)
    {135, 119, 0, 0, Smoke::mf_static|Smoke::mf_enum, 296, 16},	//1949 QwtSpline::Natural (enum)
    {135, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 296, 17},	//1950 QwtSpline::Periodic (enum)
    {135, 1960, 0, 0, Smoke::mf_dtor, 0, 18 },	//1951 QwtSpline::~QwtSpline()
    {136, 352, 0, 0, Smoke::mf_ctor, 297, 1},	//1952 QwtSplineCurveFitter::QwtSplineCurveFitter()
    {136, 1378, 1068, 1, 0, 0, 2},	//1953 QwtSplineCurveFitter::setFitMode(QwtSplineCurveFitter::FitMode)
    {136, 814, 0, 0, Smoke::mf_const, 298, 3},	//1954 QwtSplineCurveFitter::fitMode() const
    {136, 1586, 1064, 1, 0, 0, 4},	//1955 QwtSplineCurveFitter::setSpline(const QwtSpline&)
    {136, 1699, 0, 0, Smoke::mf_const, 418, 5},	//1956 QwtSplineCurveFitter::spline() const
    {136, 1699, 0, 0, 0, 294, 6},	//1957 QwtSplineCurveFitter::spline()
    {136, 1588, 32, 1, 0, 0, 7},	//1958 QwtSplineCurveFitter::setSplineSize(int)
    {136, 1700, 0, 0, Smoke::mf_const, 431, 8},	//1959 QwtSplineCurveFitter::splineSize() const
    {136, 812, 279, 1, Smoke::mf_const|Smoke::mf_virtual, 48, 9},	//1960 QwtSplineCurveFitter::fitCurve(const QPolygonF&) const
    {136, 7, 0, 0, Smoke::mf_static|Smoke::mf_enum, 298, 10},	//1961 QwtSplineCurveFitter::Auto (enum)
    {136, 414, 0, 0, Smoke::mf_static|Smoke::mf_enum, 298, 11},	//1962 QwtSplineCurveFitter::Spline (enum)
    {136, 142, 0, 0, Smoke::mf_static|Smoke::mf_enum, 298, 12},	//1963 QwtSplineCurveFitter::ParametricSpline (enum)
    {136, 1961, 0, 0, Smoke::mf_dtor, 0, 13 },	//1964 QwtSplineCurveFitter::~QwtSplineCurveFitter()
    {137, 353, 0, 0, Smoke::mf_ctor, 299, 1},	//1965 QwtSymbol::QwtSymbol()
    {137, 353, 1070, 4, Smoke::mf_ctor, 299, 2},	//1966 QwtSymbol::QwtSymbol(QwtSymbol::Style, const QBrush&, const QPen&, const QSize&)
    {137, 1084, 451, 1, Smoke::mf_const, 313, 3},	//1967 QwtSymbol::operator!=(const QwtSymbol&) const
    {137, 1092, 451, 1, Smoke::mf_const|Smoke::mf_virtual, 313, 4},	//1968 QwtSymbol::operator==(const QwtSymbol&) const
    {137, 561, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 299, 5},	//1969 QwtSymbol::clone() const
    {137, 1580, 506, 1, 0, 0, 6},	//1970 QwtSymbol::setSize(const QSize&)
    {137, 1580, 309, 2, 0, 0, 7},	//1971 QwtSymbol::setSize(int, int)
    {137, 1308, 766, 1, 0, 0, 8},	//1972 QwtSymbol::setBrush(const QBrush&)
    {137, 1509, 453, 1, 0, 0, 9},	//1973 QwtSymbol::setPen(const QPen&)
    {137, 1602, 1075, 1, 0, 0, 10},	//1974 QwtSymbol::setStyle(QwtSymbol::Style)
    {137, 523, 0, 0, Smoke::mf_const, 314, 11},	//1975 QwtSymbol::brush() const
    {137, 1120, 0, 0, Smoke::mf_const, 332, 12},	//1976 QwtSymbol::pen() const
    {137, 1691, 0, 0, Smoke::mf_const, 341, 13},	//1977 QwtSymbol::size() const
    {137, 1719, 0, 0, Smoke::mf_const, 300, 14},	//1978 QwtSymbol::style() const
    {137, 643, 1077, 2, Smoke::mf_const, 0, 15},	//1979 QwtSymbol::draw(QPainter*, const QPoint&) const
    {137, 643, 573, 3, Smoke::mf_const, 0, 16},	//1980 QwtSymbol::draw(QPainter*, int, int) const
    {137, 643, 425, 2, Smoke::mf_const|Smoke::mf_virtual, 0, 17},	//1981 QwtSymbol::draw(QPainter*, const QRect&) const
    {137, 353, 451, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 299, 18},	//1982 QwtSymbol::QwtSymbol(const QwtSymbol&)
    {137, 1580, 32, 1, 0, 0, 19},	//1983 QwtSymbol::setSize(int)
    {137, 130, 0, 0, Smoke::mf_static|Smoke::mf_enum, 300, 20},	//1984 QwtSymbol::NoSymbol (enum)
    {137, 48, 0, 0, Smoke::mf_static|Smoke::mf_enum, 300, 21},	//1985 QwtSymbol::Ellipse (enum)
    {137, 374, 0, 0, Smoke::mf_static|Smoke::mf_enum, 300, 22},	//1986 QwtSymbol::Rect (enum)
    {137, 42, 0, 0, Smoke::mf_static|Smoke::mf_enum, 300, 23},	//1987 QwtSymbol::Diamond (enum)
    {137, 432, 0, 0, Smoke::mf_static|Smoke::mf_enum, 300, 24},	//1988 QwtSymbol::Triangle (enum)
    {137, 41, 0, 0, Smoke::mf_static|Smoke::mf_enum, 300, 25},	//1989 QwtSymbol::DTriangle (enum)
    {137, 434, 0, 0, Smoke::mf_static|Smoke::mf_enum, 300, 26},	//1990 QwtSymbol::UTriangle (enum)
    {137, 88, 0, 0, Smoke::mf_static|Smoke::mf_enum, 300, 27},	//1991 QwtSymbol::LTriangle (enum)
    {137, 370, 0, 0, Smoke::mf_static|Smoke::mf_enum, 300, 28},	//1992 QwtSymbol::RTriangle (enum)
    {137, 37, 0, 0, Smoke::mf_static|Smoke::mf_enum, 300, 29},	//1993 QwtSymbol::Cross (enum)
    {137, 441, 0, 0, Smoke::mf_static|Smoke::mf_enum, 300, 30},	//1994 QwtSymbol::XCross (enum)
    {137, 59, 0, 0, Smoke::mf_static|Smoke::mf_enum, 300, 31},	//1995 QwtSymbol::HLine (enum)
    {137, 437, 0, 0, Smoke::mf_static|Smoke::mf_enum, 300, 32},	//1996 QwtSymbol::VLine (enum)
    {137, 415, 0, 0, Smoke::mf_static|Smoke::mf_enum, 300, 33},	//1997 QwtSymbol::Star1 (enum)
    {137, 416, 0, 0, Smoke::mf_static|Smoke::mf_enum, 300, 34},	//1998 QwtSymbol::Star2 (enum)
    {137, 61, 0, 0, Smoke::mf_static|Smoke::mf_enum, 300, 35},	//1999 QwtSymbol::Hexagon (enum)
    {137, 422, 0, 0, Smoke::mf_static|Smoke::mf_enum, 300, 36},	//2000 QwtSymbol::StyleCnt (enum)
    {137, 1962, 0, 0, Smoke::mf_dtor, 0, 37 },	//2001 QwtSymbol::~QwtSymbol()
    {138, 356, 1080, 2, Smoke::mf_ctor, 303, 1},	//2002 QwtText::QwtText(const QString&, QwtText::TextFormat)
    {138, 356, 449, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 303, 2},	//2003 QwtText::QwtText(const QwtText&)
    {138, 1090, 449, 1, 0, 302, 3},	//2004 QwtText::operator=(const QwtText&)
    {138, 1092, 449, 1, Smoke::mf_const, 431, 4},	//2005 QwtText::operator==(const QwtText&) const
    {138, 1084, 449, 1, Smoke::mf_const, 431, 5},	//2006 QwtText::operator!=(const QwtText&) const
    {138, 1607, 1080, 2, 0, 0, 6},	//2007 QwtText::setText(const QString&, QwtText::TextFormat)
    {138, 1743, 0, 0, Smoke::mf_const, 60, 7},	//2008 QwtText::text() const
    {138, 917, 0, 0, Smoke::mf_const, 313, 8},	//2009 QwtText::isNull() const
    {138, 914, 0, 0, Smoke::mf_const, 313, 9},	//2010 QwtText::isEmpty() const
    {138, 1382, 85, 1, 0, 0, 10},	//2011 QwtText::setFont(const QFont&)
    {138, 825, 0, 0, Smoke::mf_const, 16, 11},	//2012 QwtText::font() const
    {138, 1815, 85, 1, Smoke::mf_const, 16, 12},	//2013 QwtText::usedFont(const QFont&) const
    {138, 1534, 32, 1, 0, 0, 13},	//2014 QwtText::setRenderFlags(int)
    {138, 1178, 0, 0, Smoke::mf_const, 431, 14},	//2015 QwtText::renderFlags() const
    {138, 1323, 155, 1, 0, 0, 15},	//2016 QwtText::setColor(const QColor&)
    {138, 571, 0, 0, Smoke::mf_const, 6, 16},	//2017 QwtText::color() const
    {138, 1813, 155, 1, Smoke::mf_const, 6, 17},	//2018 QwtText::usedColor(const QColor&) const
    {138, 1292, 453, 1, 0, 0, 18},	//2019 QwtText::setBackgroundPen(const QPen&)
    {138, 513, 0, 0, Smoke::mf_const, 42, 19},	//2020 QwtText::backgroundPen() const
    {138, 1290, 766, 1, 0, 0, 20},	//2021 QwtText::setBackgroundBrush(const QBrush&)
    {138, 512, 0, 0, Smoke::mf_const, 3, 21},	//2022 QwtText::backgroundBrush() const
    {138, 1500, 1083, 2, 0, 0, 22},	//2023 QwtText::setPaintAttribute(QwtText::PaintAttribute, bool)
    {138, 1739, 1086, 1, Smoke::mf_const, 313, 23},	//2024 QwtText::testPaintAttribute(QwtText::PaintAttribute) const
    {138, 1427, 1088, 2, 0, 0, 24},	//2025 QwtText::setLayoutAttribute(QwtText::LayoutAttribute, bool)
    {138, 1737, 1091, 1, Smoke::mf_const, 313, 25},	//2026 QwtText::testLayoutAttribute(QwtText::LayoutAttribute) const
    {138, 856, 675, 2, Smoke::mf_const, 431, 26},	//2027 QwtText::heightForWidth(int, const QFont&) const
    {138, 1750, 85, 1, Smoke::mf_const, 57, 27},	//2028 QwtText::textSize(const QFont&) const
    {138, 643, 425, 2, Smoke::mf_const, 0, 28},	//2029 QwtText::draw(QPainter*, const QRect&) const
    {138, 1744, 1080, 2, Smoke::mf_static, 422, 29},	//2030 QwtText::textEngine(const QString&, QwtText::TextFormat)
    {138, 1744, 1093, 1, Smoke::mf_static, 422, 30},	//2031 QwtText::textEngine(QwtText::TextFormat)
    {138, 1611, 1095, 2, Smoke::mf_static, 0, 31},	//2032 QwtText::setTextEngine(QwtText::TextFormat, QwtTextEngine*)
    {138, 356, 0, 0, Smoke::mf_ctor, 303, 32},	//2033 QwtText::QwtText()
    {138, 356, 645, 1, Smoke::mf_ctor, 303, 33},	//2034 QwtText::QwtText(const QString&)
    {138, 1607, 645, 1, 0, 0, 34},	//2035 QwtText::setText(const QString&)
    {138, 1500, 1086, 1, 0, 0, 35},	//2036 QwtText::setPaintAttribute(QwtText::PaintAttribute)
    {138, 1427, 1091, 1, 0, 0, 36},	//2037 QwtText::setLayoutAttribute(QwtText::LayoutAttribute)
    {138, 856, 32, 1, Smoke::mf_const, 431, 37},	//2038 QwtText::heightForWidth(int) const
    {138, 1750, 0, 0, Smoke::mf_const, 57, 38},	//2039 QwtText::textSize() const
    {138, 1744, 645, 1, Smoke::mf_static, 422, 39},	//2040 QwtText::textEngine(const QString&)
    {138, 10, 0, 0, Smoke::mf_static|Smoke::mf_enum, 306, 40},	//2041 QwtText::AutoText (enum)
    {138, 145, 0, 0, Smoke::mf_static|Smoke::mf_enum, 306, 41},	//2042 QwtText::PlainText (enum)
    {138, 378, 0, 0, Smoke::mf_static|Smoke::mf_enum, 306, 42},	//2043 QwtText::RichText (enum)
    {138, 103, 0, 0, Smoke::mf_static|Smoke::mf_enum, 306, 43},	//2044 QwtText::MathMLText (enum)
    {138, 426, 0, 0, Smoke::mf_static|Smoke::mf_enum, 306, 44},	//2045 QwtText::TeXText (enum)
    {138, 133, 0, 0, Smoke::mf_static|Smoke::mf_enum, 306, 45},	//2046 QwtText::OtherFormat (enum)
    {138, 140, 0, 0, Smoke::mf_static|Smoke::mf_enum, 305, 46},	//2047 QwtText::PaintUsingTextFont (enum)
    {138, 139, 0, 0, Smoke::mf_static|Smoke::mf_enum, 305, 47},	//2048 QwtText::PaintUsingTextColor (enum)
    {138, 134, 0, 0, Smoke::mf_static|Smoke::mf_enum, 305, 48},	//2049 QwtText::PaintBackground (enum)
    {138, 105, 0, 0, Smoke::mf_static|Smoke::mf_enum, 304, 49},	//2050 QwtText::MinimumLayout (enum)
    {138, 1963, 0, 0, Smoke::mf_dtor, 0, 50 },	//2051 QwtText::~QwtText()
    {139, 856, 636, 4, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 431, 1},	//2052 QwtTextEngine::heightForWidth(const QFont&, int, const QString&, int) const [pure virtual]
    {139, 1750, 641, 3, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 57, 2},	//2053 QwtTextEngine::textSize(const QFont&, int, const QString&) const [pure virtual]
    {139, 1029, 645, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 313, 3},	//2054 QwtTextEngine::mightRender(const QString&) const [pure virtual]
    {139, 1747, 647, 6, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 4},	//2055 QwtTextEngine::textMargins(const QFont&, const QString&, int&, int&, int&, int&) const [pure virtual]
    {139, 643, 541, 4, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 5},	//2056 QwtTextEngine::draw(QPainter*, const QRect&, int, const QString&) const [pure virtual]
    {139, 360, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 307, 6},	//2057 QwtTextEngine::QwtTextEngine()
    {139, 360, 1098, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 307, 7},	//2058 QwtTextEngine::QwtTextEngine(const QwtTextEngine&)
    {139, 1964, 0, 0, Smoke::mf_dtor, 0, 8 },	//2059 QwtTextEngine::~QwtTextEngine()
    {140, 1026, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 327, 1},	//2060 QwtTextLabel::metaObject() const
    {140, 1151, 37, 1, Smoke::mf_virtual, 437, 2},	//2061 QwtTextLabel::qt_metacast(const char*)
    {140, 1770, 139, 2, Smoke::mf_static, 60, 3},	//2062 QwtTextLabel::tr(const char*, const char*)
    {140, 1774, 139, 2, Smoke::mf_static, 60, 4},	//2063 QwtTextLabel::trUtf8(const char*, const char*)
    {140, 1770, 142, 3, Smoke::mf_static, 60, 5},	//2064 QwtTextLabel::tr(const char*, const char*, int)
    {140, 1774, 142, 3, Smoke::mf_static, 60, 6},	//2065 QwtTextLabel::trUtf8(const char*, const char*, int)
    {140, 1149, 39, 3, Smoke::mf_virtual, 431, 7},	//2066 QwtTextLabel::qt_metacall(QMetaObject::Call, int, void**)
    {140, 362, 28, 1, Smoke::mf_ctor, 308, 8},	//2067 QwtTextLabel::QwtTextLabel(QWidget*)
    {140, 362, 656, 2, Smoke::mf_ctor, 308, 9},	//2068 QwtTextLabel::QwtTextLabel(const QwtText&, QWidget*)
    {140, 1607, 1080, 2, Smoke::mf_slot, 0, 10},	//2069 QwtTextLabel::setText(const QString&, QwtText::TextFormat)
    {140, 1607, 449, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 11},	//2070 QwtTextLabel::setText(const QwtText&)
    {140, 553, 0, 0, Smoke::mf_slot, 0, 12},	//2071 QwtTextLabel::clear()
    {140, 1743, 0, 0, Smoke::mf_const, 420, 13},	//2072 QwtTextLabel::text() const
    {140, 873, 0, 0, Smoke::mf_const|Smoke::mf_property, 431, 14},	//2073 QwtTextLabel::indent() const
    {140, 1396, 32, 1, Smoke::mf_property, 0, 15},	//2074 QwtTextLabel::setIndent(int)
    {140, 1011, 0, 0, Smoke::mf_const|Smoke::mf_property, 431, 16},	//2075 QwtTextLabel::margin() const
    {140, 1445, 32, 1, Smoke::mf_property, 0, 17},	//2076 QwtTextLabel::setMargin(int)
    {140, 1692, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 57, 18},	//2077 QwtTextLabel::sizeHint() const
    {140, 1045, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 57, 19},	//2078 QwtTextLabel::minimumSizeHint() const
    {140, 856, 32, 1, Smoke::mf_const|Smoke::mf_virtual, 431, 20},	//2079 QwtTextLabel::heightForWidth(int) const
    {140, 1749, 0, 0, Smoke::mf_const, 49, 21},	//2080 QwtTextLabel::textRect() const
    {140, 1110, 11, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 22},	//2081 QwtTextLabel::paintEvent(QPaintEvent*)
    {140, 667, 131, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 23},	//2082 QwtTextLabel::drawContents(QPainter*)
    {140, 746, 425, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 24},	//2083 QwtTextLabel::drawText(QPainter*, const QRect&)
    {140, 1770, 37, 1, Smoke::mf_static, 60, 25},	//2084 QwtTextLabel::tr(const char*)
    {140, 1774, 37, 1, Smoke::mf_static, 60, 26},	//2085 QwtTextLabel::trUtf8(const char*)
    {140, 362, 0, 0, Smoke::mf_ctor, 308, 27},	//2086 QwtTextLabel::QwtTextLabel()
    {140, 362, 449, 1, Smoke::mf_ctor, 308, 28},	//2087 QwtTextLabel::QwtTextLabel(const QwtText&)
    {140, 1607, 645, 1, Smoke::mf_slot, 0, 29},	//2088 QwtTextLabel::setText(const QString&)
    {140, 1706, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 326, 30},	//2089 QwtTextLabel::staticMetaObject() const
    {140, 1965, 0, 0, Smoke::mf_dtor, 0, 31 },	//2090 QwtTextLabel::~QwtTextLabel()
    {141, 1026, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 327, 1},	//2091 QwtThermo::metaObject() const
    {141, 1151, 37, 1, Smoke::mf_virtual, 437, 2},	//2092 QwtThermo::qt_metacast(const char*)
    {141, 1770, 139, 2, Smoke::mf_static, 60, 3},	//2093 QwtThermo::tr(const char*, const char*)
    {141, 1774, 139, 2, Smoke::mf_static, 60, 4},	//2094 QwtThermo::trUtf8(const char*, const char*)
    {141, 1770, 142, 3, Smoke::mf_static, 60, 5},	//2095 QwtThermo::tr(const char*, const char*, int)
    {141, 1774, 142, 3, Smoke::mf_static, 60, 6},	//2096 QwtThermo::trUtf8(const char*, const char*, int)
    {141, 1149, 39, 3, Smoke::mf_virtual, 431, 7},	//2097 QwtThermo::qt_metacall(QMetaObject::Call, int, void**)
    {141, 365, 28, 1, Smoke::mf_ctor, 309, 8},	//2098 QwtThermo::QwtThermo(QWidget*)
    {141, 1493, 1100, 2, 0, 0, 9},	//2099 QwtThermo::setOrientation(Qt::Orientation, QwtThermo::ScalePos)
    {141, 1571, 1103, 1, 0, 0, 10},	//2100 QwtThermo::setScalePosition(QwtThermo::ScalePos)
    {141, 1213, 0, 0, Smoke::mf_const|Smoke::mf_property, 310, 11},	//2101 QwtThermo::scalePosition() const
    {141, 1304, 32, 1, Smoke::mf_property, 0, 12},	//2102 QwtThermo::setBorderWidth(int)
    {141, 519, 0, 0, Smoke::mf_const|Smoke::mf_property, 431, 13},	//2103 QwtThermo::borderWidth() const
    {141, 1374, 766, 1, Smoke::mf_property, 0, 14},	//2104 QwtThermo::setFillBrush(const QBrush&)
    {141, 804, 0, 0, Smoke::mf_const, 314, 15},	//2105 QwtThermo::fillBrush() const
    {141, 1376, 155, 1, Smoke::mf_property, 0, 16},	//2106 QwtThermo::setFillColor(const QColor&)
    {141, 805, 0, 0, Smoke::mf_const, 315, 17},	//2107 QwtThermo::fillColor() const
    {141, 1236, 766, 1, Smoke::mf_property, 0, 18},	//2108 QwtThermo::setAlarmBrush(const QBrush&)
    {141, 455, 0, 0, Smoke::mf_const, 314, 19},	//2109 QwtThermo::alarmBrush() const
    {141, 1238, 155, 1, Smoke::mf_property, 0, 20},	//2110 QwtThermo::setAlarmColor(const QColor&)
    {141, 456, 0, 0, Smoke::mf_const, 315, 21},	//2111 QwtThermo::alarmColor() const
    {141, 1242, 15, 1, Smoke::mf_property, 0, 22},	//2112 QwtThermo::setAlarmLevel(double)
    {141, 458, 0, 0, Smoke::mf_const|Smoke::mf_property, 428, 23},	//2113 QwtThermo::alarmLevel() const
    {141, 1240, 45, 1, Smoke::mf_property, 0, 24},	//2114 QwtThermo::setAlarmEnabled(bool)
    {141, 457, 0, 0, Smoke::mf_const|Smoke::mf_property, 313, 25},	//2115 QwtThermo::alarmEnabled() const
    {141, 1515, 32, 1, Smoke::mf_property, 0, 26},	//2116 QwtThermo::setPipeWidth(int)
    {141, 1124, 0, 0, Smoke::mf_const|Smoke::mf_property, 431, 27},	//2117 QwtThermo::pipeWidth() const
    {141, 1455, 15, 1, Smoke::mf_property, 0, 28},	//2118 QwtThermo::setMaxValue(double)
    {141, 1022, 0, 0, Smoke::mf_const|Smoke::mf_property, 428, 29},	//2119 QwtThermo::maxValue() const
    {141, 1466, 15, 1, Smoke::mf_property, 0, 30},	//2120 QwtThermo::setMinValue(double)
    {141, 1038, 0, 0, Smoke::mf_const|Smoke::mf_property, 428, 31},	//2121 QwtThermo::minValue() const
    {141, 1817, 0, 0, Smoke::mf_const|Smoke::mf_property, 428, 32},	//2122 QwtThermo::value() const
    {141, 1524, 1105, 3, 0, 0, 33},	//2123 QwtThermo::setRange(double, double, bool)
    {141, 1445, 32, 1, 0, 0, 34},	//2124 QwtThermo::setMargin(int)
    {141, 1692, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 57, 35},	//2125 QwtThermo::sizeHint() const
    {141, 1045, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 57, 36},	//2126 QwtThermo::minimumSizeHint() const
    {141, 1559, 907, 1, 0, 0, 37},	//2127 QwtThermo::setScaleDraw(QwtScaleDraw*)
    {141, 1206, 0, 0, Smoke::mf_const, 409, 38},	//2128 QwtThermo::scaleDraw() const
    {141, 1644, 15, 1, Smoke::mf_property|Smoke::mf_slot, 0, 39},	//2129 QwtThermo::setValue(double)
    {141, 643, 425, 2, Smoke::mf_protected, 0, 40},	//2130 QwtThermo::draw(QPainter*, const QRect&)
    {141, 752, 131, 1, Smoke::mf_protected, 0, 41},	//2131 QwtThermo::drawThermo(QPainter*)
    {141, 967, 45, 1, Smoke::mf_protected, 0, 42},	//2132 QwtThermo::layoutThermo(bool)
    {141, 1202, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 43},	//2133 QwtThermo::scaleChange()
    {141, 827, 85, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 44},	//2134 QwtThermo::fontChange(const QFont&)
    {141, 1110, 11, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 45},	//2135 QwtThermo::paintEvent(QPaintEvent*)
    {141, 1189, 51, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 46},	//2136 QwtThermo::resizeEvent(QResizeEvent*)
    {141, 1206, 0, 0, Smoke::mf_protected, 280, 47},	//2137 QwtThermo::scaleDraw()
    {141, 1770, 37, 1, Smoke::mf_static, 60, 48},	//2138 QwtThermo::tr(const char*)
    {141, 1774, 37, 1, Smoke::mf_static, 60, 49},	//2139 QwtThermo::trUtf8(const char*)
    {141, 365, 0, 0, Smoke::mf_ctor, 309, 50},	//2140 QwtThermo::QwtThermo()
    {141, 1524, 102, 2, 0, 0, 51},	//2141 QwtThermo::setRange(double, double)
    {141, 967, 0, 0, Smoke::mf_protected, 0, 52},	//2142 QwtThermo::layoutThermo()
    {141, 1706, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 326, 53},	//2143 QwtThermo::staticMetaObject() const
    {141, 128, 0, 0, Smoke::mf_static|Smoke::mf_enum, 310, 54},	//2144 QwtThermo::NoScale (enum)
    {141, 91, 0, 0, Smoke::mf_static|Smoke::mf_enum, 310, 55},	//2145 QwtThermo::LeftScale (enum)
    {141, 380, 0, 0, Smoke::mf_static|Smoke::mf_enum, 310, 56},	//2146 QwtThermo::RightScale (enum)
    {141, 431, 0, 0, Smoke::mf_static|Smoke::mf_enum, 310, 57},	//2147 QwtThermo::TopScale (enum)
    {141, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 310, 58},	//2148 QwtThermo::BottomScale (enum)
    {141, 1966, 0, 0, Smoke::mf_dtor, 0, 59 },	//2149 QwtThermo::~QwtThermo()
    {142, 1026, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 327, 1},	//2150 QwtWheel::metaObject() const
    {142, 1151, 37, 1, Smoke::mf_virtual, 437, 2},	//2151 QwtWheel::qt_metacast(const char*)
    {142, 1770, 139, 2, Smoke::mf_static, 60, 3},	//2152 QwtWheel::tr(const char*, const char*)
    {142, 1774, 139, 2, Smoke::mf_static, 60, 4},	//2153 QwtWheel::trUtf8(const char*, const char*)
    {142, 1770, 142, 3, Smoke::mf_static, 60, 5},	//2154 QwtWheel::tr(const char*, const char*, int)
    {142, 1774, 142, 3, Smoke::mf_static, 60, 6},	//2155 QwtWheel::trUtf8(const char*, const char*, int)
    {142, 1149, 39, 3, Smoke::mf_virtual, 431, 7},	//2156 QwtWheel::qt_metacall(QMetaObject::Call, int, void**)
    {142, 367, 28, 1, Smoke::mf_ctor, 311, 8},	//2157 QwtWheel::QwtWheel(QWidget*)
    {142, 1493, 149, 1, Smoke::mf_virtual, 0, 9},	//2158 QwtWheel::setOrientation(Qt::Orientation)
    {142, 1769, 0, 0, Smoke::mf_const|Smoke::mf_property, 428, 10},	//2159 QwtWheel::totalAngle() const
    {142, 1824, 0, 0, Smoke::mf_const|Smoke::mf_property, 428, 11},	//2160 QwtWheel::viewAngle() const
    {142, 1755, 0, 0, Smoke::mf_const|Smoke::mf_property, 431, 12},	//2161 QwtWheel::tickCnt() const
    {142, 889, 0, 0, Smoke::mf_const|Smoke::mf_property, 431, 13},	//2162 QwtWheel::internalBorder() const
    {142, 1012, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 428, 14},	//2163 QwtWheel::mass() const
    {142, 1628, 15, 1, Smoke::mf_property, 0, 15},	//2164 QwtWheel::setTotalAngle(double)
    {142, 1617, 32, 1, Smoke::mf_property, 0, 16},	//2165 QwtWheel::setTickCnt(int)
    {142, 1648, 15, 1, Smoke::mf_property, 0, 17},	//2166 QwtWheel::setViewAngle(double)
    {142, 1398, 32, 1, Smoke::mf_property, 0, 18},	//2167 QwtWheel::setInternalBorder(int)
    {142, 1449, 15, 1, Smoke::mf_property|Smoke::mf_virtual, 0, 19},	//2168 QwtWheel::setMass(double)
    {142, 1656, 32, 1, 0, 0, 20},	//2169 QwtWheel::setWheelWidth(int)
    {142, 1692, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 57, 21},	//2170 QwtWheel::sizeHint() const
    {142, 1045, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 57, 22},	//2171 QwtWheel::minimumSizeHint() const
    {142, 1189, 51, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 23},	//2172 QwtWheel::resizeEvent(QResizeEvent*)
    {142, 1110, 11, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 24},	//2173 QwtWheel::paintEvent(QPaintEvent*)
    {142, 982, 45, 1, Smoke::mf_protected, 0, 25},	//2174 QwtWheel::layoutWheel(bool)
    {142, 643, 425, 2, Smoke::mf_protected, 0, 26},	//2175 QwtWheel::draw(QPainter*, const QRect&)
    {142, 766, 425, 2, Smoke::mf_protected, 0, 27},	//2176 QwtWheel::drawWheel(QPainter*, const QRect&)
    {142, 768, 425, 2, Smoke::mf_protected, 0, 28},	//2177 QwtWheel::drawWheelBackground(QPainter*, const QRect&)
    {142, 1325, 0, 0, Smoke::mf_protected, 0, 29},	//2178 QwtWheel::setColorArray()
    {142, 1820, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 30},	//2179 QwtWheel::valueChange()
    {142, 1115, 83, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 31},	//2180 QwtWheel::paletteChange(const QPalette&)
    {142, 843, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 428, 32},	//2181 QwtWheel::getValue(const QPoint&)
    {142, 841, 151, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 33},	//2182 QwtWheel::getScrollMode(const QPoint&, int&, int&)
    {142, 1770, 37, 1, Smoke::mf_static, 60, 34},	//2183 QwtWheel::tr(const char*)
    {142, 1774, 37, 1, Smoke::mf_static, 60, 35},	//2184 QwtWheel::trUtf8(const char*)
    {142, 367, 0, 0, Smoke::mf_ctor, 311, 36},	//2185 QwtWheel::QwtWheel()
    {142, 982, 0, 0, Smoke::mf_protected, 0, 37},	//2186 QwtWheel::layoutWheel()
    {142, 1706, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 326, 38},	//2187 QwtWheel::staticMetaObject() const
    {142, 1967, 0, 0, Smoke::mf_dtor, 0, 39 },	//2188 QwtWheel::~QwtWheel()
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    1956,  // QwtSplineCurveFitter::spline() const
    1957,  // QwtSplineCurveFitter::spline()
    0,
    18,  // QGlobalSpace::qwtDegree2Pos(const QPoint&, double, double)
    19,  // QGlobalSpace::qwtDegree2Pos(const QPointF&, double, double)
    0,
    20,  // QGlobalSpace::qwtPolar2Pos(const QPointF&, double, double)
    21,  // QGlobalSpace::qwtPolar2Pos(const QPoint&, double, double)
    0,
    1503,  // QwtPlotPrintFilter::apply(QwtPlot*) const
    1505,  // QwtPlotPrintFilter::apply(QwtPlotItem*) const
    0,
    1504,  // QwtPlotPrintFilter::reset(QwtPlot*) const
    1506,  // QwtPlotPrintFilter::reset(QwtPlotItem*) const
    0,
    1402,  // QwtPlotMagnifier::canvas()
    1403,  // QwtPlotMagnifier::canvas() const
    0,
    1404,  // QwtPlotMagnifier::plot()
    1405,  // QwtPlotMagnifier::plot() const
    0,
    1074,  // QwtPlot::QwtPlot(QWidget*)
    1157,  // QwtPlot::QwtPlot(const QwtText&)
    0,
    1113,  // QwtPlot::axisScaleDiv(int) const
    1114,  // QwtPlot::axisScaleDiv(int)
    0,
    1115,  // QwtPlot::axisScaleDraw(int) const
    1116,  // QwtPlot::axisScaleDraw(int)
    0,
    1100,  // QwtPlot::axisScaleEngine(int)
    1101,  // QwtPlot::axisScaleEngine(int) const
    0,
    1117,  // QwtPlot::axisWidget(int) const
    1118,  // QwtPlot::axisWidget(int)
    0,
    1091,  // QwtPlot::canvas()
    1092,  // QwtPlot::canvas() const
    0,
    1129,  // QwtPlot::legend()
    1130,  // QwtPlot::legend() const
    0,
    1082,  // QwtPlot::plotLayout()
    1083,  // QwtPlot::plotLayout() const
    0,
    1080,  // QwtPlot::print(QPaintDevice&, const QwtPlotPrintFilter&) const
    1160,  // QwtPlot::print(QPainter*, const QRect&) const
    0,
    1089,  // QwtPlot::titleLabel()
    1090,  // QwtPlot::titleLabel() const
    0,
    657,  // QwtKnob::scaleDraw() const
    658,  // QwtKnob::scaleDraw()
    0,
    1554,  // QwtPlotScaleItem::scaleDraw() const
    1555,  // QwtPlotScaleItem::scaleDraw()
    0,
    810,  // QwtMagnifier::parentWidget()
    811,  // QwtMagnifier::parentWidget() const
    0,
    470,  // QwtDialScaleDraw::QwtDialScaleDraw(QwtDial*)
    474,  // QwtDialScaleDraw::QwtDialScaleDraw(const QwtDialScaleDraw&)
    0,
    1191,  // QwtPlotCanvas::paintCache()
    1192,  // QwtPlotCanvas::paintCache() const
    0,
    1185,  // QwtPlotCanvas::plot()
    1186,  // QwtPlotCanvas::plot() const
    0,
    419,  // QwtDial::needle() const
    420,  // QwtDial::needle()
    0,
    427,  // QwtDial::scaleDraw()
    428,  // QwtDial::scaleDraw() const
    0,
    684,  // QwtLegend::contentsWidget()
    685,  // QwtLegend::contentsWidget() const
    0,
    688,  // QwtLegend::find(const QwtLegendItemManager*) const
    689,  // QwtLegend::find(const QWidget*) const
    0,
    1832,  // QwtScaleWidget::scaleDraw() const
    1833,  // QwtScaleWidget::scaleDraw()
    0,
    104,  // QwtAbstractScale::abstractScaleDraw() const
    105,  // QwtAbstractScale::abstractScaleDraw()
    0,
    99,  // QwtAbstractScale::scaleEngine() const
    100,  // QwtAbstractScale::scaleEngine()
    0,
    91,  // QwtAbstractScale::setScale(const QwtScaleDiv&)
    109,  // QwtAbstractScale::setScale(const QwtDoubleInterval&)
    0,
    1450,  // QwtPlotPanner::canvas()
    1451,  // QwtPlotPanner::canvas() const
    0,
    1452,  // QwtPlotPanner::plot()
    1453,  // QwtPlotPanner::plot() const
    0,
    1979,  // QwtSymbol::draw(QPainter*, const QPoint&) const
    1981,  // QwtSymbol::draw(QPainter*, const QRect&) const
    0,
    2031,  // QwtText::textEngine(QwtText::TextFormat)
    2040,  // QwtText::textEngine(const QString&)
    0,
    1225,  // QwtPlotCurve::data()
    1226,  // QwtPlotCurve::data() const
    0,
    1222,  // QwtPlotCurve::setData(const QPolygonF&)
    1223,  // QwtPlotCurve::setData(const QwtData&)
    0,
    1636,  // QwtPolygonFData::QwtPolygonFData(const QPolygonF&)
    1643,  // QwtPolygonFData::QwtPolygonFData(const QwtPolygonFData&)
    0,
    1646,  // QwtRasterData::QwtRasterData(const QRectF&)
    1656,  // QwtRasterData::QwtRasterData(const QwtRasterData&)
    0,
    968,  // QwtPicker::parentWidget()
    969,  // QwtPicker::parentWidget() const
    0,
    2128,  // QwtThermo::scaleDraw() const
    2137,  // QwtThermo::scaleDraw()
    0,
    2067,  // QwtTextLabel::QwtTextLabel(QWidget*)
    2087,  // QwtTextLabel::QwtTextLabel(const QwtText&)
    0,
    209,  // QwtAnalogClock::hand(QwtAnalogClock::Hand) const
    210,  // QwtAnalogClock::hand(QwtAnalogClock::Hand)
    0,
    1476,  // QwtPlotPicker::canvas()
    1477,  // QwtPlotPicker::canvas() const
    0,
    1484,  // QwtPlotPicker::invTransform(const QRect&) const
    1486,  // QwtPlotPicker::invTransform(const QPoint&) const
    0,
    1474,  // QwtPlotPicker::plot()
    1475,  // QwtPlotPicker::plot() const
    0,
    1478,  // QwtPlotPicker::selected(const QwtDoublePoint&)
    1479,  // QwtPlotPicker::selected(const QwtDoubleRect&)
    0,
    1488,  // QwtPlotPicker::trackerText(const QPoint&) const
    1489,  // QwtPlotPicker::trackerText(const QPointF&) const
    0,
    1485,  // QwtPlotPicker::transform(const QRectF&) const
    1487,  // QwtPlotPicker::transform(const QPointF&) const
    0,
    1903,  // QwtSlider::scaleDraw() const
    1917,  // QwtSlider::scaleDraw()
    0,
    600,  // QwtEventPattern::keyPattern() const
    602,  // QwtEventPattern::keyPattern()
    0,
    599,  // QwtEventPattern::mousePattern() const
    601,  // QwtEventPattern::mousePattern()
    0,
    857,  // QwtMetricsMap::deviceToLayout(const QSize&) const
    870,  // QwtMetricsMap::deviceToLayout(const QPoint&) const
    872,  // QwtMetricsMap::deviceToLayout(const QRect&) const
    874,  // QwtMetricsMap::deviceToLayout(const QPolygon&) const
    0,
    853,  // QwtMetricsMap::deviceToLayout(const QPoint&, const QPainter*) const
    861,  // QwtMetricsMap::deviceToLayout(const QRect&, const QPainter*) const
    865,  // QwtMetricsMap::deviceToLayout(const QPolygon&, const QPainter*) const
    0,
    856,  // QwtMetricsMap::layoutToDevice(const QSize&) const
    869,  // QwtMetricsMap::layoutToDevice(const QPoint&) const
    871,  // QwtMetricsMap::layoutToDevice(const QRect&) const
    873,  // QwtMetricsMap::layoutToDevice(const QPolygon&) const
    0,
    852,  // QwtMetricsMap::layoutToDevice(const QPoint&, const QPainter*) const
    860,  // QwtMetricsMap::layoutToDevice(const QRect&, const QPainter*) const
    864,  // QwtMetricsMap::layoutToDevice(const QPolygon&, const QPainter*) const
    0,
    855,  // QwtMetricsMap::layoutToScreen(const QPoint&) const
    859,  // QwtMetricsMap::layoutToScreen(const QSize&) const
    863,  // QwtMetricsMap::layoutToScreen(const QRect&) const
    0,
    854,  // QwtMetricsMap::screenToLayout(const QPoint&) const
    858,  // QwtMetricsMap::screenToLayout(const QSize&) const
    862,  // QwtMetricsMap::screenToLayout(const QRect&) const
    0,
    866,  // QwtMetricsMap::translate(const QMatrix&, const QPolygon&)
    867,  // QwtMetricsMap::translate(const QMatrix&, const QRect&)
    0,
    291,  // QwtCompass::labelMap() const
    292,  // QwtCompass::labelMap()
    0,
    289,  // QwtCompass::rose() const
    290,  // QwtCompass::rose()
    0,
    191,  // QwtAlphaColorMap::QwtAlphaColorMap(const QColor&)
    192,  // QwtAlphaColorMap::QwtAlphaColorMap(const QwtAlphaColorMap&)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {18, 1154, -4},	// QGlobalSpace::qwtDegree2Pos#$$
    {18, 1156, 16},	// QGlobalSpace::qwtGetMax$$
    {18, 1158, 22},	// QGlobalSpace::qwtGetMin$$
    {18, 1160, -7},	// QGlobalSpace::qwtPolar2Pos#$$
    {18, 1162, 17},	// QGlobalSpace::qwtRound$
    {18, 1164, 15},	// QGlobalSpace::qwtSign$
    {18, 1166, 14},	// QGlobalSpace::qwtSqr$
    {59, 156, 88},	// QwtAbstractScale::QwtAbstractScale
    {59, 157, 107},	// QwtAbstractScale::QwtAbstractScale#
    {59, 444, -85},	// QwtAbstractScale::abstractScaleDraw
    {59, 485, 93},	// QwtAbstractScale::autoScale
    {59, 1184, 110},	// QwtAbstractScale::rescale$$
    {59, 1185, 102},	// QwtAbstractScale::rescale$$$
    {59, 1202, 106},	// QwtAbstractScale::scaleChange
    {59, 1207, -88},	// QwtAbstractScale::scaleEngine
    {59, 1210, 101},	// QwtAbstractScale::scaleMap
    {59, 1211, 97},	// QwtAbstractScale::scaleMaxMajor
    {59, 1212, 95},	// QwtAbstractScale::scaleMaxMinor
    {59, 1235, 103},	// QwtAbstractScale::setAbstractScaleDraw#
    {59, 1261, 92},	// QwtAbstractScale::setAutoScale
    {59, 1548, -91},	// QwtAbstractScale::setScale#
    {59, 1549, 90},	// QwtAbstractScale::setScale#$
    {59, 1550, 108},	// QwtAbstractScale::setScale$$
    {59, 1551, 89},	// QwtAbstractScale::setScale$$$
    {59, 1562, 98},	// QwtAbstractScale::setScaleEngine#
    {59, 1566, 94},	// QwtAbstractScale::setScaleMaxMajor$
    {59, 1568, 96},	// QwtAbstractScale::setScaleMaxMinor$
    {59, 1886, 111},	// QwtAbstractScale::~QwtAbstractScale
    {60, 13, 138},	// QwtAbstractScaleDraw::Backbone
    {60, 89, 140},	// QwtAbstractScaleDraw::Labels
    {60, 158, 112},	// QwtAbstractScaleDraw::QwtAbstractScaleDraw
    {60, 159, 113},	// QwtAbstractScaleDraw::QwtAbstractScaleDraw#
    {60, 428, 139},	// QwtAbstractScaleDraw::Ticks
    {60, 645, 126},	// QwtAbstractScaleDraw::draw##
    {60, 659, 133},	// QwtAbstractScaleDraw::drawBackbone#
    {60, 696, 134},	// QwtAbstractScaleDraw::drawLabel#$
    {60, 759, 132},	// QwtAbstractScaleDraw::drawTick#$$
    {60, 776, 137},	// QwtAbstractScaleDraw::enableComponent$
    {60, 777, 119},	// QwtAbstractScaleDraw::enableComponent$$
    {60, 803, 128},	// QwtAbstractScaleDraw::extent##
    {60, 853, 120},	// QwtAbstractScaleDraw::hasComponent$
    {60, 904, 135},	// QwtAbstractScaleDraw::invalidateCache
    {60, 941, 127},	// QwtAbstractScaleDraw::label$
    {60, 1009, 123},	// QwtAbstractScaleDraw::majTickLength
    {60, 1010, 118},	// QwtAbstractScaleDraw::map
    {60, 1042, 130},	// QwtAbstractScaleDraw::minimumExtent
    {60, 1091, 114},	// QwtAbstractScaleDraw::operator=#
    {60, 1204, 116},	// QwtAbstractScaleDraw::scaleDiv
    {60, 1210, 131},	// QwtAbstractScaleDraw::scaleMap
    {60, 1469, 129},	// QwtAbstractScaleDraw::setMinimumExtent$
    {60, 1555, 115},	// QwtAbstractScaleDraw::setScaleDiv#
    {60, 1585, 124},	// QwtAbstractScaleDraw::setSpacing$
    {60, 1620, 121},	// QwtAbstractScaleDraw::setTickLength$$
    {60, 1639, 117},	// QwtAbstractScaleDraw::setTransformation#
    {60, 1698, 125},	// QwtAbstractScaleDraw::spacing
    {60, 1757, 136},	// QwtAbstractScaleDraw::tickLabel#$
    {60, 1759, 122},	// QwtAbstractScaleDraw::tickLength$
    {60, 1887, 141},	// QwtAbstractScaleDraw::~QwtAbstractScaleDraw
    {61, 161, 183},	// QwtAbstractSlider::QwtAbstractSlider$
    {61, 162, 149},	// QwtAbstractSlider::QwtAbstractSlider$#
    {61, 396, 188},	// QwtAbstractSlider::ScrDirect
    {61, 397, 186},	// QwtAbstractSlider::ScrMouse
    {61, 398, 185},	// QwtAbstractSlider::ScrNone
    {61, 399, 189},	// QwtAbstractSlider::ScrPage
    {61, 400, 187},	// QwtAbstractSlider::ScrTimer
    {61, 816, 161},	// QwtAbstractSlider::fitValue$
    {61, 842, 177},	// QwtAbstractSlider::getScrollMode#$$
    {61, 844, 176},	// QwtAbstractSlider::getValue#
    {61, 872, 162},	// QwtAbstractSlider::incValue$
    {61, 920, 157},	// QwtAbstractSlider::isReadOnly
    {61, 922, 158},	// QwtAbstractSlider::isValid
    {61, 936, 174},	// QwtAbstractSlider::keyPressEvent#
    {61, 1012, 154},	// QwtAbstractSlider::mass
    {61, 1026, 142},	// QwtAbstractSlider::metaObject
    {61, 1054, 173},	// QwtAbstractSlider::mouseMoveEvent#
    {61, 1055, 179},	// QwtAbstractSlider::mouseOffset
    {61, 1058, 171},	// QwtAbstractSlider::mousePressEvent#
    {61, 1060, 172},	// QwtAbstractSlider::mouseReleaseEvent#
    {61, 1101, 156},	// QwtAbstractSlider::orientation
    {61, 1150, 148},	// QwtAbstractSlider::qt_metacall$$?
    {61, 1152, 143},	// QwtAbstractSlider::qt_metacast$
    {61, 1225, 180},	// QwtAbstractSlider::scrollMode
    {61, 1450, 153},	// QwtAbstractSlider::setMass$
    {61, 1478, 178},	// QwtAbstractSlider::setMouseOffset$
    {61, 1494, 155},	// QwtAbstractSlider::setOrientation$
    {61, 1520, 168},	// QwtAbstractSlider::setPosition#
    {61, 1531, 163},	// QwtAbstractSlider::setReadOnly$
    {61, 1637, 152},	// QwtAbstractSlider::setTracking$
    {61, 1641, 150},	// QwtAbstractSlider::setUpdateTime$
    {61, 1643, 159},	// QwtAbstractSlider::setValid$
    {61, 1646, 160},	// QwtAbstractSlider::setValue$
    {61, 1694, 167},	// QwtAbstractSlider::sliderMoved$
    {61, 1695, 165},	// QwtAbstractSlider::sliderPressed
    {61, 1696, 166},	// QwtAbstractSlider::sliderReleased
    {61, 1706, 184},	// QwtAbstractSlider::staticMetaObject
    {61, 1712, 151},	// QwtAbstractSlider::stopMoving
    {61, 1763, 170},	// QwtAbstractSlider::timerEvent#
    {61, 1771, 181},	// QwtAbstractSlider::tr$
    {61, 1772, 144},	// QwtAbstractSlider::tr$$
    {61, 1773, 146},	// QwtAbstractSlider::tr$$$
    {61, 1775, 182},	// QwtAbstractSlider::trUtf8$
    {61, 1776, 145},	// QwtAbstractSlider::trUtf8$$
    {61, 1777, 147},	// QwtAbstractSlider::trUtf8$$$
    {61, 1820, 169},	// QwtAbstractSlider::valueChange
    {61, 1822, 164},	// QwtAbstractSlider::valueChanged$
    {61, 1827, 175},	// QwtAbstractSlider::wheelEvent#
    {61, 1888, 190},	// QwtAbstractSlider::~QwtAbstractSlider
    {62, 163, 198},	// QwtAlphaColorMap::QwtAlphaColorMap
    {62, 164, -192},	// QwtAlphaColorMap::QwtAlphaColorMap#
    {62, 571, 196},	// QwtAlphaColorMap::color
    {62, 603, 194},	// QwtAlphaColorMap::copy
    {62, 1091, 193},	// QwtAlphaColorMap::operator=#
    {62, 1193, 197},	// QwtAlphaColorMap::rgb#$
    {62, 1324, 195},	// QwtAlphaColorMap::setColor#
    {62, 1889, 199},	// QwtAlphaColorMap::~QwtAlphaColorMap
    {63, 62, 223},	// QwtAnalogClock::HourHand
    {63, 108, 222},	// QwtAnalogClock::MinuteHand
    {63, 117, 224},	// QwtAnalogClock::NHands
    {63, 165, 218},	// QwtAnalogClock::QwtAnalogClock
    {63, 166, 207},	// QwtAnalogClock::QwtAnalogClock#
    {63, 402, 221},	// QwtAnalogClock::SecondHand
    {63, 685, 215},	// QwtAnalogClock::drawHand#$#$$$
    {63, 705, 214},	// QwtAnalogClock::drawNeedle##$$$
    {63, 851, -127},	// QwtAnalogClock::hand$
    {63, 1026, 200},	// QwtAnalogClock::metaObject
    {63, 1150, 206},	// QwtAnalogClock::qt_metacall$$?
    {63, 1152, 201},	// QwtAnalogClock::qt_metacast$
    {63, 1209, 213},	// QwtAnalogClock::scaleLabel$
    {63, 1339, 211},	// QwtAnalogClock::setCurrentTime
    {63, 1389, 208},	// QwtAnalogClock::setHand$#
    {63, 1623, 219},	// QwtAnalogClock::setTime
    {63, 1624, 212},	// QwtAnalogClock::setTime#
    {63, 1706, 220},	// QwtAnalogClock::staticMetaObject
    {63, 1771, 216},	// QwtAnalogClock::tr$
    {63, 1772, 202},	// QwtAnalogClock::tr$$
    {63, 1773, 204},	// QwtAnalogClock::tr$$$
    {63, 1775, 217},	// QwtAnalogClock::trUtf8$
    {63, 1776, 203},	// QwtAnalogClock::trUtf8$$
    {63, 1777, 205},	// QwtAnalogClock::trUtf8$$$
    {63, 1890, 225},	// QwtAnalogClock::~QwtAnalogClock
    {64, 168, 236},	// QwtArrayData::QwtArrayData#
    {64, 169, 227},	// QwtArrayData::QwtArrayData$$$
    {64, 170, 226},	// QwtArrayData::QwtArrayData??
    {64, 522, 235},	// QwtArrayData::boundingRect
    {64, 603, 229},	// QwtArrayData::copy
    {64, 1091, 228},	// QwtArrayData::operator=#
    {64, 1691, 230},	// QwtArrayData::size
    {64, 1850, 231},	// QwtArrayData::x$
    {64, 1854, 233},	// QwtArrayData::xData
    {64, 1867, 232},	// QwtArrayData::y$
    {64, 1869, 234},	// QwtArrayData::yData
    {64, 1891, 237},	// QwtArrayData::~QwtArrayData
    {65, 172, 249},	// QwtArrowButton::QwtArrowButton$$
    {65, 173, 238},	// QwtArrowButton::QwtArrowButton$$#
    {65, 477, 247},	// QwtArrowButton::arrowSize$#
    {65, 478, 239},	// QwtArrowButton::arrowType
    {65, 653, 245},	// QwtArrowButton::drawArrow##$
    {65, 661, 244},	// QwtArrowButton::drawButtonLabel#
    {65, 936, 248},	// QwtArrowButton::keyPressEvent#
    {65, 949, 246},	// QwtArrowButton::labelRect
    {65, 1045, 242},	// QwtArrowButton::minimumSizeHint
    {65, 1078, 240},	// QwtArrowButton::num
    {65, 1111, 243},	// QwtArrowButton::paintEvent#
    {65, 1692, 241},	// QwtArrowButton::sizeHint
    {65, 1892, 250},	// QwtArrowButton::~QwtArrowButton
    {66, 175, 260},	// QwtCPointerData::QwtCPointerData#
    {66, 176, 251},	// QwtCPointerData::QwtCPointerData$$$
    {66, 522, 259},	// QwtCPointerData::boundingRect
    {66, 603, 253},	// QwtCPointerData::copy
    {66, 1091, 252},	// QwtCPointerData::operator=#
    {66, 1691, 254},	// QwtCPointerData::size
    {66, 1850, 255},	// QwtCPointerData::x$
    {66, 1854, 257},	// QwtCPointerData::xData
    {66, 1867, 256},	// QwtCPointerData::y$
    {66, 1869, 258},	// QwtCPointerData::yData
    {66, 1893, 261},	// QwtCPointerData::~QwtCPointerData
    {67, 177, 265},	// QwtClipper::QwtClipper
    {67, 178, 266},	// QwtClipper::QwtClipper#
    {67, 556, 264},	// QwtClipper::clipCircle##$
    {67, 558, 262},	// QwtClipper::clipPolygon##
    {67, 560, 263},	// QwtClipper::clipPolygonF##
    {67, 1894, 267},	// QwtClipper::~QwtClipper
    {68, 73, 278},	// QwtColorMap::Indexed
    {68, 179, 276},	// QwtColorMap::QwtColorMap
    {68, 180, 275},	// QwtColorMap::QwtColorMap#
    {68, 181, 268},	// QwtColorMap::QwtColorMap$
    {68, 369, 277},	// QwtColorMap::RGB
    {68, 572, 273},	// QwtColorMap::color#$
    {68, 580, 272},	// QwtColorMap::colorIndex#$
    {68, 584, 274},	// QwtColorMap::colorTable#
    {68, 603, 270},	// QwtColorMap::copy
    {68, 829, 269},	// QwtColorMap::format
    {68, 1193, 271},	// QwtColorMap::rgb#$
    {68, 1895, 279},	// QwtColorMap::~QwtColorMap
    {69, 182, 300},	// QwtCompass::QwtCompass
    {69, 183, 287},	// QwtCompass::QwtCompass#
    {69, 723, 295},	// QwtCompass::drawRose##$$$
    {69, 731, 296},	// QwtCompass::drawScaleContents##$
    {69, 936, 297},	// QwtCompass::keyPressEvent#
    {69, 943, -186},	// QwtCompass::labelMap
    {69, 1026, 280},	// QwtCompass::metaObject
    {69, 1150, 286},	// QwtCompass::qt_metacall$$?
    {69, 1152, 281},	// QwtCompass::qt_metacast$
    {69, 1194, -189},	// QwtCompass::rose
    {69, 1209, 294},	// QwtCompass::scaleLabel$
    {69, 1422, 293},	// QwtCompass::setLabelMap?
    {69, 1542, 288},	// QwtCompass::setRose#
    {69, 1706, 301},	// QwtCompass::staticMetaObject
    {69, 1771, 298},	// QwtCompass::tr$
    {69, 1772, 282},	// QwtCompass::tr$$
    {69, 1773, 284},	// QwtCompass::tr$$$
    {69, 1775, 299},	// QwtCompass::trUtf8$
    {69, 1776, 283},	// QwtCompass::trUtf8$$
    {69, 1777, 285},	// QwtCompass::trUtf8$$$
    {69, 1896, 302},	// QwtCompass::~QwtCompass
    {70, 184, 309},	// QwtCompassMagnetNeedle::QwtCompassMagnetNeedle
    {70, 185, 308},	// QwtCompassMagnetNeedle::QwtCompassMagnetNeedle#
    {70, 186, 310},	// QwtCompassMagnetNeedle::QwtCompassMagnetNeedle$
    {70, 187, 311},	// QwtCompassMagnetNeedle::QwtCompassMagnetNeedle$#
    {70, 188, 303},	// QwtCompassMagnetNeedle::QwtCompassMagnetNeedle$##
    {70, 427, 314},	// QwtCompassMagnetNeedle::ThinStyle
    {70, 433, 313},	// QwtCompassMagnetNeedle::TriangleStyle
    {70, 648, 312},	// QwtCompassMagnetNeedle::draw##$$
    {70, 649, 304},	// QwtCompassMagnetNeedle::draw##$$$
    {70, 711, 307},	// QwtCompassMagnetNeedle::drawPointer##$#$$$
    {70, 755, 306},	// QwtCompassMagnetNeedle::drawThinNeedle##$#$$
    {70, 765, 305},	// QwtCompassMagnetNeedle::drawTriangleNeedle##$#$$
    {70, 1897, 315},	// QwtCompassMagnetNeedle::~QwtCompassMagnetNeedle
    {71, 189, 319},	// QwtCompassRose::QwtCompassRose
    {71, 190, 320},	// QwtCompassRose::QwtCompassRose#
    {71, 648, 321},	// QwtCompassRose::draw##$$
    {71, 649, 318},	// QwtCompassRose::draw##$$$
    {71, 1114, 317},	// QwtCompassRose::palette
    {71, 1508, 316},	// QwtCompassRose::setPalette#
    {71, 1898, 322},	// QwtCompassRose::~QwtCompassRose
    {72, 192, 327},	// QwtCompassWindArrow::QwtCompassWindArrow#
    {72, 193, 328},	// QwtCompassWindArrow::QwtCompassWindArrow$
    {72, 194, 329},	// QwtCompassWindArrow::QwtCompassWindArrow$#
    {72, 195, 323},	// QwtCompassWindArrow::QwtCompassWindArrow$##
    {72, 420, 331},	// QwtCompassWindArrow::Style1
    {72, 421, 332},	// QwtCompassWindArrow::Style2
    {72, 648, 330},	// QwtCompassWindArrow::draw##$$
    {72, 649, 324},	// QwtCompassWindArrow::draw##$$$
    {72, 741, 325},	// QwtCompassWindArrow::drawStyle1Needle##$#$$
    {72, 743, 326},	// QwtCompassWindArrow::drawStyle2Needle##$#$$
    {72, 1899, 333},	// QwtCompassWindArrow::~QwtCompassWindArrow
    {73, 21, 374},	// QwtCounter::Button1
    {73, 22, 375},	// QwtCounter::Button2
    {73, 23, 376},	// QwtCounter::Button3
    {73, 24, 377},	// QwtCounter::ButtonCnt
    {73, 196, 372},	// QwtCounter::QwtCounter
    {73, 197, 341},	// QwtCounter::QwtCounter#
    {73, 531, 364},	// QwtCounter::buttonReleased$
    {73, 771, 342},	// QwtCounter::editable
    {73, 792, 366},	// QwtCounter::event#
    {73, 870, 347},	// QwtCounter::incSteps$
    {73, 936, 368},	// QwtCounter::keyPressEvent#
    {73, 1021, 355},	// QwtCounter::maxVal
    {73, 1026, 334},	// QwtCounter::metaObject
    {73, 1037, 353},	// QwtCounter::minVal
    {73, 1079, 345},	// QwtCounter::numButtons
    {73, 1128, 350},	// QwtCounter::polish
    {73, 1150, 340},	// QwtCounter::qt_metacall$$?
    {73, 1152, 335},	// QwtCounter::qt_metacast$
    {73, 1169, 369},	// QwtCounter::rangeChange
    {73, 1369, 343},	// QwtCounter::setEditable$
    {73, 1395, 346},	// QwtCounter::setIncSteps$$
    {73, 1456, 356},	// QwtCounter::setMaxValue$
    {73, 1467, 354},	// QwtCounter::setMinValue$
    {73, 1486, 344},	// QwtCounter::setNumButtons$
    {73, 1595, 352},	// QwtCounter::setStep$
    {73, 1597, 357},	// QwtCounter::setStepButton1$
    {73, 1599, 359},	// QwtCounter::setStepButton2$
    {73, 1601, 361},	// QwtCounter::setStepButton3$
    {73, 1646, 348},	// QwtCounter::setValue$
    {73, 1692, 349},	// QwtCounter::sizeHint
    {73, 1706, 373},	// QwtCounter::staticMetaObject
    {73, 1707, 351},	// QwtCounter::step
    {73, 1708, 358},	// QwtCounter::stepButton1
    {73, 1709, 360},	// QwtCounter::stepButton2
    {73, 1710, 362},	// QwtCounter::stepButton3
    {73, 1771, 370},	// QwtCounter::tr$
    {73, 1772, 336},	// QwtCounter::tr$$
    {73, 1773, 338},	// QwtCounter::tr$$$
    {73, 1775, 371},	// QwtCounter::trUtf8$
    {73, 1776, 337},	// QwtCounter::trUtf8$$
    {73, 1777, 339},	// QwtCounter::trUtf8$$$
    {73, 1817, 363},	// QwtCounter::value
    {73, 1822, 365},	// QwtCounter::valueChanged$
    {73, 1827, 367},	// QwtCounter::wheelEvent#
    {73, 1900, 378},	// QwtCounter::~QwtCounter
    {74, 198, 380},	// QwtCurveFitter::QwtCurveFitter
    {74, 813, 379},	// QwtCurveFitter::fitCurve#
    {74, 1901, 381},	// QwtCurveFitter::~QwtCurveFitter
    {75, 199, 382},	// QwtData::QwtData
    {75, 200, 388},	// QwtData::QwtData#
    {75, 522, 387},	// QwtData::boundingRect
    {75, 603, 383},	// QwtData::copy
    {75, 1691, 384},	// QwtData::size
    {75, 1850, 385},	// QwtData::x$
    {75, 1867, 386},	// QwtData::y$
    {75, 1902, 389},	// QwtData::~QwtData
    {76, 33, 459},	// QwtDial::Clockwise
    {76, 36, 460},	// QwtDial::CounterClockwise
    {76, 144, 451},	// QwtDial::Plain
    {76, 201, 447},	// QwtDial::QwtDial
    {76, 202, 397},	// QwtDial::QwtDial#
    {76, 371, 452},	// QwtDial::Raised
    {76, 381, 457},	// QwtDial::RotateNeedle
    {76, 382, 458},	// QwtDial::RotateScale
    {76, 392, 454},	// QwtDial::ScaleBackbone
    {76, 393, 456},	// QwtDial::ScaleLabel
    {76, 394, 455},	// QwtDial::ScaleTicks
    {76, 424, 453},	// QwtDial::Sunken
    {76, 522, 421},	// QwtDial::boundingRect
    {76, 593, 422},	// QwtDial::contentsRect
    {76, 629, 417},	// QwtDial::direction
    {76, 668, 434},	// QwtDial::drawContents#
    {76, 678, 435},	// QwtDial::drawFocusIndicator#
    {76, 683, 433},	// QwtDial::drawFrame#
    {76, 705, 438},	// QwtDial::drawNeedle##$$$
    {76, 729, 436},	// QwtDial::drawScale##$$$$
    {76, 731, 437},	// QwtDial::drawScaleContents##$
    {76, 830, 399},	// QwtDial::frameShadow
    {76, 842, 444},	// QwtDial::getScrollMode#$$
    {76, 844, 443},	// QwtDial::getValue#
    {76, 855, 400},	// QwtDial::hasVisibleBackground
    {76, 936, 431},	// QwtDial::keyPressEvent#
    {76, 1003, 403},	// QwtDial::lineWidth
    {76, 1019, 413},	// QwtDial::maxScaleArc
    {76, 1026, 390},	// QwtDial::metaObject
    {76, 1036, 412},	// QwtDial::minScaleArc
    {76, 1045, 425},	// QwtDial::minimumSizeHint
    {76, 1047, 405},	// QwtDial::mode
    {76, 1075, -70},	// QwtDial::needle
    {76, 1103, 415},	// QwtDial::origin
    {76, 1111, 429},	// QwtDial::paintEvent#
    {76, 1150, 396},	// QwtDial::qt_metacall$$?
    {76, 1152, 391},	// QwtDial::qt_metacast$
    {76, 1169, 441},	// QwtDial::rangeChange
    {76, 1190, 430},	// QwtDial::resizeEvent#
    {76, 1203, 423},	// QwtDial::scaleContentsRect
    {76, 1206, -73},	// QwtDial::scaleDraw
    {76, 1209, 439},	// QwtDial::scaleLabel$
    {76, 1360, 416},	// QwtDial::setDirection$
    {76, 1385, 398},	// QwtDial::setFrameShadow$
    {76, 1442, 402},	// QwtDial::setLineWidth$
    {76, 1471, 404},	// QwtDial::setMode$
    {76, 1484, 418},	// QwtDial::setNeedle#
    {76, 1499, 414},	// QwtDial::setOrigin$
    {76, 1550, 448},	// QwtDial::setScale$$
    {76, 1551, 408},	// QwtDial::setScale$$$
    {76, 1553, 409},	// QwtDial::setScaleArc$$
    {76, 1560, 426},	// QwtDial::setScaleDraw#
    {76, 1570, 410},	// QwtDial::setScaleOptions$
    {76, 1574, 449},	// QwtDial::setScaleTicks$$$
    {76, 1575, 411},	// QwtDial::setScaleTicks$$$$
    {76, 1661, 406},	// QwtDial::setWrapping$
    {76, 1688, 401},	// QwtDial::showBackground$
    {76, 1692, 424},	// QwtDial::sizeHint
    {76, 1706, 450},	// QwtDial::staticMetaObject
    {76, 1771, 445},	// QwtDial::tr$
    {76, 1772, 392},	// QwtDial::tr$$
    {76, 1773, 394},	// QwtDial::tr$$$
    {76, 1775, 446},	// QwtDial::trUtf8$
    {76, 1776, 393},	// QwtDial::trUtf8$$
    {76, 1777, 395},	// QwtDial::trUtf8$$$
    {76, 1806, 432},	// QwtDial::updateMask
    {76, 1807, 440},	// QwtDial::updateScale
    {76, 1820, 442},	// QwtDial::valueChange
    {76, 1848, 407},	// QwtDial::wrapping
    {76, 1903, 461},	// QwtDial::~QwtDial
    {77, 203, 462},	// QwtDialNeedle::QwtDialNeedle
    {77, 204, 467},	// QwtDialNeedle::QwtDialNeedle#
    {77, 648, 468},	// QwtDialNeedle::draw##$$
    {77, 649, 463},	// QwtDialNeedle::draw##$$$
    {77, 694, 466},	// QwtDialNeedle::drawKnob##$#$
    {77, 1114, 465},	// QwtDialNeedle::palette
    {77, 1508, 464},	// QwtDialNeedle::setPalette#
    {77, 1904, 469},	// QwtDialNeedle::~QwtDialNeedle
    {78, 206, -61},	// QwtDialScaleDraw::QwtDialScaleDraw#
    {78, 941, 471},	// QwtDialScaleDraw::label$
    {78, 1121, 473},	// QwtDialScaleDraw::penWidth
    {78, 1512, 472},	// QwtDialScaleDraw::setPenWidth$
    {78, 1905, 475},	// QwtDialScaleDraw::~QwtDialScaleDraw
    {79, 6, 487},	// QwtDialSimpleNeedle::Arrow
    {79, 208, 482},	// QwtDialSimpleNeedle::QwtDialSimpleNeedle#
    {79, 209, 483},	// QwtDialSimpleNeedle::QwtDialSimpleNeedle$
    {79, 210, 484},	// QwtDialSimpleNeedle::QwtDialSimpleNeedle$$
    {79, 211, 485},	// QwtDialSimpleNeedle::QwtDialSimpleNeedle$$#
    {79, 212, 476},	// QwtDialSimpleNeedle::QwtDialSimpleNeedle$$##
    {79, 372, 488},	// QwtDialSimpleNeedle::Ray
    {79, 648, 486},	// QwtDialSimpleNeedle::draw##$$
    {79, 649, 477},	// QwtDialSimpleNeedle::draw##$$$
    {79, 655, 478},	// QwtDialSimpleNeedle::drawArrowNeedle##$#$$$$
    {79, 717, 479},	// QwtDialSimpleNeedle::drawRayNeedle##$#$$$$
    {79, 1659, 480},	// QwtDialSimpleNeedle::setWidth$
    {79, 1846, 481},	// QwtDialSimpleNeedle::width
    {79, 1906, 489},	// QwtDialSimpleNeedle::~QwtDialSimpleNeedle
    {80, 51, 526},	// QwtDoubleInterval::ExcludeBorders
    {80, 52, 525},	// QwtDoubleInterval::ExcludeMaximum
    {80, 53, 524},	// QwtDoubleInterval::ExcludeMinimum
    {80, 71, 523},	// QwtDoubleInterval::IncludeBorders
    {80, 213, 490},	// QwtDoubleInterval::QwtDoubleInterval
    {80, 214, 520},	// QwtDoubleInterval::QwtDoubleInterval#
    {80, 215, 521},	// QwtDoubleInterval::QwtDoubleInterval$$
    {80, 216, 491},	// QwtDoubleInterval::QwtDoubleInterval$$$
    {80, 518, 499},	// QwtDoubleInterval::borderFlags
    {80, 592, 505},	// QwtDoubleInterval::contains$
    {80, 801, 513},	// QwtDoubleInterval::extend$
    {80, 891, 507},	// QwtDoubleInterval::intersect#
    {80, 893, 506},	// QwtDoubleInterval::intersects#
    {80, 903, 518},	// QwtDoubleInterval::invalidate
    {80, 907, 494},	// QwtDoubleInterval::inverted
    {80, 917, 517},	// QwtDoubleInterval::isNull
    {80, 922, 516},	// QwtDoubleInterval::isValid
    {80, 1000, 495},	// QwtDoubleInterval::limited$$
    {80, 1022, 501},	// QwtDoubleInterval::maxValue
    {80, 1038, 500},	// QwtDoubleInterval::minValue
    {80, 1077, 493},	// QwtDoubleInterval::normalized
    {80, 1085, 497},	// QwtDoubleInterval::operator!=#
    {80, 1087, 510},	// QwtDoubleInterval::operator&#
    {80, 1089, 512},	// QwtDoubleInterval::operator&=#
    {80, 1093, 496},	// QwtDoubleInterval::operator==#
    {80, 1095, 509},	// QwtDoubleInterval::operator|#
    {80, 1096, 514},	// QwtDoubleInterval::operator|$
    {80, 1098, 511},	// QwtDoubleInterval::operator|=#
    {80, 1099, 515},	// QwtDoubleInterval::operator|=$
    {80, 1303, 498},	// QwtDoubleInterval::setBorderFlags$
    {80, 1402, 522},	// QwtDoubleInterval::setInterval$$
    {80, 1403, 492},	// QwtDoubleInterval::setInterval$$$
    {80, 1456, 504},	// QwtDoubleInterval::setMaxValue$
    {80, 1467, 503},	// QwtDoubleInterval::setMinValue$
    {80, 1723, 519},	// QwtDoubleInterval::symmetrize$
    {80, 1800, 508},	// QwtDoubleInterval::unite#
    {80, 1846, 502},	// QwtDoubleInterval::width
    {80, 1907, 527},	// QwtDoubleInterval::~QwtDoubleInterval
    {81, 217, 528},	// QwtDoubleRange::QwtDoubleRange
    {81, 218, 550},	// QwtDoubleRange::QwtDoubleRange#
    {81, 795, 545},	// QwtDoubleRange::exactPrevValue
    {81, 796, 544},	// QwtDoubleRange::exactValue
    {81, 816, 543},	// QwtDoubleRange::fitValue$
    {81, 868, 542},	// QwtDoubleRange::incPages$
    {81, 872, 541},	// QwtDoubleRange::incValue$
    {81, 922, 531},	// QwtDoubleRange::isValid
    {81, 1022, 538},	// QwtDoubleRange::maxValue
    {81, 1038, 539},	// QwtDoubleRange::minValue
    {81, 1107, 540},	// QwtDoubleRange::pageSize
    {81, 1122, 535},	// QwtDoubleRange::periodic
    {81, 1134, 546},	// QwtDoubleRange::prevValue
    {81, 1169, 549},	// QwtDoubleRange::rangeChange
    {81, 1514, 534},	// QwtDoubleRange::setPeriodic$
    {81, 1525, 551},	// QwtDoubleRange::setRange$$
    {81, 1526, 552},	// QwtDoubleRange::setRange$$$
    {81, 1527, 529},	// QwtDoubleRange::setRange$$$$
    {81, 1595, 536},	// QwtDoubleRange::setStep$
    {81, 1643, 530},	// QwtDoubleRange::setValid$
    {81, 1646, 532},	// QwtDoubleRange::setValue$
    {81, 1707, 537},	// QwtDoubleRange::step
    {81, 1711, 548},	// QwtDoubleRange::stepChange
    {81, 1817, 533},	// QwtDoubleRange::value
    {81, 1820, 547},	// QwtDoubleRange::valueChange
    {81, 1908, 553},	// QwtDoubleRange::~QwtDoubleRange
    {82, 219, 589},	// QwtDynGridLayout::QwtDynGridLayout
    {82, 220, 587},	// QwtDynGridLayout::QwtDynGridLayout#
    {82, 221, 588},	// QwtDynGridLayout::QwtDynGridLayout#$
    {82, 222, 561},	// QwtDynGridLayout::QwtDynGridLayout#$$
    {82, 223, 562},	// QwtDynGridLayout::QwtDynGridLayout$
    {82, 454, 568},	// QwtDynGridLayout::addItem#
    {82, 586, 582},	// QwtDynGridLayout::columnsForWidth$
    {82, 604, 571},	// QwtDynGridLayout::count
    {82, 799, 573},	// QwtDynGridLayout::expandingDirections
    {82, 854, 577},	// QwtDynGridLayout::hasHeightForWidth
    {82, 858, 578},	// QwtDynGridLayout::heightForWidth$
    {82, 903, 563},	// QwtDynGridLayout::invalidate
    {82, 914, 580},	// QwtDynGridLayout::isEmpty
    {82, 925, 569},	// QwtDynGridLayout::itemAt$
    {82, 927, 581},	// QwtDynGridLayout::itemCount
    {82, 958, 583},	// QwtDynGridLayout::layoutGrid$??
    {82, 960, 574},	// QwtDynGridLayout::layoutItems#$
    {82, 1013, 565},	// QwtDynGridLayout::maxCols
    {82, 1014, 575},	// QwtDynGridLayout::maxItemWidth
    {82, 1026, 554},	// QwtDynGridLayout::metaObject
    {82, 1080, 567},	// QwtDynGridLayout::numCols
    {82, 1081, 566},	// QwtDynGridLayout::numRows
    {82, 1150, 560},	// QwtDynGridLayout::qt_metacall$$?
    {82, 1152, 555},	// QwtDynGridLayout::qt_metacast$
    {82, 1373, 572},	// QwtDynGridLayout::setExpandingDirections$
    {82, 1387, 576},	// QwtDynGridLayout::setGeometry#
    {82, 1452, 564},	// QwtDynGridLayout::setMaxCols$
    {82, 1692, 579},	// QwtDynGridLayout::sizeHint
    {82, 1706, 590},	// QwtDynGridLayout::staticMetaObject
    {82, 1714, 584},	// QwtDynGridLayout::stretchGrid#$??
    {82, 1726, 570},	// QwtDynGridLayout::takeAt$
    {82, 1771, 585},	// QwtDynGridLayout::tr$
    {82, 1772, 556},	// QwtDynGridLayout::tr$$
    {82, 1773, 558},	// QwtDynGridLayout::tr$$$
    {82, 1775, 586},	// QwtDynGridLayout::trUtf8$
    {82, 1776, 557},	// QwtDynGridLayout::trUtf8$$
    {82, 1777, 559},	// QwtDynGridLayout::trUtf8$$$
    {82, 1909, 591},	// QwtDynGridLayout::~QwtDynGridLayout
    {83, 77, 619},	// QwtEventPattern::KeyAbort
    {83, 78, 623},	// QwtEventPattern::KeyDown
    {83, 79, 626},	// QwtEventPattern::KeyHome
    {83, 80, 620},	// QwtEventPattern::KeyLeft
    {83, 81, 627},	// QwtEventPattern::KeyPatternCount
    {83, 82, 624},	// QwtEventPattern::KeyRedo
    {83, 83, 621},	// QwtEventPattern::KeyRight
    {83, 84, 617},	// QwtEventPattern::KeySelect1
    {83, 85, 618},	// QwtEventPattern::KeySelect2
    {83, 86, 625},	// QwtEventPattern::KeyUndo
    {83, 87, 622},	// QwtEventPattern::KeyUp
    {83, 109, 616},	// QwtEventPattern::MousePatternCount
    {83, 110, 610},	// QwtEventPattern::MouseSelect1
    {83, 111, 611},	// QwtEventPattern::MouseSelect2
    {83, 112, 612},	// QwtEventPattern::MouseSelect3
    {83, 113, 613},	// QwtEventPattern::MouseSelect4
    {83, 114, 614},	// QwtEventPattern::MouseSelect5
    {83, 115, 615},	// QwtEventPattern::MouseSelect6
    {83, 224, 592},	// QwtEventPattern::QwtEventPattern
    {83, 225, 607},	// QwtEventPattern::QwtEventPattern#
    {83, 876, 594},	// QwtEventPattern::initKeyPattern
    {83, 878, 593},	// QwtEventPattern::initMousePattern$
    {83, 932, 606},	// QwtEventPattern::keyMatch##
    {83, 933, 604},	// QwtEventPattern::keyMatch$#
    {83, 934, -151},	// QwtEventPattern::keyPattern
    {83, 1051, 605},	// QwtEventPattern::mouseMatch##
    {83, 1052, 603},	// QwtEventPattern::mouseMatch$#
    {83, 1056, -154},	// QwtEventPattern::mousePattern
    {83, 1412, 609},	// QwtEventPattern::setKeyPattern$$
    {83, 1413, 596},	// QwtEventPattern::setKeyPattern$$$
    {83, 1414, 598},	// QwtEventPattern::setKeyPattern?
    {83, 1480, 608},	// QwtEventPattern::setMousePattern$$
    {83, 1481, 595},	// QwtEventPattern::setMousePattern$$$
    {83, 1482, 597},	// QwtEventPattern::setMousePattern?
    {83, 1910, 628},	// QwtEventPattern::~QwtEventPattern
    {86, 226, 629},	// QwtIntervalData::QwtIntervalData
    {86, 227, 636},	// QwtIntervalData::QwtIntervalData#
    {86, 228, 630},	// QwtIntervalData::QwtIntervalData??
    {86, 522, 635},	// QwtIntervalData::boundingRect
    {86, 895, 633},	// QwtIntervalData::interval$
    {86, 1354, 631},	// QwtIntervalData::setData??
    {86, 1691, 632},	// QwtIntervalData::size
    {86, 1818, 634},	// QwtIntervalData::value$
    {86, 1911, 637},	// QwtIntervalData::~QwtIntervalData
    {87, 43, 669},	// QwtKnob::Dot
    {87, 93, 668},	// QwtKnob::Line
    {87, 229, 666},	// QwtKnob::QwtKnob
    {87, 230, 645},	// QwtKnob::QwtKnob#
    {87, 519, 651},	// QwtKnob::borderWidth
    {87, 645, 661},	// QwtKnob::draw##
    {87, 693, 662},	// QwtKnob::drawKnob##
    {87, 703, 663},	// QwtKnob::drawMarker#$#
    {87, 939, 647},	// QwtKnob::knobWidth
    {87, 1026, 638},	// QwtKnob::metaObject
    {87, 1045, 655},	// QwtKnob::minimumSizeHint
    {87, 1111, 659},	// QwtKnob::paintEvent#
    {87, 1150, 644},	// QwtKnob::qt_metacall$$?
    {87, 1152, 639},	// QwtKnob::qt_metacast$
    {87, 1190, 660},	// QwtKnob::resizeEvent#
    {87, 1206, -52},	// QwtKnob::scaleDraw
    {87, 1305, 650},	// QwtKnob::setBorderWidth$
    {87, 1416, 646},	// QwtKnob::setKnobWidth$
    {87, 1560, 656},	// QwtKnob::setScaleDraw#
    {87, 1606, 652},	// QwtKnob::setSymbol$
    {87, 1629, 648},	// QwtKnob::setTotalAngle$
    {87, 1692, 654},	// QwtKnob::sizeHint
    {87, 1706, 667},	// QwtKnob::staticMetaObject
    {87, 1721, 653},	// QwtKnob::symbol
    {87, 1769, 649},	// QwtKnob::totalAngle
    {87, 1771, 664},	// QwtKnob::tr$
    {87, 1772, 640},	// QwtKnob::tr$$
    {87, 1773, 642},	// QwtKnob::tr$$$
    {87, 1775, 665},	// QwtKnob::trUtf8$
    {87, 1776, 641},	// QwtKnob::trUtf8$$
    {87, 1777, 643},	// QwtKnob::trUtf8$$$
    {87, 1912, 670},	// QwtKnob::~QwtKnob
    {88, 8, 707},	// QwtLegend::AutoIdentifier
    {88, 29, 710},	// QwtLegend::CheckableItem
    {88, 31, 709},	// QwtLegend::ClickableItem
    {88, 57, 706},	// QwtLegend::FixedIdentifier
    {88, 125, 705},	// QwtLegend::NoIdentifier
    {88, 231, 703},	// QwtLegend::QwtLegend
    {88, 232, 678},	// QwtLegend::QwtLegend#
    {88, 373, 708},	// QwtLegend::ReadOnlyItem
    {88, 553, 691},	// QwtLegend::clear
    {88, 594, -76},	// QwtLegend::contentsWidget
    {88, 632, 680},	// QwtLegend::displayPolicy
    {88, 794, 694},	// QwtLegend::eventFilter##
    {88, 811, -79},	// QwtLegend::find#
    {88, 858, 696},	// QwtLegend::heightForWidth$
    {88, 864, 697},	// QwtLegend::horizontalScrollBar
    {88, 865, 683},	// QwtLegend::identifierMode
    {88, 884, 686},	// QwtLegend::insert##
    {88, 914, 692},	// QwtLegend::isEmpty
    {88, 927, 693},	// QwtLegend::itemCount
    {88, 929, 682},	// QwtLegend::itemMode
    {88, 956, 700},	// QwtLegend::layoutContents
    {88, 994, 690},	// QwtLegend::legendItems
    {88, 1026, 671},	// QwtLegend::metaObject
    {88, 1150, 677},	// QwtLegend::qt_metacall$$?
    {88, 1152, 672},	// QwtLegend::qt_metacast$
    {88, 1175, 687},	// QwtLegend::remove#
    {88, 1190, 699},	// QwtLegend::resizeEvent#
    {88, 1365, 679},	// QwtLegend::setDisplayPolicy$$
    {88, 1408, 681},	// QwtLegend::setItemMode$
    {88, 1692, 695},	// QwtLegend::sizeHint
    {88, 1706, 704},	// QwtLegend::staticMetaObject
    {88, 1771, 701},	// QwtLegend::tr$
    {88, 1772, 673},	// QwtLegend::tr$$
    {88, 1773, 675},	// QwtLegend::tr$$$
    {88, 1775, 702},	// QwtLegend::trUtf8$
    {88, 1776, 674},	// QwtLegend::trUtf8$$
    {88, 1777, 676},	// QwtLegend::trUtf8$$$
    {88, 1823, 698},	// QwtLegend::verticalScrollBar
    {88, 1913, 711},	// QwtLegend::~QwtLegend
    {89, 125, 756},	// QwtLegendItem::NoIdentifier
    {89, 233, 753},	// QwtLegendItem::QwtLegendItem
    {89, 234, 719},	// QwtLegendItem::QwtLegendItem#
    {89, 235, 754},	// QwtLegendItem::QwtLegendItem###
    {89, 236, 720},	// QwtLegendItem::QwtLegendItem####
    {89, 411, 757},	// QwtLegendItem::ShowLine
    {89, 412, 758},	// QwtLegendItem::ShowSymbol
    {89, 413, 759},	// QwtLegendItem::ShowText
    {89, 551, 742},	// QwtLegendItem::checked$
    {89, 554, 739},	// QwtLegendItem::clicked
    {89, 607, 733},	// QwtLegendItem::curvePen
    {89, 687, 734},	// QwtLegendItem::drawIdentifier##
    {89, 689, 735},	// QwtLegendItem::drawItem##
    {89, 747, 750},	// QwtLegendItem::drawText##
    {89, 865, 725},	// QwtLegendItem::identifierMode
    {89, 866, 727},	// QwtLegendItem::identifierWidth
    {89, 911, 737},	// QwtLegendItem::isChecked
    {89, 913, 744},	// QwtLegendItem::isDown
    {89, 929, 723},	// QwtLegendItem::itemMode
    {89, 936, 748},	// QwtLegendItem::keyPressEvent#
    {89, 938, 749},	// QwtLegendItem::keyReleaseEvent#
    {89, 1026, 712},	// QwtLegendItem::metaObject
    {89, 1058, 746},	// QwtLegendItem::mousePressEvent#
    {89, 1060, 747},	// QwtLegendItem::mouseReleaseEvent#
    {89, 1111, 745},	// QwtLegendItem::paintEvent#
    {89, 1133, 740},	// QwtLegendItem::pressed
    {89, 1150, 718},	// QwtLegendItem::qt_metacall$$?
    {89, 1152, 713},	// QwtLegendItem::qt_metacast$
    {89, 1173, 741},	// QwtLegendItem::released
    {89, 1320, 738},	// QwtLegendItem::setChecked$
    {89, 1348, 732},	// QwtLegendItem::setCurvePen#
    {89, 1367, 743},	// QwtLegendItem::setDown$
    {89, 1391, 724},	// QwtLegendItem::setIdentifierMode$
    {89, 1393, 726},	// QwtLegendItem::setIdentifierWidth$
    {89, 1408, 722},	// QwtLegendItem::setItemMode$
    {89, 1585, 728},	// QwtLegendItem::setSpacing$
    {89, 1605, 730},	// QwtLegendItem::setSymbol#
    {89, 1608, 721},	// QwtLegendItem::setText#
    {89, 1692, 736},	// QwtLegendItem::sizeHint
    {89, 1698, 729},	// QwtLegendItem::spacing
    {89, 1706, 755},	// QwtLegendItem::staticMetaObject
    {89, 1721, 731},	// QwtLegendItem::symbol
    {89, 1771, 751},	// QwtLegendItem::tr$
    {89, 1772, 714},	// QwtLegendItem::tr$$
    {89, 1773, 716},	// QwtLegendItem::tr$$$
    {89, 1775, 752},	// QwtLegendItem::trUtf8$
    {89, 1776, 715},	// QwtLegendItem::trUtf8$$
    {89, 1777, 717},	// QwtLegendItem::trUtf8$$$
    {89, 1914, 760},	// QwtLegendItem::~QwtLegendItem
    {90, 237, 761},	// QwtLegendItemManager::QwtLegendItemManager
    {90, 238, 764},	// QwtLegendItemManager::QwtLegendItemManager#
    {90, 990, 763},	// QwtLegendItemManager::legendItem
    {90, 1805, 762},	// QwtLegendItemManager::updateLegend#
    {90, 1915, 765},	// QwtLegendItemManager::~QwtLegendItemManager
    {91, 56, 782},	// QwtLinearColorMap::FixedColors
    {91, 239, 780},	// QwtLinearColorMap::QwtLinearColorMap
    {91, 240, 768},	// QwtLinearColorMap::QwtLinearColorMap#
    {91, 241, 781},	// QwtLinearColorMap::QwtLinearColorMap##
    {91, 242, 767},	// QwtLinearColorMap::QwtLinearColorMap##$
    {91, 243, 766},	// QwtLinearColorMap::QwtLinearColorMap$
    {91, 395, 783},	// QwtLinearColorMap::ScaledColors
    {91, 452, 774},	// QwtLinearColorMap::addColorStop$#
    {91, 573, 776},	// QwtLinearColorMap::color1
    {91, 574, 777},	// QwtLinearColorMap::color2
    {91, 580, 779},	// QwtLinearColorMap::colorIndex#$
    {91, 582, 775},	// QwtLinearColorMap::colorStops
    {91, 603, 770},	// QwtLinearColorMap::copy
    {91, 1047, 772},	// QwtLinearColorMap::mode
    {91, 1091, 769},	// QwtLinearColorMap::operator=#
    {91, 1193, 778},	// QwtLinearColorMap::rgb#$
    {91, 1331, 773},	// QwtLinearColorMap::setColorInterval##
    {91, 1471, 771},	// QwtLinearColorMap::setMode$
    {91, 1916, 784},	// QwtLinearColorMap::~QwtLinearColorMap
    {92, 244, 789},	// QwtLinearScaleEngine::QwtLinearScaleEngine
    {92, 245, 790},	// QwtLinearScaleEngine::QwtLinearScaleEngine#
    {92, 460, 788},	// QwtLinearScaleEngine::align#$
    {92, 486, 785},	// QwtLinearScaleEngine::autoScale$$$$
    {92, 638, 791},	// QwtLinearScaleEngine::divideScale$$$$
    {92, 639, 786},	// QwtLinearScaleEngine::divideScale$$$$$
    {92, 1792, 787},	// QwtLinearScaleEngine::transformation
    {92, 1917, 792},	// QwtLinearScaleEngine::~QwtLinearScaleEngine
    {93, 246, 798},	// QwtLog10ScaleEngine::QwtLog10ScaleEngine
    {93, 247, 799},	// QwtLog10ScaleEngine::QwtLog10ScaleEngine#
    {93, 486, 793},	// QwtLog10ScaleEngine::autoScale$$$$
    {93, 638, 800},	// QwtLog10ScaleEngine::divideScale$$$$
    {93, 639, 794},	// QwtLog10ScaleEngine::divideScale$$$$$
    {93, 1005, 796},	// QwtLog10ScaleEngine::log10#
    {93, 1132, 797},	// QwtLog10ScaleEngine::pow10#
    {93, 1792, 795},	// QwtLog10ScaleEngine::transformation
    {93, 1918, 801},	// QwtLog10ScaleEngine::~QwtLog10ScaleEngine
    {94, 249, 809},	// QwtMagnifier::QwtMagnifier#
    {94, 794, 828},	// QwtMagnifier::eventFilter##
    {94, 840, 817},	// QwtMagnifier::getMouseButton$$
    {94, 846, 825},	// QwtMagnifier::getZoomInKey$$
    {94, 848, 827},	// QwtMagnifier::getZoomOutKey$$
    {94, 915, 813},	// QwtMagnifier::isEnabled
    {94, 930, 823},	// QwtMagnifier::keyFactor
    {94, 1026, 802},	// QwtMagnifier::metaObject
    {94, 1049, 815},	// QwtMagnifier::mouseFactor
    {94, 1119, -58},	// QwtMagnifier::parentWidget
    {94, 1150, 808},	// QwtMagnifier::qt_metacall$$?
    {94, 1152, 803},	// QwtMagnifier::qt_metacast$
    {94, 1183, 829},	// QwtMagnifier::rescale$
    {94, 1371, 812},	// QwtMagnifier::setEnabled$
    {94, 1410, 822},	// QwtMagnifier::setKeyFactor$
    {94, 1473, 838},	// QwtMagnifier::setMouseButton$
    {94, 1474, 816},	// QwtMagnifier::setMouseButton$$
    {94, 1476, 814},	// QwtMagnifier::setMouseFactor$
    {94, 1653, 820},	// QwtMagnifier::setWheelButtonState$
    {94, 1655, 818},	// QwtMagnifier::setWheelFactor$
    {94, 1680, 824},	// QwtMagnifier::setZoomInKey$$
    {94, 1682, 826},	// QwtMagnifier::setZoomOutKey$$
    {94, 1706, 839},	// QwtMagnifier::staticMetaObject
    {94, 1771, 836},	// QwtMagnifier::tr$
    {94, 1772, 804},	// QwtMagnifier::tr$$
    {94, 1773, 806},	// QwtMagnifier::tr$$$
    {94, 1775, 837},	// QwtMagnifier::trUtf8$
    {94, 1776, 805},	// QwtMagnifier::trUtf8$$
    {94, 1777, 807},	// QwtMagnifier::trUtf8$$$
    {94, 1825, 821},	// QwtMagnifier::wheelButtonState
    {94, 1828, 819},	// QwtMagnifier::wheelFactor
    {94, 1831, 834},	// QwtMagnifier::widgetKeyPressEvent#
    {94, 1833, 835},	// QwtMagnifier::widgetKeyReleaseEvent#
    {94, 1839, 832},	// QwtMagnifier::widgetMouseMoveEvent#
    {94, 1841, 830},	// QwtMagnifier::widgetMousePressEvent#
    {94, 1843, 831},	// QwtMagnifier::widgetMouseReleaseEvent#
    {94, 1845, 833},	// QwtMagnifier::widgetWheelEvent#
    {94, 1919, 840},	// QwtMagnifier::~QwtMagnifier
    {95, 250, 841},	// QwtMetricsMap::QwtMetricsMap
    {95, 251, 868},	// QwtMetricsMap::QwtMetricsMap#
    {95, 621, -157},	// QwtMetricsMap::deviceToLayout#
    {95, 622, -162},	// QwtMetricsMap::deviceToLayout##
    {95, 624, 845},	// QwtMetricsMap::deviceToLayoutX$
    {95, 626, 849},	// QwtMetricsMap::deviceToLayoutY$
    {95, 916, 842},	// QwtMetricsMap::isIdentity
    {95, 970, -166},	// QwtMetricsMap::layoutToDevice#
    {95, 971, -171},	// QwtMetricsMap::layoutToDevice##
    {95, 973, 844},	// QwtMetricsMap::layoutToDeviceX$
    {95, 975, 848},	// QwtMetricsMap::layoutToDeviceY$
    {95, 977, -175},	// QwtMetricsMap::layoutToScreen#
    {95, 979, 847},	// QwtMetricsMap::layoutToScreenX$
    {95, 981, 851},	// QwtMetricsMap::layoutToScreenY$
    {95, 1220, -179},	// QwtMetricsMap::screenToLayout#
    {95, 1222, 846},	// QwtMetricsMap::screenToLayoutX$
    {95, 1224, 850},	// QwtMetricsMap::screenToLayoutY$
    {95, 1458, 843},	// QwtMetricsMap::setMetrics##
    {95, 1797, -183},	// QwtMetricsMap::translate##
    {95, 1920, 875},	// QwtMetricsMap::~QwtMetricsMap
    {96, 252, 904},	// QwtPainter::QwtPainter
    {96, 253, 905},	// QwtPainter::QwtPainter#
    {96, 618, 882},	// QwtPainter::deviceClipRect
    {96, 619, 881},	// QwtPainter::deviceClipping
    {96, 666, 902},	// QwtPainter::drawColorBar####$#
    {96, 676, 892},	// QwtPainter::drawEllipse##
    {96, 680, 900},	// QwtPainter::drawFocusRect##
    {96, 681, 901},	// QwtPainter::drawFocusRect###
    {96, 698, 895},	// QwtPainter::drawLine###
    {96, 699, 894},	// QwtPainter::drawLine#$$$$
    {96, 707, 893},	// QwtPainter::drawPie##$$
    {96, 709, 898},	// QwtPainter::drawPoint#$$
    {96, 713, 896},	// QwtPainter::drawPolygon##
    {96, 715, 897},	// QwtPainter::drawPolyline##
    {96, 719, 890},	// QwtPainter::drawRect##
    {96, 720, 889},	// QwtPainter::drawRect#$$$$
    {96, 725, 899},	// QwtPainter::drawRoundFrame##$#$
    {96, 733, 888},	// QwtPainter::drawSimpleRichText##$#
    {96, 748, 885},	// QwtPainter::drawText##$
    {96, 749, 887},	// QwtPainter::drawText##$$
    {96, 750, 884},	// QwtPainter::drawText#$$$
    {96, 751, 886},	// QwtPainter::drawText#$$$$$$
    {96, 809, 891},	// QwtPainter::fillRect###
    {96, 1028, 879},	// QwtPainter::metricsMap
    {96, 1188, 878},	// QwtPainter::resetMetricsMap
    {96, 1218, 903},	// QwtPainter::scaledPen#
    {96, 1322, 883},	// QwtPainter::setClipRect##
    {96, 1358, 880},	// QwtPainter::setDeviceClipping$
    {96, 1460, 877},	// QwtPainter::setMetricsMap#
    {96, 1461, 876},	// QwtPainter::setMetricsMap##
    {96, 1921, 906},	// QwtPainter::~QwtPainter
    {97, 255, 914},	// QwtPanner::QwtPanner#
    {97, 605, 922},	// QwtPanner::cursor
    {97, 794, 926},	// QwtPanner::eventFilter##
    {97, 833, 920},	// QwtPanner::getAbortKey$$
    {97, 840, 918},	// QwtPanner::getMouseButton$$
    {97, 915, 916},	// QwtPanner::isEnabled
    {97, 919, 925},	// QwtPanner::isOrientationEnabled$
    {97, 1026, 907},	// QwtPanner::metaObject
    {97, 1074, 928},	// QwtPanner::moved$$
    {97, 1102, 924},	// QwtPanner::orientations
    {97, 1111, 934},	// QwtPanner::paintEvent#
    {97, 1118, 927},	// QwtPanner::panned$$
    {97, 1150, 913},	// QwtPanner::qt_metacall$$?
    {97, 1152, 908},	// QwtPanner::qt_metacast$
    {97, 1232, 938},	// QwtPanner::setAbortKey$
    {97, 1233, 919},	// QwtPanner::setAbortKey$$
    {97, 1341, 921},	// QwtPanner::setCursor#
    {97, 1371, 915},	// QwtPanner::setEnabled$
    {97, 1473, 937},	// QwtPanner::setMouseButton$
    {97, 1474, 917},	// QwtPanner::setMouseButton$$
    {97, 1497, 923},	// QwtPanner::setOrientations$
    {97, 1706, 939},	// QwtPanner::staticMetaObject
    {97, 1771, 935},	// QwtPanner::tr$
    {97, 1772, 909},	// QwtPanner::tr$$
    {97, 1773, 911},	// QwtPanner::tr$$$
    {97, 1775, 936},	// QwtPanner::trUtf8$
    {97, 1776, 910},	// QwtPanner::trUtf8$$
    {97, 1777, 912},	// QwtPanner::trUtf8$$$
    {97, 1831, 932},	// QwtPanner::widgetKeyPressEvent#
    {97, 1833, 933},	// QwtPanner::widgetKeyReleaseEvent#
    {97, 1839, 931},	// QwtPanner::widgetMouseMoveEvent#
    {97, 1841, 929},	// QwtPanner::widgetMousePressEvent#
    {97, 1843, 930},	// QwtPanner::widgetMouseReleaseEvent#
    {97, 1922, 940},	// QwtPanner::~QwtPanner
    {98, 1, 1024},	// QwtPicker::ActiveOnly
    {98, 3, 1022},	// QwtPicker::AlwaysOff
    {98, 4, 1023},	// QwtPicker::AlwaysOn
    {98, 27, 1010},	// QwtPicker::CenterToCorner
    {98, 28, 1011},	// QwtPicker::CenterToRadius
    {98, 30, 1012},	// QwtPicker::ClickSelection
    {98, 35, 1009},	// QwtPicker::CornerToCorner
    {98, 38, 1017},	// QwtPicker::CrossRubberBand
    {98, 45, 1013},	// QwtPicker::DragSelection
    {98, 49, 1019},	// QwtPicker::EllipseRubberBand
    {98, 60, 1015},	// QwtPicker::HLineRubberBand
    {98, 76, 1026},	// QwtPicker::KeepSize
    {98, 127, 1014},	// QwtPicker::NoRubberBand
    {98, 129, 1005},	// QwtPicker::NoSelection
    {98, 146, 1006},	// QwtPicker::PointSelection
    {98, 147, 1020},	// QwtPicker::PolygonRubberBand
    {98, 148, 1008},	// QwtPicker::PolygonSelection
    {98, 257, 948},	// QwtPicker::QwtPicker#
    {98, 258, 949},	// QwtPicker::QwtPicker$$$#
    {98, 375, 1018},	// QwtPicker::RectRubberBand
    {98, 376, 1007},	// QwtPicker::RectSelection
    {98, 419, 1025},	// QwtPicker::Stretch
    {98, 436, 1021},	// QwtPicker::UserRubberBand
    {98, 438, 1016},	// QwtPicker::VLineRubberBand
    {98, 446, 981},	// QwtPicker::accept#
    {98, 469, 984},	// QwtPicker::append#
    {98, 471, 978},	// QwtPicker::appended#
    {98, 515, 983},	// QwtPicker::begin
    {98, 548, 980},	// QwtPicker::changed#
    {98, 727, 972},	// QwtPicker::drawRubberBand#
    {98, 763, 973},	// QwtPicker::drawTracker#
    {98, 787, 1003},	// QwtPicker::end
    {98, 788, 986},	// QwtPicker::end$
    {98, 794, 967},	// QwtPicker::eventFilter##
    {98, 908, 966},	// QwtPicker::isActive
    {98, 915, 964},	// QwtPicker::isEnabled
    {98, 1026, 941},	// QwtPicker::metaObject
    {98, 1062, 985},	// QwtPicker::move#
    {98, 1073, 979},	// QwtPicker::moved#
    {98, 1119, -118},	// QwtPicker::parentWidget
    {98, 1123, 970},	// QwtPicker::pickRect
    {98, 1150, 947},	// QwtPicker::qt_metacall$$?
    {98, 1152, 942},	// QwtPicker::qt_metacast$
    {98, 1186, 987},	// QwtPicker::reset
    {98, 1191, 957},	// QwtPicker::resizeMode
    {98, 1196, 953},	// QwtPicker::rubberBand
    {98, 1197, 959},	// QwtPicker::rubberBandPen
    {98, 1198, 999},	// QwtPicker::rubberBandWidget
    {98, 1227, 977},	// QwtPicker::selected#
    {98, 1229, 971},	// QwtPicker::selection
    {98, 1230, 951},	// QwtPicker::selectionFlags
    {98, 1371, 965},	// QwtPicker::setEnabled$
    {98, 1540, 956},	// QwtPicker::setResizeMode$
    {98, 1544, 952},	// QwtPicker::setRubberBand$
    {98, 1546, 958},	// QwtPicker::setRubberBandPen#
    {98, 1577, 950},	// QwtPicker::setSelectionFlags$
    {98, 1631, 962},	// QwtPicker::setTrackerFont#
    {98, 1633, 954},	// QwtPicker::setTrackerMode$
    {98, 1635, 960},	// QwtPicker::setTrackerPen#
    {98, 1705, 997},	// QwtPicker::stateMachine$
    {98, 1706, 1004},	// QwtPicker::staticMetaObject
    {98, 1716, 996},	// QwtPicker::stretchSelection##
    {98, 1771, 1001},	// QwtPicker::tr$
    {98, 1772, 943},	// QwtPicker::tr$$
    {98, 1773, 945},	// QwtPicker::tr$$$
    {98, 1775, 1002},	// QwtPicker::trUtf8$
    {98, 1776, 944},	// QwtPicker::trUtf8$$
    {98, 1777, 946},	// QwtPicker::trUtf8$$$
    {98, 1778, 963},	// QwtPicker::trackerFont
    {98, 1779, 955},	// QwtPicker::trackerMode
    {98, 1780, 961},	// QwtPicker::trackerPen
    {98, 1781, 975},	// QwtPicker::trackerPosition
    {98, 1783, 976},	// QwtPicker::trackerRect#
    {98, 1785, 974},	// QwtPicker::trackerText#
    {98, 1786, 1000},	// QwtPicker::trackerWidget
    {98, 1794, 982},	// QwtPicker::transition#
    {98, 1802, 998},	// QwtPicker::updateDisplay
    {98, 1831, 993},	// QwtPicker::widgetKeyPressEvent#
    {98, 1833, 994},	// QwtPicker::widgetKeyReleaseEvent#
    {98, 1835, 995},	// QwtPicker::widgetLeaveEvent#
    {98, 1837, 990},	// QwtPicker::widgetMouseDoubleClickEvent#
    {98, 1839, 991},	// QwtPicker::widgetMouseMoveEvent#
    {98, 1841, 988},	// QwtPicker::widgetMousePressEvent#
    {98, 1843, 989},	// QwtPicker::widgetMouseReleaseEvent#
    {98, 1845, 992},	// QwtPicker::widgetWheelEvent#
    {98, 1923, 1027},	// QwtPicker::~QwtPicker
    {99, 259, 1029},	// QwtPickerClickPointMachine::QwtPickerClickPointMachine
    {99, 260, 1030},	// QwtPickerClickPointMachine::QwtPickerClickPointMachine#
    {99, 1795, 1028},	// QwtPickerClickPointMachine::transition##
    {99, 1924, 1031},	// QwtPickerClickPointMachine::~QwtPickerClickPointMachine
    {100, 261, 1033},	// QwtPickerClickRectMachine::QwtPickerClickRectMachine
    {100, 262, 1034},	// QwtPickerClickRectMachine::QwtPickerClickRectMachine#
    {100, 1795, 1032},	// QwtPickerClickRectMachine::transition##
    {100, 1925, 1035},	// QwtPickerClickRectMachine::~QwtPickerClickRectMachine
    {101, 263, 1037},	// QwtPickerDragPointMachine::QwtPickerDragPointMachine
    {101, 264, 1038},	// QwtPickerDragPointMachine::QwtPickerDragPointMachine#
    {101, 1795, 1036},	// QwtPickerDragPointMachine::transition##
    {101, 1926, 1039},	// QwtPickerDragPointMachine::~QwtPickerDragPointMachine
    {102, 265, 1041},	// QwtPickerDragRectMachine::QwtPickerDragRectMachine
    {102, 266, 1042},	// QwtPickerDragRectMachine::QwtPickerDragRectMachine#
    {102, 1795, 1040},	// QwtPickerDragRectMachine::transition##
    {102, 1927, 1043},	// QwtPickerDragRectMachine::~QwtPickerDragRectMachine
    {103, 5, 1051},	// QwtPickerMachine::Append
    {103, 14, 1050},	// QwtPickerMachine::Begin
    {103, 50, 1053},	// QwtPickerMachine::End
    {103, 116, 1052},	// QwtPickerMachine::Move
    {103, 267, 1048},	// QwtPickerMachine::QwtPickerMachine
    {103, 268, 1049},	// QwtPickerMachine::QwtPickerMachine#
    {103, 1186, 1045},	// QwtPickerMachine::reset
    {103, 1593, 1047},	// QwtPickerMachine::setState$
    {103, 1703, 1046},	// QwtPickerMachine::state
    {103, 1795, 1044},	// QwtPickerMachine::transition##
    {103, 1928, 1054},	// QwtPickerMachine::~QwtPickerMachine
    {104, 269, 1056},	// QwtPickerPolygonMachine::QwtPickerPolygonMachine
    {104, 270, 1057},	// QwtPickerPolygonMachine::QwtPickerPolygonMachine#
    {104, 1795, 1055},	// QwtPickerPolygonMachine::transition##
    {104, 1929, 1058},	// QwtPickerPolygonMachine::~QwtPickerPolygonMachine
    {105, 271, 1059},	// QwtPlainTextEngine::QwtPlainTextEngine
    {105, 272, 1065},	// QwtPlainTextEngine::QwtPlainTextEngine#
    {105, 648, 1062},	// QwtPlainTextEngine::draw##$$
    {105, 857, 1060},	// QwtPlainTextEngine::heightForWidth#$$$
    {105, 1030, 1063},	// QwtPlainTextEngine::mightRender$
    {105, 1748, 1064},	// QwtPlainTextEngine::textMargins#$$$$$
    {105, 1752, 1061},	// QwtPlainTextEngine::textSize#$$
    {105, 1930, 1066},	// QwtPlainTextEngine::~QwtPlainTextEngine
    {106, 18, 1173},	// QwtPlot::BottomLegend
    {106, 54, 1175},	// QwtPlot::ExternalLegend
    {106, 90, 1171},	// QwtPlot::LeftLegend
    {106, 273, 1156},	// QwtPlot::QwtPlot
    {106, 274, -22},	// QwtPlot::QwtPlot#
    {106, 275, 1075},	// QwtPlot::QwtPlot##
    {106, 379, 1172},	// QwtPlot::RightLegend
    {106, 430, 1174},	// QwtPlot::TopLegend
    {106, 475, 1076},	// QwtPlot::applyProperties$
    {106, 483, 1142},	// QwtPlot::autoRefresh
    {106, 484, 1079},	// QwtPlot::autoReplot
    {106, 488, 1104},	// QwtPlot::axisAutoScale$
    {106, 489, 1170},	// QwtPlot::axisCnt
    {106, 491, 1106},	// QwtPlot::axisEnabled$
    {106, 493, 1108},	// QwtPlot::axisFont$
    {106, 495, 1125},	// QwtPlot::axisMaxMajor$
    {106, 497, 1127},	// QwtPlot::axisMaxMinor$
    {106, 499, -25},	// QwtPlot::axisScaleDiv$
    {106, 501, -28},	// QwtPlot::axisScaleDraw$
    {106, 503, -31},	// QwtPlot::axisScaleEngine$
    {106, 505, 1112},	// QwtPlot::axisStepSize$
    {106, 507, 1123},	// QwtPlot::axisTitle$
    {106, 509, 1145},	// QwtPlot::axisValid$
    {106, 511, -34},	// QwtPlot::axisWidget$
    {106, 533, -37},	// QwtPlot::canvas
    {106, 534, 1094},	// QwtPlot::canvasBackground
    {106, 535, 1096},	// QwtPlot::canvasLineWidth
    {106, 537, 1097},	// QwtPlot::canvasMap$
    {106, 553, 1140},	// QwtPlot::clear
    {106, 663, 1135},	// QwtPlot::drawCanvas#
    {106, 691, 1146},	// QwtPlot::drawItems####
    {106, 773, 1161},	// QwtPlot::enableAxis$
    {106, 774, 1105},	// QwtPlot::enableAxis$$
    {106, 792, 1137},	// QwtPlot::event#
    {106, 849, 1077},	// QwtPlot::grabProperties
    {106, 886, 1163},	// QwtPlot::insertLegend#
    {106, 887, 1164},	// QwtPlot::insertLegend#$
    {106, 888, 1128},	// QwtPlot::insertLegend#$$
    {106, 900, 1098},	// QwtPlot::invTransform$$
    {106, 985, -40},	// QwtPlot::legend
    {106, 987, 1139},	// QwtPlot::legendChecked#$
    {106, 989, 1138},	// QwtPlot::legendClicked#
    {106, 992, 1144},	// QwtPlot::legendItemChecked$
    {106, 993, 1143},	// QwtPlot::legendItemClicked
    {106, 1011, 1085},	// QwtPlot::margin
    {106, 1026, 1067},	// QwtPlot::metaObject
    {106, 1045, 1133},	// QwtPlot::minimumSizeHint
    {106, 1126, -43},	// QwtPlot::plotLayout
    {106, 1128, 1131},	// QwtPlot::polish
    {106, 1136, 1159},	// QwtPlot::print#
    {106, 1137, -46},	// QwtPlot::print##
    {106, 1138, 1081},	// QwtPlot::print###
    {106, 1140, 1152},	// QwtPlot::printCanvas#####
    {106, 1142, 1153},	// QwtPlot::printLegend##
    {106, 1144, 1149},	// QwtPlot::printLegendItem###
    {106, 1146, 1151},	// QwtPlot::printScale#$$$$#
    {106, 1148, 1150},	// QwtPlot::printTitle##
    {106, 1150, 1073},	// QwtPlot::qt_metacall$$?
    {106, 1152, 1068},	// QwtPlot::qt_metacast$
    {106, 1181, 1141},	// QwtPlot::replot
    {106, 1190, 1148},	// QwtPlot::resizeEvent#
    {106, 1259, 1158},	// QwtPlot::setAutoReplot
    {106, 1260, 1078},	// QwtPlot::setAutoReplot$
    {106, 1265, 1103},	// QwtPlot::setAxisAutoScale$
    {106, 1269, 1107},	// QwtPlot::setAxisFont$#
    {106, 1271, 1119},	// QwtPlot::setAxisLabelAlignment$$
    {106, 1273, 1120},	// QwtPlot::setAxisLabelRotation$$
    {106, 1275, 1126},	// QwtPlot::setAxisMaxMajor$$
    {106, 1277, 1124},	// QwtPlot::setAxisMaxMinor$$
    {106, 1279, 1162},	// QwtPlot::setAxisScale$$$
    {106, 1280, 1109},	// QwtPlot::setAxisScale$$$$
    {106, 1282, 1110},	// QwtPlot::setAxisScaleDiv$#
    {106, 1284, 1111},	// QwtPlot::setAxisScaleDraw$#
    {106, 1286, 1102},	// QwtPlot::setAxisScaleEngine$#
    {106, 1288, 1122},	// QwtPlot::setAxisTitle$#
    {106, 1289, 1121},	// QwtPlot::setAxisTitle$$
    {106, 1313, 1093},	// QwtPlot::setCanvasBackground#
    {106, 1315, 1095},	// QwtPlot::setCanvasLineWidth$
    {106, 1446, 1084},	// QwtPlot::setMargin$
    {106, 1626, 1087},	// QwtPlot::setTitle#
    {106, 1627, 1086},	// QwtPlot::setTitle$
    {106, 1692, 1132},	// QwtPlot::sizeHint
    {106, 1706, 1165},	// QwtPlot::staticMetaObject
    {106, 1764, 1088},	// QwtPlot::title
    {106, 1767, -49},	// QwtPlot::titleLabel
    {106, 1771, 1154},	// QwtPlot::tr$
    {106, 1772, 1069},	// QwtPlot::tr$$
    {106, 1773, 1071},	// QwtPlot::tr$$$
    {106, 1775, 1155},	// QwtPlot::trUtf8$
    {106, 1776, 1070},	// QwtPlot::trUtf8$$
    {106, 1777, 1072},	// QwtPlot::trUtf8$$$
    {106, 1791, 1099},	// QwtPlot::transform$$
    {106, 1801, 1136},	// QwtPlot::updateAxes
    {106, 1803, 1134},	// QwtPlot::updateLayout
    {106, 1810, 1147},	// QwtPlot::updateTabOrder
    {106, 1853, 1168},	// QwtPlot::xBottom
    {106, 1860, 1169},	// QwtPlot::xTop
    {106, 1871, 1166},	// QwtPlot::yLeft
    {106, 1873, 1167},	// QwtPlot::yRight
    {106, 1931, 1176},	// QwtPlot::~QwtPlot
    {107, 26, 1208},	// QwtPlotCanvas::CanvasFocusIndicator
    {107, 75, 1209},	// QwtPlotCanvas::ItemFocusIndicator
    {107, 123, 1207},	// QwtPlotCanvas::NoFocusIndicator
    {107, 136, 1205},	// QwtPlotCanvas::PaintCached
    {107, 138, 1206},	// QwtPlotCanvas::PaintPacked
    {107, 277, 1184},	// QwtPlotCanvas::QwtPlotCanvas#
    {107, 662, 1203},	// QwtPlotCanvas::drawCanvas
    {107, 663, 1199},	// QwtPlotCanvas::drawCanvas#
    {107, 668, 1197},	// QwtPlotCanvas::drawContents#
    {107, 678, 1198},	// QwtPlotCanvas::drawFocusIndicator#
    {107, 822, 1188},	// QwtPlotCanvas::focusIndicator
    {107, 862, 1195},	// QwtPlotCanvas::hideEvent#
    {107, 905, 1193},	// QwtPlotCanvas::invalidatePaintCache
    {107, 1026, 1177},	// QwtPlotCanvas::metaObject
    {107, 1108, -64},	// QwtPlotCanvas::paintCache
    {107, 1111, 1196},	// QwtPlotCanvas::paintEvent#
    {107, 1125, -67},	// QwtPlotCanvas::plot
    {107, 1150, 1183},	// QwtPlotCanvas::qt_metacall$$?
    {107, 1152, 1178},	// QwtPlotCanvas::qt_metacast$
    {107, 1181, 1194},	// QwtPlotCanvas::replot
    {107, 1381, 1187},	// QwtPlotCanvas::setFocusIndicator$
    {107, 1501, 1202},	// QwtPlotCanvas::setPaintAttribute$
    {107, 1502, 1189},	// QwtPlotCanvas::setPaintAttribute$$
    {107, 1706, 1204},	// QwtPlotCanvas::staticMetaObject
    {107, 1740, 1190},	// QwtPlotCanvas::testPaintAttribute$
    {107, 1771, 1200},	// QwtPlotCanvas::tr$
    {107, 1772, 1179},	// QwtPlotCanvas::tr$$
    {107, 1773, 1181},	// QwtPlotCanvas::tr$$$
    {107, 1775, 1201},	// QwtPlotCanvas::trUtf8$
    {107, 1776, 1180},	// QwtPlotCanvas::trUtf8$$
    {107, 1777, 1182},	// QwtPlotCanvas::trUtf8$$$
    {107, 1932, 1210},	// QwtPlotCanvas::~QwtPlotCanvas
    {108, 32, 1276},	// QwtPlotCurve::ClipPolygons
    {108, 44, 1271},	// QwtPlotCurve::Dots
    {108, 55, 1274},	// QwtPlotCurve::Fitted
    {108, 74, 1273},	// QwtPlotCurve::Inverted
    {108, 95, 1268},	// QwtPlotCurve::Lines
    {108, 122, 1267},	// QwtPlotCurve::NoCurve
    {108, 137, 1275},	// QwtPlotCurve::PaintFiltered
    {108, 278, 1211},	// QwtPlotCurve::QwtPlotCurve
    {108, 279, 1212},	// QwtPlotCurve::QwtPlotCurve#
    {108, 280, 1213},	// QwtPlotCurve::QwtPlotCurve$
    {108, 417, 1270},	// QwtPlotCurve::Steps
    {108, 418, 1269},	// QwtPlotCurve::Sticks
    {108, 435, 1272},	// QwtPlotCurve::UserCurve
    {108, 442, 1266},	// QwtPlotCurve::Xfy
    {108, 443, 1265},	// QwtPlotCurve::Yfx
    {108, 514, 1242},	// QwtPlotCurve::baseline
    {108, 522, 1230},	// QwtPlotCurve::boundingRect
    {108, 523, 1240},	// QwtPlotCurve::brush
    {108, 564, 1261},	// QwtPlotCurve::closePolyline###
    {108, 566, 1263},	// QwtPlotCurve::closestPoint#
    {108, 567, 1224},	// QwtPlotCurve::closestPoint#$
    {108, 606, 1248},	// QwtPlotCurve::curveFitter
    {108, 608, 1216},	// QwtPlotCurve::curveType
    {108, 610, -106},	// QwtPlotCurve::data
    {108, 611, 1227},	// QwtPlotCurve::dataSize
    {108, 646, 1249},	// QwtPlotCurve::draw####
    {108, 647, 1250},	// QwtPlotCurve::draw###$$
    {108, 651, 1251},	// QwtPlotCurve::draw$$
    {108, 672, 1254},	// QwtPlotCurve::drawCurve#$##$$
    {108, 674, 1258},	// QwtPlotCurve::drawDots###$$
    {108, 701, 1256},	// QwtPlotCurve::drawLines###$$
    {108, 737, 1259},	// QwtPlotCurve::drawSteps###$$
    {108, 739, 1257},	// QwtPlotCurve::drawSticks###$$
    {108, 745, 1255},	// QwtPlotCurve::drawSymbols####$$
    {108, 807, 1260},	// QwtPlotCurve::fillCurve####
    {108, 875, 1253},	// QwtPlotCurve::init
    {108, 1023, 1232},	// QwtPlotCurve::maxXValue
    {108, 1024, 1234},	// QwtPlotCurve::maxYValue
    {108, 1039, 1231},	// QwtPlotCurve::minXValue
    {108, 1040, 1233},	// QwtPlotCurve::minYValue
    {108, 1120, 1238},	// QwtPlotCurve::pen
    {108, 1195, 1214},	// QwtPlotCurve::rtti
    {108, 1295, 1241},	// QwtPlotCurve::setBaseline$
    {108, 1309, 1239},	// QwtPlotCurve::setBrush#
    {108, 1343, 1264},	// QwtPlotCurve::setCurveAttribute$
    {108, 1344, 1235},	// QwtPlotCurve::setCurveAttribute$$
    {108, 1346, 1247},	// QwtPlotCurve::setCurveFitter#
    {108, 1350, 1215},	// QwtPlotCurve::setCurveType$
    {108, 1352, -109},	// QwtPlotCurve::setData#
    {108, 1353, 1220},	// QwtPlotCurve::setData$$$
    {108, 1354, 1221},	// QwtPlotCurve::setData??
    {108, 1501, 1262},	// QwtPlotCurve::setPaintAttribute$
    {108, 1502, 1217},	// QwtPlotCurve::setPaintAttribute$$
    {108, 1510, 1237},	// QwtPlotCurve::setPen#
    {108, 1529, 1219},	// QwtPlotCurve::setRawData$$$
    {108, 1603, 1243},	// QwtPlotCurve::setStyle$
    {108, 1605, 1245},	// QwtPlotCurve::setSymbol#
    {108, 1719, 1244},	// QwtPlotCurve::style
    {108, 1721, 1246},	// QwtPlotCurve::symbol
    {108, 1732, 1236},	// QwtPlotCurve::testCurveAttribute$
    {108, 1740, 1218},	// QwtPlotCurve::testPaintAttribute$
    {108, 1805, 1252},	// QwtPlotCurve::updateLegend#
    {108, 1850, 1228},	// QwtPlotCurve::x$
    {108, 1867, 1229},	// QwtPlotCurve::y$
    {108, 1933, 1277},	// QwtPlotCurve::~QwtPlotCurve
    {109, 281, 1278},	// QwtPlotDict::QwtPlotDict
    {109, 282, 1283},	// QwtPlotDict::QwtPlotDict#
    {109, 482, 1280},	// QwtPlotDict::autoDelete
    {109, 614, 1284},	// QwtPlotDict::detachItems
    {109, 615, 1285},	// QwtPlotDict::detachItems$
    {109, 616, 1282},	// QwtPlotDict::detachItems$$
    {109, 928, 1281},	// QwtPlotDict::itemList
    {109, 1258, 1279},	// QwtPlotDict::setAutoDelete$
    {109, 1934, 1286},	// QwtPlotDict::~QwtPlotDict
    {110, 283, 1287},	// QwtPlotGrid::QwtPlotGrid
    {110, 646, 1306},	// QwtPlotGrid::draw####
    {110, 779, 1289},	// QwtPlotGrid::enableX$
    {110, 781, 1293},	// QwtPlotGrid::enableXMin$
    {110, 783, 1291},	// QwtPlotGrid::enableY$
    {110, 785, 1295},	// QwtPlotGrid::enableYMin$
    {110, 1008, 1303},	// QwtPlotGrid::majPen
    {110, 1035, 1305},	// QwtPlotGrid::minPen
    {110, 1195, 1288},	// QwtPlotGrid::rtti
    {110, 1444, 1302},	// QwtPlotGrid::setMajPen#
    {110, 1465, 1304},	// QwtPlotGrid::setMinPen#
    {110, 1510, 1301},	// QwtPlotGrid::setPen#
    {110, 1665, 1297},	// QwtPlotGrid::setXDiv#
    {110, 1671, 1299},	// QwtPlotGrid::setYDiv#
    {110, 1809, 1307},	// QwtPlotGrid::updateScaleDiv##
    {110, 1855, 1290},	// QwtPlotGrid::xEnabled
    {110, 1858, 1294},	// QwtPlotGrid::xMinEnabled
    {110, 1859, 1298},	// QwtPlotGrid::xScaleDiv
    {110, 1870, 1292},	// QwtPlotGrid::yEnabled
    {110, 1872, 1296},	// QwtPlotGrid::yMinEnabled
    {110, 1874, 1300},	// QwtPlotGrid::yScaleDiv
    {110, 1935, 1308},	// QwtPlotGrid::~QwtPlotGrid
    {111, 9, 1355},	// QwtPlotItem::AutoScale
    {111, 92, 1354},	// QwtPlotItem::Legend
    {111, 284, 1342},	// QwtPlotItem::QwtPlotItem
    {111, 285, 1309},	// QwtPlotItem::QwtPlotItem#
    {111, 377, 1356},	// QwtPlotItem::RenderAntialiased
    {111, 383, 1349},	// QwtPlotItem::Rtti_PlotCurve
    {111, 384, 1346},	// QwtPlotItem::Rtti_PlotGrid
    {111, 385, 1350},	// QwtPlotItem::Rtti_PlotHistogram
    {111, 386, 1345},	// QwtPlotItem::Rtti_PlotItem
    {111, 387, 1348},	// QwtPlotItem::Rtti_PlotMarker
    {111, 388, 1352},	// QwtPlotItem::Rtti_PlotSVG
    {111, 389, 1347},	// QwtPlotItem::Rtti_PlotScale
    {111, 390, 1351},	// QwtPlotItem::Rtti_PlotSpectrogram
    {111, 391, 1353},	// QwtPlotItem::Rtti_PlotUserItem
    {111, 480, 1310},	// QwtPlotItem::attach#
    {111, 522, 1334},	// QwtPlotItem::boundingRect
    {111, 613, 1311},	// QwtPlotItem::detach
    {111, 646, 1333},	// QwtPlotItem::draw####
    {111, 860, 1324},	// QwtPlotItem::hide
    {111, 898, 1341},	// QwtPlotItem::invTransform###
    {111, 923, 1326},	// QwtPlotItem::isVisible
    {111, 926, 1332},	// QwtPlotItem::itemChanged
    {111, 990, 1337},	// QwtPlotItem::legendItem
    {111, 1113, 1339},	// QwtPlotItem::paintRect##
    {111, 1125, 1312},	// QwtPlotItem::plot
    {111, 1195, 1316},	// QwtPlotItem::rtti
    {111, 1215, 1338},	// QwtPlotItem::scaleRect##
    {111, 1263, 1327},	// QwtPlotItem::setAxis$$
    {111, 1405, 1343},	// QwtPlotItem::setItemAttribute$
    {111, 1406, 1317},	// QwtPlotItem::setItemAttribute$$
    {111, 1537, 1344},	// QwtPlotItem::setRenderHint$
    {111, 1538, 1319},	// QwtPlotItem::setRenderHint$$
    {111, 1626, 1314},	// QwtPlotItem::setTitle#
    {111, 1627, 1313},	// QwtPlotItem::setTitle$
    {111, 1651, 1325},	// QwtPlotItem::setVisible$
    {111, 1663, 1328},	// QwtPlotItem::setXAxis$
    {111, 1669, 1330},	// QwtPlotItem::setYAxis$
    {111, 1675, 1322},	// QwtPlotItem::setZ$
    {111, 1686, 1323},	// QwtPlotItem::show
    {111, 1736, 1318},	// QwtPlotItem::testItemAttribute$
    {111, 1742, 1320},	// QwtPlotItem::testRenderHint$
    {111, 1764, 1315},	// QwtPlotItem::title
    {111, 1789, 1340},	// QwtPlotItem::transform###
    {111, 1805, 1335},	// QwtPlotItem::updateLegend#
    {111, 1809, 1336},	// QwtPlotItem::updateScaleDiv##
    {111, 1852, 1329},	// QwtPlotItem::xAxis
    {111, 1868, 1331},	// QwtPlotItem::yAxis
    {111, 1876, 1321},	// QwtPlotItem::z
    {111, 1936, 1357},	// QwtPlotItem::~QwtPlotItem
    {112, 2, 1386},	// QwtPlotLayout::AlignScales
    {112, 64, 1388},	// QwtPlotLayout::IgnoreFrames
    {112, 65, 1390},	// QwtPlotLayout::IgnoreLegend
    {112, 66, 1389},	// QwtPlotLayout::IgnoreMargin
    {112, 69, 1387},	// QwtPlotLayout::IgnoreScrollbars
    {112, 286, 1358},	// QwtPlotLayout::QwtPlotLayout
    {112, 287, 1383},	// QwtPlotLayout::QwtPlotLayout#
    {112, 449, 1385},	// QwtPlotLayout::activate##
    {112, 450, 1373},	// QwtPlotLayout::activate##$
    {112, 461, 1364},	// QwtPlotLayout::alignCanvasToScales
    {112, 463, 1380},	// QwtPlotLayout::alignLegend##
    {112, 465, 1382},	// QwtPlotLayout::alignScales$##
    {112, 539, 1362},	// QwtPlotLayout::canvasMargin$
    {112, 540, 1378},	// QwtPlotLayout::canvasRect
    {112, 798, 1381},	// QwtPlotLayout::expandLineBreaks$#$$
    {112, 903, 1374},	// QwtPlotLayout::invalidate
    {112, 962, 1379},	// QwtPlotLayout::layoutLegend$#
    {112, 995, 1369},	// QwtPlotLayout::legendPosition
    {112, 996, 1371},	// QwtPlotLayout::legendRatio
    {112, 997, 1376},	// QwtPlotLayout::legendRect
    {112, 1011, 1360},	// QwtPlotLayout::margin
    {112, 1046, 1372},	// QwtPlotLayout::minimumSizeHint#
    {112, 1216, 1377},	// QwtPlotLayout::scaleRect$
    {112, 1245, 1363},	// QwtPlotLayout::setAlignCanvasToScales$
    {112, 1317, 1384},	// QwtPlotLayout::setCanvasMargin$
    {112, 1318, 1361},	// QwtPlotLayout::setCanvasMargin$$
    {112, 1431, 1368},	// QwtPlotLayout::setLegendPosition$
    {112, 1432, 1367},	// QwtPlotLayout::setLegendPosition$$
    {112, 1434, 1370},	// QwtPlotLayout::setLegendRatio$
    {112, 1446, 1359},	// QwtPlotLayout::setMargin$
    {112, 1585, 1365},	// QwtPlotLayout::setSpacing$
    {112, 1698, 1366},	// QwtPlotLayout::spacing
    {112, 1768, 1375},	// QwtPlotLayout::titleRect
    {112, 1937, 1391},	// QwtPlotLayout::~QwtPlotLayout
    {113, 289, 1399},	// QwtPlotMagnifier::QwtPlotMagnifier#
    {113, 533, -16},	// QwtPlotMagnifier::canvas
    {113, 910, 1401},	// QwtPlotMagnifier::isAxisEnabled$
    {113, 1026, 1392},	// QwtPlotMagnifier::metaObject
    {113, 1125, -19},	// QwtPlotMagnifier::plot
    {113, 1150, 1398},	// QwtPlotMagnifier::qt_metacall$$?
    {113, 1152, 1393},	// QwtPlotMagnifier::qt_metacast$
    {113, 1183, 1406},	// QwtPlotMagnifier::rescale$
    {113, 1267, 1400},	// QwtPlotMagnifier::setAxisEnabled$$
    {113, 1706, 1409},	// QwtPlotMagnifier::staticMetaObject
    {113, 1771, 1407},	// QwtPlotMagnifier::tr$
    {113, 1772, 1394},	// QwtPlotMagnifier::tr$$
    {113, 1773, 1396},	// QwtPlotMagnifier::tr$$$
    {113, 1775, 1408},	// QwtPlotMagnifier::trUtf8$
    {113, 1776, 1395},	// QwtPlotMagnifier::trUtf8$$
    {113, 1777, 1397},	// QwtPlotMagnifier::trUtf8$$$
    {113, 1938, 1410},	// QwtPlotMagnifier::~QwtPlotMagnifier
    {114, 37, 1440},	// QwtPlotMarker::Cross
    {114, 59, 1438},	// QwtPlotMarker::HLine
    {114, 126, 1437},	// QwtPlotMarker::NoLine
    {114, 290, 1411},	// QwtPlotMarker::QwtPlotMarker
    {114, 437, 1439},	// QwtPlotMarker::VLine
    {114, 522, 1435},	// QwtPlotMarker::boundingRect
    {114, 646, 1434},	// QwtPlotMarker::draw####
    {114, 657, 1436},	// QwtPlotMarker::drawAt###
    {114, 940, 1427},	// QwtPlotMarker::label
    {114, 942, 1429},	// QwtPlotMarker::labelAlignment
    {114, 946, 1431},	// QwtPlotMarker::labelOrientation
    {114, 1001, 1423},	// QwtPlotMarker::linePen
    {114, 1002, 1421},	// QwtPlotMarker::lineStyle
    {114, 1195, 1412},	// QwtPlotMarker::rtti
    {114, 1418, 1426},	// QwtPlotMarker::setLabel#
    {114, 1420, 1428},	// QwtPlotMarker::setLabelAlignment$
    {114, 1424, 1430},	// QwtPlotMarker::setLabelOrientation$
    {114, 1438, 1422},	// QwtPlotMarker::setLinePen#
    {114, 1440, 1420},	// QwtPlotMarker::setLineStyle$
    {114, 1585, 1432},	// QwtPlotMarker::setSpacing$
    {114, 1605, 1424},	// QwtPlotMarker::setSymbol#
    {114, 1645, 1419},	// QwtPlotMarker::setValue#
    {114, 1647, 1418},	// QwtPlotMarker::setValue$$
    {114, 1667, 1416},	// QwtPlotMarker::setXValue$
    {114, 1673, 1417},	// QwtPlotMarker::setYValue$
    {114, 1698, 1433},	// QwtPlotMarker::spacing
    {114, 1721, 1425},	// QwtPlotMarker::symbol
    {114, 1817, 1415},	// QwtPlotMarker::value
    {114, 1863, 1413},	// QwtPlotMarker::xValue
    {114, 1875, 1414},	// QwtPlotMarker::yValue
    {114, 1939, 1441},	// QwtPlotMarker::~QwtPlotMarker
    {115, 292, 1449},	// QwtPlotPanner::QwtPlotPanner#
    {115, 533, -94},	// QwtPlotPanner::canvas
    {115, 910, 1455},	// QwtPlotPanner::isAxisEnabled$
    {115, 1026, 1442},	// QwtPlotPanner::metaObject
    {115, 1067, 1456},	// QwtPlotPanner::moveCanvas$$
    {115, 1125, -97},	// QwtPlotPanner::plot
    {115, 1150, 1448},	// QwtPlotPanner::qt_metacall$$?
    {115, 1152, 1443},	// QwtPlotPanner::qt_metacast$
    {115, 1267, 1454},	// QwtPlotPanner::setAxisEnabled$$
    {115, 1706, 1459},	// QwtPlotPanner::staticMetaObject
    {115, 1771, 1457},	// QwtPlotPanner::tr$
    {115, 1772, 1444},	// QwtPlotPanner::tr$$
    {115, 1773, 1446},	// QwtPlotPanner::tr$$$
    {115, 1775, 1458},	// QwtPlotPanner::trUtf8$
    {115, 1776, 1445},	// QwtPlotPanner::trUtf8$$
    {115, 1777, 1447},	// QwtPlotPanner::trUtf8$$$
    {115, 1940, 1460},	// QwtPlotPanner::~QwtPlotPanner
    {116, 294, 1468},	// QwtPlotPicker::QwtPlotPicker#
    {116, 295, 1469},	// QwtPlotPicker::QwtPlotPicker$$#
    {116, 296, 1470},	// QwtPlotPicker::QwtPlotPicker$$$$$#
    {116, 469, 1491},	// QwtPlotPicker::append#
    {116, 471, 1481},	// QwtPlotPicker::appended#
    {116, 533, -130},	// QwtPlotPicker::canvas
    {116, 787, 1495},	// QwtPlotPicker::end
    {116, 788, 1492},	// QwtPlotPicker::end$
    {116, 897, -133},	// QwtPlotPicker::invTransform#
    {116, 1026, 1461},	// QwtPlotPicker::metaObject
    {116, 1062, 1490},	// QwtPlotPicker::move#
    {116, 1073, 1482},	// QwtPlotPicker::moved#
    {116, 1125, -136},	// QwtPlotPicker::plot
    {116, 1150, 1467},	// QwtPlotPicker::qt_metacall$$?
    {116, 1152, 1462},	// QwtPlotPicker::qt_metacast$
    {116, 1214, 1483},	// QwtPlotPicker::scaleRect
    {116, 1227, -139},	// QwtPlotPicker::selected#
    {116, 1228, 1480},	// QwtPlotPicker::selected?
    {116, 1263, 1471},	// QwtPlotPicker::setAxis$$
    {116, 1706, 1496},	// QwtPlotPicker::staticMetaObject
    {116, 1771, 1493},	// QwtPlotPicker::tr$
    {116, 1772, 1463},	// QwtPlotPicker::tr$$
    {116, 1773, 1465},	// QwtPlotPicker::tr$$$
    {116, 1775, 1494},	// QwtPlotPicker::trUtf8$
    {116, 1776, 1464},	// QwtPlotPicker::trUtf8$$
    {116, 1777, 1466},	// QwtPlotPicker::trUtf8$$$
    {116, 1785, -142},	// QwtPlotPicker::trackerText#
    {116, 1788, -145},	// QwtPlotPicker::transform#
    {116, 1852, 1472},	// QwtPlotPicker::xAxis
    {116, 1868, 1473},	// QwtPlotPicker::yAxis
    {116, 1941, 1497},	// QwtPlotPicker::~QwtPlotPicker
    {117, 11, 1524},	// QwtPlotPrintFilter::AxisScale
    {117, 12, 1525},	// QwtPlotPrintFilter::AxisTitle
    {117, 25, 1523},	// QwtPlotPrintFilter::CanvasBackground
    {117, 39, 1517},	// QwtPlotPrintFilter::Curve
    {117, 40, 1518},	// QwtPlotPrintFilter::CurveSymbol
    {117, 92, 1516},	// QwtPlotPrintFilter::Legend
    {117, 99, 1521},	// QwtPlotPrintFilter::MajorGrid
    {117, 101, 1519},	// QwtPlotPrintFilter::Marker
    {117, 102, 1520},	// QwtPlotPrintFilter::MarkerSymbol
    {117, 106, 1522},	// QwtPlotPrintFilter::MinorGrid
    {117, 149, 1514},	// QwtPlotPrintFilter::PrintAll
    {117, 150, 1512},	// QwtPlotPrintFilter::PrintBackground
    {117, 151, 1513},	// QwtPlotPrintFilter::PrintFrameWithScales
    {117, 152, 1511},	// QwtPlotPrintFilter::PrintGrid
    {117, 153, 1510},	// QwtPlotPrintFilter::PrintLegend
    {117, 154, 1508},	// QwtPlotPrintFilter::PrintMargin
    {117, 155, 1509},	// QwtPlotPrintFilter::PrintTitle
    {117, 297, 1498},	// QwtPlotPrintFilter::QwtPlotPrintFilter
    {117, 298, 1507},	// QwtPlotPrintFilter::QwtPlotPrintFilter#
    {117, 429, 1515},	// QwtPlotPrintFilter::Title
    {117, 439, 1526},	// QwtPlotPrintFilter::WidgetBackground
    {117, 473, -10},	// QwtPlotPrintFilter::apply#
    {117, 572, 1499},	// QwtPlotPrintFilter::color#$
    {117, 826, 1500},	// QwtPlotPrintFilter::font#$
    {117, 1100, 1502},	// QwtPlotPrintFilter::options
    {117, 1187, -13},	// QwtPlotPrintFilter::reset#
    {117, 1492, 1501},	// QwtPlotPrintFilter::setOptions$
    {117, 1942, 1527},	// QwtPlotPrintFilter::~QwtPlotPrintFilter
    {118, 121, 1539},	// QwtPlotRasterItem::NoCache
    {118, 135, 1540},	// QwtPlotRasterItem::PaintCache
    {118, 299, 1538},	// QwtPlotRasterItem::QwtPlotRasterItem
    {118, 300, 1529},	// QwtPlotRasterItem::QwtPlotRasterItem#
    {118, 301, 1528},	// QwtPlotRasterItem::QwtPlotRasterItem$
    {118, 401, 1541},	// QwtPlotRasterItem::ScreenCache
    {118, 467, 1531},	// QwtPlotRasterItem::alpha
    {118, 532, 1533},	// QwtPlotRasterItem::cachePolicy
    {118, 646, 1535},	// QwtPlotRasterItem::draw####
    {118, 904, 1534},	// QwtPlotRasterItem::invalidateCache
    {118, 1171, 1536},	// QwtPlotRasterItem::rasterHint#
    {118, 1180, 1537},	// QwtPlotRasterItem::renderImage###
    {118, 1249, 1530},	// QwtPlotRasterItem::setAlpha$
    {118, 1311, 1532},	// QwtPlotRasterItem::setCachePolicy$
    {118, 1943, 1542},	// QwtPlotRasterItem::~QwtPlotRasterItem
    {119, 302, 1563},	// QwtPlotScaleItem::QwtPlotScaleItem
    {119, 303, 1564},	// QwtPlotScaleItem::QwtPlotScaleItem$
    {119, 304, 1543},	// QwtPlotScaleItem::QwtPlotScaleItem$$
    {119, 517, 1559},	// QwtPlotScaleItem::borderDistance
    {119, 646, 1561},	// QwtPlotScaleItem::draw####
    {119, 825, 1552},	// QwtPlotScaleItem::font
    {119, 921, 1548},	// QwtPlotScaleItem::isScaleDivFromAxis
    {119, 1114, 1550},	// QwtPlotScaleItem::palette
    {119, 1130, 1557},	// QwtPlotScaleItem::position
    {119, 1195, 1544},	// QwtPlotScaleItem::rtti
    {119, 1204, 1546},	// QwtPlotScaleItem::scaleDiv
    {119, 1206, -55},	// QwtPlotScaleItem::scaleDraw
    {119, 1247, 1560},	// QwtPlotScaleItem::setAlignment$
    {119, 1301, 1558},	// QwtPlotScaleItem::setBorderDistance$
    {119, 1383, 1551},	// QwtPlotScaleItem::setFont#
    {119, 1508, 1549},	// QwtPlotScaleItem::setPalette#
    {119, 1521, 1556},	// QwtPlotScaleItem::setPosition$
    {119, 1555, 1545},	// QwtPlotScaleItem::setScaleDiv#
    {119, 1558, 1547},	// QwtPlotScaleItem::setScaleDivFromAxis$
    {119, 1560, 1553},	// QwtPlotScaleItem::setScaleDraw#
    {119, 1809, 1562},	// QwtPlotScaleItem::updateScaleDiv##
    {119, 1944, 1565},	// QwtPlotScaleItem::~QwtPlotScaleItem
    {120, 34, 1591},	// QwtPlotSpectrogram::ContourMode
    {120, 70, 1590},	// QwtPlotSpectrogram::ImageMode
    {120, 305, 1588},	// QwtPlotSpectrogram::QwtPlotSpectrogram
    {120, 306, 1566},	// QwtPlotSpectrogram::QwtPlotSpectrogram$
    {120, 522, 1573},	// QwtPlotSpectrogram::boundingRect
    {120, 581, 1572},	// QwtPlotSpectrogram::colorMap
    {120, 596, 1581},	// QwtPlotSpectrogram::contourLevels
    {120, 600, 1577},	// QwtPlotSpectrogram::contourPen$
    {120, 602, 1585},	// QwtPlotSpectrogram::contourRasterSize##
    {120, 610, 1570},	// QwtPlotSpectrogram::data
    {120, 612, 1576},	// QwtPlotSpectrogram::defaultContourPen
    {120, 646, 1583},	// QwtPlotSpectrogram::draw####
    {120, 670, 1587},	// QwtPlotSpectrogram::drawContourLines###?
    {120, 1171, 1574},	// QwtPlotSpectrogram::rasterHint#
    {120, 1177, 1586},	// QwtPlotSpectrogram::renderContourLines##
    {120, 1180, 1584},	// QwtPlotSpectrogram::renderImage###
    {120, 1195, 1582},	// QwtPlotSpectrogram::rtti
    {120, 1333, 1571},	// QwtPlotSpectrogram::setColorMap#
    {120, 1336, 1578},	// QwtPlotSpectrogram::setConrecAttribute$$
    {120, 1338, 1580},	// QwtPlotSpectrogram::setContourLevels?
    {120, 1352, 1569},	// QwtPlotSpectrogram::setData#
    {120, 1356, 1575},	// QwtPlotSpectrogram::setDefaultContourPen#
    {120, 1362, 1589},	// QwtPlotSpectrogram::setDisplayMode$
    {120, 1363, 1567},	// QwtPlotSpectrogram::setDisplayMode$$
    {120, 1730, 1579},	// QwtPlotSpectrogram::testConrecAttribute$
    {120, 1734, 1568},	// QwtPlotSpectrogram::testDisplayMode$
    {120, 1945, 1592},	// QwtPlotSpectrogram::~QwtPlotSpectrogram
    {121, 308, 1628},	// QwtPlotZoomer::QwtPlotZoomer#
    {121, 309, 1600},	// QwtPlotZoomer::QwtPlotZoomer#$
    {121, 310, 1629},	// QwtPlotZoomer::QwtPlotZoomer$$#
    {121, 311, 1601},	// QwtPlotZoomer::QwtPlotZoomer$$#$
    {121, 312, 1630},	// QwtPlotZoomer::QwtPlotZoomer$$$$#
    {121, 313, 1602},	// QwtPlotZoomer::QwtPlotZoomer$$$$#$
    {121, 446, 1625},	// QwtPlotZoomer::accept#
    {121, 515, 1623},	// QwtPlotZoomer::begin
    {121, 787, 1633},	// QwtPlotZoomer::end
    {121, 788, 1624},	// QwtPlotZoomer::end$
    {121, 1020, 1609},	// QwtPlotZoomer::maxStackDepth
    {121, 1026, 1593},	// QwtPlotZoomer::metaObject
    {121, 1041, 1620},	// QwtPlotZoomer::minZoomSize
    {121, 1063, 1615},	// QwtPlotZoomer::move$$
    {121, 1065, 1614},	// QwtPlotZoomer::moveBy$$
    {121, 1150, 1599},	// QwtPlotZoomer::qt_metacall$$?
    {121, 1152, 1594},	// QwtPlotZoomer::qt_metacast$
    {121, 1182, 1619},	// QwtPlotZoomer::rescale
    {121, 1263, 1607},	// QwtPlotZoomer::setAxis$$
    {121, 1454, 1608},	// QwtPlotZoomer::setMaxStackDepth$
    {121, 1577, 1613},	// QwtPlotZoomer::setSelectionFlags$
    {121, 1676, 1631},	// QwtPlotZoomer::setZoomBase
    {121, 1677, 1604},	// QwtPlotZoomer::setZoomBase#
    {121, 1678, 1603},	// QwtPlotZoomer::setZoomBase$
    {121, 1684, 1632},	// QwtPlotZoomer::setZoomStack?
    {121, 1685, 1611},	// QwtPlotZoomer::setZoomStack?$
    {121, 1706, 1634},	// QwtPlotZoomer::staticMetaObject
    {121, 1771, 1626},	// QwtPlotZoomer::tr$
    {121, 1772, 1595},	// QwtPlotZoomer::tr$$
    {121, 1773, 1597},	// QwtPlotZoomer::tr$$$
    {121, 1775, 1627},	// QwtPlotZoomer::trUtf8$
    {121, 1776, 1596},	// QwtPlotZoomer::trUtf8$$
    {121, 1777, 1598},	// QwtPlotZoomer::trUtf8$$$
    {121, 1831, 1622},	// QwtPlotZoomer::widgetKeyPressEvent#
    {121, 1843, 1621},	// QwtPlotZoomer::widgetMouseReleaseEvent#
    {121, 1878, 1616},	// QwtPlotZoomer::zoom#
    {121, 1879, 1617},	// QwtPlotZoomer::zoom$
    {121, 1880, 1605},	// QwtPlotZoomer::zoomBase
    {121, 1881, 1606},	// QwtPlotZoomer::zoomRect
    {121, 1882, 1612},	// QwtPlotZoomer::zoomRectIndex
    {121, 1883, 1610},	// QwtPlotZoomer::zoomStack
    {121, 1885, 1618},	// QwtPlotZoomer::zoomed#
    {121, 1946, 1635},	// QwtPlotZoomer::~QwtPlotZoomer
    {122, 315, -112},	// QwtPolygonFData::QwtPolygonFData#
    {122, 603, 1638},	// QwtPolygonFData::copy
    {122, 610, 1642},	// QwtPolygonFData::data
    {122, 1091, 1637},	// QwtPolygonFData::operator=#
    {122, 1691, 1639},	// QwtPolygonFData::size
    {122, 1850, 1640},	// QwtPolygonFData::x$
    {122, 1867, 1641},	// QwtPolygonFData::y$
    {122, 1947, 1644},	// QwtPolygonFData::~QwtPolygonFData
    {123, 63, 1657},	// QwtRasterData::IgnoreAllVerticesOnLevel
    {123, 68, 1658},	// QwtRasterData::IgnoreOutOfRange
    {123, 316, 1645},	// QwtRasterData::QwtRasterData
    {123, 317, -115},	// QwtRasterData::QwtRasterData#
    {123, 522, 1649},	// QwtRasterData::boundingRect
    {123, 598, 1655},	// QwtRasterData::contourLines##?$
    {123, 603, 1647},	// QwtRasterData::copy
    {123, 630, 1652},	// QwtRasterData::discardRaster
    {123, 880, 1651},	// QwtRasterData::initRaster##
    {123, 1168, 1654},	// QwtRasterData::range
    {123, 1171, 1650},	// QwtRasterData::rasterHint#
    {123, 1307, 1648},	// QwtRasterData::setBoundingRect#
    {123, 1819, 1653},	// QwtRasterData::value$$
    {123, 1948, 1659},	// QwtRasterData::~QwtRasterData
    {124, 318, 1660},	// QwtRichTextEngine::QwtRichTextEngine
    {124, 319, 1666},	// QwtRichTextEngine::QwtRichTextEngine#
    {124, 648, 1663},	// QwtRichTextEngine::draw##$$
    {124, 857, 1661},	// QwtRichTextEngine::heightForWidth#$$$
    {124, 1030, 1664},	// QwtRichTextEngine::mightRender$
    {124, 1748, 1665},	// QwtRichTextEngine::textMargins#$$$$$
    {124, 1752, 1662},	// QwtRichTextEngine::textSize#$$
    {124, 1949, 1667},	// QwtRichTextEngine::~QwtRichTextEngine
    {125, 320, 1668},	// QwtRoundScaleDraw::QwtRoundScaleDraw
    {125, 321, 1669},	// QwtRoundScaleDraw::QwtRoundScaleDraw#
    {125, 545, 1675},	// QwtRoundScaleDraw::center
    {125, 659, 1679},	// QwtRoundScaleDraw::drawBackbone#
    {125, 696, 1680},	// QwtRoundScaleDraw::drawLabel#$
    {125, 759, 1678},	// QwtRoundScaleDraw::drawTick#$$
    {125, 803, 1677},	// QwtRoundScaleDraw::extent##
    {125, 1069, 1674},	// QwtRoundScaleDraw::moveCenter#
    {125, 1070, 1673},	// QwtRoundScaleDraw::moveCenter$$
    {125, 1091, 1670},	// QwtRoundScaleDraw::operator=#
    {125, 1167, 1672},	// QwtRoundScaleDraw::radius
    {125, 1251, 1676},	// QwtRoundScaleDraw::setAngleRange$$
    {125, 1523, 1671},	// QwtRoundScaleDraw::setRadius$
    {125, 1950, 1681},	// QwtRoundScaleDraw::~QwtRoundScaleDraw
    {126, 322, 1688},	// QwtScaleArithmetic::QwtScaleArithmetic
    {126, 323, 1689},	// QwtScaleArithmetic::QwtScaleArithmetic#
    {126, 542, 1686},	// QwtScaleArithmetic::ceil125$
    {126, 544, 1683},	// QwtScaleArithmetic::ceilEps$$
    {126, 588, 1682},	// QwtScaleArithmetic::compareEps$$$
    {126, 634, 1685},	// QwtScaleArithmetic::divideEps$$
    {126, 818, 1687},	// QwtScaleArithmetic::floor125$
    {126, 820, 1684},	// QwtScaleArithmetic::floorEps$$
    {126, 1951, 1690},	// QwtScaleArithmetic::~QwtScaleArithmetic
    {127, 100, 1712},	// QwtScaleDiv::MajorTick
    {127, 104, 1711},	// QwtScaleDiv::MediumTick
    {127, 107, 1710},	// QwtScaleDiv::MinorTick
    {127, 118, 1713},	// QwtScaleDiv::NTickTypes
    {127, 131, 1709},	// QwtScaleDiv::NoTick
    {127, 324, 1691},	// QwtScaleDiv::QwtScaleDiv
    {127, 325, 1708},	// QwtScaleDiv::QwtScaleDiv#
    {127, 326, 1692},	// QwtScaleDiv::QwtScaleDiv#?
    {127, 327, 1693},	// QwtScaleDiv::QwtScaleDiv$$?
    {127, 592, 1702},	// QwtScaleDiv::contains$
    {127, 894, 1698},	// QwtScaleDiv::interval
    {127, 903, 1705},	// QwtScaleDiv::invalidate
    {127, 906, 1707},	// QwtScaleDiv::invert
    {127, 922, 1706},	// QwtScaleDiv::isValid
    {127, 1006, 1699},	// QwtScaleDiv::lowerBound
    {127, 1085, 1695},	// QwtScaleDiv::operator!=#
    {127, 1093, 1694},	// QwtScaleDiv::operator==#
    {127, 1168, 1701},	// QwtScaleDiv::range
    {127, 1401, 1697},	// QwtScaleDiv::setInterval#
    {127, 1402, 1696},	// QwtScaleDiv::setInterval$$
    {127, 1622, 1703},	// QwtScaleDiv::setTicks$?
    {127, 1761, 1704},	// QwtScaleDiv::ticks$
    {127, 1811, 1700},	// QwtScaleDiv::upperBound
    {127, 1952, 1714},	// QwtScaleDiv::~QwtScaleDiv
    {128, 19, 1744},	// QwtScaleDraw::BottomScale
    {128, 91, 1746},	// QwtScaleDraw::LeftScale
    {128, 328, 1715},	// QwtScaleDraw::QwtScaleDraw
    {128, 329, 1716},	// QwtScaleDraw::QwtScaleDraw#
    {128, 380, 1747},	// QwtScaleDraw::RightScale
    {128, 431, 1745},	// QwtScaleDraw::TopScale
    {128, 466, 1725},	// QwtScaleDraw::alignment
    {128, 521, 1739},	// QwtScaleDraw::boundingLabelRect#$
    {128, 659, 1742},	// QwtScaleDraw::drawBackbone#
    {128, 696, 1743},	// QwtScaleDraw::drawLabel#$
    {128, 759, 1741},	// QwtScaleDraw::drawTick#$$
    {128, 803, 1721},	// QwtScaleDraw::extent##
    {128, 835, 1718},	// QwtScaleDraw::getBorderDistHint#$$
    {128, 942, 1731},	// QwtScaleDraw::labelAlignment
    {128, 945, 1740},	// QwtScaleDraw::labelMatrix##
    {128, 948, 1736},	// QwtScaleDraw::labelPosition$
    {128, 950, 1737},	// QwtScaleDraw::labelRect#$
    {128, 951, 1733},	// QwtScaleDraw::labelRotation
    {128, 953, 1738},	// QwtScaleDraw::labelSize#$
    {128, 998, 1729},	// QwtScaleDraw::length
    {128, 1016, 1734},	// QwtScaleDraw::maxLabelHeight#
    {128, 1018, 1735},	// QwtScaleDraw::maxLabelWidth#
    {128, 1032, 1719},	// QwtScaleDraw::minLabelDist#
    {128, 1034, 1720},	// QwtScaleDraw::minLength##
    {128, 1062, 1723},	// QwtScaleDraw::move#
    {128, 1063, 1722},	// QwtScaleDraw::move$$
    {128, 1091, 1717},	// QwtScaleDraw::operator=#
    {128, 1101, 1727},	// QwtScaleDraw::orientation
    {128, 1129, 1728},	// QwtScaleDraw::pos
    {128, 1247, 1726},	// QwtScaleDraw::setAlignment$
    {128, 1420, 1730},	// QwtScaleDraw::setLabelAlignment$
    {128, 1426, 1732},	// QwtScaleDraw::setLabelRotation$
    {128, 1436, 1724},	// QwtScaleDraw::setLength$
    {128, 1953, 1748},	// QwtScaleDraw::~QwtScaleDraw
    {129, 58, 1772},	// QwtScaleEngine::Floating
    {129, 72, 1770},	// QwtScaleEngine::IncludeReference
    {129, 74, 1773},	// QwtScaleEngine::Inverted
    {129, 120, 1769},	// QwtScaleEngine::NoAttribute
    {129, 330, 1749},	// QwtScaleEngine::QwtScaleEngine
    {129, 331, 1766},	// QwtScaleEngine::QwtScaleEngine#
    {129, 425, 1771},	// QwtScaleEngine::Symmetric
    {129, 481, 1753},	// QwtScaleEngine::attributes
    {129, 486, 1759},	// QwtScaleEngine::autoScale$$$$
    {129, 525, 1765},	// QwtScaleEngine::buildInterval$
    {129, 591, 1762},	// QwtScaleEngine::contains#$
    {129, 636, 1764},	// QwtScaleEngine::divideInterval$$
    {129, 638, 1768},	// QwtScaleEngine::divideScale$$$$
    {129, 639, 1760},	// QwtScaleEngine::divideScale$$$$$
    {129, 1007, 1757},	// QwtScaleEngine::lowerMargin
    {129, 1172, 1755},	// QwtScaleEngine::reference
    {129, 1253, 1767},	// QwtScaleEngine::setAttribute$
    {129, 1254, 1750},	// QwtScaleEngine::setAttribute$$
    {129, 1256, 1752},	// QwtScaleEngine::setAttributes$
    {129, 1448, 1756},	// QwtScaleEngine::setMargins$$
    {129, 1533, 1754},	// QwtScaleEngine::setReference$
    {129, 1718, 1763},	// QwtScaleEngine::strip?#
    {129, 1728, 1751},	// QwtScaleEngine::testAttribute$
    {129, 1792, 1761},	// QwtScaleEngine::transformation
    {129, 1812, 1758},	// QwtScaleEngine::upperMargin
    {129, 1954, 1774},	// QwtScaleEngine::~QwtScaleEngine
    {130, 97, 1793},	// QwtScaleMap::LogMax
    {130, 98, 1792},	// QwtScaleMap::LogMin
    {130, 332, 1775},	// QwtScaleMap::QwtScaleMap
    {130, 333, 1776},	// QwtScaleMap::QwtScaleMap#
    {130, 899, 1784},	// QwtScaleMap::invTransform$
    {130, 1091, 1777},	// QwtScaleMap::operator=#
    {130, 1104, 1786},	// QwtScaleMap::p1
    {130, 1105, 1787},	// QwtScaleMap::p2
    {130, 1106, 1790},	// QwtScaleMap::pDist
    {130, 1199, 1788},	// QwtScaleMap::s1
    {130, 1200, 1789},	// QwtScaleMap::s2
    {130, 1201, 1791},	// QwtScaleMap::sDist
    {130, 1504, 1780},	// QwtScaleMap::setPaintInterval$$
    {130, 1506, 1781},	// QwtScaleMap::setPaintXInterval$$
    {130, 1564, 1782},	// QwtScaleMap::setScaleInterval$$
    {130, 1639, 1778},	// QwtScaleMap::setTransformation#
    {130, 1790, 1783},	// QwtScaleMap::transform$
    {130, 1792, 1779},	// QwtScaleMap::transformation
    {130, 1862, 1785},	// QwtScaleMap::xTransform$
    {130, 1955, 1794},	// QwtScaleMap::~QwtScaleMap
    {131, 94, 1801},	// QwtScaleTransformation::Linear
    {131, 96, 1802},	// QwtScaleTransformation::Log10
    {131, 132, 1803},	// QwtScaleTransformation::Other
    {131, 335, 1800},	// QwtScaleTransformation::QwtScaleTransformation#
    {131, 336, 1795},	// QwtScaleTransformation::QwtScaleTransformation$
    {131, 603, 1799},	// QwtScaleTransformation::copy
    {131, 902, 1797},	// QwtScaleTransformation::invXForm$$$$$
    {131, 1798, 1798},	// QwtScaleTransformation::type
    {131, 1857, 1796},	// QwtScaleTransformation::xForm$$$$$
    {131, 1956, 1804},	// QwtScaleTransformation::~QwtScaleTransformation
    {132, 337, 1859},	// QwtScaleWidget::QwtScaleWidget
    {132, 338, 1812},	// QwtScaleWidget::QwtScaleWidget#
    {132, 339, 1860},	// QwtScaleWidget::QwtScaleWidget$
    {132, 340, 1813},	// QwtScaleWidget::QwtScaleWidget$#
    {132, 466, 1850},	// QwtScaleWidget::alignment
    {132, 575, 1841},	// QwtScaleWidget::colorBarInterval
    {132, 577, 1851},	// QwtScaleWidget::colorBarRect#
    {132, 578, 1839},	// QwtScaleWidget::colorBarWidth
    {132, 581, 1842},	// QwtScaleWidget::colorMap
    {132, 628, 1846},	// QwtScaleWidget::dimForLength$#
    {132, 644, 1854},	// QwtScaleWidget::draw#
    {132, 665, 1847},	// QwtScaleWidget::drawColorBar##
    {132, 761, 1848},	// QwtScaleWidget::drawTitle#$#
    {132, 789, 1820},	// QwtScaleWidget::endBorderDist
    {132, 836, 1821},	// QwtScaleWidget::getBorderDistHint$$
    {132, 838, 1822},	// QwtScaleWidget::getMinBorderDist$$
    {132, 912, 1837},	// QwtScaleWidget::isColorBarEnabled
    {132, 963, 1861},	// QwtScaleWidget::layoutScale
    {132, 964, 1856},	// QwtScaleWidget::layoutScale$
    {132, 1011, 1825},	// QwtScaleWidget::margin
    {132, 1026, 1805},	// QwtScaleWidget::metaObject
    {132, 1045, 1844},	// QwtScaleWidget::minimumSizeHint
    {132, 1111, 1852},	// QwtScaleWidget::paintEvent#
    {132, 1121, 1829},	// QwtScaleWidget::penWidth
    {132, 1150, 1811},	// QwtScaleWidget::qt_metacall$$?
    {132, 1152, 1806},	// QwtScaleWidget::qt_metacast$
    {132, 1190, 1853},	// QwtScaleWidget::resizeEvent#
    {132, 1202, 1855},	// QwtScaleWidget::scaleChange
    {132, 1205, 1814},	// QwtScaleWidget::scaleDivChanged
    {132, 1206, -82},	// QwtScaleWidget::scaleDraw
    {132, 1247, 1849},	// QwtScaleWidget::setAlignment$
    {132, 1299, 1818},	// QwtScaleWidget::setBorderDist$$
    {132, 1327, 1836},	// QwtScaleWidget::setColorBarEnabled$
    {132, 1329, 1838},	// QwtScaleWidget::setColorBarWidth$
    {132, 1334, 1840},	// QwtScaleWidget::setColorMap##
    {132, 1420, 1834},	// QwtScaleWidget::setLabelAlignment$
    {132, 1426, 1835},	// QwtScaleWidget::setLabelRotation$
    {132, 1446, 1824},	// QwtScaleWidget::setMargin$
    {132, 1463, 1823},	// QwtScaleWidget::setMinBorderDist$$
    {132, 1512, 1828},	// QwtScaleWidget::setPenWidth$
    {132, 1556, 1830},	// QwtScaleWidget::setScaleDiv##
    {132, 1560, 1831},	// QwtScaleWidget::setScaleDraw#
    {132, 1585, 1826},	// QwtScaleWidget::setSpacing$
    {132, 1626, 1816},	// QwtScaleWidget::setTitle#
    {132, 1627, 1815},	// QwtScaleWidget::setTitle$
    {132, 1692, 1843},	// QwtScaleWidget::sizeHint
    {132, 1698, 1827},	// QwtScaleWidget::spacing
    {132, 1702, 1819},	// QwtScaleWidget::startBorderDist
    {132, 1706, 1862},	// QwtScaleWidget::staticMetaObject
    {132, 1764, 1817},	// QwtScaleWidget::title
    {132, 1766, 1845},	// QwtScaleWidget::titleHeightForWidth$
    {132, 1771, 1857},	// QwtScaleWidget::tr$
    {132, 1772, 1807},	// QwtScaleWidget::tr$$
    {132, 1773, 1809},	// QwtScaleWidget::tr$$$
    {132, 1775, 1858},	// QwtScaleWidget::trUtf8$
    {132, 1776, 1808},	// QwtScaleWidget::trUtf8$$
    {132, 1777, 1810},	// QwtScaleWidget::trUtf8$$$
    {132, 1957, 1863},	// QwtScaleWidget::~QwtScaleWidget
    {133, 341, 1876},	// QwtSimpleCompassRose::QwtSimpleCompassRose
    {133, 342, 1875},	// QwtSimpleCompassRose::QwtSimpleCompassRose#
    {133, 343, 1877},	// QwtSimpleCompassRose::QwtSimpleCompassRose$
    {133, 344, 1864},	// QwtSimpleCompassRose::QwtSimpleCompassRose$$
    {133, 648, 1878},	// QwtSimpleCompassRose::draw##$$
    {133, 649, 1873},	// QwtSimpleCompassRose::draw##$$$
    {133, 722, 1874},	// QwtSimpleCompassRose::drawRose###$$$$$$
    {133, 1082, 1870},	// QwtSimpleCompassRose::numThornLevels
    {133, 1083, 1868},	// QwtSimpleCompassRose::numThorns
    {133, 1488, 1869},	// QwtSimpleCompassRose::setNumThornLevels$
    {133, 1490, 1867},	// QwtSimpleCompassRose::setNumThorns$
    {133, 1579, 1871},	// QwtSimpleCompassRose::setShrinkFactor$
    {133, 1659, 1865},	// QwtSimpleCompassRose::setWidth$
    {133, 1690, 1872},	// QwtSimpleCompassRose::shrinkFactor
    {133, 1846, 1866},	// QwtSimpleCompassRose::width
    {133, 1958, 1879},	// QwtSimpleCompassRose::~QwtSimpleCompassRose
    {134, 15, 1932},	// QwtSlider::BgBoth
    {134, 16, 1931},	// QwtSlider::BgSlot
    {134, 17, 1930},	// QwtSlider::BgTrough
    {134, 19, 1929},	// QwtSlider::BottomScale
    {134, 91, 1926},	// QwtSlider::LeftScale
    {134, 128, 1925},	// QwtSlider::NoScale
    {134, 346, 1920},	// QwtSlider::QwtSlider#
    {134, 347, 1921},	// QwtSlider::QwtSlider#$
    {134, 348, 1922},	// QwtSlider::QwtSlider#$$
    {134, 349, 1887},	// QwtSlider::QwtSlider#$$$
    {134, 380, 1927},	// QwtSlider::RightScale
    {134, 431, 1928},	// QwtSlider::TopScale
    {134, 516, 1890},	// QwtSlider::bgStyle
    {134, 519, 1895},	// QwtSlider::borderWidth
    {134, 645, 1906},	// QwtSlider::draw##
    {134, 735, 1907},	// QwtSlider::drawSlider##
    {134, 757, 1908},	// QwtSlider::drawThumb##$
    {134, 828, 1914},	// QwtSlider::fontChange#
    {134, 842, 1905},	// QwtSlider::getScrollMode#$$
    {134, 844, 1904},	// QwtSlider::getValue#
    {134, 965, 1923},	// QwtSlider::layoutSlider
    {134, 966, 1915},	// QwtSlider::layoutSlider$
    {134, 1026, 1880},	// QwtSlider::metaObject
    {134, 1045, 1901},	// QwtSlider::minimumSizeHint
    {134, 1111, 1910},	// QwtSlider::paintEvent#
    {134, 1150, 1886},	// QwtSlider::qt_metacall$$?
    {134, 1152, 1881},	// QwtSlider::qt_metacast$
    {134, 1169, 1912},	// QwtSlider::rangeChange
    {134, 1190, 1909},	// QwtSlider::resizeEvent#
    {134, 1202, 1913},	// QwtSlider::scaleChange
    {134, 1206, -148},	// QwtSlider::scaleDraw
    {134, 1213, 1892},	// QwtSlider::scalePosition
    {134, 1297, 1889},	// QwtSlider::setBgStyle$
    {134, 1305, 1898},	// QwtSlider::setBorderWidth$
    {134, 1448, 1899},	// QwtSlider::setMargins$$
    {134, 1494, 1888},	// QwtSlider::setOrientation$
    {134, 1560, 1902},	// QwtSlider::setScaleDraw#
    {134, 1572, 1891},	// QwtSlider::setScalePosition$
    {134, 1614, 1896},	// QwtSlider::setThumbLength$
    {134, 1616, 1897},	// QwtSlider::setThumbWidth$
    {134, 1692, 1900},	// QwtSlider::sizeHint
    {134, 1706, 1924},	// QwtSlider::staticMetaObject
    {134, 1753, 1893},	// QwtSlider::thumbLength
    {134, 1754, 1894},	// QwtSlider::thumbWidth
    {134, 1771, 1918},	// QwtSlider::tr$
    {134, 1772, 1882},	// QwtSlider::tr$$
    {134, 1773, 1884},	// QwtSlider::tr$$$
    {134, 1775, 1919},	// QwtSlider::trUtf8$
    {134, 1776, 1883},	// QwtSlider::trUtf8$$
    {134, 1777, 1885},	// QwtSlider::trUtf8$$$
    {134, 1820, 1911},	// QwtSlider::valueChange
    {134, 1865, 1916},	// QwtSlider::xyPosition$
    {134, 1959, 1933},	// QwtSlider::~QwtSlider
    {135, 119, 1949},	// QwtSpline::Natural
    {135, 143, 1950},	// QwtSpline::Periodic
    {135, 350, 1934},	// QwtSpline::QwtSpline
    {135, 351, 1935},	// QwtSpline::QwtSpline#
    {135, 527, 1947},	// QwtSpline::buildNaturalSpline#
    {135, 529, 1948},	// QwtSpline::buildPeriodicSpline#
    {135, 568, 1944},	// QwtSpline::coefficientsA
    {135, 569, 1945},	// QwtSpline::coefficientsB
    {135, 570, 1946},	// QwtSpline::coefficientsC
    {135, 922, 1942},	// QwtSpline::isValid
    {135, 1091, 1936},	// QwtSpline::operator=#
    {135, 1127, 1940},	// QwtSpline::points
    {135, 1186, 1941},	// QwtSpline::reset
    {135, 1518, 1939},	// QwtSpline::setPoints#
    {135, 1591, 1937},	// QwtSpline::setSplineType$
    {135, 1701, 1938},	// QwtSpline::splineType
    {135, 1818, 1943},	// QwtSpline::value$
    {135, 1960, 1951},	// QwtSpline::~QwtSpline
    {136, 7, 1961},	// QwtSplineCurveFitter::Auto
    {136, 142, 1963},	// QwtSplineCurveFitter::ParametricSpline
    {136, 352, 1952},	// QwtSplineCurveFitter::QwtSplineCurveFitter
    {136, 414, 1962},	// QwtSplineCurveFitter::Spline
    {136, 813, 1960},	// QwtSplineCurveFitter::fitCurve#
    {136, 814, 1954},	// QwtSplineCurveFitter::fitMode
    {136, 1379, 1953},	// QwtSplineCurveFitter::setFitMode$
    {136, 1587, 1955},	// QwtSplineCurveFitter::setSpline#
    {136, 1589, 1958},	// QwtSplineCurveFitter::setSplineSize$
    {136, 1699, -1},	// QwtSplineCurveFitter::spline
    {136, 1700, 1959},	// QwtSplineCurveFitter::splineSize
    {136, 1961, 1964},	// QwtSplineCurveFitter::~QwtSplineCurveFitter
    {137, 37, 1993},	// QwtSymbol::Cross
    {137, 41, 1989},	// QwtSymbol::DTriangle
    {137, 42, 1987},	// QwtSymbol::Diamond
    {137, 48, 1985},	// QwtSymbol::Ellipse
    {137, 59, 1995},	// QwtSymbol::HLine
    {137, 61, 1999},	// QwtSymbol::Hexagon
    {137, 88, 1991},	// QwtSymbol::LTriangle
    {137, 130, 1984},	// QwtSymbol::NoSymbol
    {137, 353, 1965},	// QwtSymbol::QwtSymbol
    {137, 354, 1982},	// QwtSymbol::QwtSymbol#
    {137, 355, 1966},	// QwtSymbol::QwtSymbol$###
    {137, 370, 1992},	// QwtSymbol::RTriangle
    {137, 374, 1986},	// QwtSymbol::Rect
    {137, 415, 1997},	// QwtSymbol::Star1
    {137, 416, 1998},	// QwtSymbol::Star2
    {137, 422, 2000},	// QwtSymbol::StyleCnt
    {137, 432, 1988},	// QwtSymbol::Triangle
    {137, 434, 1990},	// QwtSymbol::UTriangle
    {137, 437, 1996},	// QwtSymbol::VLine
    {137, 441, 1994},	// QwtSymbol::XCross
    {137, 523, 1975},	// QwtSymbol::brush
    {137, 561, 1969},	// QwtSymbol::clone
    {137, 645, -100},	// QwtSymbol::draw##
    {137, 650, 1980},	// QwtSymbol::draw#$$
    {137, 1085, 1967},	// QwtSymbol::operator!=#
    {137, 1093, 1968},	// QwtSymbol::operator==#
    {137, 1120, 1976},	// QwtSymbol::pen
    {137, 1309, 1972},	// QwtSymbol::setBrush#
    {137, 1510, 1973},	// QwtSymbol::setPen#
    {137, 1581, 1970},	// QwtSymbol::setSize#
    {137, 1582, 1983},	// QwtSymbol::setSize$
    {137, 1583, 1971},	// QwtSymbol::setSize$$
    {137, 1603, 1974},	// QwtSymbol::setStyle$
    {137, 1691, 1977},	// QwtSymbol::size
    {137, 1719, 1978},	// QwtSymbol::style
    {137, 1962, 2001},	// QwtSymbol::~QwtSymbol
    {138, 10, 2041},	// QwtText::AutoText
    {138, 103, 2044},	// QwtText::MathMLText
    {138, 105, 2050},	// QwtText::MinimumLayout
    {138, 133, 2046},	// QwtText::OtherFormat
    {138, 134, 2049},	// QwtText::PaintBackground
    {138, 139, 2048},	// QwtText::PaintUsingTextColor
    {138, 140, 2047},	// QwtText::PaintUsingTextFont
    {138, 145, 2042},	// QwtText::PlainText
    {138, 356, 2033},	// QwtText::QwtText
    {138, 357, 2003},	// QwtText::QwtText#
    {138, 358, 2034},	// QwtText::QwtText$
    {138, 359, 2002},	// QwtText::QwtText$$
    {138, 378, 2043},	// QwtText::RichText
    {138, 426, 2045},	// QwtText::TeXText
    {138, 512, 2022},	// QwtText::backgroundBrush
    {138, 513, 2020},	// QwtText::backgroundPen
    {138, 571, 2017},	// QwtText::color
    {138, 645, 2029},	// QwtText::draw##
    {138, 825, 2012},	// QwtText::font
    {138, 858, 2038},	// QwtText::heightForWidth$
    {138, 859, 2027},	// QwtText::heightForWidth$#
    {138, 914, 2010},	// QwtText::isEmpty
    {138, 917, 2009},	// QwtText::isNull
    {138, 1085, 2006},	// QwtText::operator!=#
    {138, 1091, 2004},	// QwtText::operator=#
    {138, 1093, 2005},	// QwtText::operator==#
    {138, 1178, 2015},	// QwtText::renderFlags
    {138, 1291, 2021},	// QwtText::setBackgroundBrush#
    {138, 1293, 2019},	// QwtText::setBackgroundPen#
    {138, 1324, 2016},	// QwtText::setColor#
    {138, 1383, 2011},	// QwtText::setFont#
    {138, 1428, 2037},	// QwtText::setLayoutAttribute$
    {138, 1429, 2025},	// QwtText::setLayoutAttribute$$
    {138, 1501, 2036},	// QwtText::setPaintAttribute$
    {138, 1502, 2023},	// QwtText::setPaintAttribute$$
    {138, 1535, 2014},	// QwtText::setRenderFlags$
    {138, 1609, 2035},	// QwtText::setText$
    {138, 1610, 2007},	// QwtText::setText$$
    {138, 1612, 2032},	// QwtText::setTextEngine$#
    {138, 1738, 2026},	// QwtText::testLayoutAttribute$
    {138, 1740, 2024},	// QwtText::testPaintAttribute$
    {138, 1743, 2008},	// QwtText::text
    {138, 1745, -103},	// QwtText::textEngine$
    {138, 1746, 2030},	// QwtText::textEngine$$
    {138, 1750, 2039},	// QwtText::textSize
    {138, 1751, 2028},	// QwtText::textSize#
    {138, 1814, 2018},	// QwtText::usedColor#
    {138, 1816, 2013},	// QwtText::usedFont#
    {138, 1963, 2051},	// QwtText::~QwtText
    {139, 360, 2057},	// QwtTextEngine::QwtTextEngine
    {139, 361, 2058},	// QwtTextEngine::QwtTextEngine#
    {139, 648, 2056},	// QwtTextEngine::draw##$$
    {139, 857, 2052},	// QwtTextEngine::heightForWidth#$$$
    {139, 1030, 2054},	// QwtTextEngine::mightRender$
    {139, 1748, 2055},	// QwtTextEngine::textMargins#$$$$$
    {139, 1752, 2053},	// QwtTextEngine::textSize#$$
    {139, 1964, 2059},	// QwtTextEngine::~QwtTextEngine
    {140, 362, 2086},	// QwtTextLabel::QwtTextLabel
    {140, 363, -124},	// QwtTextLabel::QwtTextLabel#
    {140, 364, 2068},	// QwtTextLabel::QwtTextLabel##
    {140, 553, 2071},	// QwtTextLabel::clear
    {140, 668, 2082},	// QwtTextLabel::drawContents#
    {140, 747, 2083},	// QwtTextLabel::drawText##
    {140, 858, 2079},	// QwtTextLabel::heightForWidth$
    {140, 873, 2073},	// QwtTextLabel::indent
    {140, 1011, 2075},	// QwtTextLabel::margin
    {140, 1026, 2060},	// QwtTextLabel::metaObject
    {140, 1045, 2078},	// QwtTextLabel::minimumSizeHint
    {140, 1111, 2081},	// QwtTextLabel::paintEvent#
    {140, 1150, 2066},	// QwtTextLabel::qt_metacall$$?
    {140, 1152, 2061},	// QwtTextLabel::qt_metacast$
    {140, 1397, 2074},	// QwtTextLabel::setIndent$
    {140, 1446, 2076},	// QwtTextLabel::setMargin$
    {140, 1608, 2070},	// QwtTextLabel::setText#
    {140, 1609, 2088},	// QwtTextLabel::setText$
    {140, 1610, 2069},	// QwtTextLabel::setText$$
    {140, 1692, 2077},	// QwtTextLabel::sizeHint
    {140, 1706, 2089},	// QwtTextLabel::staticMetaObject
    {140, 1743, 2072},	// QwtTextLabel::text
    {140, 1749, 2080},	// QwtTextLabel::textRect
    {140, 1771, 2084},	// QwtTextLabel::tr$
    {140, 1772, 2062},	// QwtTextLabel::tr$$
    {140, 1773, 2064},	// QwtTextLabel::tr$$$
    {140, 1775, 2085},	// QwtTextLabel::trUtf8$
    {140, 1776, 2063},	// QwtTextLabel::trUtf8$$
    {140, 1777, 2065},	// QwtTextLabel::trUtf8$$$
    {140, 1965, 2090},	// QwtTextLabel::~QwtTextLabel
    {141, 19, 2148},	// QwtThermo::BottomScale
    {141, 91, 2145},	// QwtThermo::LeftScale
    {141, 128, 2144},	// QwtThermo::NoScale
    {141, 365, 2140},	// QwtThermo::QwtThermo
    {141, 366, 2098},	// QwtThermo::QwtThermo#
    {141, 380, 2146},	// QwtThermo::RightScale
    {141, 431, 2147},	// QwtThermo::TopScale
    {141, 455, 2109},	// QwtThermo::alarmBrush
    {141, 456, 2111},	// QwtThermo::alarmColor
    {141, 457, 2115},	// QwtThermo::alarmEnabled
    {141, 458, 2113},	// QwtThermo::alarmLevel
    {141, 519, 2103},	// QwtThermo::borderWidth
    {141, 645, 2130},	// QwtThermo::draw##
    {141, 753, 2131},	// QwtThermo::drawThermo#
    {141, 804, 2105},	// QwtThermo::fillBrush
    {141, 805, 2107},	// QwtThermo::fillColor
    {141, 828, 2134},	// QwtThermo::fontChange#
    {141, 967, 2142},	// QwtThermo::layoutThermo
    {141, 968, 2132},	// QwtThermo::layoutThermo$
    {141, 1022, 2119},	// QwtThermo::maxValue
    {141, 1026, 2091},	// QwtThermo::metaObject
    {141, 1038, 2121},	// QwtThermo::minValue
    {141, 1045, 2126},	// QwtThermo::minimumSizeHint
    {141, 1111, 2135},	// QwtThermo::paintEvent#
    {141, 1124, 2117},	// QwtThermo::pipeWidth
    {141, 1150, 2097},	// QwtThermo::qt_metacall$$?
    {141, 1152, 2092},	// QwtThermo::qt_metacast$
    {141, 1190, 2136},	// QwtThermo::resizeEvent#
    {141, 1202, 2133},	// QwtThermo::scaleChange
    {141, 1206, -121},	// QwtThermo::scaleDraw
    {141, 1213, 2101},	// QwtThermo::scalePosition
    {141, 1237, 2108},	// QwtThermo::setAlarmBrush#
    {141, 1239, 2110},	// QwtThermo::setAlarmColor#
    {141, 1241, 2114},	// QwtThermo::setAlarmEnabled$
    {141, 1243, 2112},	// QwtThermo::setAlarmLevel$
    {141, 1305, 2102},	// QwtThermo::setBorderWidth$
    {141, 1375, 2104},	// QwtThermo::setFillBrush#
    {141, 1377, 2106},	// QwtThermo::setFillColor#
    {141, 1446, 2124},	// QwtThermo::setMargin$
    {141, 1456, 2118},	// QwtThermo::setMaxValue$
    {141, 1467, 2120},	// QwtThermo::setMinValue$
    {141, 1495, 2099},	// QwtThermo::setOrientation$$
    {141, 1516, 2116},	// QwtThermo::setPipeWidth$
    {141, 1525, 2141},	// QwtThermo::setRange$$
    {141, 1526, 2123},	// QwtThermo::setRange$$$
    {141, 1560, 2127},	// QwtThermo::setScaleDraw#
    {141, 1572, 2100},	// QwtThermo::setScalePosition$
    {141, 1646, 2129},	// QwtThermo::setValue$
    {141, 1692, 2125},	// QwtThermo::sizeHint
    {141, 1706, 2143},	// QwtThermo::staticMetaObject
    {141, 1771, 2138},	// QwtThermo::tr$
    {141, 1772, 2093},	// QwtThermo::tr$$
    {141, 1773, 2095},	// QwtThermo::tr$$$
    {141, 1775, 2139},	// QwtThermo::trUtf8$
    {141, 1776, 2094},	// QwtThermo::trUtf8$$
    {141, 1777, 2096},	// QwtThermo::trUtf8$$$
    {141, 1817, 2122},	// QwtThermo::value
    {141, 1966, 2149},	// QwtThermo::~QwtThermo
    {142, 367, 2185},	// QwtWheel::QwtWheel
    {142, 368, 2157},	// QwtWheel::QwtWheel#
    {142, 645, 2175},	// QwtWheel::draw##
    {142, 767, 2176},	// QwtWheel::drawWheel##
    {142, 769, 2177},	// QwtWheel::drawWheelBackground##
    {142, 842, 2182},	// QwtWheel::getScrollMode#$$
    {142, 844, 2181},	// QwtWheel::getValue#
    {142, 889, 2162},	// QwtWheel::internalBorder
    {142, 982, 2186},	// QwtWheel::layoutWheel
    {142, 983, 2174},	// QwtWheel::layoutWheel$
    {142, 1012, 2163},	// QwtWheel::mass
    {142, 1026, 2150},	// QwtWheel::metaObject
    {142, 1045, 2171},	// QwtWheel::minimumSizeHint
    {142, 1111, 2173},	// QwtWheel::paintEvent#
    {142, 1116, 2180},	// QwtWheel::paletteChange#
    {142, 1150, 2156},	// QwtWheel::qt_metacall$$?
    {142, 1152, 2151},	// QwtWheel::qt_metacast$
    {142, 1190, 2172},	// QwtWheel::resizeEvent#
    {142, 1325, 2178},	// QwtWheel::setColorArray
    {142, 1399, 2167},	// QwtWheel::setInternalBorder$
    {142, 1450, 2168},	// QwtWheel::setMass$
    {142, 1494, 2158},	// QwtWheel::setOrientation$
    {142, 1618, 2165},	// QwtWheel::setTickCnt$
    {142, 1629, 2164},	// QwtWheel::setTotalAngle$
    {142, 1649, 2166},	// QwtWheel::setViewAngle$
    {142, 1657, 2169},	// QwtWheel::setWheelWidth$
    {142, 1692, 2170},	// QwtWheel::sizeHint
    {142, 1706, 2187},	// QwtWheel::staticMetaObject
    {142, 1755, 2161},	// QwtWheel::tickCnt
    {142, 1769, 2159},	// QwtWheel::totalAngle
    {142, 1771, 2183},	// QwtWheel::tr$
    {142, 1772, 2152},	// QwtWheel::tr$$
    {142, 1773, 2154},	// QwtWheel::tr$$$
    {142, 1775, 2184},	// QwtWheel::trUtf8$
    {142, 1776, 2153},	// QwtWheel::trUtf8$$
    {142, 1777, 2155},	// QwtWheel::trUtf8$$$
    {142, 1820, 2179},	// QwtWheel::valueChange
    {142, 1824, 2160},	// QwtWheel::viewAngle
    {142, 1967, 2188},	// QwtWheel::~QwtWheel
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();
SMOKE_IMPORT void init_qtgui_Smoke();

static bool initialized = false;
Smoke *qwt_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_qwt_Smoke() {
    init_qtcore_Smoke();
    init_qtgui_Smoke();
    if (initialized) return;
    qwt_Smoke = new Smoke(
        "qwt",
        __smokeqwt::classes, 142,
        __smokeqwt::methods, 2189,
        __smokeqwt::methodMaps, 2041,
        __smokeqwt::methodNames, 1967,
        __smokeqwt::types, 439,
        __smokeqwt::inheritanceList,
        __smokeqwt::argumentList,
        __smokeqwt::ambiguousMethodList,
        __smokeqwt::cast );
    initialized = true;
}

void delete_qwt_Smoke() { delete qwt_Smoke; }

}
